library verilog;
use verilog.vl_types.all;
entity ASSC is
    generic(
        TS_WIDTH        : integer := 6;
        TS_RST_VALUE    : integer := 0;
        DLYCNT_WIDTH    : integer := 0;
        ALLOW_USER_ASSC : integer := 1;
        ALLOW_RPT       : integer := 0;
        FIXED_MODE      : integer := 0;
        FIXED_MODE_CONST: integer := 0;
        FIXED_VREFSEL_CONST: integer := 0;
        FIXED_STC       : integer := 0;
        FIXED_STC_CONST : integer := 0;
        FIXED_TVC       : integer := 0;
        FIXED_TVC_CONST : integer := 0;
        ALLOW_CM_STB_BITS: integer := 0;
        ALLOW_TM_STB_BITS: integer := 0
    );
    port(
        CLK             : in     vl_logic;
        NRESET          : in     vl_logic;
        EV_EVFLAG       : in     vl_logic;
        EV_DONE         : in     vl_logic;
        TR_TRFLAG       : in     vl_logic;
        TR_DONE         : in     vl_logic;
        INIT_ADDR       : in     vl_logic_vector(8 downto 0);
        INIT_ASSC_WR    : in     vl_logic;
        INIT_DI         : in     vl_logic_vector(8 downto 0);
        INIT_DONE       : in     vl_logic;
        USER_ASSC_ADDR  : in     vl_logic_vector(8 downto 0);
        USER_ASSC_RD    : in     vl_logic;
        USER_ASSC_RAM_BUSY: out    vl_logic;
        EV_ASSC_ADDR    : in     vl_logic_vector(8 downto 0);
        EV_ASSC_RD      : in     vl_logic;
        ASSC_RAM_ADDR_A : out    vl_logic_vector(8 downto 0);
        ASSC_RAM_RW_A   : out    vl_logic;
        ASSC_RAM_CSN_A  : out    vl_logic;
        ASSC_RAM_DI_A   : out    vl_logic_vector(8 downto 0);
        ASSC_RAM_ADDR_B : out    vl_logic_vector(8 downto 0);
        ASSC_RAM_RW_B   : out    vl_logic;
        ASSC_RAM_CSN_B  : out    vl_logic;
        ASSC_RAM_DI_B   : out    vl_logic_vector(8 downto 0);
        ASSC_RAM_DO_B   : in     vl_logic_vector(8 downto 0);
        ASSC_RAM_WR_BUSY_B: out    vl_logic;
        ASSC_XMODE      : in     vl_logic;
        ASSC_XTRIG      : in     vl_logic;
        ASSC_SEQJUMP    : in     vl_logic;
        ASSC_SEQIN      : in     vl_logic_vector;
        ASSC_SEQOUT     : out    vl_logic_vector;
        ASSC_SEQCHANGE  : out    vl_logic;
        ASSC_DONE       : out    vl_logic;
        ASSC_SAMPFLAG   : out    vl_logic;
        ASSC_WAIT       : out    vl_logic;
        ASSC_CHSAT      : out    vl_logic;
        ASSC_CHLATD     : out    vl_logic;
        ADC_CALIBRATE   : in     vl_logic;
        ADC_BUSY        : in     vl_logic;
        ADC_RESULT      : in     vl_logic_vector(11 downto 0);
        ADC_START       : out    vl_logic;
        ADC_PDOWN       : out    vl_logic;
        ADC_RESET       : out    vl_logic;
        ADC_MODE        : out    vl_logic_vector(3 downto 0);
        ADC_VREFSEL     : out    vl_logic;
        ADC_CHNR        : out    vl_logic_vector(4 downto 0);
        ADC_STC         : out    vl_logic_vector(7 downto 0);
        ADC_DVC         : out    vl_logic_vector(7 downto 0);
        CM_STB          : out    vl_logic_vector(9 downto 0);
        TM_STB          : out    vl_logic_vector(10 downto 0)
    );
end ASSC;
