library verilog;
use verilog.vl_types.all;
entity NVM_sys_init_wrapper is
    port(
        CLK             : in     vl_logic;
        USER_CLK        : in     vl_logic;
        NRESET          : in     vl_logic;
        CLIENT_DIN      : in     vl_logic_vector(35 downto 0);
        CLIENT_AVAIL    : in     vl_logic_vector(3 downto 0);
        USER_ADD        : in     vl_logic_vector(17 downto 0);
        USER_AUX_BLOCK  : in     vl_logic;
        USER_DATA       : in     vl_logic_vector(31 downto 0);
        USER_DISCARD_PAGE: in     vl_logic;
        USER_ERASE_PAGE : in     vl_logic;
        USER_OVERWRITE_PAGE: in     vl_logic;
        USER_OVERWRITE_PROT: in     vl_logic;
        USER_PAGE_STATUS: in     vl_logic;
        USER_PAGELOSS_PROT: in     vl_logic;
        USER_PROGRAM    : in     vl_logic;
        USER_READ       : in     vl_logic;
        USER_READ_NEXT  : in     vl_logic;
        USER_LOCK       : in     vl_logic;
        USER_SPARE_PAGE : in     vl_logic;
        USER_UNPROT_PAGE: in     vl_logic;
        USER_WIDTH      : in     vl_logic_vector(1 downto 0);
        USER_WRITE      : in     vl_logic;
        USER_SIX_CYCLE  : in     vl_logic;
        CLIENT_UPDATE   : in     vl_logic;
        POWER_UP        : in     vl_logic;
        NVM_BUSY        : in     vl_logic;
        NVM_DAT_FROM    : in     vl_logic_vector(31 downto 0);
        NVM_STATUS      : in     vl_logic_vector(1 downto 0);
        NVM_ADD         : out    vl_logic_vector(17 downto 0);
        NVM_AUX_BLOCK   : out    vl_logic;
        NVM_DAT_TO      : out    vl_logic_vector(31 downto 0);
        NVM_DISCARD_PAGE: out    vl_logic;
        NVM_ERASE_PAGE  : out    vl_logic;
        NVM_OVERWRITE_PAGE: out    vl_logic;
        NVM_OVERWRITE_PROT: out    vl_logic;
        NVM_PAGE_STATUS : out    vl_logic;
        NVM_PAGELOSS_PROT: out    vl_logic;
        NVM_PROGRAM     : out    vl_logic;
        NVM_READ        : out    vl_logic;
        NVM_READ_NEXT   : out    vl_logic;
        NVM_LOCK        : out    vl_logic;
        NVM_SPARE_PAGE  : out    vl_logic;
        NVM_UNPROT_PAGE : out    vl_logic;
        NVM_WIDTH       : out    vl_logic_vector(1 downto 0);
        NVM_WRITE       : out    vl_logic;
        NVM_SIX_CYCLE   : out    vl_logic;
        WORD_COUNT      : out    vl_logic_vector(8 downto 0);
        CLIENT_DOUT     : out    vl_logic_vector(8 downto 0);
        CLIENT_DAT_VAL  : out    vl_logic_vector(3 downto 0);
        SAVE_COMPLETE   : out    vl_logic;
        INIT_DONE       : out    vl_logic;
        USER_DOUT       : out    vl_logic_vector(31 downto 0);
        USER_DAT_VAL    : out    vl_logic;
        USER_NVM_STATUS : out    vl_logic_vector(1 downto 0);
        NVM_CLK         : out    vl_logic
    );
end NVM_sys_init_wrapper;
