`timescale 1 ns/100 ps
// Version: 7.3 7.3.0.29


module Analog(
       SYS_CLK,
       SYS_RESET,
       VAREF,
       DATAVALID,
       AV5V,
       Temp,
       Supply_good,
       Supply_good_en,
       Over_temp,
       Over_temp_en,
       ATRETURN01,
       AV5V_over5p25,
       AV5V_under4p75,
       Temp_over70C,
       ASSC_DONE,
       ASSC_WAIT,
       ASSC_CHSAT,
       ASSC_CHLATD,
       INIT_ADDR,
       INIT_DATA,
       INIT_ACM_WEN,
       INIT_ASSC_WEN,
       INIT_EV_WEN,
       INIT_TR_WEN,
       INIT_DONE,
       ACMCLK,
       ACMRDATA_I
    );
input  SYS_CLK;
input  SYS_RESET;
inout  VAREF;
output DATAVALID;
input  AV5V;
input  Temp;
output Supply_good;
input  Supply_good_en;
output Over_temp;
input  Over_temp_en;
input  ATRETURN01;
output AV5V_over5p25;
output AV5V_under4p75;
output Temp_over70C;
output ASSC_DONE;
output ASSC_WAIT;
output ASSC_CHSAT;
output ASSC_CHLATD;
input  [8:0] INIT_ADDR;
input  [8:0] INIT_DATA;
input  INIT_ACM_WEN;
input  INIT_ASSC_WEN;
input  INIT_EV_WEN;
input  INIT_TR_WEN;
input  INIT_DONE;
input  ACMCLK;
output [7:0] ACMRDATA_I;

    wire GND_net, VCC_net, ASSC_RAM_RW_A_net, ASSC_RAM_CSN_A_net, 
        ASSC_RAM_DI_A_net_busnet_8, ASSC_RAM_DI_A_net_busnet_7, 
        ASSC_RAM_DI_A_net_busnet_6, ASSC_RAM_DI_A_net_busnet_5, 
        ASSC_RAM_DI_A_net_busnet_4, ASSC_RAM_DI_A_net_busnet_3, 
        ASSC_RAM_DI_A_net_busnet_2, ASSC_RAM_DI_A_net_busnet_1, 
        ASSC_RAM_DI_A_net_busnet_0, ASSC_RAM_ADDR_A_net_busnet_8, 
        ASSC_RAM_ADDR_A_net_busnet_7, ASSC_RAM_ADDR_A_net_busnet_6, 
        ASSC_RAM_ADDR_A_net_busnet_5, ASSC_RAM_ADDR_A_net_busnet_4, 
        ASSC_RAM_ADDR_A_net_busnet_3, ASSC_RAM_ADDR_A_net_busnet_2, 
        ASSC_RAM_ADDR_A_net_busnet_1, ASSC_RAM_ADDR_A_net_busnet_0, 
        ASSC_RAM_RW_B_net, ASSC_RAM_CSN_B_net, 
        ASSC_RAM_DI_B_net_busnet_8, ASSC_RAM_DI_B_net_busnet_7, 
        ASSC_RAM_DI_B_net_busnet_6, ASSC_RAM_DI_B_net_busnet_5, 
        ASSC_RAM_DI_B_net_busnet_4, ASSC_RAM_DI_B_net_busnet_3, 
        ASSC_RAM_DI_B_net_busnet_2, ASSC_RAM_DI_B_net_busnet_1, 
        ASSC_RAM_DI_B_net_busnet_0, ASSC_RAM_ADDR_B_net_busnet_8, 
        ASSC_RAM_ADDR_B_net_busnet_7, ASSC_RAM_ADDR_B_net_busnet_6, 
        ASSC_RAM_ADDR_B_net_busnet_5, ASSC_RAM_ADDR_B_net_busnet_4, 
        ASSC_RAM_ADDR_B_net_busnet_3, ASSC_RAM_ADDR_B_net_busnet_2, 
        ASSC_RAM_ADDR_B_net_busnet_1, ASSC_RAM_ADDR_B_net_busnet_0, 
        ASSC_RAM_DO_B_net_busnet_8, ASSC_RAM_DO_B_net_busnet_7, 
        ASSC_RAM_DO_B_net_busnet_6, ASSC_RAM_DO_B_net_busnet_5, 
        ASSC_RAM_DO_B_net_busnet_4, ASSC_RAM_DO_B_net_busnet_3, 
        ASSC_RAM_DO_B_net_busnet_2, ASSC_RAM_DO_B_net_busnet_1, 
        ASSC_RAM_DO_B_net_busnet_0, ADC_START_net, ADC_PDOWN_net, 
        ADC_RESET_net, ADC_MODE_net_busnet_3, ADC_MODE_net_busnet_2, 
        ADC_MODE_net_busnet_1, ADC_MODE_net_busnet_0, ADC_VREFSEL_net, 
        ADC_CHNR_net_busnet_4, ADC_CHNR_net_busnet_3, 
        ADC_CHNR_net_busnet_2, ADC_CHNR_net_busnet_1, 
        ADC_CHNR_net_busnet_0, ADC_STC_net_busnet_7, 
        ADC_STC_net_busnet_6, ADC_STC_net_busnet_5, 
        ADC_STC_net_busnet_4, ADC_STC_net_busnet_3, 
        ADC_STC_net_busnet_2, ADC_STC_net_busnet_1, 
        ADC_STC_net_busnet_0, ADC_TVC_net_busnet_7, 
        ADC_TVC_net_busnet_6, ADC_TVC_net_busnet_5, 
        ADC_TVC_net_busnet_4, ADC_TVC_net_busnet_3, 
        ADC_TVC_net_busnet_2, ADC_TVC_net_busnet_1, 
        ADC_TVC_net_busnet_0, ADC_CALIBRATE_net, ADC_BUSY_net, 
        ADC_RESULT_net_busnet_11, ADC_RESULT_net_busnet_10, 
        ADC_RESULT_net_busnet_9, ADC_RESULT_net_busnet_8, 
        ADC_RESULT_net_busnet_7, ADC_RESULT_net_busnet_6, 
        ADC_RESULT_net_busnet_5, ADC_RESULT_net_busnet_4, 
        ADC_RESULT_net_busnet_3, ADC_RESULT_net_busnet_2, 
        ADC_RESULT_net_busnet_1, ADC_RESULT_net_busnet_0, CM_STB_net_0, 
        CM_STB_net_1, CM_STB_net_2, CM_STB_net_3, CM_STB_net_4, 
        CM_STB_net_5, CM_STB_net_6, CM_STB_net_7, CM_STB_net_8, 
        CM_STB_net_9, TM_STB_net_0, TM_STB_net_1, TM_STB_net_2, 
        TM_STB_net_3, TM_STB_net_4, TM_STB_net_5, TM_STB_net_6, 
        TM_STB_net_7, TM_STB_net_8, TM_STB_net_9, TM_STB_net_10, 
        EV_RAM_RW_A_net, EV_RAM_CSN_A_net, EV_RAM_DI_A_net_busnet_8, 
        EV_RAM_DI_A_net_busnet_7, EV_RAM_DI_A_net_busnet_6, 
        EV_RAM_DI_A_net_busnet_5, EV_RAM_DI_A_net_busnet_4, 
        EV_RAM_DI_A_net_busnet_3, EV_RAM_DI_A_net_busnet_2, 
        EV_RAM_DI_A_net_busnet_1, EV_RAM_DI_A_net_busnet_0, 
        EV_RAM_ADDR_A_net_busnet_8, EV_RAM_ADDR_A_net_busnet_7, 
        EV_RAM_ADDR_A_net_busnet_6, EV_RAM_ADDR_A_net_busnet_5, 
        EV_RAM_ADDR_A_net_busnet_4, EV_RAM_ADDR_A_net_busnet_3, 
        EV_RAM_ADDR_A_net_busnet_2, EV_RAM_ADDR_A_net_busnet_1, 
        EV_RAM_ADDR_A_net_busnet_0, EV_RAM_RW_B_net, EV_RAM_CSN_B_net, 
        EV_RAM_DI_B_net_busnet_8, EV_RAM_DI_B_net_busnet_7, 
        EV_RAM_DI_B_net_busnet_6, EV_RAM_DI_B_net_busnet_5, 
        EV_RAM_DI_B_net_busnet_4, EV_RAM_DI_B_net_busnet_3, 
        EV_RAM_DI_B_net_busnet_2, EV_RAM_DI_B_net_busnet_1, 
        EV_RAM_DI_B_net_busnet_0, EV_RAM_ADDR_B_net_busnet_8, 
        EV_RAM_ADDR_B_net_busnet_7, EV_RAM_ADDR_B_net_busnet_6, 
        EV_RAM_ADDR_B_net_busnet_5, EV_RAM_ADDR_B_net_busnet_4, 
        EV_RAM_ADDR_B_net_busnet_3, EV_RAM_ADDR_B_net_busnet_2, 
        EV_RAM_ADDR_B_net_busnet_1, EV_RAM_ADDR_B_net_busnet_0, 
        EV_RAM_DO_B_net_busnet_8, EV_RAM_DO_B_net_busnet_7, 
        EV_RAM_DO_B_net_busnet_6, EV_RAM_DO_B_net_busnet_5, 
        EV_RAM_DO_B_net_busnet_4, EV_RAM_DO_B_net_busnet_3, 
        EV_RAM_DO_B_net_busnet_2, EV_RAM_DO_B_net_busnet_1, 
        EV_RAM_DO_B_net_busnet_0, EV_ASSCADDR_net_busnet_8, 
        EV_ASSCADDR_net_busnet_7, EV_ASSCADDR_net_busnet_6, 
        EV_ASSCADDR_net_busnet_5, EV_ASSCADDR_net_busnet_4, 
        EV_ASSCADDR_net_busnet_3, EV_ASSCADDR_net_busnet_2, 
        EV_ASSCADDR_net_busnet_1, EV_ASSCADDR_net_busnet_0, 
        EV_ASSC_RD_net, ASSC_SEQCHANGE_net, ASSC_SEQOUT_net_busnet_5, 
        ASSC_SEQOUT_net_busnet_4, ASSC_SEQOUT_net_busnet_3, 
        ASSC_SEQOUT_net_busnet_2, ASSC_SEQOUT_net_busnet_1, 
        ASSC_SEQOUT_net_busnet_0, EV_EVFLAG_net, EV_DONE_net, 
        ASSC_SAMPFLAG_net, ASSC_RAM_WR_BUSY_B_net, TR_TRFLAG_net, 
        TR_DONE_net, ASSC_RAM_DO_A_net_busnet_8, 
        ASSC_RAM_DO_A_net_busnet_7, ASSC_RAM_DO_A_net_busnet_6, 
        ASSC_RAM_DO_A_net_busnet_5, ASSC_RAM_DO_A_net_busnet_4, 
        ASSC_RAM_DO_A_net_busnet_3, ASSC_RAM_DO_A_net_busnet_2, 
        ASSC_RAM_DO_A_net_busnet_1, ASSC_RAM_DO_A_net_busnet_0, 
        TR_EV_ADDR_net_busnet_8, TR_EV_ADDR_net_busnet_7, 
        TR_EV_ADDR_net_busnet_6, TR_EV_ADDR_net_busnet_5, 
        TR_EV_ADDR_net_busnet_4, TR_EV_ADDR_net_busnet_3, 
        TR_EV_ADDR_net_busnet_2, TR_EV_ADDR_net_busnet_1, 
        TR_EV_ADDR_net_busnet_0, TR_EV_RD_net, EV_CHHOLD_net_busnet_4, 
        EV_CHHOLD_net_busnet_3, EV_CHHOLD_net_busnet_2, 
        EV_CHHOLD_net_busnet_1, EV_CHHOLD_net_busnet_0, 
        EV_RAM_WR_BUSY_B_net, EV_RAM_DO_A_net_busnet_8, 
        EV_RAM_DO_A_net_busnet_7, EV_RAM_DO_A_net_busnet_6, 
        EV_RAM_DO_A_net_busnet_5, EV_RAM_DO_A_net_busnet_4, 
        EV_RAM_DO_A_net_busnet_3, EV_RAM_DO_A_net_busnet_2, 
        EV_RAM_DO_A_net_busnet_1, EV_RAM_DO_A_net_busnet_0, 
        TR_RAM_RW_A_net, TR_RAM_CSN_A_net, TR_RAM_DI_A_net_busnet_8, 
        TR_RAM_DI_A_net_busnet_7, TR_RAM_DI_A_net_busnet_6, 
        TR_RAM_DI_A_net_busnet_5, TR_RAM_DI_A_net_busnet_4, 
        TR_RAM_DI_A_net_busnet_3, TR_RAM_DI_A_net_busnet_2, 
        TR_RAM_DI_A_net_busnet_1, TR_RAM_DI_A_net_busnet_0, 
        TR_RAM_ADDR_A_net_busnet_8, TR_RAM_ADDR_A_net_busnet_7, 
        TR_RAM_ADDR_A_net_busnet_6, TR_RAM_ADDR_A_net_busnet_5, 
        TR_RAM_ADDR_A_net_busnet_4, TR_RAM_ADDR_A_net_busnet_3, 
        TR_RAM_ADDR_A_net_busnet_2, TR_RAM_ADDR_A_net_busnet_1, 
        TR_RAM_ADDR_A_net_busnet_0, TR_RAM_RW_B_net, TR_RAM_CSN_B_net, 
        TR_RAM_DI_B_net_busnet_8, TR_RAM_DI_B_net_busnet_7, 
        TR_RAM_DI_B_net_busnet_6, TR_RAM_DI_B_net_busnet_5, 
        TR_RAM_DI_B_net_busnet_4, TR_RAM_DI_B_net_busnet_3, 
        TR_RAM_DI_B_net_busnet_2, TR_RAM_DI_B_net_busnet_1, 
        TR_RAM_DI_B_net_busnet_0, TR_RAM_ADDR_B_net_busnet_8, 
        TR_RAM_ADDR_B_net_busnet_7, TR_RAM_ADDR_B_net_busnet_6, 
        TR_RAM_ADDR_B_net_busnet_5, TR_RAM_ADDR_B_net_busnet_4, 
        TR_RAM_ADDR_B_net_busnet_3, TR_RAM_ADDR_B_net_busnet_2, 
        TR_RAM_ADDR_B_net_busnet_1, TR_RAM_ADDR_B_net_busnet_0, 
        TR_RAM_DO_B_net_busnet_8, TR_RAM_DO_B_net_busnet_7, 
        TR_RAM_DO_B_net_busnet_6, TR_RAM_DO_B_net_busnet_5, 
        TR_RAM_DO_B_net_busnet_4, TR_RAM_DO_B_net_busnet_3, 
        TR_RAM_DO_B_net_busnet_2, TR_RAM_DO_B_net_busnet_1, 
        TR_RAM_DO_B_net_busnet_0, INIT_ACM_WEN_OR_net, AV0_net, 
        AT0_net, AG0_net, AG1_net, ATRETURN01_net;
    wire GND_power_net1;
    wire VCC_power_net1;
    assign GND_net = GND_power_net1;
    assign VCC_net = VCC_power_net1;
    
    AB AB_INST (.DAVOUT0(), .DACOUT0(), .DATOUT0(), .DAVOUT1(), 
        .DACOUT1(), .DATOUT1(), .DAVOUT2(), .DACOUT2(), .DATOUT2(), 
        .DAVOUT3(), .DACOUT3(), .DATOUT3(), .DAVOUT4(), .DACOUT4(), 
        .DATOUT4(), .DAVOUT5(), .DACOUT5(), .DATOUT5(), .DAVOUT6(), 
        .DACOUT6(), .DATOUT6(), .DAVOUT7(), .DACOUT7(), .DATOUT7(), 
        .DAVOUT8(), .DACOUT8(), .DATOUT8(), .DAVOUT9(), .DACOUT9(), 
        .DATOUT9(), .DENAV0(GND_net), .DENAC0(GND_net), .DENAT0(
        GND_net), .DENAV1(GND_net), .DENAC1(GND_net), .DENAT1(GND_net), 
        .DENAV2(GND_net), .DENAC2(GND_net), .DENAT2(GND_net), .DENAV3(
        GND_net), .DENAC3(GND_net), .DENAT3(GND_net), .DENAV4(GND_net), 
        .DENAC4(GND_net), .DENAT4(GND_net), .DENAV5(GND_net), .DENAC5(
        GND_net), .DENAT5(GND_net), .DENAV6(GND_net), .DENAC6(GND_net), 
        .DENAT6(GND_net), .DENAV7(GND_net), .DENAC7(GND_net), .DENAT7(
        GND_net), .DENAV8(GND_net), .DENAC8(GND_net), .DENAT8(GND_net), 
        .DENAV9(GND_net), .DENAC9(GND_net), .DENAT9(GND_net), .AV0(
        AV0_net), .AC0(GND_net), .AT0(AT0_net), .AG0(AG0_net), .AV1(
        GND_net), .AC1(GND_net), .AT1(GND_net), .AG1(AG1_net), .AV2(
        GND_net), .AC2(GND_net), .AT2(GND_net), .AG2(), .AV3(GND_net), 
        .AC3(GND_net), .AT3(GND_net), .AG3(), .AV4(GND_net), .AC4(
        GND_net), .AT4(GND_net), .AG4(), .AV5(GND_net), .AC5(GND_net), 
        .AT5(GND_net), .AG5(), .AV6(GND_net), .AC6(GND_net), .AT6(
        GND_net), .AG6(), .AV7(GND_net), .AC7(GND_net), .AT7(GND_net), 
        .AG7(), .AV8(GND_net), .AC8(GND_net), .AT8(GND_net), .AG8(), 
        .AV9(GND_net), .AC9(GND_net), .AT9(GND_net), .AG9(), 
        .ATRETURN01(ATRETURN01_net), .ATRETURN23(GND_net), .ATRETURN45(
        GND_net), .ATRETURN67(GND_net), .ATRETURN89(GND_net), .VAREF(
        VAREF), .GNDREF(GND_net), .GDON0(Supply_good_en), .GDON1(
        Over_temp_en), .GDON2(GND_net), .GDON3(GND_net), .GDON4(
        GND_net), .GDON5(GND_net), .GDON6(GND_net), .GDON7(GND_net), 
        .GDON8(GND_net), .GDON9(GND_net), .CMSTB0(CM_STB_net_0), 
        .CMSTB1(CM_STB_net_1), .CMSTB2(CM_STB_net_2), .CMSTB3(
        CM_STB_net_3), .CMSTB4(CM_STB_net_4), .CMSTB5(CM_STB_net_5), 
        .CMSTB6(CM_STB_net_6), .CMSTB7(CM_STB_net_7), .CMSTB8(
        CM_STB_net_8), .CMSTB9(CM_STB_net_9), .TMSTB0(TM_STB_net_0), 
        .TMSTB1(TM_STB_net_1), .TMSTB2(TM_STB_net_2), .TMSTB3(
        TM_STB_net_3), .TMSTB4(TM_STB_net_4), .TMSTB5(TM_STB_net_5), 
        .TMSTB6(TM_STB_net_6), .TMSTB7(TM_STB_net_7), .TMSTB8(
        TM_STB_net_8), .TMSTB9(TM_STB_net_9), .TMSTBINT(TM_STB_net_10), 
        .RESULT({ADC_RESULT_net_busnet_11, ADC_RESULT_net_busnet_10, 
        ADC_RESULT_net_busnet_9, ADC_RESULT_net_busnet_8, 
        ADC_RESULT_net_busnet_7, ADC_RESULT_net_busnet_6, 
        ADC_RESULT_net_busnet_5, ADC_RESULT_net_busnet_4, 
        ADC_RESULT_net_busnet_3, ADC_RESULT_net_busnet_2, 
        ADC_RESULT_net_busnet_1, ADC_RESULT_net_busnet_0}), .ACMRDATA({
        ACMRDATA_I[7], ACMRDATA_I[6], ACMRDATA_I[5], ACMRDATA_I[4], 
        ACMRDATA_I[3], ACMRDATA_I[2], ACMRDATA_I[1], ACMRDATA_I[0]}), 
        .ACMWDATA({INIT_DATA[7], INIT_DATA[6], INIT_DATA[5], 
        INIT_DATA[4], INIT_DATA[3], INIT_DATA[2], INIT_DATA[1], 
        INIT_DATA[0]}), .ACMADDR({INIT_ADDR[7], INIT_ADDR[6], 
        INIT_ADDR[5], INIT_ADDR[4], INIT_ADDR[3], INIT_ADDR[2], 
        INIT_ADDR[1], INIT_ADDR[0]}), .STC({ADC_STC_net_busnet_7, 
        ADC_STC_net_busnet_6, ADC_STC_net_busnet_5, 
        ADC_STC_net_busnet_4, ADC_STC_net_busnet_3, 
        ADC_STC_net_busnet_2, ADC_STC_net_busnet_1, 
        ADC_STC_net_busnet_0}), .TVC({ADC_TVC_net_busnet_7, 
        ADC_TVC_net_busnet_6, ADC_TVC_net_busnet_5, 
        ADC_TVC_net_busnet_4, ADC_TVC_net_busnet_3, 
        ADC_TVC_net_busnet_2, ADC_TVC_net_busnet_1, 
        ADC_TVC_net_busnet_0}), .CHNUMBER({ADC_CHNR_net_busnet_4, 
        ADC_CHNR_net_busnet_3, ADC_CHNR_net_busnet_2, 
        ADC_CHNR_net_busnet_1, ADC_CHNR_net_busnet_0}), .MODE({
        ADC_MODE_net_busnet_3, ADC_MODE_net_busnet_2, 
        ADC_MODE_net_busnet_1, ADC_MODE_net_busnet_0}), .RTCXTLMODE({
        nc0, nc1}), .ACMRESET(SYS_RESET), .ACMCLK(ACMCLK), .ACMWEN(
        INIT_ACM_WEN_OR_net), .VAREFSEL(ADC_VREFSEL_net), .DATAVALID(
        DATAVALID), .CALIBRATE(ADC_CALIBRATE_net), .SAMPLE(), .BUSY(
        ADC_BUSY_net), .PWRDWN(ADC_PDOWN_net), .SYSCLK(SYS_CLK), 
        .ADCRESET(ADC_RESET_net), .ADCSTART(ADC_START_net), .RTCMATCH()
        , .RTCPSMMATCH(), .RTCXTLSEL(), .RTCCLK(GND_net));
    INBUF_A AV0_PAD (.PAD(AV5V), .Y(AV0_net));
    Analog_smtr_ram Analog_smtr_ram_inst (.DATAA({
        TR_RAM_DI_A_net_busnet_8, TR_RAM_DI_A_net_busnet_7, 
        TR_RAM_DI_A_net_busnet_6, TR_RAM_DI_A_net_busnet_5, 
        TR_RAM_DI_A_net_busnet_4, TR_RAM_DI_A_net_busnet_3, 
        TR_RAM_DI_A_net_busnet_2, TR_RAM_DI_A_net_busnet_1, 
        TR_RAM_DI_A_net_busnet_0}), .ADDRESSA({
        TR_RAM_ADDR_A_net_busnet_8, TR_RAM_ADDR_A_net_busnet_7, 
        TR_RAM_ADDR_A_net_busnet_6, TR_RAM_ADDR_A_net_busnet_5, 
        TR_RAM_ADDR_A_net_busnet_4, TR_RAM_ADDR_A_net_busnet_3, 
        TR_RAM_ADDR_A_net_busnet_2, TR_RAM_ADDR_A_net_busnet_1, 
        TR_RAM_ADDR_A_net_busnet_0}), .RWA(TR_RAM_RW_A_net), .BLKA(
        TR_RAM_CSN_A_net), .DATAB({TR_RAM_DI_B_net_busnet_8, 
        TR_RAM_DI_B_net_busnet_7, TR_RAM_DI_B_net_busnet_6, 
        TR_RAM_DI_B_net_busnet_5, TR_RAM_DI_B_net_busnet_4, 
        TR_RAM_DI_B_net_busnet_3, TR_RAM_DI_B_net_busnet_2, 
        TR_RAM_DI_B_net_busnet_1, TR_RAM_DI_B_net_busnet_0}), 
        .ADDRESSB({TR_RAM_ADDR_B_net_busnet_8, 
        TR_RAM_ADDR_B_net_busnet_7, TR_RAM_ADDR_B_net_busnet_6, 
        TR_RAM_ADDR_B_net_busnet_5, TR_RAM_ADDR_B_net_busnet_4, 
        TR_RAM_ADDR_B_net_busnet_3, TR_RAM_ADDR_B_net_busnet_2, 
        TR_RAM_ADDR_B_net_busnet_1, TR_RAM_ADDR_B_net_busnet_0}), .RWB(
        TR_RAM_RW_B_net), .BLKB(TR_RAM_CSN_B_net), .CLOCK(SYS_CLK), 
        .RESET(SYS_RESET), .QA({nc2, nc3, nc4, nc5, nc6, nc7, nc8, nc9, 
        nc10}), .QB({TR_RAM_DO_B_net_busnet_8, 
        TR_RAM_DO_B_net_busnet_7, TR_RAM_DO_B_net_busnet_6, 
        TR_RAM_DO_B_net_busnet_5, TR_RAM_DO_B_net_busnet_4, 
        TR_RAM_DO_B_net_busnet_3, TR_RAM_DO_B_net_busnet_2, 
        TR_RAM_DO_B_net_busnet_1, TR_RAM_DO_B_net_busnet_0}));
    OR2 INIT_ACMWEN_OR (.A(INIT_ACM_WEN), .B(GND_net), .Y(
        INIT_ACM_WEN_OR_net));
    OUTBUF_A AG1_PAD (.D(AG1_net), .PAD(Over_temp));
    OUTBUF_A AG0_PAD (.D(AG0_net), .PAD(Supply_good));
    INBUF_A ATRETURN01_PAD (.PAD(ATRETURN01), .Y(ATRETURN01_net));
    Analog_smtr_wrapper Analog_smtr_wrapper_inst (.CLK(SYS_CLK), 
        .NRESET(SYS_RESET), .EV_CHHOLD({EV_CHHOLD_net_busnet_4, 
        EV_CHHOLD_net_busnet_3, EV_CHHOLD_net_busnet_2, 
        EV_CHHOLD_net_busnet_1, EV_CHHOLD_net_busnet_0}), .EV_DONE(
        EV_DONE_net), .GPI({GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, VCC_net, GND_net})
        , .INIT_ADDR({INIT_ADDR[8], INIT_ADDR[7], INIT_ADDR[6], 
        INIT_ADDR[5], INIT_ADDR[4], INIT_ADDR[3], INIT_ADDR[2], 
        INIT_ADDR[1], INIT_ADDR[0]}), .INIT_TR_WR(INIT_TR_WEN), 
        .INIT_DI({INIT_DATA[8], INIT_DATA[7], INIT_DATA[6], 
        INIT_DATA[5], INIT_DATA[4], INIT_DATA[3], INIT_DATA[2], 
        INIT_DATA[1], INIT_DATA[0]}), .INIT_DONE(INIT_DONE), 
        .USER_TR_ADDR({GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net}), .USER_TR_RD(GND_net), 
        .EV_RAM_DO_A({EV_RAM_DO_A_net_busnet_8, 
        EV_RAM_DO_A_net_busnet_7, EV_RAM_DO_A_net_busnet_6, 
        EV_RAM_DO_A_net_busnet_5, EV_RAM_DO_A_net_busnet_4, 
        EV_RAM_DO_A_net_busnet_3, EV_RAM_DO_A_net_busnet_2, 
        EV_RAM_DO_A_net_busnet_1, EV_RAM_DO_A_net_busnet_0}), 
        .TR_RAM_DO_B({TR_RAM_DO_B_net_busnet_8, 
        TR_RAM_DO_B_net_busnet_7, TR_RAM_DO_B_net_busnet_6, 
        TR_RAM_DO_B_net_busnet_5, TR_RAM_DO_B_net_busnet_4, 
        TR_RAM_DO_B_net_busnet_3, TR_RAM_DO_B_net_busnet_2, 
        TR_RAM_DO_B_net_busnet_1, TR_RAM_DO_B_net_busnet_0}), 
        .EV_RAM_WR_BUSY_B(EV_RAM_WR_BUSY_B_net), .GPO({nc11, nc12, 
        nc13, nc14, nc15, nc16, nc17, nc18, nc19, nc20, nc21, nc22, 
        nc23, nc24, nc25, nc26, nc27, nc28, nc29, nc30, nc31, nc32, 
        nc33, nc34, nc35, nc36, nc37, nc38, nc39, Temp_over70C, 
        AV5V_under4p75, AV5V_over5p25}), .USER_TR_RAM_BUSY(), 
        .TR_TRFLAG(TR_TRFLAG_net), .TR_DONE(TR_DONE_net), .TR_EV_ADDR({
        TR_EV_ADDR_net_busnet_8, TR_EV_ADDR_net_busnet_7, 
        TR_EV_ADDR_net_busnet_6, TR_EV_ADDR_net_busnet_5, 
        TR_EV_ADDR_net_busnet_4, TR_EV_ADDR_net_busnet_3, 
        TR_EV_ADDR_net_busnet_2, TR_EV_ADDR_net_busnet_1, 
        TR_EV_ADDR_net_busnet_0}), .TR_EV_RD(TR_EV_RD_net), 
        .TR_RAM_ADDR_A({TR_RAM_ADDR_A_net_busnet_8, 
        TR_RAM_ADDR_A_net_busnet_7, TR_RAM_ADDR_A_net_busnet_6, 
        TR_RAM_ADDR_A_net_busnet_5, TR_RAM_ADDR_A_net_busnet_4, 
        TR_RAM_ADDR_A_net_busnet_3, TR_RAM_ADDR_A_net_busnet_2, 
        TR_RAM_ADDR_A_net_busnet_1, TR_RAM_ADDR_A_net_busnet_0}), 
        .TR_RAM_RW_A(TR_RAM_RW_A_net), .TR_RAM_CSN_A(TR_RAM_CSN_A_net), 
        .TR_RAM_DI_A({TR_RAM_DI_A_net_busnet_8, 
        TR_RAM_DI_A_net_busnet_7, TR_RAM_DI_A_net_busnet_6, 
        TR_RAM_DI_A_net_busnet_5, TR_RAM_DI_A_net_busnet_4, 
        TR_RAM_DI_A_net_busnet_3, TR_RAM_DI_A_net_busnet_2, 
        TR_RAM_DI_A_net_busnet_1, TR_RAM_DI_A_net_busnet_0}), 
        .TR_RAM_ADDR_B({TR_RAM_ADDR_B_net_busnet_8, 
        TR_RAM_ADDR_B_net_busnet_7, TR_RAM_ADDR_B_net_busnet_6, 
        TR_RAM_ADDR_B_net_busnet_5, TR_RAM_ADDR_B_net_busnet_4, 
        TR_RAM_ADDR_B_net_busnet_3, TR_RAM_ADDR_B_net_busnet_2, 
        TR_RAM_ADDR_B_net_busnet_1, TR_RAM_ADDR_B_net_busnet_0}), 
        .TR_RAM_RW_B(TR_RAM_RW_B_net), .TR_RAM_CSN_B(TR_RAM_CSN_B_net), 
        .TR_RAM_DI_B({TR_RAM_DI_B_net_busnet_8, 
        TR_RAM_DI_B_net_busnet_7, TR_RAM_DI_B_net_busnet_6, 
        TR_RAM_DI_B_net_busnet_5, TR_RAM_DI_B_net_busnet_4, 
        TR_RAM_DI_B_net_busnet_3, TR_RAM_DI_B_net_busnet_2, 
        TR_RAM_DI_B_net_busnet_1, TR_RAM_DI_B_net_busnet_0}), 
        .TR_RAM_WR_BUSY_B());
    Analog_assc_ram Analog_assc_ram_inst (.DATAA({
        ASSC_RAM_DI_A_net_busnet_8, ASSC_RAM_DI_A_net_busnet_7, 
        ASSC_RAM_DI_A_net_busnet_6, ASSC_RAM_DI_A_net_busnet_5, 
        ASSC_RAM_DI_A_net_busnet_4, ASSC_RAM_DI_A_net_busnet_3, 
        ASSC_RAM_DI_A_net_busnet_2, ASSC_RAM_DI_A_net_busnet_1, 
        ASSC_RAM_DI_A_net_busnet_0}), .ADDRESSA({
        ASSC_RAM_ADDR_A_net_busnet_8, ASSC_RAM_ADDR_A_net_busnet_7, 
        ASSC_RAM_ADDR_A_net_busnet_6, ASSC_RAM_ADDR_A_net_busnet_5, 
        ASSC_RAM_ADDR_A_net_busnet_4, ASSC_RAM_ADDR_A_net_busnet_3, 
        ASSC_RAM_ADDR_A_net_busnet_2, ASSC_RAM_ADDR_A_net_busnet_1, 
        ASSC_RAM_ADDR_A_net_busnet_0}), .RWA(ASSC_RAM_RW_A_net), .BLKA(
        ASSC_RAM_CSN_A_net), .DATAB({ASSC_RAM_DI_B_net_busnet_8, 
        ASSC_RAM_DI_B_net_busnet_7, ASSC_RAM_DI_B_net_busnet_6, 
        ASSC_RAM_DI_B_net_busnet_5, ASSC_RAM_DI_B_net_busnet_4, 
        ASSC_RAM_DI_B_net_busnet_3, ASSC_RAM_DI_B_net_busnet_2, 
        ASSC_RAM_DI_B_net_busnet_1, ASSC_RAM_DI_B_net_busnet_0}), 
        .ADDRESSB({ASSC_RAM_ADDR_B_net_busnet_8, 
        ASSC_RAM_ADDR_B_net_busnet_7, ASSC_RAM_ADDR_B_net_busnet_6, 
        ASSC_RAM_ADDR_B_net_busnet_5, ASSC_RAM_ADDR_B_net_busnet_4, 
        ASSC_RAM_ADDR_B_net_busnet_3, ASSC_RAM_ADDR_B_net_busnet_2, 
        ASSC_RAM_ADDR_B_net_busnet_1, ASSC_RAM_ADDR_B_net_busnet_0}), 
        .RWB(ASSC_RAM_RW_B_net), .BLKB(ASSC_RAM_CSN_B_net), .CLOCK(
        SYS_CLK), .RESET(SYS_RESET), .QA({ASSC_RAM_DO_A_net_busnet_8, 
        ASSC_RAM_DO_A_net_busnet_7, ASSC_RAM_DO_A_net_busnet_6, 
        ASSC_RAM_DO_A_net_busnet_5, ASSC_RAM_DO_A_net_busnet_4, 
        ASSC_RAM_DO_A_net_busnet_3, ASSC_RAM_DO_A_net_busnet_2, 
        ASSC_RAM_DO_A_net_busnet_1, ASSC_RAM_DO_A_net_busnet_0}), .QB({
        ASSC_RAM_DO_B_net_busnet_8, ASSC_RAM_DO_B_net_busnet_7, 
        ASSC_RAM_DO_B_net_busnet_6, ASSC_RAM_DO_B_net_busnet_5, 
        ASSC_RAM_DO_B_net_busnet_4, ASSC_RAM_DO_B_net_busnet_3, 
        ASSC_RAM_DO_B_net_busnet_2, ASSC_RAM_DO_B_net_busnet_1, 
        ASSC_RAM_DO_B_net_busnet_0}));
    Analog_smev_wrapper Analog_smev_wrapper_inst (.CLK(SYS_CLK), 
        .NRESET(SYS_RESET), .ASSC_SEQOUT({ASSC_SEQOUT_net_busnet_5, 
        ASSC_SEQOUT_net_busnet_4, ASSC_SEQOUT_net_busnet_3, 
        ASSC_SEQOUT_net_busnet_2, ASSC_SEQOUT_net_busnet_1, 
        ASSC_SEQOUT_net_busnet_0}), .ASSC_SEQCHANGE(ASSC_SEQCHANGE_net)
        , .ASSC_DONE(ASSC_DONE), .ASSC_SAMPFLAG(ASSC_SAMPFLAG_net), 
        .ADC_CHNR({ADC_CHNR_net_busnet_4, ADC_CHNR_net_busnet_3, 
        ADC_CHNR_net_busnet_2, ADC_CHNR_net_busnet_1, 
        ADC_CHNR_net_busnet_0}), .INIT_ADDR({INIT_ADDR[8], 
        INIT_ADDR[7], INIT_ADDR[6], INIT_ADDR[5], INIT_ADDR[4], 
        INIT_ADDR[3], INIT_ADDR[2], INIT_ADDR[1], INIT_ADDR[0]}), 
        .INIT_EV_WR(INIT_EV_WEN), .INIT_DI({INIT_DATA[8], INIT_DATA[7], 
        INIT_DATA[6], INIT_DATA[5], INIT_DATA[4], INIT_DATA[3], 
        INIT_DATA[2], INIT_DATA[1], INIT_DATA[0]}), .INIT_DONE(
        INIT_DONE), .USER_EV_ADDR({GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net}), .USER_EV_RD(
        GND_net), .TR_EV_ADDR({TR_EV_ADDR_net_busnet_8, 
        TR_EV_ADDR_net_busnet_7, TR_EV_ADDR_net_busnet_6, 
        TR_EV_ADDR_net_busnet_5, TR_EV_ADDR_net_busnet_4, 
        TR_EV_ADDR_net_busnet_3, TR_EV_ADDR_net_busnet_2, 
        TR_EV_ADDR_net_busnet_1, TR_EV_ADDR_net_busnet_0}), .TR_EV_RD(
        TR_EV_RD_net), .ASSC_RAM_DO_A({ASSC_RAM_DO_A_net_busnet_8, 
        ASSC_RAM_DO_A_net_busnet_7, ASSC_RAM_DO_A_net_busnet_6, 
        ASSC_RAM_DO_A_net_busnet_5, ASSC_RAM_DO_A_net_busnet_4, 
        ASSC_RAM_DO_A_net_busnet_3, ASSC_RAM_DO_A_net_busnet_2, 
        ASSC_RAM_DO_A_net_busnet_1, ASSC_RAM_DO_A_net_busnet_0}), 
        .EV_RAM_DO_B({EV_RAM_DO_B_net_busnet_8, 
        EV_RAM_DO_B_net_busnet_7, EV_RAM_DO_B_net_busnet_6, 
        EV_RAM_DO_B_net_busnet_5, EV_RAM_DO_B_net_busnet_4, 
        EV_RAM_DO_B_net_busnet_3, EV_RAM_DO_B_net_busnet_2, 
        EV_RAM_DO_B_net_busnet_1, EV_RAM_DO_B_net_busnet_0}), 
        .ASSC_RAM_WR_BUSY_B(ASSC_RAM_WR_BUSY_B_net), .EV_CHHOLD({
        EV_CHHOLD_net_busnet_4, EV_CHHOLD_net_busnet_3, 
        EV_CHHOLD_net_busnet_2, EV_CHHOLD_net_busnet_1, 
        EV_CHHOLD_net_busnet_0}), .USER_EV_RAM_BUSY(), .EV_EVFLAG(
        EV_EVFLAG_net), .EV_DONE(EV_DONE_net), .EV_ASSC_ADDR({
        EV_ASSCADDR_net_busnet_8, EV_ASSCADDR_net_busnet_7, 
        EV_ASSCADDR_net_busnet_6, EV_ASSCADDR_net_busnet_5, 
        EV_ASSCADDR_net_busnet_4, EV_ASSCADDR_net_busnet_3, 
        EV_ASSCADDR_net_busnet_2, EV_ASSCADDR_net_busnet_1, 
        EV_ASSCADDR_net_busnet_0}), .EV_ASSC_RD(EV_ASSC_RD_net), 
        .EV_RAM_ADDR_A({EV_RAM_ADDR_A_net_busnet_8, 
        EV_RAM_ADDR_A_net_busnet_7, EV_RAM_ADDR_A_net_busnet_6, 
        EV_RAM_ADDR_A_net_busnet_5, EV_RAM_ADDR_A_net_busnet_4, 
        EV_RAM_ADDR_A_net_busnet_3, EV_RAM_ADDR_A_net_busnet_2, 
        EV_RAM_ADDR_A_net_busnet_1, EV_RAM_ADDR_A_net_busnet_0}), 
        .EV_RAM_RW_A(EV_RAM_RW_A_net), .EV_RAM_CSN_A(EV_RAM_CSN_A_net), 
        .EV_RAM_DI_A({EV_RAM_DI_A_net_busnet_8, 
        EV_RAM_DI_A_net_busnet_7, EV_RAM_DI_A_net_busnet_6, 
        EV_RAM_DI_A_net_busnet_5, EV_RAM_DI_A_net_busnet_4, 
        EV_RAM_DI_A_net_busnet_3, EV_RAM_DI_A_net_busnet_2, 
        EV_RAM_DI_A_net_busnet_1, EV_RAM_DI_A_net_busnet_0}), 
        .EV_RAM_ADDR_B({EV_RAM_ADDR_B_net_busnet_8, 
        EV_RAM_ADDR_B_net_busnet_7, EV_RAM_ADDR_B_net_busnet_6, 
        EV_RAM_ADDR_B_net_busnet_5, EV_RAM_ADDR_B_net_busnet_4, 
        EV_RAM_ADDR_B_net_busnet_3, EV_RAM_ADDR_B_net_busnet_2, 
        EV_RAM_ADDR_B_net_busnet_1, EV_RAM_ADDR_B_net_busnet_0}), 
        .EV_RAM_RW_B(EV_RAM_RW_B_net), .EV_RAM_CSN_B(EV_RAM_CSN_B_net), 
        .EV_RAM_DI_B({EV_RAM_DI_B_net_busnet_8, 
        EV_RAM_DI_B_net_busnet_7, EV_RAM_DI_B_net_busnet_6, 
        EV_RAM_DI_B_net_busnet_5, EV_RAM_DI_B_net_busnet_4, 
        EV_RAM_DI_B_net_busnet_3, EV_RAM_DI_B_net_busnet_2, 
        EV_RAM_DI_B_net_busnet_1, EV_RAM_DI_B_net_busnet_0}), 
        .EV_RAM_WR_BUSY_B(EV_RAM_WR_BUSY_B_net));
    INBUF_A AT0_PAD (.PAD(Temp), .Y(AT0_net));
    Analog_smev_ram Analog_smev_ram_inst (.DATAA({
        EV_RAM_DI_A_net_busnet_8, EV_RAM_DI_A_net_busnet_7, 
        EV_RAM_DI_A_net_busnet_6, EV_RAM_DI_A_net_busnet_5, 
        EV_RAM_DI_A_net_busnet_4, EV_RAM_DI_A_net_busnet_3, 
        EV_RAM_DI_A_net_busnet_2, EV_RAM_DI_A_net_busnet_1, 
        EV_RAM_DI_A_net_busnet_0}), .ADDRESSA({
        EV_RAM_ADDR_A_net_busnet_8, EV_RAM_ADDR_A_net_busnet_7, 
        EV_RAM_ADDR_A_net_busnet_6, EV_RAM_ADDR_A_net_busnet_5, 
        EV_RAM_ADDR_A_net_busnet_4, EV_RAM_ADDR_A_net_busnet_3, 
        EV_RAM_ADDR_A_net_busnet_2, EV_RAM_ADDR_A_net_busnet_1, 
        EV_RAM_ADDR_A_net_busnet_0}), .RWA(EV_RAM_RW_A_net), .BLKA(
        EV_RAM_CSN_A_net), .DATAB({EV_RAM_DI_B_net_busnet_8, 
        EV_RAM_DI_B_net_busnet_7, EV_RAM_DI_B_net_busnet_6, 
        EV_RAM_DI_B_net_busnet_5, EV_RAM_DI_B_net_busnet_4, 
        EV_RAM_DI_B_net_busnet_3, EV_RAM_DI_B_net_busnet_2, 
        EV_RAM_DI_B_net_busnet_1, EV_RAM_DI_B_net_busnet_0}), 
        .ADDRESSB({EV_RAM_ADDR_B_net_busnet_8, 
        EV_RAM_ADDR_B_net_busnet_7, EV_RAM_ADDR_B_net_busnet_6, 
        EV_RAM_ADDR_B_net_busnet_5, EV_RAM_ADDR_B_net_busnet_4, 
        EV_RAM_ADDR_B_net_busnet_3, EV_RAM_ADDR_B_net_busnet_2, 
        EV_RAM_ADDR_B_net_busnet_1, EV_RAM_ADDR_B_net_busnet_0}), .RWB(
        EV_RAM_RW_B_net), .BLKB(EV_RAM_CSN_B_net), .CLOCK(SYS_CLK), 
        .RESET(SYS_RESET), .QA({EV_RAM_DO_A_net_busnet_8, 
        EV_RAM_DO_A_net_busnet_7, EV_RAM_DO_A_net_busnet_6, 
        EV_RAM_DO_A_net_busnet_5, EV_RAM_DO_A_net_busnet_4, 
        EV_RAM_DO_A_net_busnet_3, EV_RAM_DO_A_net_busnet_2, 
        EV_RAM_DO_A_net_busnet_1, EV_RAM_DO_A_net_busnet_0}), .QB({
        EV_RAM_DO_B_net_busnet_8, EV_RAM_DO_B_net_busnet_7, 
        EV_RAM_DO_B_net_busnet_6, EV_RAM_DO_B_net_busnet_5, 
        EV_RAM_DO_B_net_busnet_4, EV_RAM_DO_B_net_busnet_3, 
        EV_RAM_DO_B_net_busnet_2, EV_RAM_DO_B_net_busnet_1, 
        EV_RAM_DO_B_net_busnet_0}));
    Analog_assc_wrapper Analog_assc_wrapper_inst (.CLK(SYS_CLK), 
        .NRESET(SYS_RESET), .INIT_ADDR({INIT_ADDR[8], INIT_ADDR[7], 
        INIT_ADDR[6], INIT_ADDR[5], INIT_ADDR[4], INIT_ADDR[3], 
        INIT_ADDR[2], INIT_ADDR[1], INIT_ADDR[0]}), .INIT_ASSC_WR(
        INIT_ASSC_WEN), .INIT_DI({INIT_DATA[8], INIT_DATA[7], 
        INIT_DATA[6], INIT_DATA[5], INIT_DATA[4], INIT_DATA[3], 
        INIT_DATA[2], INIT_DATA[1], INIT_DATA[0]}), .INIT_DONE(
        INIT_DONE), .USER_ASSC_ADDR({GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net}), 
        .USER_ASSC_RD(GND_net), .EV_ASSC_ADDR({
        EV_ASSCADDR_net_busnet_8, EV_ASSCADDR_net_busnet_7, 
        EV_ASSCADDR_net_busnet_6, EV_ASSCADDR_net_busnet_5, 
        EV_ASSCADDR_net_busnet_4, EV_ASSCADDR_net_busnet_3, 
        EV_ASSCADDR_net_busnet_2, EV_ASSCADDR_net_busnet_1, 
        EV_ASSCADDR_net_busnet_0}), .EV_ASSC_RD(EV_ASSC_RD_net), 
        .EV_EVFLAG(EV_EVFLAG_net), .EV_DONE(EV_DONE_net), .TR_TRFLAG(
        TR_TRFLAG_net), .TR_DONE(TR_DONE_net), .ASSC_SEQIN({GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net}), .ASSC_RAM_DO_B({
        ASSC_RAM_DO_B_net_busnet_8, ASSC_RAM_DO_B_net_busnet_7, 
        ASSC_RAM_DO_B_net_busnet_6, ASSC_RAM_DO_B_net_busnet_5, 
        ASSC_RAM_DO_B_net_busnet_4, ASSC_RAM_DO_B_net_busnet_3, 
        ASSC_RAM_DO_B_net_busnet_2, ASSC_RAM_DO_B_net_busnet_1, 
        ASSC_RAM_DO_B_net_busnet_0}), .ASSC_XMODE(GND_net), 
        .ASSC_XTRIG(GND_net), .ASSC_SEQJUMP(GND_net), .ADC_CALIBRATE(
        ADC_CALIBRATE_net), .ADC_BUSY(ADC_BUSY_net), .ADC_RESULT({
        ADC_RESULT_net_busnet_11, ADC_RESULT_net_busnet_10, 
        ADC_RESULT_net_busnet_9, ADC_RESULT_net_busnet_8, 
        ADC_RESULT_net_busnet_7, ADC_RESULT_net_busnet_6, 
        ADC_RESULT_net_busnet_5, ADC_RESULT_net_busnet_4, 
        ADC_RESULT_net_busnet_3, ADC_RESULT_net_busnet_2, 
        ADC_RESULT_net_busnet_1, ADC_RESULT_net_busnet_0}), 
        .USER_ASSC_RAM_BUSY(), .ASSC_RAM_ADDR_A({
        ASSC_RAM_ADDR_A_net_busnet_8, ASSC_RAM_ADDR_A_net_busnet_7, 
        ASSC_RAM_ADDR_A_net_busnet_6, ASSC_RAM_ADDR_A_net_busnet_5, 
        ASSC_RAM_ADDR_A_net_busnet_4, ASSC_RAM_ADDR_A_net_busnet_3, 
        ASSC_RAM_ADDR_A_net_busnet_2, ASSC_RAM_ADDR_A_net_busnet_1, 
        ASSC_RAM_ADDR_A_net_busnet_0}), .ASSC_RAM_RW_A(
        ASSC_RAM_RW_A_net), .ASSC_RAM_CSN_A(ASSC_RAM_CSN_A_net), 
        .ASSC_RAM_DI_A({ASSC_RAM_DI_A_net_busnet_8, 
        ASSC_RAM_DI_A_net_busnet_7, ASSC_RAM_DI_A_net_busnet_6, 
        ASSC_RAM_DI_A_net_busnet_5, ASSC_RAM_DI_A_net_busnet_4, 
        ASSC_RAM_DI_A_net_busnet_3, ASSC_RAM_DI_A_net_busnet_2, 
        ASSC_RAM_DI_A_net_busnet_1, ASSC_RAM_DI_A_net_busnet_0}), 
        .ASSC_RAM_ADDR_B({ASSC_RAM_ADDR_B_net_busnet_8, 
        ASSC_RAM_ADDR_B_net_busnet_7, ASSC_RAM_ADDR_B_net_busnet_6, 
        ASSC_RAM_ADDR_B_net_busnet_5, ASSC_RAM_ADDR_B_net_busnet_4, 
        ASSC_RAM_ADDR_B_net_busnet_3, ASSC_RAM_ADDR_B_net_busnet_2, 
        ASSC_RAM_ADDR_B_net_busnet_1, ASSC_RAM_ADDR_B_net_busnet_0}), 
        .ASSC_RAM_RW_B(ASSC_RAM_RW_B_net), .ASSC_RAM_CSN_B(
        ASSC_RAM_CSN_B_net), .ASSC_RAM_DI_B({
        ASSC_RAM_DI_B_net_busnet_8, ASSC_RAM_DI_B_net_busnet_7, 
        ASSC_RAM_DI_B_net_busnet_6, ASSC_RAM_DI_B_net_busnet_5, 
        ASSC_RAM_DI_B_net_busnet_4, ASSC_RAM_DI_B_net_busnet_3, 
        ASSC_RAM_DI_B_net_busnet_2, ASSC_RAM_DI_B_net_busnet_1, 
        ASSC_RAM_DI_B_net_busnet_0}), .ASSC_SEQOUT({
        ASSC_SEQOUT_net_busnet_5, ASSC_SEQOUT_net_busnet_4, 
        ASSC_SEQOUT_net_busnet_3, ASSC_SEQOUT_net_busnet_2, 
        ASSC_SEQOUT_net_busnet_1, ASSC_SEQOUT_net_busnet_0}), 
        .ASSC_SEQCHANGE(ASSC_SEQCHANGE_net), .ASSC_DONE(ASSC_DONE), 
        .ASSC_WAIT(ASSC_WAIT), .ASSC_SAMPFLAG(ASSC_SAMPFLAG_net), 
        .ASSC_CHSAT(ASSC_CHSAT), .ASSC_CHLATD(ASSC_CHLATD), .ADC_START(
        ADC_START_net), .ADC_PDOWN(ADC_PDOWN_net), .ADC_RESET(
        ADC_RESET_net), .ADC_MODE({ADC_MODE_net_busnet_3, 
        ADC_MODE_net_busnet_2, ADC_MODE_net_busnet_1, 
        ADC_MODE_net_busnet_0}), .ADC_VREFSEL(ADC_VREFSEL_net), 
        .ADC_CHNR({ADC_CHNR_net_busnet_4, ADC_CHNR_net_busnet_3, 
        ADC_CHNR_net_busnet_2, ADC_CHNR_net_busnet_1, 
        ADC_CHNR_net_busnet_0}), .ADC_STC({ADC_STC_net_busnet_7, 
        ADC_STC_net_busnet_6, ADC_STC_net_busnet_5, 
        ADC_STC_net_busnet_4, ADC_STC_net_busnet_3, 
        ADC_STC_net_busnet_2, ADC_STC_net_busnet_1, 
        ADC_STC_net_busnet_0}), .ADC_DVC({ADC_TVC_net_busnet_7, 
        ADC_TVC_net_busnet_6, ADC_TVC_net_busnet_5, 
        ADC_TVC_net_busnet_4, ADC_TVC_net_busnet_3, 
        ADC_TVC_net_busnet_2, ADC_TVC_net_busnet_1, 
        ADC_TVC_net_busnet_0}), .CM_STB({CM_STB_net_9, CM_STB_net_8, 
        CM_STB_net_7, CM_STB_net_6, CM_STB_net_5, CM_STB_net_4, 
        CM_STB_net_3, CM_STB_net_2, CM_STB_net_1, CM_STB_net_0}), 
        .TM_STB({TM_STB_net_10, TM_STB_net_9, TM_STB_net_8, 
        TM_STB_net_7, TM_STB_net_6, TM_STB_net_5, TM_STB_net_4, 
        TM_STB_net_3, TM_STB_net_2, TM_STB_net_1, TM_STB_net_0}), 
        .ASSC_RAM_WR_BUSY_B(ASSC_RAM_WR_BUSY_B_net));
    GND GND_power_inst1 (.Y(GND_power_net1));
    VCC VCC_power_inst1 (.Y(VCC_power_net1));
    
endmodule

// _Disclaimer: Please leave the following comments in the file, they are for internal purposes only._

// _CFG_File_Contents_

// 
// adc_set_engine -hdl VERILOG \
//                -toplevel "Analog" \
//                -workdir {.} \
//                -commondir {./common} \
//                -die "AFS250" \
//                -package "256 FBGA" \
//                -memory_file_format INTELHEX \
//                -verbosity 0
// 
// adc_set_system -system_frequency " 40.00 Mhz" \
//                -mode 12 \
//                -calibrate 1 \
//                -allow_assc_repeat 0 \
//                -export_assc_status 1 \
//                -export_smev_status 0 \
//                -export_assc_ram 0 \
//                -export_smev_ram 0 \
//                -export_adc_result 0 \
//                -export_acm_bus 1 \
//                -system_configuration "ALL_IP" 
// 
// adc_set_rtc -enable 0 \
//             -osc_mode "EXTERNAL_CRYSTAL" \
//             -rtc_frequency " 32.000 Khz" \
//             -match 0 \
//             -counter 0 \
//             -reset_count_on_match 1 \
//             -enable_vr 0
// 
// adc_set_voltage_channel -channel_name AV5V \
//                         -maximum_supply_voltage " 5.500000 V" \
//                         -pre_scalar " 8.000000 V" \
//                         -post_scalar " 8.000000 V" \
//                         -use_prescalar 1 \
//                         -number_of_samples_to_average 1 \
//                         -initial_averaging_value " 0.000000 V" \
//                         -settling_time " 10.000 us"
// 
// adc_set_voltage_flag -channel_name AV5V \
//                      -type OVER \
//                      -port_name over5p25 \
//                      -threshold " 5.250000 V" \
//                      -state_filter_0_to_1 0 \
//                      -state_filter_1_to_0 0
// 
// adc_set_voltage_flag -channel_name AV5V \
//                      -type UNDER \
//                      -port_name under4p75 \
//                      -threshold " 4.750000 V" \
//                      -state_filter_0_to_1 0 \
//                      -state_filter_1_to_0 0
// 
// adc_set_temperature_channel -channel_name Temp \
//                         -number_of_samples_to_average 1 \
//                         -initial_averaging_value " 0.000 C" \
//                         -settling_time " 5.000 us"
// 
// adc_set_temperature_flag -channel_name Temp \
//                      -type OVER \
//                      -port_name over70C \
//                      -threshold " 70.000 C" \
//                      -state_filter_0_to_1 0 \
//                      -state_filter_1_to_0 0
// 
// adc_set_output_channel -channel_name Supply_good \
//                        -enable_port_name Supply_good_en \
//                        -source_sink_current " 1.000 uA" \
//                        -polarity POSITIVE
// 
// adc_set_output_channel -channel_name Over_temp \
//                        -enable_port_name Over_temp_en \
//                        -source_sink_current " 1.000 uA" \
//                        -polarity POSITIVE
// 
// adc_set_sequencer -use_external_trigger 0 
// 
// adc_set_sequencer_procedure -procedure_name Main \
//                             -lock 1 \
//                             -start_slot 0
// 
// adc_set_sequencer_procedure_req -procedure_name Main \
//                                 -signal_name AV5V \
//                                 -rate_requirement " 0.000 Ksps" 
// 
// adc_set_sequencer_procedure_req -procedure_name Main \
//                                 -signal_name Temp \
//                                 -rate_requirement " 0.000 Ksps" 
// 
// adc_set_sequencer_procedure_slot -procedure_name Main \
//                                  -logical_slot 0 \
//                                  -function SAMPLE \
//                                  -signal_name AV5V \
//                                  -repeat 0 
// 
// adc_set_sequencer_procedure_slot -procedure_name Main \
//                                  -logical_slot 1 \
//                                  -function SAMPLE_JUMP \
//                                  -signal_name Temp \
//                                  -jump_procedure_name Main \
//                                  -repeat 0 

// _GEN_File_Contents_

// DESIGN:Analog
// DESDIR:D:/Actelprj/VT_Mon_vlog/smartgen\Analog
// FAM:Fusion
// MGNCMPL:F
// MGNTIMER:F
// OUTFORMAT:Verilog
// LPMTYPE:LPM_ANALOGSYS
// LPM_HINT:NONE
// CONFIGFILE:Analog.cfg

// _End_Comments_

