module Analog_smev_wrapper ( CLK,
               NRESET,
               ASSC_SEQOUT,
               ASSC_SEQCHANGE,
               ASSC_DONE,
               ASSC_SAMPFLAG,
               ASSC_RAM_WR_BUSY_B,
               ADC_CHNR,
               EV_CHHOLD,
               INIT_ADDR,
               INIT_EV_WR,
               INIT_DI,
               INIT_DONE,
               USER_EV_ADDR,
               USER_EV_RD,
               USER_EV_RAM_BUSY,
               TR_EV_ADDR,
               TR_EV_RD,
               EV_EVFLAG,
               EV_DONE,
               EV_ASSC_ADDR,
               EV_ASSC_RD,
               ASSC_RAM_DO_A,
               EV_RAM_ADDR_A,
               EV_RAM_RW_A,
               EV_RAM_CSN_A,
               EV_RAM_DI_A,
               EV_RAM_ADDR_B,
               EV_RAM_RW_B,
               EV_RAM_CSN_B,
               EV_RAM_DI_B,
               EV_RAM_DO_B,
               EV_RAM_WR_BUSY_B );

    input CLK;
    input NRESET;
    input[6-1 :0] ASSC_SEQOUT;
    input ASSC_SEQCHANGE;
    input ASSC_DONE;
    input ASSC_SAMPFLAG;
    input ASSC_RAM_WR_BUSY_B;
    input[4 :0] ADC_CHNR;
    output[4 :0] EV_CHHOLD;
    input[9-1 :0] INIT_ADDR;
    input INIT_EV_WR;
    input[8 :0] INIT_DI;
    input INIT_DONE;
    input[9-1 :0] USER_EV_ADDR;
    input USER_EV_RD;
    output USER_EV_RAM_BUSY;
    input[9-1 :0] TR_EV_ADDR;
    input TR_EV_RD;
    output EV_EVFLAG;
    output EV_DONE;
    output[8 :0] EV_ASSC_ADDR;
    output EV_ASSC_RD;
    input[8 :0] ASSC_RAM_DO_A;
    output[9-1 :0] EV_RAM_ADDR_A;
    output EV_RAM_RW_A;
    output EV_RAM_CSN_A;
    output[8 :0] EV_RAM_DI_A;
    output[9-1 :0] EV_RAM_ADDR_B;
    output EV_RAM_RW_B;
    output EV_RAM_CSN_B;
    output[8 :0] EV_RAM_DI_B;
    input[8 :0] EV_RAM_DO_B;
    output EV_RAM_WR_BUSY_B;

    wire CLK;
    wire NRESET;
    wire [6-1 :0]ASSC_SEQOUT;
    wire ASSC_SEQCHANGE;
    wire ASSC_DONE;
    wire ASSC_SAMPFLAG;
    wire ASSC_RAM_WR_BUSY_B;
    wire [4 :0]ADC_CHNR;
    wire [4 :0]EV_CHHOLD;
    wire [9-1 :0]INIT_ADDR;
    wire INIT_EV_WR;
    wire [8 :0]INIT_DI;
    wire INIT_DONE;
    wire [9-1 :0]USER_EV_ADDR;
    wire USER_EV_RD;
    wire USER_EV_RAM_BUSY;
    wire [9-1 :0]TR_EV_ADDR;
    wire TR_EV_RD;
    wire EV_EVFLAG;
    wire EV_DONE;
    wire [8 :0]EV_ASSC_ADDR;
    wire EV_ASSC_RD;
    wire [8 :0]ASSC_RAM_DO_A;
    wire [9-1 :0]EV_RAM_ADDR_A;
    wire EV_RAM_RW_A;
    wire EV_RAM_CSN_A;
    wire [8 :0]EV_RAM_DI_A;
    wire [9-1 :0]EV_RAM_ADDR_B;
    wire EV_RAM_RW_B;
    wire EV_RAM_CSN_B;
    wire [8 :0]EV_RAM_DI_B;
    wire [8 :0]EV_RAM_DO_B;
    wire EV_RAM_WR_BUSY_B;

    defparam user_Analog_smev_wrapper.TS_WIDTH = 6;
    defparam user_Analog_smev_wrapper.ALLOW_USER_EV = 0;
    defparam user_Analog_smev_wrapper.ALLOW_DLPF = 1;
    defparam user_Analog_smev_wrapper.ALLOW_A_PLUS_B = 0;
    defparam user_Analog_smev_wrapper.ALLOW_A_MINUS_B = 0;
    defparam user_Analog_smev_wrapper.ALLOW_A_GT_B = 1;
    defparam user_Analog_smev_wrapper.EV_ASIZE = 9;
    defparam user_Analog_smev_wrapper.ST_CNT_WIDTH = 5;

    SMEV user_Analog_smev_wrapper ( 
	.CLK (CLK),
	.NRESET (NRESET),
	.ASSC_SEQOUT (ASSC_SEQOUT),
	.ASSC_SEQCHANGE (ASSC_SEQCHANGE),
	.ASSC_DONE (ASSC_DONE),
	.ASSC_SAMPFLAG (ASSC_SAMPFLAG),
	.ASSC_RAM_WR_BUSY_B (ASSC_RAM_WR_BUSY_B),
	.ADC_CHNR (ADC_CHNR),
	.EV_CHHOLD (EV_CHHOLD),
	.INIT_ADDR (INIT_ADDR),
	.INIT_EV_WR (INIT_EV_WR),
	.INIT_DI (INIT_DI),
	.INIT_DONE (INIT_DONE),
	.USER_EV_ADDR (USER_EV_ADDR),
	.USER_EV_RD (USER_EV_RD),
	.USER_EV_RAM_BUSY (USER_EV_RAM_BUSY),
	.TR_EV_ADDR (TR_EV_ADDR),
	.TR_EV_RD (TR_EV_RD),
	.EV_EVFLAG (EV_EVFLAG),
	.EV_DONE (EV_DONE),
	.EV_ASSC_ADDR (EV_ASSC_ADDR),
	.EV_ASSC_RD (EV_ASSC_RD),
	.ASSC_RAM_DO_A (ASSC_RAM_DO_A),
	.EV_RAM_ADDR_A (EV_RAM_ADDR_A),
	.EV_RAM_RW_A (EV_RAM_RW_A),
	.EV_RAM_CSN_A (EV_RAM_CSN_A),
	.EV_RAM_DI_A (EV_RAM_DI_A),
	.EV_RAM_ADDR_B (EV_RAM_ADDR_B),
	.EV_RAM_RW_B (EV_RAM_RW_B),
	.EV_RAM_CSN_B (EV_RAM_CSN_B),
	.EV_RAM_DI_B (EV_RAM_DI_B),
	.EV_RAM_DO_B (EV_RAM_DO_B),
	.EV_RAM_WR_BUSY_B (EV_RAM_WR_BUSY_B) );

endmodule