module NVM_sys_init_wrapper ( CLK,
               USER_CLK,
               NRESET,
               CLIENT_DIN,
               CLIENT_AVAIL,
               USER_ADD,
               USER_AUX_BLOCK,
               USER_DATA,
               USER_DISCARD_PAGE,
               USER_ERASE_PAGE,
               USER_OVERWRITE_PAGE,
               USER_OVERWRITE_PROT,
               USER_PAGE_STATUS,
               USER_PAGELOSS_PROT,
               USER_PROGRAM,
               USER_READ,
               USER_READ_NEXT,
               USER_LOCK,
               USER_SPARE_PAGE,
               USER_UNPROT_PAGE,
               USER_WIDTH,
               USER_WRITE,
               USER_SIX_CYCLE,
               CLIENT_UPDATE,
               POWER_UP,
               NVM_BUSY,
               NVM_DAT_FROM,
               NVM_STATUS,
               NVM_ADD,
               NVM_AUX_BLOCK,
               NVM_DAT_TO,
               NVM_DISCARD_PAGE,
               NVM_ERASE_PAGE,
               NVM_OVERWRITE_PAGE,
               NVM_OVERWRITE_PROT,
               NVM_PAGE_STATUS,
               NVM_PAGELOSS_PROT,
               NVM_PROGRAM,
               NVM_READ,
               NVM_READ_NEXT,
               NVM_LOCK,
               NVM_SPARE_PAGE,
               NVM_UNPROT_PAGE,
               NVM_WIDTH,
               NVM_WRITE,
               NVM_SIX_CYCLE,
               WORD_COUNT,
               CLIENT_DOUT,
               CLIENT_DAT_VAL,
               SAVE_COMPLETE,
               INIT_DONE,
               USER_DOUT,
               USER_DAT_VAL,
               USER_NVM_STATUS,
               NVM_CLK );

    input CLK;
    input USER_CLK;
    input NRESET;
    input[((9 * 4)- 1) : 0] CLIENT_DIN;
    input[4- 1 : 0] CLIENT_AVAIL;
    input[17 : 0] USER_ADD;
    input USER_AUX_BLOCK;
    input[31 : 0] USER_DATA;
    input USER_DISCARD_PAGE;
    input USER_ERASE_PAGE;
    input USER_OVERWRITE_PAGE;
    input USER_OVERWRITE_PROT;
    input USER_PAGE_STATUS;
    input USER_PAGELOSS_PROT;
    input USER_PROGRAM;
    input USER_READ;
    input USER_READ_NEXT;
    input USER_LOCK;
    input USER_SPARE_PAGE;
    input USER_UNPROT_PAGE;
    input[1 : 0] USER_WIDTH;
    input USER_WRITE;
    input USER_SIX_CYCLE;
    input CLIENT_UPDATE;
    input POWER_UP;
    input NVM_BUSY;
    input[31 : 0] NVM_DAT_FROM;
    input[1 : 0] NVM_STATUS;
    output[17 : 0] NVM_ADD;
    output NVM_AUX_BLOCK;
    output[31 : 0] NVM_DAT_TO;
    output NVM_DISCARD_PAGE;
    output NVM_ERASE_PAGE;
    output NVM_OVERWRITE_PAGE;
    output NVM_OVERWRITE_PROT;
    output NVM_PAGE_STATUS;
    output NVM_PAGELOSS_PROT;
    output NVM_PROGRAM;
    output NVM_READ;
    output NVM_READ_NEXT;
    output NVM_LOCK;
    output NVM_SPARE_PAGE;
    output NVM_UNPROT_PAGE;
    output[1 : 0] NVM_WIDTH;
    output NVM_WRITE;
    output NVM_SIX_CYCLE;
    output[9 -1 : 0] WORD_COUNT;
    output[8 : 0] CLIENT_DOUT;
    output[4 -1 : 0] CLIENT_DAT_VAL;
    output SAVE_COMPLETE;
    output INIT_DONE;
    output[31 : 0] USER_DOUT;
    output USER_DAT_VAL;
    output[1 : 0] USER_NVM_STATUS;
    output NVM_CLK;

    wire CLK;
    wire USER_CLK;
    wire NRESET;
    wire [((9 * 4)- 1) : 0]CLIENT_DIN;
    wire [4- 1 : 0]CLIENT_AVAIL;
    wire [17 : 0]USER_ADD;
    wire USER_AUX_BLOCK;
    wire [31 : 0]USER_DATA;
    wire USER_DISCARD_PAGE;
    wire USER_ERASE_PAGE;
    wire USER_OVERWRITE_PAGE;
    wire USER_OVERWRITE_PROT;
    wire USER_PAGE_STATUS;
    wire USER_PAGELOSS_PROT;
    wire USER_PROGRAM;
    wire USER_READ;
    wire USER_READ_NEXT;
    wire USER_LOCK;
    wire USER_SPARE_PAGE;
    wire USER_UNPROT_PAGE;
    wire [1 : 0]USER_WIDTH;
    wire USER_WRITE;
    wire USER_SIX_CYCLE;
    wire CLIENT_UPDATE;
    wire POWER_UP;
    wire NVM_BUSY;
    wire [31 : 0]NVM_DAT_FROM;
    wire [1 : 0]NVM_STATUS;
    wire [17 : 0]NVM_ADD;
    wire NVM_AUX_BLOCK;
    wire [31 : 0]NVM_DAT_TO;
    wire NVM_DISCARD_PAGE;
    wire NVM_ERASE_PAGE;
    wire NVM_OVERWRITE_PAGE;
    wire NVM_OVERWRITE_PROT;
    wire NVM_PAGE_STATUS;
    wire NVM_PAGELOSS_PROT;
    wire NVM_PROGRAM;
    wire NVM_READ;
    wire NVM_READ_NEXT;
    wire NVM_LOCK;
    wire NVM_SPARE_PAGE;
    wire NVM_UNPROT_PAGE;
    wire [1 : 0]NVM_WIDTH;
    wire NVM_WRITE;
    wire NVM_SIX_CYCLE;
    wire [9 -1 : 0]WORD_COUNT;
    wire [8 : 0]CLIENT_DOUT;
    wire [4 -1 : 0]CLIENT_DAT_VAL;
    wire SAVE_COMPLETE;
    wire INIT_DONE;
    wire [31 : 0]USER_DOUT;
    wire USER_DAT_VAL;
    wire [1 : 0]USER_NVM_STATUS;
    wire NVM_CLK;

    defparam user_NVM_sys_init_wrapper.MAX_WORD_BIT = 9;
    defparam user_NVM_sys_init_wrapper.MAX_CLIENT = 4;
    defparam user_NVM_sys_init_wrapper.MAX_CLIENT_BITS = 2;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_1 = 4096;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_1 = 41;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_1 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_1 = 1;
    defparam user_NVM_sys_init_wrapper.WIDTH_1 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_2 = 8192;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_2 = 512;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_2 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_2 = 1;
    defparam user_NVM_sys_init_wrapper.WIDTH_2 = 1;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_3 = 40960;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_3 = 100;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_3 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_3 = 1;
    defparam user_NVM_sys_init_wrapper.WIDTH_3 = 1;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_4 = 49152;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_4 = 104;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_4 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_4 = 1;
    defparam user_NVM_sys_init_wrapper.WIDTH_4 = 1;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_5 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_5 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_5 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_5 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_5 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_6 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_6 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_6 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_6 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_6 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_7 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_7 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_7 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_7 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_7 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_8 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_8 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_8 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_8 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_8 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_9 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_9 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_9 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_9 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_9 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_10 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_10 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_10 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_10 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_10 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_11 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_11 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_11 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_11 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_11 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_12 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_12 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_12 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_12 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_12 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_13 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_13 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_13 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_13 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_13 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_14 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_14 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_14 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_14 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_14 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_15 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_15 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_15 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_15 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_15 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_16 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_16 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_16 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_16 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_16 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_17 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_17 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_17 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_17 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_17 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_18 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_18 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_18 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_18 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_18 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_19 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_19 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_19 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_19 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_19 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_20 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_20 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_20 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_20 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_20 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_21 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_21 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_21 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_21 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_21 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_22 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_22 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_22 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_22 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_22 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_23 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_23 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_23 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_23 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_23 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_24 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_24 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_24 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_24 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_24 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_25 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_25 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_25 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_25 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_25 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_26 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_26 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_26 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_26 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_26 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_27 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_27 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_27 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_27 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_27 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_28 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_28 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_28 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_28 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_28 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_29 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_29 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_29 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_29 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_29 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_30 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_30 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_30 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_30 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_30 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_31 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_31 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_31 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_31 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_31 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_32 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_32 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_32 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_32 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_32 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_33 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_33 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_33 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_33 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_33 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_34 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_34 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_34 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_34 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_34 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_35 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_35 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_35 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_35 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_35 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_36 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_36 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_36 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_36 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_36 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_37 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_37 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_37 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_37 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_37 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_38 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_38 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_38 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_38 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_38 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_39 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_39 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_39 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_39 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_39 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_40 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_40 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_40 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_40 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_40 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_41 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_41 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_41 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_41 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_41 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_42 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_42 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_42 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_42 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_42 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_43 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_43 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_43 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_43 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_43 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_44 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_44 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_44 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_44 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_44 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_45 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_45 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_45 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_45 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_45 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_46 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_46 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_46 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_46 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_46 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_47 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_47 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_47 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_47 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_47 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_48 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_48 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_48 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_48 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_48 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_49 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_49 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_49 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_49 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_49 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_50 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_50 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_50 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_50 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_50 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_51 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_51 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_51 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_51 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_51 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_52 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_52 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_52 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_52 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_52 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_53 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_53 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_53 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_53 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_53 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_54 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_54 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_54 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_54 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_54 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_55 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_55 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_55 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_55 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_55 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_56 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_56 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_56 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_56 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_56 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_57 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_57 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_57 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_57 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_57 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_58 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_58 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_58 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_58 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_58 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_59 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_59 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_59 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_59 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_59 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_60 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_60 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_60 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_60 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_60 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_61 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_61 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_61 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_61 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_61 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_62 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_62 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_62 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_62 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_62 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_63 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_63 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_63 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_63 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_63 = 0;
    defparam user_NVM_sys_init_wrapper.BASE_ADD_64 = 0;
    defparam user_NVM_sys_init_wrapper.WORD_COUNT_64 = 0;
    defparam user_NVM_sys_init_wrapper.INIT_SAVE_64 = 0;
    defparam user_NVM_sys_init_wrapper.SPARE_PAGE_64 = 0;
    defparam user_NVM_sys_init_wrapper.WIDTH_64 = 0;

    INITCFG user_NVM_sys_init_wrapper ( 
	.CLK (CLK),
	.USER_CLK (USER_CLK),
	.NRESET (NRESET),
	.CLIENT_DIN (CLIENT_DIN),
	.CLIENT_AVAIL (CLIENT_AVAIL),
	.USER_ADD (USER_ADD),
	.USER_AUX_BLOCK (USER_AUX_BLOCK),
	.USER_DATA (USER_DATA),
	.USER_DISCARD_PAGE (USER_DISCARD_PAGE),
	.USER_ERASE_PAGE (USER_ERASE_PAGE),
	.USER_OVERWRITE_PAGE (USER_OVERWRITE_PAGE),
	.USER_OVERWRITE_PROT (USER_OVERWRITE_PROT),
	.USER_PAGE_STATUS (USER_PAGE_STATUS),
	.USER_PAGELOSS_PROT (USER_PAGELOSS_PROT),
	.USER_PROGRAM (USER_PROGRAM),
	.USER_READ (USER_READ),
	.USER_READ_NEXT (USER_READ_NEXT),
	.USER_LOCK (USER_LOCK),
	.USER_SPARE_PAGE (USER_SPARE_PAGE),
	.USER_UNPROT_PAGE (USER_UNPROT_PAGE),
	.USER_WIDTH (USER_WIDTH),
	.USER_WRITE (USER_WRITE),
	.USER_SIX_CYCLE (USER_SIX_CYCLE),
	.CLIENT_UPDATE (CLIENT_UPDATE),
	.POWER_UP (POWER_UP),
	.NVM_BUSY (NVM_BUSY),
	.NVM_DAT_FROM (NVM_DAT_FROM),
	.NVM_STATUS (NVM_STATUS),
	.NVM_ADD (NVM_ADD),
	.NVM_AUX_BLOCK (NVM_AUX_BLOCK),
	.NVM_DAT_TO (NVM_DAT_TO),
	.NVM_DISCARD_PAGE (NVM_DISCARD_PAGE),
	.NVM_ERASE_PAGE (NVM_ERASE_PAGE),
	.NVM_OVERWRITE_PAGE (NVM_OVERWRITE_PAGE),
	.NVM_OVERWRITE_PROT (NVM_OVERWRITE_PROT),
	.NVM_PAGE_STATUS (NVM_PAGE_STATUS),
	.NVM_PAGELOSS_PROT (NVM_PAGELOSS_PROT),
	.NVM_PROGRAM (NVM_PROGRAM),
	.NVM_READ (NVM_READ),
	.NVM_READ_NEXT (NVM_READ_NEXT),
	.NVM_LOCK (NVM_LOCK),
	.NVM_SPARE_PAGE (NVM_SPARE_PAGE),
	.NVM_UNPROT_PAGE (NVM_UNPROT_PAGE),
	.NVM_WIDTH (NVM_WIDTH),
	.NVM_WRITE (NVM_WRITE),
	.NVM_SIX_CYCLE (NVM_SIX_CYCLE),
	.WORD_COUNT (WORD_COUNT),
	.CLIENT_DOUT (CLIENT_DOUT),
	.CLIENT_DAT_VAL (CLIENT_DAT_VAL),
	.SAVE_COMPLETE (SAVE_COMPLETE),
	.INIT_DONE (INIT_DONE),
	.USER_DOUT (USER_DOUT),
	.USER_DAT_VAL (USER_DAT_VAL),
	.USER_NVM_STATUS (USER_NVM_STATUS),
	.NVM_CLK (NVM_CLK) );

endmodule