// Generated by WaveFormer Lite Version 11.11d at 14:58:3 on 3/1/2007
// Stimulator for stimulus

// Generation Settings:
//   Export type: Stimulus only (reactive export not enabled)
//                Delays, Samples, Markers, etc will not generate code.

// Clock Domains:

//   Unclocked
//   ---------
//     Signals:
//       SYS_RESET
//       INIT_POWER_UP
//       ATRETURN01
//       AV5V
//       Temp


`define TB_ABORT (3'b000)
`define TB_ONCE (3'b001)
`define TB_DONE (3'b010)
`define TB_LOOPING (3'b011)
`define TB_RESTART (3'b100)
`define TB_END (3'b101)
`timescale  1 ns /  1 ps

module stimulus(CLK40M, SYS_RESET, INIT_POWER_UP, ATRETURN01, AV5V, Temp, VAREF, Supply_good, Over_temp);
  output CLK40M;
  output SYS_RESET;
  output INIT_POWER_UP;
  output ATRETURN01;
  output AV5V;
  output Temp;
  inout VAREF;
  input Supply_good;
  input Over_temp;
  reg SYS_RESET_driver;
  reg INIT_POWER_UP_driver;
  reg ATRETURN01_driver;
  real AV5V_driver;
  real Temp_driver;
  reg VAREF_driver;
  assign SYS_RESET = SYS_RESET_driver;
  assign INIT_POWER_UP = INIT_POWER_UP_driver;
  assign ATRETURN01 = ATRETURN01_driver;
  drive_analog_input analog_AV5V_driver($realtobits(AV5V_driver), AV5V);
  drive_temperature_quad temperature_Temp_driver($realtobits(Temp_driver), Temp);
  assign VAREF = VAREF_driver;


  // Control Signal Declarations
  reg [2:0] tb_status;

  // Parm Declarations
  real CLK40M_MinHL;
  real CLK40M_MaxHL;
  real CLK40M_MinLH;
  real CLK40M_MaxLH;
  real CLK40M_JFall;
  real CLK40M_JRise;
  real CLK40M_Duty;
  real CLK40M_Period;
  real CLK40M_Offset;


  // The following initial block will start up the stimulator.
  initial
    begin
    AssignParms;
    tb_status <= `TB_ONCE;
    Unclocked;
    tb_status <= `TB_DONE;
    $display("Note: At %t: End of stimulus reached.  Use End Diagram Marker to extend or shorten stimulus.", $time);
    end

  // Parm Assignment Task
  task AssignParms;
    begin
    CLK40M_MinHL = 0.0;
    CLK40M_MaxHL = 0.0;
    CLK40M_MinLH = 0.0;
    CLK40M_MaxLH = 0.0;
    CLK40M_JFall = 0.0;
    CLK40M_JRise = 0.0;
    CLK40M_Duty = 50.0;
    CLK40M_Period = 25.0;
    CLK40M_Offset = 0.0;
    end
  endtask

  // Clocks

  // Clock Instantiation
  wire [63:0] CLK40M_Offset_bits = $realtobits(CLK40M_Offset);
  wire [63:0] CLK40M_Period_bits = $realtobits(CLK40M_Period);
  wire [63:0] CLK40M_Duty_bits = $realtobits(CLK40M_Duty);
  wire [63:0] CLK40M_JRise_bits = $realtobits(CLK40M_JRise);
  wire [63:0] CLK40M_JFall_bits = $realtobits(CLK40M_JFall);
  wire [63:0] CLK40M_MinLH_bits = $realtobits(CLK40M_MinLH);
  wire [63:0] CLK40M_MaxLH_bits = $realtobits(CLK40M_MaxLH);
  wire [63:0] CLK40M_MinHL_bits = $realtobits(CLK40M_MinHL);
  wire [63:0] CLK40M_MaxHL_bits = $realtobits(CLK40M_MaxHL);
  tb_clock_minmax #(1) tb_CLK40M(tb_status[1:0],
            CLK40M,
            CLK40M_Offset_bits,
            CLK40M_Period_bits,
            CLK40M_Duty_bits,
            CLK40M_MinLH_bits,
            CLK40M_MaxLH_bits,
            CLK40M_MinHL_bits,
            CLK40M_MaxHL_bits,
            CLK40M_JRise_bits,
            CLK40M_JFall_bits);

  // Clocked Sequences

  // Sequence: Unclocked

  // Drive signals to their initial values
  initial
    begin
    SYS_RESET_driver <= 1'b0;
    INIT_POWER_UP_driver <= 1'b1;
    ATRETURN01_driver <= 1'b0;
    AV5V_driver <= 0.0;
    Temp_driver <= 50.0;
    end

  task Unclocked;
    begin
    #20;
    SYS_RESET_driver <= 1'b1;
    #45434.538;
    AV5V_driver <= 0.0;
    #7e-003;
    Temp_driver <= 50.0;
    #45454.539;
    AV5V_driver <= 0.0;
    #7e-003;
    Temp_driver <= 50.0;
    #45454.538;
    AV5V_driver <= 0.0;
    #7e-003;
    Temp_driver <= 50.0;
    #45454.539;
    AV5V_driver <= 0.0;
    #7e-003;
    Temp_driver <= 50.0;
    #45454.538;
    AV5V_driver <= 0.0;
    #7e-003;
    Temp_driver <= 50.0;
    #45454.539;
    AV5V_driver <= 0.0;
    #7e-003;
    Temp_driver <= 50.0;
    #45454.538;
    AV5V_driver <= 0.0;
    #7e-003;
    Temp_driver <= 50.0;
    #45454.539;
    AV5V_driver <= 0.0;
    #7e-003;
    Temp_driver <= 50.0;
    #45454.538;
    AV5V_driver <= 0.0;
    #7e-003;
    Temp_driver <= 50.0;
    #45454.539;
    AV5V_driver <= 0.0;
    #7e-003;
    Temp_driver <= 50.0;
    #45454.538;
    AV5V_driver <= 1.0;
    #7e-003;
    Temp_driver <= 50.0;
    #24999.993;
    AV5V_driver <= 1.57142857142857;
    #7e-003;
    Temp_driver <= 51.3333333333333;
    #24999.993;
    AV5V_driver <= 2.14285714285714;
    #7e-003;
    Temp_driver <= 52.6666666666667;
    #24999.993;
    AV5V_driver <= 2.71428571428571;
    #7e-003;
    Temp_driver <= 54.0;
    #24999.993;
    AV5V_driver <= 3.28571428571429;
    #7e-003;
    Temp_driver <= 55.3333333333333;
    #24999.993;
    AV5V_driver <= 3.85714285714286;
    #7e-003;
    Temp_driver <= 56.6666666666667;
    #24999.993;
    AV5V_driver <= 4.42857142857143;
    #7e-003;
    Temp_driver <= 58.0;
    #24999.993;
    AV5V_driver <= 5.0;
    #7e-003;
    Temp_driver <= 59.3333333333334;
    #24999.993;
    AV5V_driver <= 5.0;
    #7e-003;
    Temp_driver <= 60.6666666666667;
    #19999.993;
    AV5V_driver <= 5.0;
    #5000.007;
    Temp_driver <= 62.0;
    #14999.993;
    AV5V_driver <= 5.0;
    #10000.007;
    Temp_driver <= 63.3333333333334;
    #9999.993;
    AV5V_driver <= 5.0;
    #15000.007;
    Temp_driver <= 64.6666666666667;
    #4999.993;
    AV5V_driver <= 5.0;
    #20000;
    AV5V_driver <= 5.5;
    #7e-003;
    Temp_driver <= 66.0;
    #24999.993;
    AV5V_driver <= 5.42857142857143;
    #7e-003;
    Temp_driver <= 67.3333333333333;
    #24999.993;
    AV5V_driver <= 5.35714285714286;
    #7e-003;
    Temp_driver <= 68.6666666666667;
    #24999.993;
    AV5V_driver <= 5.28571428571429;
    #7e-003;
    Temp_driver <= 70.0;
    #24999.993;
    AV5V_driver <= 5.21428571428572;
    #7e-003;
    Temp_driver <= 70.0;
    #24999.993;
    AV5V_driver <= 5.14285714285714;
    #7e-003;
    Temp_driver <= 70.2857142857143;
    #24999.993;
    AV5V_driver <= 5.07142857142857;
    #7e-003;
    Temp_driver <= 70.5714285714286;
    #24999.993;
    AV5V_driver <= 5.0;
    #7e-003;
    Temp_driver <= 70.8571428571429;
    #24999.993;
    AV5V_driver <= 5.0;
    #7e-003;
    Temp_driver <= 71.1428571428572;
    #19999.993;
    AV5V_driver <= 5.125;
    #5000.007;
    Temp_driver <= 71.4285714285715;
    #14999.993;
    AV5V_driver <= 5.25;
    #10000.007;
    Temp_driver <= 71.7142857142858;
    #9999.993;
    AV5V_driver <= 5.375;
    #15000.007;
    Temp_driver <= 72.0;
    #4999.993;
    AV5V_driver <= 5.5;
    #20000;
    AV5V_driver <= 5.5;
    #7e-003;
    Temp_driver <= 72.0;
    #20000;
    Temp_driver <= 72.0;
    #4999.993;
    AV5V_driver <= 5.42857142857143;
    #15000.007;
    Temp_driver <= 72.0;
    #9999.993;
    AV5V_driver <= 5.35714285714286;
    #10000.007;
    Temp_driver <= 72.0;
    #14999.993;
    AV5V_driver <= 5.28571428571429;
    #5000.007;
    Temp_driver <= 72.0;
    #19999.993;
    AV5V_driver <= 5.21428571428572;
    #7e-003;
    Temp_driver <= 72.0;
    #20000;
    Temp_driver <= 72.0;
    #4999.993;
    AV5V_driver <= 5.14285714285714;
    #15000.007;
    Temp_driver <= 72.0;
    #9999.993;
    AV5V_driver <= 5.07142857142857;
    #10000.007;
    Temp_driver <= 72.0;
    #14999.993;
    AV5V_driver <= 5.0;
    #5000.007;
    Temp_driver <= 72.0;
    #19999.993;
    AV5V_driver <= 5.0;
    #7e-003;
    Temp_driver <= 72.0;
    #19999.993;
    AV5V_driver <= 5.0;
    #5000.007;
    Temp_driver <= 71.7142857142857;
    #14999.993;
    AV5V_driver <= 5.0;
    #10000.007;
    Temp_driver <= 71.4285714285714;
    #9999.993;
    AV5V_driver <= 5.0;
    #15000.007;
    Temp_driver <= 71.1428571428571;
    #4999.993;
    AV5V_driver <= 5.0;
    #20000;
    AV5V_driver <= 5.0;
    #7e-003;
    Temp_driver <= 70.8571428571428;
    #24999.993;
    AV5V_driver <= 4.94285714285714;
    #7e-003;
    Temp_driver <= 70.5714285714285;
    #24999.993;
    AV5V_driver <= 4.88571428571429;
    #7e-003;
    Temp_driver <= 70.2857142857142;
    #24999.993;
    AV5V_driver <= 4.82857142857143;
    #7e-003;
    Temp_driver <= 70.0;
    #24999.993;
    AV5V_driver <= 4.77142857142857;
    #7e-003;
    Temp_driver <= 70.0;
    #24999.993;
    AV5V_driver <= 4.71428571428572;
    #7e-003;
    Temp_driver <= 69.7142857142857;
    #24999.993;
    AV5V_driver <= 4.65714285714286;
    #7e-003;
    Temp_driver <= 69.4285714285714;
    #24999.993;
    AV5V_driver <= 4.6;
    #7e-003;
    Temp_driver <= 69.1428571428571;
    #24999.993;
    AV5V_driver <= 4.6;
    #7e-003;
    Temp_driver <= 68.8571428571428;
    #19999.993;
    AV5V_driver <= 4.6;
    #5000.007;
    Temp_driver <= 68.5714285714285;
    #14999.993;
    AV5V_driver <= 4.6;
    #10000.007;
    Temp_driver <= 68.2857142857142;
    #9999.993;
    AV5V_driver <= 4.6;
    #15000.007;
    Temp_driver <= 68.0;
    #4999.993;
    AV5V_driver <= 4.6;
    #20000;
    AV5V_driver <= 4.6;
    #7e-003;
    Temp_driver <= 68.0;
    #24999.993;
    AV5V_driver <= 4.65714285714286;
    #7e-003;
    Temp_driver <= 68.5714285714286;
    #24999.993;
    AV5V_driver <= 4.71428571428571;
    #7e-003;
    Temp_driver <= 69.1428571428571;
    #24999.993;
    AV5V_driver <= 4.77142857142857;
    #7e-003;
    Temp_driver <= 69.7142857142857;
    #24999.993;
    AV5V_driver <= 4.82857142857143;
    #7e-003;
    Temp_driver <= 70.2857142857143;
    #24999.993;
    AV5V_driver <= 4.88571428571428;
    #7e-003;
    Temp_driver <= 70.8571428571428;
    #24999.993;
    AV5V_driver <= 4.94285714285714;
    #7e-003;
    Temp_driver <= 71.4285714285714;
    #24999.993;
    AV5V_driver <= 5.0;
    #7e-003;
    Temp_driver <= 72.0;
    #24999.993;
    AV5V_driver <= 5.0;
    #7e-003;
    Temp_driver <= 72.0;
    #25000;
    Temp_driver <= 71.8571428571429;
    #14999.993;
    AV5V_driver <= 5.0;
    #10000.007;
    Temp_driver <= 71.7142857142857;
    #25000;
    Temp_driver <= 71.5714285714286;
    #4999.993;
    AV5V_driver <= 5.0;
    #20000.007;
    Temp_driver <= 71.4285714285714;
    #19999.993;
    AV5V_driver <= 5.0;
    #5000.007;
    Temp_driver <= 71.2857142857143;
    #25000;
    Temp_driver <= 71.1428571428572;
    #9999.993;
    AV5V_driver <= 5.0;
    #15000.007;
    Temp_driver <= 71.0;
    #925000;
    end
  endtask
endmodule

// Clock models used by diagram.

// Copied contents of file: d:\Libero7.3\WFL\lib\verilog\tb_clock_minmax.v

module tb_clock_minmax(tb_status, CLK, offset_bits, period_bits, duty_bits, minLH_bits, maxLH_bits, minHL_bits, maxHL_bits, jRise_bits, jFall_bits);
  parameter initialize = 0;

  input [1:0] tb_status;
  output CLK;
  input [63:0] offset_bits;
  input [63:0] period_bits;
  input [63:0] duty_bits;
  input [63:0] minLH_bits;
  input [63:0] maxLH_bits;
  input [63:0] minHL_bits;
  input [63:0] maxHL_bits;
  input [63:0] jRise_bits;
  input [63:0] jFall_bits;

  reg  CLK;
  real offset;
  real period;
  real duty;
  real minLH;
  real maxLH;
  real minHL;
  real maxHL;
  real jRise;
  real jFall;
  real CLK_high;
  real CLK_low;
 
  task DriveLHInvalidRegion;
    begin
    if ( (jRise + maxLH - minLH) > 0.0 )
      begin
      CLK <= 1'bx;
      #((jRise + maxLH - minLH));
      end
    end
  endtask

  task DriveHLInvalidRegion;
    begin
    if ( (jFall + maxHL - minHL) > 0.0 )
      begin
      CLK <= 1'bx;
      #((jFall + maxHL - minHL));
      end
    end
  endtask

  always
    begin
    @(posedge tb_status[0])
    offset = $bitstoreal( offset_bits );
    period = $bitstoreal( period_bits );
    duty  = $bitstoreal( duty_bits );
    minLH = $bitstoreal( minLH_bits );
    maxLH = $bitstoreal( maxLH_bits );
    minHL = $bitstoreal( minHL_bits );
    maxHL = $bitstoreal( maxHL_bits );
    jRise = $bitstoreal( jRise_bits );
    jFall = $bitstoreal( jFall_bits );
    if (period <= 0.0)
      $display("Error: Period for clock %m is invalid (period=%f).  Clock will not be driven", period);
    else if (duty <= 0.0)
      $display("Error: Duty for clock %m is invalid (duty=%f).  Clock will not be driven", duty);
    else
      begin
      CLK_high = period * duty / 100;
      CLK_low = period - CLK_high;
      
      if ( (offset + (minLH - jRise/2)) >= 0.0 )
        begin
        if (initialize)
          CLK <= 1'b0; // drive initial state
        #(offset + (minLH - jRise/2))
        ;
        end
      else
        begin // wait for x
        if (initialize)
          CLK <= 1'bx; // in middle of X region, init to X
        #((jRise/2 + maxLH) + (offset))
        CLK <= 1'b1;
        #((CLK_high - (maxLH + jRise/2) + (minHL - jFall/2)))
        DriveHLInvalidRegion;
        CLK <= 1'b0;
        #((CLK_low - (maxHL + jFall/2) + (minLH - jRise/2)))
        ;
        end
  
      while ( tb_status[0] == 1'b1 )
        begin : clock_loop
        DriveLHInvalidRegion;
        CLK <= 1'b1;
        #((CLK_high - (maxLH + jRise/2) + (minHL - jFall/2)))
        DriveHLInvalidRegion;
        CLK <= 1'b0;
        #((CLK_low - (maxHL + jFall/2) + (minLH - jRise/2)))
        ;
        end
      end
    end
endmodule

// End of contents of file: d:\Libero7.3\WFL\lib\verilog\tb_clock_minmax.v

// Test Bench wrapper for stimulus and Model Under Test

module testbench;
  wire CLK40M;
  wire SYS_RESET;
  wire INIT_POWER_UP;
  wire ATRETURN01;
  wire AV5V;
  wire Temp;
  wire VAREF;
  wire Supply_good;
  wire Over_temp;

  // Stimulator instance
  stimulus stimulus_0(.CLK40M(CLK40M),
            .SYS_RESET(SYS_RESET),
            .INIT_POWER_UP(INIT_POWER_UP),
            .ATRETURN01(ATRETURN01),
            .AV5V(AV5V),
            .Temp(Temp),
            .VAREF(VAREF),
            .Supply_good(Supply_good),
            .Over_temp(Over_temp));

  // Instantiation of Model Under Test.
  VT_Mon VT_Mon_0(.CLK40M(CLK40M),
            .SYS_RESET(SYS_RESET),
            .INIT_POWER_UP(INIT_POWER_UP),
            .VAREF(VAREF),
            .Supply_good(Supply_good),
            .Over_temp(Over_temp),
            .ATRETURN01(ATRETURN01),
            .AV5V(AV5V),
            .Temp(Temp));
endmodule
