`timescale 1 ns/100 ps
// Version: 7.3 7.3.0.29


module NGM(
       INIT_DONE_net_i,
       CLK10M,
       PLL_CLK40M,
       SYS_CLK_int
    );
input  INIT_DONE_net_i;
input  CLK10M;
input  PLL_CLK40M;
output SYS_CLK_int;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    NGMUX Inst1 (.CLK0(PLL_CLK40M), .CLK1(CLK10M), .S(INIT_DONE_net_i), 
        .GL(SYS_CLK_int));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module PLL_40_10(
       PLL_40_10_VCC,
       PLL_40_10_GND,
       CLK40M_c,
       PLL_CLK40M,
       CLK10M
    );
input  PLL_40_10_VCC;
input  PLL_40_10_GND;
input  CLK40M_c;
output PLL_CLK40M;
output CLK10M;

    wire Core_GLB, Core_LOCK, Core_YB, Core_YC, GND, VCC, GND_net_1, 
        VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    PLL #( .VCOFREQUENCY(40.000000) )  Core (.CLKA(CLK40M_c), .EXTFB(
        PLL_40_10_GND), .POWERDOWN(PLL_40_10_VCC), .GLA(PLL_CLK40M), 
        .LOCK(Core_LOCK), .GLB(Core_GLB), .YB(Core_YB), .GLC(CLK10M), 
        .YC(Core_YC), .OADIV0(PLL_40_10_GND), .OADIV1(PLL_40_10_GND), 
        .OADIV2(PLL_40_10_GND), .OADIV3(PLL_40_10_GND), .OADIV4(
        PLL_40_10_GND), .OADIVHALF(PLL_40_10_GND), .OADIVRST(
        PLL_40_10_VCC), .OAMUX0(PLL_40_10_GND), .OAMUX1(PLL_40_10_GND), 
        .OAMUX2(PLL_40_10_VCC), .DLYGLA0(PLL_40_10_GND), .DLYGLA1(
        PLL_40_10_GND), .DLYGLA2(PLL_40_10_GND), .DLYGLA3(
        PLL_40_10_GND), .DLYGLA4(PLL_40_10_GND), .OBDIV0(PLL_40_10_GND)
        , .OBDIV1(PLL_40_10_GND), .OBDIV2(PLL_40_10_GND), .OBDIV3(
        PLL_40_10_GND), .OBDIV4(PLL_40_10_GND), .OBMUX0(PLL_40_10_GND), 
        .OBMUX1(PLL_40_10_GND), .OBMUX2(PLL_40_10_GND), .DLYYB0(
        PLL_40_10_GND), .DLYYB1(PLL_40_10_GND), .DLYYB2(PLL_40_10_GND), 
        .DLYYB3(PLL_40_10_GND), .DLYYB4(PLL_40_10_GND), .DLYGLB0(
        PLL_40_10_GND), .DLYGLB1(PLL_40_10_GND), .DLYGLB2(
        PLL_40_10_GND), .DLYGLB3(PLL_40_10_GND), .DLYGLB4(
        PLL_40_10_GND), .OCDIV0(PLL_40_10_VCC), .OCDIV1(PLL_40_10_VCC), 
        .OCDIV2(PLL_40_10_GND), .OCDIV3(PLL_40_10_GND), .OCDIV4(
        PLL_40_10_GND), .OCMUX0(PLL_40_10_GND), .OCMUX1(PLL_40_10_GND), 
        .OCMUX2(PLL_40_10_VCC), .DLYYC0(PLL_40_10_GND), .DLYYC1(
        PLL_40_10_GND), .DLYYC2(PLL_40_10_GND), .DLYYC3(PLL_40_10_GND), 
        .DLYYC4(PLL_40_10_GND), .DLYGLC0(PLL_40_10_GND), .DLYGLC1(
        PLL_40_10_GND), .DLYGLC2(PLL_40_10_GND), .DLYGLC3(
        PLL_40_10_GND), .DLYGLC4(PLL_40_10_GND), .FINDIV0(
        PLL_40_10_VCC), .FINDIV1(PLL_40_10_VCC), .FINDIV2(
        PLL_40_10_VCC), .FINDIV3(PLL_40_10_GND), .FINDIV4(
        PLL_40_10_GND), .FINDIV5(PLL_40_10_GND), .FINDIV6(
        PLL_40_10_GND), .FBDIV0(PLL_40_10_VCC), .FBDIV1(PLL_40_10_VCC), 
        .FBDIV2(PLL_40_10_VCC), .FBDIV3(PLL_40_10_GND), .FBDIV4(
        PLL_40_10_GND), .FBDIV5(PLL_40_10_GND), .FBDIV6(PLL_40_10_GND), 
        .FBDLY0(PLL_40_10_GND), .FBDLY1(PLL_40_10_VCC), .FBDLY2(
        PLL_40_10_VCC), .FBDLY3(PLL_40_10_GND), .FBDLY4(PLL_40_10_GND), 
        .FBSEL0(PLL_40_10_GND), .FBSEL1(PLL_40_10_VCC), .XDLYSEL(
        PLL_40_10_GND), .VCOSEL0(PLL_40_10_GND), .VCOSEL1(
        PLL_40_10_GND), .VCOSEL2(PLL_40_10_GND));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module Analog_smev_ram(
       zbqggxmnpbs_0_iv,
       zbqggxmnpbs_r,
       zbqggxmnpbs_iv_5,
       zbqggxmnpbs_iv_4,
       zbqggxmnpbs_iv_3,
       zbqggxmnpbs_iv_2,
       zbqggxmnpbs_iv_0,
       INIT_DATA_net,
       dhzrwbnrbpw,
       mkmkbnghgkd,
       un1_Analog_smev_ram_inst_1_0_2,
       un1_Analog_smev_ram_inst_1_0_0,
       SYS_RESET_c,
       SYS_CLK_int,
       EV_RAM_WR_BUSY_B_net_i_0,
       EV_RAM_CSN_B_net,
       Analog_smev_ram_VCC,
       EV_RAM_RW_A_net,
       EV_RAM_CSN_A_net,
       Analog_smev_ram_GND,
       Analog_smev_ram_R0C0_DOUTB7,
       Analog_smev_ram_R0C0_DOUTB5,
       Analog_smev_ram_R0C0_DOUTB4,
       Analog_smev_ram_R0C0_DOUTB3,
       Analog_smev_ram_R0C0_DOUTB2,
       Analog_smev_ram_R0C0_DOUTB1,
       Analog_smev_ram_R0C0_DOUTB0,
       Analog_smev_ram_R0C0_DOUTA0,
       Analog_smev_ram_R0C0_DOUTB8,
       Analog_smev_ram_R0C0_DOUTB6
    );
input  [8:6] zbqggxmnpbs_0_iv;
input  [1:1] zbqggxmnpbs_r;
input  zbqggxmnpbs_iv_5;
input  zbqggxmnpbs_iv_4;
input  zbqggxmnpbs_iv_3;
input  zbqggxmnpbs_iv_2;
input  zbqggxmnpbs_iv_0;
input  [8:0] INIT_DATA_net;
input  [8:0] dhzrwbnrbpw;
input  [8:0] mkmkbnghgkd;
output un1_Analog_smev_ram_inst_1_0_2;
output un1_Analog_smev_ram_inst_1_0_0;
input  SYS_RESET_c;
input  SYS_CLK_int;
input  EV_RAM_WR_BUSY_B_net_i_0;
input  EV_RAM_CSN_B_net;
input  Analog_smev_ram_VCC;
input  EV_RAM_RW_A_net;
input  EV_RAM_CSN_A_net;
input  Analog_smev_ram_GND;
output Analog_smev_ram_R0C0_DOUTB7;
output Analog_smev_ram_R0C0_DOUTB5;
output Analog_smev_ram_R0C0_DOUTB4;
output Analog_smev_ram_R0C0_DOUTB3;
output Analog_smev_ram_R0C0_DOUTB2;
output Analog_smev_ram_R0C0_DOUTB1;
output Analog_smev_ram_R0C0_DOUTB0;
output Analog_smev_ram_R0C0_DOUTA0;
output Analog_smev_ram_R0C0_DOUTB8;
output Analog_smev_ram_R0C0_DOUTB6;

    wire Analog_smev_ram_R0C0_DOUTA1, Analog_smev_ram_R0C0_DOUTA2, 
        Analog_smev_ram_R0C0_DOUTA3, Analog_smev_ram_R0C0_DOUTA4, 
        Analog_smev_ram_R0C0_DOUTA5, Analog_smev_ram_R0C0_DOUTA6, 
        Analog_smev_ram_R0C0_DOUTA7, Analog_smev_ram_R0C0_DOUTA8, GND, 
        VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    RAM4K9 Analog_smev_ram_R0C0 (.ADDRA11(Analog_smev_ram_GND), 
        .ADDRA10(Analog_smev_ram_GND), .ADDRA9(Analog_smev_ram_GND), 
        .ADDRA8(mkmkbnghgkd[8]), .ADDRA7(mkmkbnghgkd[7]), .ADDRA6(
        mkmkbnghgkd[6]), .ADDRA5(mkmkbnghgkd[5]), .ADDRA4(
        mkmkbnghgkd[4]), .ADDRA3(mkmkbnghgkd[3]), .ADDRA2(
        mkmkbnghgkd[2]), .ADDRA1(mkmkbnghgkd[1]), .ADDRA0(
        mkmkbnghgkd[0]), .ADDRB11(Analog_smev_ram_GND), .ADDRB10(
        Analog_smev_ram_GND), .ADDRB9(Analog_smev_ram_GND), .ADDRB8(
        dhzrwbnrbpw[8]), .ADDRB7(dhzrwbnrbpw[7]), .ADDRB6(
        dhzrwbnrbpw[6]), .ADDRB5(dhzrwbnrbpw[5]), .ADDRB4(
        dhzrwbnrbpw[4]), .ADDRB3(dhzrwbnrbpw[3]), .ADDRB2(
        dhzrwbnrbpw[2]), .ADDRB1(dhzrwbnrbpw[1]), .ADDRB0(
        dhzrwbnrbpw[0]), .DINA8(INIT_DATA_net[8]), .DINA7(
        INIT_DATA_net[7]), .DINA6(INIT_DATA_net[6]), .DINA5(
        INIT_DATA_net[5]), .DINA4(INIT_DATA_net[4]), .DINA3(
        INIT_DATA_net[3]), .DINA2(INIT_DATA_net[2]), .DINA1(
        INIT_DATA_net[1]), .DINA0(INIT_DATA_net[0]), .DINB8(
        zbqggxmnpbs_0_iv[8]), .DINB7(zbqggxmnpbs_0_iv[7]), .DINB6(
        zbqggxmnpbs_0_iv[6]), .DINB5(zbqggxmnpbs_iv_5), .DINB4(
        zbqggxmnpbs_iv_4), .DINB3(zbqggxmnpbs_iv_3), .DINB2(
        zbqggxmnpbs_iv_2), .DINB1(zbqggxmnpbs_r[1]), .DINB0(
        zbqggxmnpbs_iv_0), .WIDTHA0(Analog_smev_ram_VCC), .WIDTHA1(
        Analog_smev_ram_VCC), .WIDTHB0(Analog_smev_ram_VCC), .WIDTHB1(
        Analog_smev_ram_VCC), .PIPEA(Analog_smev_ram_GND), .PIPEB(
        Analog_smev_ram_GND), .WMODEA(Analog_smev_ram_VCC), .WMODEB(
        Analog_smev_ram_VCC), .BLKA(EV_RAM_CSN_A_net), .BLKB(
        EV_RAM_CSN_B_net), .WENA(EV_RAM_RW_A_net), .WENB(
        EV_RAM_WR_BUSY_B_net_i_0), .CLKA(SYS_CLK_int), .CLKB(
        SYS_CLK_int), .RESET(SYS_RESET_c), .DOUTA8(
        Analog_smev_ram_R0C0_DOUTA8), .DOUTA7(
        Analog_smev_ram_R0C0_DOUTA7), .DOUTA6(
        Analog_smev_ram_R0C0_DOUTA6), .DOUTA5(
        Analog_smev_ram_R0C0_DOUTA5), .DOUTA4(
        Analog_smev_ram_R0C0_DOUTA4), .DOUTA3(
        Analog_smev_ram_R0C0_DOUTA3), .DOUTA2(
        Analog_smev_ram_R0C0_DOUTA2), .DOUTA1(
        Analog_smev_ram_R0C0_DOUTA1), .DOUTA0(
        Analog_smev_ram_R0C0_DOUTA0), .DOUTB8(
        Analog_smev_ram_R0C0_DOUTB8), .DOUTB7(
        Analog_smev_ram_R0C0_DOUTB7), .DOUTB6(
        Analog_smev_ram_R0C0_DOUTB6), .DOUTB5(
        Analog_smev_ram_R0C0_DOUTB5), .DOUTB4(
        Analog_smev_ram_R0C0_DOUTB4), .DOUTB3(
        Analog_smev_ram_R0C0_DOUTB3), .DOUTB2(
        Analog_smev_ram_R0C0_DOUTB2), .DOUTB1(
        Analog_smev_ram_R0C0_DOUTB1), .DOUTB0(
        Analog_smev_ram_R0C0_DOUTB0));
    GND GND_i_0 (.Y(GND_net_1));
    BUFF Analog_smev_ram_R0C0_0 (.A(Analog_smev_ram_R0C0_DOUTB8), .Y(
        un1_Analog_smev_ram_inst_1_0_2));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    BUFF Analog_smev_ram_R0C0_0_0 (.A(Analog_smev_ram_R0C0_DOUTB6), .Y(
        un1_Analog_smev_ram_inst_1_0_0));
    
endmodule


module Analog_smtr_ram(
       jfkkdmfhcdn_0_a3,
       jfkkdmfhcdn,
       INIT_DATA_net,
       qgnzcpmbksd,
       INIT_ADDR_net,
       un1_Analog_smtr_ram_inst_1_0,
       SYS_RESET_c,
       SYS_CLK_int,
       xgnmbzmtzbb_0,
       TR_RAM_CSN_B_net,
       Analog_smtr_ram_VCC,
       TR_RAM_RW_A_net,
       Analog_smtr_ram_GND,
       Analog_smtr_ram_R0C0_DOUTB7,
       Analog_smtr_ram_R0C0_DOUTB6,
       Analog_smtr_ram_R0C0_DOUTB5,
       Analog_smtr_ram_R0C0_DOUTB4,
       Analog_smtr_ram_R0C0_DOUTB3,
       Analog_smtr_ram_R0C0_DOUTB2,
       Analog_smtr_ram_R0C0_DOUTB1,
       Analog_smtr_ram_R0C0_DOUTB0,
       Analog_smtr_ram_R0C0_DOUTB8
    );
input  [8:5] jfkkdmfhcdn_0_a3;
input  [4:0] jfkkdmfhcdn;
input  [8:0] INIT_DATA_net;
input  [8:0] qgnzcpmbksd;
input  [8:0] INIT_ADDR_net;
output [8:8] un1_Analog_smtr_ram_inst_1_0;
input  SYS_RESET_c;
input  SYS_CLK_int;
input  xgnmbzmtzbb_0;
input  TR_RAM_CSN_B_net;
input  Analog_smtr_ram_VCC;
input  TR_RAM_RW_A_net;
input  Analog_smtr_ram_GND;
output Analog_smtr_ram_R0C0_DOUTB7;
output Analog_smtr_ram_R0C0_DOUTB6;
output Analog_smtr_ram_R0C0_DOUTB5;
output Analog_smtr_ram_R0C0_DOUTB4;
output Analog_smtr_ram_R0C0_DOUTB3;
output Analog_smtr_ram_R0C0_DOUTB2;
output Analog_smtr_ram_R0C0_DOUTB1;
output Analog_smtr_ram_R0C0_DOUTB0;
output Analog_smtr_ram_R0C0_DOUTB8;

    wire Analog_smtr_ram_R0C0_DOUTA0, Analog_smtr_ram_R0C0_DOUTA1, 
        Analog_smtr_ram_R0C0_DOUTA2, Analog_smtr_ram_R0C0_DOUTA3, 
        Analog_smtr_ram_R0C0_DOUTA4, Analog_smtr_ram_R0C0_DOUTA5, 
        Analog_smtr_ram_R0C0_DOUTA6, Analog_smtr_ram_R0C0_DOUTA7, 
        Analog_smtr_ram_R0C0_DOUTA8, GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    RAM4K9 Analog_smtr_ram_R0C0 (.ADDRA11(Analog_smtr_ram_GND), 
        .ADDRA10(Analog_smtr_ram_GND), .ADDRA9(Analog_smtr_ram_GND), 
        .ADDRA8(INIT_ADDR_net[8]), .ADDRA7(INIT_ADDR_net[7]), .ADDRA6(
        INIT_ADDR_net[6]), .ADDRA5(INIT_ADDR_net[5]), .ADDRA4(
        INIT_ADDR_net[4]), .ADDRA3(INIT_ADDR_net[3]), .ADDRA2(
        INIT_ADDR_net[2]), .ADDRA1(INIT_ADDR_net[1]), .ADDRA0(
        INIT_ADDR_net[0]), .ADDRB11(Analog_smtr_ram_GND), .ADDRB10(
        Analog_smtr_ram_GND), .ADDRB9(Analog_smtr_ram_GND), .ADDRB8(
        qgnzcpmbksd[8]), .ADDRB7(qgnzcpmbksd[7]), .ADDRB6(
        qgnzcpmbksd[6]), .ADDRB5(qgnzcpmbksd[5]), .ADDRB4(
        qgnzcpmbksd[4]), .ADDRB3(qgnzcpmbksd[3]), .ADDRB2(
        qgnzcpmbksd[2]), .ADDRB1(qgnzcpmbksd[1]), .ADDRB0(
        qgnzcpmbksd[0]), .DINA8(INIT_DATA_net[8]), .DINA7(
        INIT_DATA_net[7]), .DINA6(INIT_DATA_net[6]), .DINA5(
        INIT_DATA_net[5]), .DINA4(INIT_DATA_net[4]), .DINA3(
        INIT_DATA_net[3]), .DINA2(INIT_DATA_net[2]), .DINA1(
        INIT_DATA_net[1]), .DINA0(INIT_DATA_net[0]), .DINB8(
        jfkkdmfhcdn_0_a3[8]), .DINB7(jfkkdmfhcdn_0_a3[7]), .DINB6(
        jfkkdmfhcdn_0_a3[6]), .DINB5(jfkkdmfhcdn_0_a3[5]), .DINB4(
        jfkkdmfhcdn[4]), .DINB3(jfkkdmfhcdn[3]), .DINB2(jfkkdmfhcdn[2])
        , .DINB1(jfkkdmfhcdn[1]), .DINB0(jfkkdmfhcdn[0]), .WIDTHA0(
        Analog_smtr_ram_VCC), .WIDTHA1(Analog_smtr_ram_VCC), .WIDTHB0(
        Analog_smtr_ram_VCC), .WIDTHB1(Analog_smtr_ram_VCC), .PIPEA(
        Analog_smtr_ram_GND), .PIPEB(Analog_smtr_ram_GND), .WMODEA(
        Analog_smtr_ram_VCC), .WMODEB(Analog_smtr_ram_VCC), .BLKA(
        TR_RAM_RW_A_net), .BLKB(TR_RAM_CSN_B_net), .WENA(
        TR_RAM_RW_A_net), .WENB(xgnmbzmtzbb_0), .CLKA(SYS_CLK_int), 
        .CLKB(SYS_CLK_int), .RESET(SYS_RESET_c), .DOUTA8(
        Analog_smtr_ram_R0C0_DOUTA8), .DOUTA7(
        Analog_smtr_ram_R0C0_DOUTA7), .DOUTA6(
        Analog_smtr_ram_R0C0_DOUTA6), .DOUTA5(
        Analog_smtr_ram_R0C0_DOUTA5), .DOUTA4(
        Analog_smtr_ram_R0C0_DOUTA4), .DOUTA3(
        Analog_smtr_ram_R0C0_DOUTA3), .DOUTA2(
        Analog_smtr_ram_R0C0_DOUTA2), .DOUTA1(
        Analog_smtr_ram_R0C0_DOUTA1), .DOUTA0(
        Analog_smtr_ram_R0C0_DOUTA0), .DOUTB8(
        Analog_smtr_ram_R0C0_DOUTB8), .DOUTB7(
        Analog_smtr_ram_R0C0_DOUTB7), .DOUTB6(
        Analog_smtr_ram_R0C0_DOUTB6), .DOUTB5(
        Analog_smtr_ram_R0C0_DOUTB5), .DOUTB4(
        Analog_smtr_ram_R0C0_DOUTB4), .DOUTB3(
        Analog_smtr_ram_R0C0_DOUTB3), .DOUTB2(
        Analog_smtr_ram_R0C0_DOUTB2), .DOUTB1(
        Analog_smtr_ram_R0C0_DOUTB1), .DOUTB0(
        Analog_smtr_ram_R0C0_DOUTB0));
    VCC VCC_i (.Y(VCC));
    BUFF Analog_smtr_ram_R0C0_0 (.A(Analog_smtr_ram_R0C0_DOUTB8), .Y(
        un1_Analog_smtr_ram_inst_1_0[8]));
    GND GND_i (.Y(GND));
    
endmodule


module ccfdxrhchsz_Z1(
       rjhhzsggrtr,
       jfkkdmfhcdn_0_a3,
       jfkkdmfhcdn,
       un1_Analog_smtr_ram_inst_1_0,
       qgnzcpmbksd,
       mtbjcfqsbqf,
       TR_TRFLAG_net,
       TR_DONE_net_i_0,
       Analog_smev_ram_R0C0_DOUTA0,
       Analog_smtr_ram_R0C0_DOUTB8,
       EV_DONE_net,
       xgnmbzmtzbb_0,
       N_10,
       N_4,
       TR_RAM_RW_A_net,
       TR_RAM_CSN_B_net,
       Analog_smtr_ram_R0C0_DOUTB6,
       Analog_smtr_ram_R0C0_DOUTB7,
       Analog_smtr_ram_R0C0_DOUTB5,
       TR_EV_RD_net,
       INIT_DONE_net,
       AV5V_over5p25_net,
       Temp_over70C_net,
       AV5V_under4p75_net,
       Analog_smtr_ram_R0C0_DOUTB1,
       Analog_smtr_ram_R0C0_DOUTB3,
       Analog_smtr_ram_R0C0_DOUTB4,
       Analog_smtr_ram_R0C0_DOUTB2,
       Analog_smtr_ram_R0C0_DOUTB0,
       EV_DONE_net_0,
       SYS_RESET_c,
       SYS_CLK_int
    );
output [8:0] rjhhzsggrtr;
output [8:5] jfkkdmfhcdn_0_a3;
output [4:0] jfkkdmfhcdn;
input  [8:8] un1_Analog_smtr_ram_inst_1_0;
output [8:0] qgnzcpmbksd;
input  [4:0] mtbjcfqsbqf;
output TR_TRFLAG_net;
output TR_DONE_net_i_0;
input  Analog_smev_ram_R0C0_DOUTA0;
input  Analog_smtr_ram_R0C0_DOUTB8;
input  EV_DONE_net;
output xgnmbzmtzbb_0;
input  N_10;
input  N_4;
output TR_RAM_RW_A_net;
output TR_RAM_CSN_B_net;
input  Analog_smtr_ram_R0C0_DOUTB6;
input  Analog_smtr_ram_R0C0_DOUTB7;
input  Analog_smtr_ram_R0C0_DOUTB5;
output TR_EV_RD_net;
input  INIT_DONE_net;
output AV5V_over5p25_net;
output Temp_over70C_net;
output AV5V_under4p75_net;
input  Analog_smtr_ram_R0C0_DOUTB1;
input  Analog_smtr_ram_R0C0_DOUTB3;
input  Analog_smtr_ram_R0C0_DOUTB4;
input  Analog_smtr_ram_R0C0_DOUTB2;
input  Analog_smtr_ram_R0C0_DOUTB0;
input  EV_DONE_net_0;
input  SYS_RESET_c;
input  SYS_CLK_int;

    wire \frcskdnwvmx_0[3]_net_1 , \frcskdnwvmx_ns_i[3]_net_1 , 
        \frcskdnwvmx_i[11]_net_1 , \frcskdnwvmx[11]_net_1 , 
        \qgnzcpmbksd_8_0_iv_0[4] , N_360, \tpxkpvnpvvn_m[4]_net_1 , 
        \qgnzcpmbksd_8_0_iv_0[3] , \tpxkpvnpvvn_m[3]_net_1 , 
        \qgnzcpmbksd_8_0_iv_0[5] , \tpxkpvnpvvn_m[5]_net_1 , 
        \qgnzcpmbksd_8_0_iv_0[2] , \tpxkpvnpvvn_m[2]_net_1 , 
        ADD_9x9_medium_I8_Y_1, N105, \qgnzcpmbksd_8_0_iv_0[1] , 
        \tpxkpvnpvvn_m[1]_net_1 , \mwzbqqvzwjt_13_iv_0_0[1]_net_1 , 
        \mwzbqqvzwjt_13_iv_0_a2_0_0[1]_net_1 , jvxfmjbzjmc_7_sqmuxa, 
        N_439, \mwzbqqvzwjt_13_iv_0_0[2]_net_1 , 
        \mwzbqqvzwjt_13_iv_0_a2_0[2]_net_1 , N_443, 
        \qgnzcpmbksd_8_iv_0[0] , N_338, \tpxkpvnpvvn_m[0]_net_1 , 
        \mwzbqqvzwjt_13_iv_0_1[0]_net_1 , 
        \mwzbqqvzwjt_13_iv_0_a2_2_2[0]_net_1 , jvxfmjbzjmc_6_sqmuxa, 
        \mwzbqqvzwjt_13_iv_0_0[0]_net_1 , mwzbqqvzwjt_1_sqmuxa_1, 
        N_527, ADD_9x9_medium_I9_Y_0, N107, 
        \mwzbqqvzwjt_13_iv_0_a2_2_1[0]_net_1 , 
        dttrrgvsnmg_iv_0_3_net_1, dttrrgvsnmg_iv_0_0_net_1, 
        dttrrgvsnmg_iv_0_a2_2_net_1, N_455_i, 
        dttrrgvsnmg_iv_0_a2_3_0_net_1, N_468, N_456, 
        \mwzbqqvzwjt_13_iv_0_o3_0_0[0]_net_1 , 
        \mwzbqqvzwjt_13_iv_0_o3_2_tz[0]_net_1 , 
        \mwzbqqvzwjt_13_iv_0_o3_0[0]_net_1 , N_407, N_406, 
        \mwzbqqvzwjt_13_iv_0_o2_0[2]_net_1 , 
        \mwzbqqvzwjt_13_iv_0_a2_0_0[0]_net_1 , 
        znjtscvsvcs_iv_0_a2_0_0_net_1, hnbsspwxkpd_net_1, N_284, 
        N_285_i_0, \frcskdnwvmx_ns_i_0[5]_net_1 , 
        \frcskdnwvmx_ns_i_a3_0_0[5]_net_1 , 
        znjtscvsvcs_iv_0_a2_0_net_1, jnfrmfqggmk_net_1, N_419, 
        dttrrgvsnmg_iv_0_a2_0_net_1, \fzffhdchtwx_dec_1[28] , 
        un1_frcskdnwvmx_3_i_0_net_1, qgnzcpmbksd21, cvpkmgjqwzb_1, 
        svpbmqwvncp_0_1_net_1, \frcskdnwvmx[0]_net_1 , 
        un1_cpwfrthtnfr_14_sqmuxa_1_i_0_net_1, N_465, 
        un1_cpwfrthtnfr_14_sqmuxa_1_i_a2_1, \frcskdnwvmx[5]_net_1 , 
        \frcskdnwvmx[6]_net_1 , \frcskdnwvmx_ns_i_a2_0_0[5]_net_1 , 
        \frcskdnwvmx_ns_i_a2_0[5] , \frcskdnwvmx_ns_a3_4[0]_net_1 , 
        \frcskdnwvmx_ns_a3_2[0]_net_1 , \frcskdnwvmx[7]_net_1 , 
        \frcskdnwvmx_ns_a3_0[0]_net_1 , \frcskdnwvmx_ns_a3_1[0]_net_1 , 
        \frcskdnwvmx[2]_net_1 , \frcskdnwvmx[4]_net_1 , 
        \frcskdnwvmx[9]_net_1 , N121, N127, N_472, N_402, N_463, N_462, 
        N_489, N_556, \mwzbqqvzwjt_13[0] , dttrrgvsnmg, N_459, N_454, 
        \mwzbqqvzwjt_13[2] , N_444, N_442, \mwzbqqvzwjt_13[1] , N_440, 
        N_437, N_334, \qgnzcpmbksd_8[5] , N_277_i_0, 
        \un1_jvxfmjbzjmc[5] , \qgnzcpmbksd_8[3] , \un1_jvxfmjbzjmc[3] , 
        \qgnzcpmbksd_8[2] , \un1_jvxfmjbzjmc[2] , \qgnzcpmbksd_8[0] , 
        \un1_jvxfmjbzjmc[0] , \frcskdnwvmx_ns_i[5]_net_1 , N_317, 
        \frcskdnwvmx_ns_i[4]_net_1 , N_316, N_315, N_420, 
        \qgnzcpmbksd_8[4] , \un1_jvxfmjbzjmc[4] , \qgnzcpmbksd_8[1] , 
        \un1_jvxfmjbzjmc[1] , N_461, znjtscvsvcs, N_460, N_403, N_328, 
        N_298, N_288_i_0, N124, N_279, \rhjxdmgzftc[0]_net_1 , 
        \rhjxdmgzftc[1]_net_1 , N_286, N_341, I19_un1_Y, 
        \un1_jvxfmjbzjmc[6] , \un1_jvxfmjbzjmc[8] , N_335, 
        \frcskdnwvmx_ns[6] , jvxfmjbzjmc_8_sqmuxa, \frcskdnwvmx_ns[7] , 
        jvxfmjbzjmc_9_sqmuxa, \frcskdnwvmx_ns[10] , 
        \frcskdnwvmx[10]_net_1 , \frcskdnwvmx_ns_i[1]_net_1 , 
        \frcskdnwvmx_ns_i[8]_net_1 , \frcskdnwvmx_ns_i[11]_net_1 , 
        un1_frcskdnwvmx_2, N_467, \frcskdnwvmx[3]_net_1 , 
        \tpxkpvnpvvn_m_0[6]_net_1 , \qgnzcpmbksd_8[6] , 
        \tpxkpvnpvvn_m[8]_net_1 , \qgnzcpmbksd_8[8] , N_14, 
        dvqzjxhqhrh_net_1, un1_hgtrcfcxkrb_2_1, un1_hgtrcfcxkrb_2, 
        \frcskdnwvmx_ns[0]_net_1 , \qgnzcpmbksd_8[7] , 
        \un1_jvxfmjbzjmc[7] , \tpxkpvnpvvn_m_0[7]_net_1 , 
        \frcskdnwvmx_ns_i[9]_net_1 , \frcskdnwvmx_ns_i[2]_net_1 , 
        \frcskdnwvmx[1]_net_1 , GND, VCC, GND_net_1, VCC_net_1;
    
    AO1B \brxxctcvrmh_qgnzcpmbksd_8_0_iv[3]  (.A(N_277_i_0), .B(
        \un1_jvxfmjbzjmc[3] ), .C(\qgnzcpmbksd_8_0_iv_0[3] ), .Y(
        \qgnzcpmbksd_8[3] ));
    NOR3B un1_jvxfmjbzjmc_ADD_9x9_medium_I9_Y (.A(N_279), .B(
        qgnzcpmbksd[0]), .C(ADD_9x9_medium_I9_Y_0), .Y(N124));
    NOR2A \jfkkdmfhcdn_0_a3[8]  (.A(un1_Analog_smtr_ram_inst_1_0[8]), 
        .B(\frcskdnwvmx[11]_net_1 ), .Y(jfkkdmfhcdn_0_a3[8]));
    NOR2A \jfkkdmfhcdn_0_a3[6]  (.A(Analog_smtr_ram_R0C0_DOUTB6), .B(
        \frcskdnwvmx[11]_net_1 ), .Y(jfkkdmfhcdn_0_a3[6]));
    NOR2A un1_hgtrcfcxkrb_2_0_1 (.A(INIT_DONE_net), .B(
        \frcskdnwvmx[11]_net_1 ), .Y(un1_hgtrcfcxkrb_2_1));
    AO1D un1_cpwfrthtnfr_14_sqmuxa_1_i_0 (.A(N_284), .B(N_285_i_0), .C(
        N_465), .Y(un1_cpwfrthtnfr_14_sqmuxa_1_i_0_net_1));
    DFN1C0 \qgnzcpmbksd[1]  (.D(\qgnzcpmbksd_8[1] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(qgnzcpmbksd[1]));
    OR3C \mwzbqqvzwjt_13_iv_0_o3[0]  (.A(N_556), .B(
        \mwzbqqvzwjt_13_iv_0_o3_0_0[0]_net_1 ), .C(
        jvxfmjbzjmc_6_sqmuxa), .Y(N_489));
    NOR2A \jfkkdmfhcdn_0_a3[7]  (.A(Analog_smtr_ram_R0C0_DOUTB7), .B(
        \frcskdnwvmx[11]_net_1 ), .Y(jfkkdmfhcdn_0_a3[7]));
    NOR2A \jfkkdmfhcdn[1]  (.A(Analog_smtr_ram_R0C0_DOUTB1), .B(
        \frcskdnwvmx[11]_net_1 ), .Y(jfkkdmfhcdn[1]));
    NOR2B \frcskdnwvmx_ns_a3[6]  (.A(INIT_DONE_net), .B(
        jvxfmjbzjmc_8_sqmuxa), .Y(\frcskdnwvmx_ns[6] ));
    AO1B \brxxctcvrmh_qgnzcpmbksd_8_0_iv[7]  (.A(N_277_i_0), .B(
        \un1_jvxfmjbzjmc[7] ), .C(\tpxkpvnpvvn_m_0[7]_net_1 ), .Y(
        \qgnzcpmbksd_8[7] ));
    OR3B \tpxkpvnpvvn_m[2]  (.A(\frcskdnwvmx_0[3]_net_1 ), .B(
        Analog_smtr_ram_R0C0_DOUTB2), .C(EV_DONE_net_0), .Y(
        \tpxkpvnpvvn_m[2]_net_1 ));
    AO1B \brxxctcvrmh_qgnzcpmbksd_8_0_iv[5]  (.A(N_277_i_0), .B(
        \un1_jvxfmjbzjmc[5] ), .C(\qgnzcpmbksd_8_0_iv_0[5] ), .Y(
        \qgnzcpmbksd_8[5] ));
    OR3B fgbkzdqjprd (.A(N_4), .B(N_10), .C(INIT_DONE_net), .Y(
        TR_RAM_RW_A_net));
    NOR3B dttrrgvsnmg_iv_0_a2_0_0 (.A(un1_Analog_smtr_ram_inst_1_0[8]), 
        .B(hnbsspwxkpd_net_1), .C(\fzffhdchtwx_dec_1[28] ), .Y(
        dttrrgvsnmg_iv_0_a2_0_net_1));
    OR3B \tpxkpvnpvvn_m_0[7]  (.A(\frcskdnwvmx[3]_net_1 ), .B(
        Analog_smtr_ram_R0C0_DOUTB7), .C(EV_DONE_net), .Y(
        \tpxkpvnpvvn_m_0[7]_net_1 ));
    OR3 svpbmqwvncp_0_a3 (.A(N_285_i_0), .B(
        Analog_smtr_ram_R0C0_DOUTB8), .C(Analog_smtr_ram_R0C0_DOUTB6), 
        .Y(N_328));
    OA1A \frcskdnwvmx_ns_i[3]  (.A(N_298), .B(\frcskdnwvmx[2]_net_1 ), 
        .C(INIT_DONE_net), .Y(\frcskdnwvmx_ns_i[3]_net_1 ));
    DFN1E1C0 \rjhhzsggrtr[5]  (.D(Analog_smtr_ram_R0C0_DOUTB5), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\frcskdnwvmx[7]_net_1 ), 
        .Q(rjhhzsggrtr[5]));
    OR2 un1_jvxfmjbzjmc_ADD_9x9_medium_I9_Y_0 (.A(N107), .B(N105), .Y(
        ADD_9x9_medium_I9_Y_0));
    OR3A jvxfmjbzjmc_6_sqmuxa_0_a3_0_a2 (.A(
        Analog_smtr_ram_R0C0_DOUTB6), .B(N_468), .C(
        un1_Analog_smtr_ram_inst_1_0[8]), .Y(jvxfmjbzjmc_6_sqmuxa));
    OR2 \frcskdnwvmx_ns_i_a2_0_0[5]  (.A(\frcskdnwvmx[4]_net_1 ), .B(
        \frcskdnwvmx[9]_net_1 ), .Y(\frcskdnwvmx_ns_i_a2_0_0[5]_net_1 )
        );
    DFN1C0 \qgnzcpmbksd[8]  (.D(\qgnzcpmbksd_8[8] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(qgnzcpmbksd[8]));
    NOR2 brxxctcvrmh_qgnzcpmbksd21_0_o3 (.A(EV_DONE_net_0), .B(
        \frcskdnwvmx[10]_net_1 ), .Y(qgnzcpmbksd21));
    OR3B \tpxkpvnpvvn_m[4]  (.A(\frcskdnwvmx[3]_net_1 ), .B(
        Analog_smtr_ram_R0C0_DOUTB4), .C(EV_DONE_net_0), .Y(
        \tpxkpvnpvvn_m[4]_net_1 ));
    AO1B un1_hgtrcfcxkrb_2_0 (.A(\frcskdnwvmx[0]_net_1 ), .B(
        EV_DONE_net), .C(un1_hgtrcfcxkrb_2_1), .Y(un1_hgtrcfcxkrb_2));
    NOR3B un1_jvxfmjbzjmc_ADD_9x9_medium_I6_Y (.A(N_279), .B(
        qgnzcpmbksd[0]), .C(N107), .Y(N127));
    OA1A \mwzbqqvzwjt_13_iv_0_0[1]  (.A(
        \mwzbqqvzwjt_13_iv_0_a2_0_0[1]_net_1 ), .B(
        jvxfmjbzjmc_7_sqmuxa), .C(N_439), .Y(
        \mwzbqqvzwjt_13_iv_0_0[1]_net_1 ));
    NOR2A \jfkkdmfhcdn[4]  (.A(Analog_smtr_ram_R0C0_DOUTB4), .B(
        \frcskdnwvmx[11]_net_1 ), .Y(jfkkdmfhcdn[4]));
    NOR3A \frcskdnwvmx_ns_i[4]  (.A(INIT_DONE_net), .B(N_316), .C(
        N_315), .Y(\frcskdnwvmx_ns_i[4]_net_1 ));
    AOI1B \brxxctcvrmh_qgnzcpmbksd_8_0_iv_0[2]  (.A(N_360), .B(
        mtbjcfqsbqf[1]), .C(\tpxkpvnpvvn_m[2]_net_1 ), .Y(
        \qgnzcpmbksd_8_0_iv_0[2] ));
    AO1A un1_frcskdnwvmx_2_0 (.A(N_467), .B(N_288_i_0), .C(
        \frcskdnwvmx[6]_net_1 ), .Y(un1_frcskdnwvmx_2));
    XOR2 un1_jvxfmjbzjmc_ADD_9x9_medium_I23_Y (.A(qgnzcpmbksd[3]), .B(
        N127), .Y(\un1_jvxfmjbzjmc[3] ));
    NOR2B \frcskdnwvmx_ns_i[11]  (.A(INIT_DONE_net), .B(
        \frcskdnwvmx[10]_net_1 ), .Y(\frcskdnwvmx_ns_i[11]_net_1 ));
    AO1B \brxxctcvrmh_qgnzcpmbksd_8_iv[0]  (.A(N_277_i_0), .B(
        \un1_jvxfmjbzjmc[0] ), .C(\qgnzcpmbksd_8_iv_0[0] ), .Y(
        \qgnzcpmbksd_8[0] ));
    AOI1B \brxxctcvrmh_qgnzcpmbksd_8_0_iv_0[5]  (.A(N_360), .B(
        mtbjcfqsbqf[4]), .C(\tpxkpvnpvvn_m[5]_net_1 ), .Y(
        \qgnzcpmbksd_8_0_iv_0[5] ));
    OR2B \mwzbqqvzwjt_13_iv_0_a2_1[2]  (.A(Analog_smtr_ram_R0C0_DOUTB2)
        , .B(mwzbqqvzwjt_1_sqmuxa_1), .Y(N_443));
    DFN1E1C0 \rhjxdmgzftc[1]  (.D(Analog_smtr_ram_R0C0_DOUTB1), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(jvxfmjbzjmc_8_sqmuxa), .Q(
        \rhjxdmgzftc[1]_net_1 ));
    DFN1C0 \frcskdnwvmx[7]  (.D(\frcskdnwvmx_ns[7] ), .CLK(SYS_CLK_int)
        , .CLR(SYS_RESET_c), .Q(\frcskdnwvmx[7]_net_1 ));
    NOR3 svpbmqwvncp_0_1 (.A(TR_EV_RD_net), .B(\frcskdnwvmx[0]_net_1 ), 
        .C(\frcskdnwvmx_0[3]_net_1 ), .Y(svpbmqwvncp_0_1_net_1));
    AOI1B \brxxctcvrmh_qgnzcpmbksd_8_0_iv_0[3]  (.A(N_360), .B(
        mtbjcfqsbqf[2]), .C(\tpxkpvnpvvn_m[3]_net_1 ), .Y(
        \qgnzcpmbksd_8_0_iv_0[3] ));
    NOR2B \frcskdnwvmx_ns_i[2]  (.A(INIT_DONE_net), .B(
        \frcskdnwvmx[1]_net_1 ), .Y(\frcskdnwvmx_ns_i[2]_net_1 ));
    AO1B \brxxctcvrmh_qgnzcpmbksd_8_0_iv[6]  (.A(N_277_i_0), .B(
        \un1_jvxfmjbzjmc[6] ), .C(\tpxkpvnpvvn_m_0[6]_net_1 ), .Y(
        \qgnzcpmbksd_8[6] ));
    DFN1E1C0 \rjhhzsggrtr[3]  (.D(Analog_smtr_ram_R0C0_DOUTB3), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\frcskdnwvmx[7]_net_1 ), 
        .Q(rjhhzsggrtr[3]));
    NOR3C \frcskdnwvmx_ns_i[1]  (.A(\frcskdnwvmx[0]_net_1 ), .B(
        EV_DONE_net_0), .C(INIT_DONE_net), .Y(
        \frcskdnwvmx_ns_i[1]_net_1 ));
    DFN1C0 \frcskdnwvmx[5]  (.D(\frcskdnwvmx_ns_i[5]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\frcskdnwvmx[5]_net_1 ));
    OR3 \frcskdnwvmx_ns_i_a3_0_0[5]  (.A(\frcskdnwvmx[6]_net_1 ), .B(
        \frcskdnwvmx_ns_i_a2_0_0[5]_net_1 ), .C(
        Analog_smtr_ram_R0C0_DOUTB7), .Y(
        \frcskdnwvmx_ns_i_a3_0_0[5]_net_1 ));
    DFN1C0 \frcskdnwvmx[8]  (.D(\frcskdnwvmx_ns_i[8]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(TR_EV_RD_net));
    DFN1C0 \frcskdnwvmx[1]  (.D(\frcskdnwvmx_ns_i[1]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\frcskdnwvmx[1]_net_1 ));
    OA1A \mwzbqqvzwjt_13_iv_0_1[0]  (.A(
        \mwzbqqvzwjt_13_iv_0_a2_2_2[0]_net_1 ), .B(
        jvxfmjbzjmc_6_sqmuxa), .C(\mwzbqqvzwjt_13_iv_0_0[0]_net_1 ), 
        .Y(\mwzbqqvzwjt_13_iv_0_1[0]_net_1 ));
    OA1A dttrrgvsnmg_iv_0_0 (.A(dttrrgvsnmg_iv_0_a2_3_0_net_1), .B(
        N_468), .C(N_456), .Y(dttrrgvsnmg_iv_0_0_net_1));
    GND GND_i (.Y(GND));
    AOI1B \mwzbqqvzwjt_13_iv_0_a2_0_0[2]  (.A(N_406), .B(
        \mwzbqqvzwjt_13_iv_0_o2_0[2]_net_1 ), .C(Temp_over70C_net), .Y(
        \mwzbqqvzwjt_13_iv_0_a2_0[2]_net_1 ));
    OR2B \frcskdnwvmx_ns_i_a2_0_1[5]  (.A(Analog_smtr_ram_R0C0_DOUTB7), 
        .B(Analog_smtr_ram_R0C0_DOUTB5), .Y(\frcskdnwvmx_ns_i_a2_0[5] )
        );
    NOR2A cvpkmgjqwzb_0_a2_1_0_i2_0_i2_0_a2 (.A(
        Analog_smtr_ram_R0C0_DOUTB0), .B(Analog_smtr_ram_R0C0_DOUTB1), 
        .Y(cvpkmgjqwzb_1));
    AOI1B \brxxctcvrmh_qgnzcpmbksd_8_0_iv_0[4]  (.A(N_360), .B(
        mtbjcfqsbqf[3]), .C(\tpxkpvnpvvn_m[4]_net_1 ), .Y(
        \qgnzcpmbksd_8_0_iv_0[4] ));
    VCC VCC_i_0 (.Y(VCC_net_1));
    OA1 \mwzbqqvzwjt_13_iv_0_a2_0_0[0]  (.A(
        Analog_smtr_ram_R0C0_DOUTB0), .B(Analog_smtr_ram_R0C0_DOUTB2), 
        .C(AV5V_over5p25_net), .Y(
        \mwzbqqvzwjt_13_iv_0_a2_0_0[0]_net_1 ));
    AOI1B \mwzbqqvzwjt_13_iv_0_0[0]  (.A(mwzbqqvzwjt_1_sqmuxa_1), .B(
        Analog_smtr_ram_R0C0_DOUTB0), .C(N_527), .Y(
        \mwzbqqvzwjt_13_iv_0_0[0]_net_1 ));
    DFN1C0 \frcskdnwvmx_0[3]  (.D(\frcskdnwvmx_ns_i[3]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\frcskdnwvmx_0[3]_net_1 ));
    AO1B \mwzbqqvzwjt_13_iv_0[0]  (.A(AV5V_over5p25_net), .B(N_489), 
        .C(\mwzbqqvzwjt_13_iv_0_1[0]_net_1 ), .Y(\mwzbqqvzwjt_13[0] ));
    AO1A znjtscvsvcs_iv_0_o2 (.A(Analog_smtr_ram_R0C0_DOUTB0), .B(
        hnbsspwxkpd_net_1), .C(Analog_smtr_ram_R0C0_DOUTB1), .Y(N_419));
    NOR3A \mwzbqqvzwjt_13_iv_0_a2_2_2[0]  (.A(
        \mwzbqqvzwjt_13_iv_0_a2_2_1[0]_net_1 ), .B(
        Analog_smtr_ram_R0C0_DOUTB0), .C(Analog_smtr_ram_R0C0_DOUTB2), 
        .Y(\mwzbqqvzwjt_13_iv_0_a2_2_2[0]_net_1 ));
    NOR3B \frcskdnwvmx_ns_i_a3_0[4]  (.A(Analog_smtr_ram_R0C0_DOUTB6), 
        .B(N_420), .C(\frcskdnwvmx_0[3]_net_1 ), .Y(N_316));
    OR3A dttrrgvsnmg_iv_0_a2_4 (.A(N_334), .B(N_468), .C(N_407), .Y(
        N_459));
    NOR3 \mwzbqqvzwjt_13_iv_0_a2_2_1[0]  (.A(
        Analog_smtr_ram_R0C0_DOUTB4), .B(Analog_smtr_ram_R0C0_DOUTB3), 
        .C(Analog_smtr_ram_R0C0_DOUTB1), .Y(
        \mwzbqqvzwjt_13_iv_0_a2_2_1[0]_net_1 ));
    NOR2 dtqpjwspznp_fzffhdchtwx_dec_28_1_0_i2_0_i2_0_a2 (.A(
        Analog_smtr_ram_R0C0_DOUTB1), .B(Analog_smtr_ram_R0C0_DOUTB0), 
        .Y(\fzffhdchtwx_dec_1[28] ));
    DFN1C0 \frcskdnwvmx[11]  (.D(\frcskdnwvmx_ns_i[11]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\frcskdnwvmx[11]_net_1 ));
    AO1C \frcskdnwvmx_ns_i_0[5]  (.A(
        \frcskdnwvmx_ns_i_a3_0_0[5]_net_1 ), .B(N_284), .C(
        INIT_DONE_net), .Y(\frcskdnwvmx_ns_i_0[5]_net_1 ));
    OR2B un1_jvxfmjbzjmc_ADD_9x9_medium_I2_Y (.A(qgnzcpmbksd[2]), .B(
        qgnzcpmbksd[1]), .Y(N107));
    DFN1C0 \frcskdnwvmx[6]  (.D(\frcskdnwvmx_ns[6] ), .CLK(SYS_CLK_int)
        , .CLR(SYS_RESET_c), .Q(\frcskdnwvmx[6]_net_1 ));
    OR2B un1_jvxfmjbzjmc_ADD_9x9_medium_I1_Y (.A(qgnzcpmbksd[4]), .B(
        qgnzcpmbksd[3]), .Y(N105));
    OR3B \tpxkpvnpvvn_m[0]  (.A(\frcskdnwvmx_0[3]_net_1 ), .B(
        Analog_smtr_ram_R0C0_DOUTB0), .C(EV_DONE_net_0), .Y(
        \tpxkpvnpvvn_m[0]_net_1 ));
    XNOR2 un1_jvxfmjbzjmc_ADD_9x9_medium_I22_Y (.A(qgnzcpmbksd[2]), .B(
        I19_un1_Y), .Y(\un1_jvxfmjbzjmc[2] ));
    OA1A \mwzbqqvzwjt_13_iv_0_0[2]  (.A(
        \mwzbqqvzwjt_13_iv_0_a2_0[2]_net_1 ), .B(jvxfmjbzjmc_7_sqmuxa), 
        .C(N_443), .Y(\mwzbqqvzwjt_13_iv_0_0[2]_net_1 ));
    AX1C un1_jvxfmjbzjmc_ADD_9x9_medium_I28_Y (.A(N121), .B(
        qgnzcpmbksd[7]), .C(qgnzcpmbksd[8]), .Y(\un1_jvxfmjbzjmc[8] ));
    NOR2A \jfkkdmfhcdn[0]  (.A(Analog_smtr_ram_R0C0_DOUTB0), .B(
        \frcskdnwvmx[11]_net_1 ), .Y(jfkkdmfhcdn[0]));
    VCC VCC_i (.Y(VCC));
    AOI1B \brxxctcvrmh_qgnzcpmbksd_8_0_iv_0[1]  (.A(N_360), .B(
        mtbjcfqsbqf[0]), .C(\tpxkpvnpvvn_m[1]_net_1 ), .Y(
        \qgnzcpmbksd_8_0_iv_0[1] ));
    DFN1E1C0 \mwzbqqvzwjt[0]  (.D(\mwzbqqvzwjt_13[0] ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_frcskdnwvmx_2), .Q(
        AV5V_over5p25_net));
    NOR2 \frcskdnwvmx_ns_i[5]  (.A(\frcskdnwvmx_ns_i_0[5]_net_1 ), .B(
        N_317), .Y(\frcskdnwvmx_ns_i[5]_net_1 ));
    NOR2 \frcskdnwvmx_ns_a3_1[0]  (.A(\frcskdnwvmx[5]_net_1 ), .B(
        \frcskdnwvmx_0[3]_net_1 ), .Y(\frcskdnwvmx_ns_a3_1[0]_net_1 ));
    NOR2 \mwzbqqvzwjt_13_iv_0_o3_2_tz[0]  (.A(
        Analog_smtr_ram_R0C0_DOUTB3), .B(Analog_smtr_ram_R0C0_DOUTB1), 
        .Y(\mwzbqqvzwjt_13_iv_0_o3_2_tz[0]_net_1 ));
    NOR2B \frcskdnwvmx_ns_a3[7]  (.A(INIT_DONE_net), .B(
        jvxfmjbzjmc_9_sqmuxa), .Y(\frcskdnwvmx_ns[7] ));
    OR2 \mwzbqqvzwjt_13_iv_0_a2_2[1]  (.A(jvxfmjbzjmc_6_sqmuxa), .B(
        N_407), .Y(N_440));
    AO1C \mwzbqqvzwjt_13_iv_0_a2_0[2]  (.A(N_14), .B(
        jvxfmjbzjmc_6_sqmuxa), .C(Temp_over70C_net), .Y(N_442));
    OR3B \tpxkpvnpvvn_m[8]  (.A(\frcskdnwvmx[3]_net_1 ), .B(
        un1_Analog_smtr_ram_inst_1_0[8]), .C(EV_DONE_net), .Y(
        \tpxkpvnpvvn_m[8]_net_1 ));
    DFN1E1C0 \rjhhzsggrtr[1]  (.D(Analog_smtr_ram_R0C0_DOUTB1), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\frcskdnwvmx[7]_net_1 ), 
        .Q(rjhhzsggrtr[1]));
    OR3B dttrrgvsnmg_iv_0_a2_5 (.A(\frcskdnwvmx[5]_net_1 ), .B(
        Analog_smtr_ram_R0C0_DOUTB7), .C(Analog_smtr_ram_R0C0_DOUTB5), 
        .Y(N_468));
    OR3B \tpxkpvnpvvn_m[1]  (.A(\frcskdnwvmx[3]_net_1 ), .B(
        Analog_smtr_ram_R0C0_DOUTB1), .C(EV_DONE_net), .Y(
        \tpxkpvnpvvn_m[1]_net_1 ));
    OR3C dttrrgvsnmg_iv_0 (.A(N_459), .B(N_454), .C(
        dttrrgvsnmg_iv_0_3_net_1), .Y(dttrrgvsnmg));
    OR3B znjtscvsvcs_iv_0_a2 (.A(Analog_smtr_ram_R0C0_DOUTB6), .B(
        znjtscvsvcs_iv_0_a2_0_net_1), .C(N_468), .Y(N_460));
    DFN1C0 \qgnzcpmbksd[2]  (.D(\qgnzcpmbksd_8[2] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(qgnzcpmbksd[2]));
    OR3C un1_cpwfrthtnfr_14_sqmuxa_2_i (.A(N_472), .B(N_463), .C(N_462)
        , .Y(N_402));
    NOR2A \jfkkdmfhcdn[2]  (.A(Analog_smtr_ram_R0C0_DOUTB2), .B(
        \frcskdnwvmx[11]_net_1 ), .Y(jfkkdmfhcdn[2]));
    DFN1C0 \qgnzcpmbksd[4]  (.D(\qgnzcpmbksd_8[4] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(qgnzcpmbksd[4]));
    DFN1E1C0 \mwzbqqvzwjt[1]  (.D(\mwzbqqvzwjt_13[1] ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_frcskdnwvmx_2), .Q(
        AV5V_under4p75_net));
    DFN1E1C0 \rjhhzsggrtr[7]  (.D(Analog_smtr_ram_R0C0_DOUTB7), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\frcskdnwvmx[7]_net_1 ), 
        .Q(rjhhzsggrtr[7]));
    AO1B \brxxctcvrmh_qgnzcpmbksd_8_0_iv[2]  (.A(N_277_i_0), .B(
        \un1_jvxfmjbzjmc[2] ), .C(\qgnzcpmbksd_8_0_iv_0[2] ), .Y(
        \qgnzcpmbksd_8[2] ));
    NOR3A mwzbqqvzwjt_1_sqmuxa_1_0_a2_0_a2_0_a3 (.A(
        \frcskdnwvmx[6]_net_1 ), .B(\rhjxdmgzftc[0]_net_1 ), .C(
        \rhjxdmgzftc[1]_net_1 ), .Y(mwzbqqvzwjt_1_sqmuxa_1));
    NOR2A \jfkkdmfhcdn_0_a3[5]  (.A(Analog_smtr_ram_R0C0_DOUTB5), .B(
        \frcskdnwvmx[11]_net_1 ), .Y(jfkkdmfhcdn_0_a3[5]));
    DFN1C0 \qgnzcpmbksd[5]  (.D(\qgnzcpmbksd_8[5] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(qgnzcpmbksd[5]));
    OR3B dttrrgvsnmg_iv_0_a2 (.A(Analog_smtr_ram_R0C0_DOUTB6), .B(
        dttrrgvsnmg_iv_0_a2_0_net_1), .C(N_468), .Y(N_454));
    OR2B dttrrgvsnmg_iv_0_a2_1 (.A(Analog_smev_ram_R0C0_DOUTA0), .B(
        \frcskdnwvmx[9]_net_1 ), .Y(N_456));
    NOR2A \mwzbqqvzwjt_13_iv_0_o2_0[2]  (.A(
        Analog_smtr_ram_R0C0_DOUTB1), .B(Analog_smtr_ram_R0C0_DOUTB0), 
        .Y(\mwzbqqvzwjt_13_iv_0_o2_0[2]_net_1 ));
    DFN1E1C0 jnfrmfqggmk (.D(dttrrgvsnmg), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(N_402), .Q(jnfrmfqggmk_net_1));
    NOR2 xgnmbzmtzbb_0_inst_1 (.A(\frcskdnwvmx[11]_net_1 ), .B(
        \frcskdnwvmx[10]_net_1 ), .Y(xgnmbzmtzbb_0));
    DFN1E1C0 \rjhhzsggrtr[0]  (.D(Analog_smtr_ram_R0C0_DOUTB0), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\frcskdnwvmx[7]_net_1 ), 
        .Q(rjhhzsggrtr[0]));
    AO1C \mwzbqqvzwjt_13_iv_0_a2[1]  (.A(N_14), .B(
        jvxfmjbzjmc_6_sqmuxa), .C(AV5V_under4p75_net), .Y(N_437));
    OR3A \brxxctcvrmh_qgnzcpmbksd_8[5]  (.A(N_338), .B(
        \frcskdnwvmx[10]_net_1 ), .C(EV_DONE_net), .Y(N_360));
    DFN1C0 \qgnzcpmbksd[7]  (.D(\qgnzcpmbksd_8[7] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(qgnzcpmbksd[7]));
    OR3B dttrrgvsnmg_iv_0_a2_0 (.A(Analog_smtr_ram_R0C0_DOUTB5), .B(
        N_407), .C(N_472), .Y(N_455_i));
    OR3B \tpxkpvnpvvn_m[3]  (.A(\frcskdnwvmx_0[3]_net_1 ), .B(
        Analog_smtr_ram_R0C0_DOUTB3), .C(EV_DONE_net_0), .Y(
        \tpxkpvnpvvn_m[3]_net_1 ));
    NOR2A un1_cpwfrthtnfr_14_sqmuxa_1_i_a2_0 (.A(
        \frcskdnwvmx[9]_net_1 ), .B(dvqzjxhqhrh_net_1), .Y(N_465));
    DFN1E1C0 \rjhhzsggrtr[6]  (.D(Analog_smtr_ram_R0C0_DOUTB6), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\frcskdnwvmx[7]_net_1 ), 
        .Q(rjhhzsggrtr[6]));
    MX2A \frcskdnwvmx_ns_i_m2_i_m2[4]  (.A(hnbsspwxkpd_net_1), .B(
        jnfrmfqggmk_net_1), .S(Analog_smtr_ram_R0C0_DOUTB5), .Y(N_420));
    OR2A un1_cpwfrthtnfr_14_sqmuxa_2_i_a2_1 (.A(N_334), .B(N_467), .Y(
        N_472));
    OA1 \brxxctcvrmh_qgnzcpmbksd_8_iv_0[0]  (.A(N_338), .B(
        EV_DONE_net_0), .C(\tpxkpvnpvvn_m[0]_net_1 ), .Y(
        \qgnzcpmbksd_8_iv_0[0] ));
    OA1 \mwzbqqvzwjt_13_iv_0_o3_0_0[0]  (.A(jvxfmjbzjmc_7_sqmuxa), .B(
        \mwzbqqvzwjt_13_iv_0_o3_2_tz[0]_net_1 ), .C(
        \mwzbqqvzwjt_13_iv_0_o3_0[0]_net_1 ), .Y(
        \mwzbqqvzwjt_13_iv_0_o3_0_0[0]_net_1 ));
    AO1B \brxxctcvrmh_qgnzcpmbksd_8_0_iv[4]  (.A(N_277_i_0), .B(
        \un1_jvxfmjbzjmc[4] ), .C(\qgnzcpmbksd_8_0_iv_0[4] ), .Y(
        \qgnzcpmbksd_8[4] ));
    NOR2A jvxfmjbzjmc_13_sqmuxa_0_a2_1_a2 (.A(
        un1_Analog_smtr_ram_inst_1_0[8]), .B(
        Analog_smtr_ram_R0C0_DOUTB6), .Y(N_334));
    NOR3 \frcskdnwvmx_ns_i_a3[5]  (.A(\frcskdnwvmx[6]_net_1 ), .B(
        \frcskdnwvmx_ns_i_a2_0_0[5]_net_1 ), .C(N_286), .Y(N_317));
    NOR3B jvxfmjbzjmc_9_sqmuxa_0_a2 (.A(N_334), .B(
        Analog_smtr_ram_R0C0_DOUTB5), .C(N_285_i_0), .Y(
        jvxfmjbzjmc_9_sqmuxa));
    OR2A N_285_i_0_a2 (.A(\frcskdnwvmx[5]_net_1 ), .B(
        Analog_smtr_ram_R0C0_DOUTB7), .Y(N_285_i_0));
    DFN1C0 \frcskdnwvmx[10]  (.D(\frcskdnwvmx_ns[10] ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\frcskdnwvmx[10]_net_1 ));
    OR2A \mwzbqqvzwjt_13_iv_0_a2_0[0]  (.A(
        \mwzbqqvzwjt_13_iv_0_a2_0_0[0]_net_1 ), .B(
        jvxfmjbzjmc_7_sqmuxa), .Y(N_527));
    DFN1C0 \frcskdnwvmx[4]  (.D(\frcskdnwvmx_ns_i[4]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\frcskdnwvmx[4]_net_1 ));
    OR2B un1_cpwfrthtnfr_14_sqmuxa_2_i_a2_0 (.A(\frcskdnwvmx[9]_net_1 )
        , .B(dvqzjxhqhrh_net_1), .Y(N_463));
    AX1C un1_jvxfmjbzjmc_ADD_9x9_medium_I21_Y (.A(N_279), .B(
        qgnzcpmbksd[0]), .C(qgnzcpmbksd[1]), .Y(\un1_jvxfmjbzjmc[1] ));
    OR2A un1_frcskdnwvmx_3_i_a2 (.A(N_335), .B(N_284), .Y(N_338));
    DFN1C0 \qgnzcpmbksd[0]  (.D(\qgnzcpmbksd_8[0] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(qgnzcpmbksd[0]));
    NOR3C znjtscvsvcs_iv_0_a2_0_0 (.A(jnfrmfqggmk_net_1), .B(
        un1_Analog_smtr_ram_inst_1_0[8]), .C(N_419), .Y(
        znjtscvsvcs_iv_0_a2_0_net_1));
    DFN1C0 \qgnzcpmbksd[6]  (.D(\qgnzcpmbksd_8[6] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(qgnzcpmbksd[6]));
    OR2B jvxfmjbzjmc_7_sqmuxa_0_a3 (.A(N_335), .B(N_288_i_0), .Y(
        jvxfmjbzjmc_7_sqmuxa));
    NOR2B un1_jvxfmjbzjmc_ADD_9x9_medium_I8_Y (.A(
        ADD_9x9_medium_I8_Y_1), .B(N127), .Y(N121));
    DFN1P0 thrxvbszptn (.D(\frcskdnwvmx_i[11]_net_1 ), .CLK(
        SYS_CLK_int), .PRE(SYS_RESET_c), .Q(TR_DONE_net_i_0));
    XOR2 un1_jvxfmjbzjmc_ADD_9x9_medium_I25_Y (.A(qgnzcpmbksd[5]), .B(
        N124), .Y(\un1_jvxfmjbzjmc[5] ));
    OR3C un1_jvxfmjbzjmc_ADD_9x9_medium_I19_un1_Y (.A(N_279), .B(
        qgnzcpmbksd[0]), .C(qgnzcpmbksd[1]), .Y(I19_un1_Y));
    OR3 \frcskdnwvmx_ns_a2[0]  (.A(\frcskdnwvmx[6]_net_1 ), .B(
        \frcskdnwvmx_ns_i_a2_0_0[5]_net_1 ), .C(\frcskdnwvmx[1]_net_1 )
        , .Y(N_341));
    OR3C znjtscvsvcs_iv_0 (.A(N_460), .B(N_456), .C(N_461), .Y(
        znjtscvsvcs));
    NOR3B \frcskdnwvmx_ns_a3_4[0]  (.A(\frcskdnwvmx_ns_a3_2[0]_net_1 ), 
        .B(qgnzcpmbksd21), .C(\frcskdnwvmx[7]_net_1 ), .Y(
        \frcskdnwvmx_ns_a3_4[0]_net_1 ));
    AO1C \frcskdnwvmx_ns[0]  (.A(N_341), .B(
        \frcskdnwvmx_ns_a3_4[0]_net_1 ), .C(un1_hgtrcfcxkrb_2_1), .Y(
        \frcskdnwvmx_ns[0]_net_1 ));
    NOR2A un1_frcskdnwvmx_3_i_0 (.A(qgnzcpmbksd21), .B(
        \frcskdnwvmx_0[3]_net_1 ), .Y(un1_frcskdnwvmx_3_i_0_net_1));
    OR3C \mwzbqqvzwjt_13_iv_0[1]  (.A(N_440), .B(
        \mwzbqqvzwjt_13_iv_0_0[1]_net_1 ), .C(N_437), .Y(
        \mwzbqqvzwjt_13[1] ));
    OR2B N_284_i_i_o2 (.A(Analog_smtr_ram_R0C0_DOUTB8), .B(
        Analog_smtr_ram_R0C0_DOUTB6), .Y(N_284));
    GND GND_i_0 (.Y(GND_net_1));
    NOR2A \frcskdnwvmx_ns_a3[10]  (.A(INIT_DONE_net), .B(N_338), .Y(
        \frcskdnwvmx_ns[10] ));
    AX1C un1_jvxfmjbzjmc_ADD_9x9_medium_I26_Y (.A(N124), .B(
        qgnzcpmbksd[5]), .C(qgnzcpmbksd[6]), .Y(\un1_jvxfmjbzjmc[6] ));
    NOR3C jvxfmjbzjmc_13_sqmuxa_0_a2_0_0_a2 (.A(\frcskdnwvmx[5]_net_1 )
        , .B(Analog_smtr_ram_R0C0_DOUTB7), .C(
        Analog_smtr_ram_R0C0_DOUTB5), .Y(N_335));
    OR3A un1_cpwfrthtnfr_14_sqmuxa_1_i_a2_1_0 (.A(
        \frcskdnwvmx[5]_net_1 ), .B(Analog_smtr_ram_R0C0_DOUTB5), .C(
        N_284), .Y(un1_cpwfrthtnfr_14_sqmuxa_1_i_a2_1));
    OR3B svpbmqwvncp_0 (.A(svpbmqwvncp_0_1_net_1), .B(N_328), .C(
        \frcskdnwvmx[7]_net_1 ), .Y(TR_RAM_CSN_B_net));
    DFN1P0 \frcskdnwvmx[0]  (.D(\frcskdnwvmx_ns[0]_net_1 ), .CLK(
        SYS_CLK_int), .PRE(SYS_RESET_c), .Q(\frcskdnwvmx[0]_net_1 ));
    DFN1E1C0 \rjhhzsggrtr[4]  (.D(Analog_smtr_ram_R0C0_DOUTB4), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\frcskdnwvmx[7]_net_1 ), 
        .Q(rjhhzsggrtr[4]));
    OR3C \mwzbqqvzwjt_13_iv_0[2]  (.A(N_444), .B(
        \mwzbqqvzwjt_13_iv_0_0[2]_net_1 ), .C(N_442), .Y(
        \mwzbqqvzwjt_13[2] ));
    OR3B \frcskdnwvmx_ns_i_o2[3]  (.A(N_420), .B(N_288_i_0), .C(
        N_285_i_0), .Y(N_298));
    NOR3C dttrrgvsnmg_iv_0_a2_3_0 (.A(jnfrmfqggmk_net_1), .B(
        un1_Analog_smtr_ram_inst_1_0[8]), .C(cvpkmgjqwzb_1), .Y(
        dttrrgvsnmg_iv_0_a2_3_0_net_1));
    XAI1A znjtscvsvcs_iv_0_a2_0 (.A(N_407), .B(
        Analog_smtr_ram_R0C0_DOUTB5), .C(znjtscvsvcs_iv_0_a2_0_0_net_1)
        , .Y(N_461));
    NOR3B un1_jvxfmjbzjmc_ADD_9x9_medium_I8_Y_1 (.A(qgnzcpmbksd[5]), 
        .B(qgnzcpmbksd[6]), .C(N105), .Y(ADD_9x9_medium_I8_Y_1));
    NOR2B un1_frcskdnwvmx_3_i (.A(un1_frcskdnwvmx_3_i_0_net_1), .B(
        N_338), .Y(N_277_i_0));
    DFN1E1C0 dvqzjxhqhrh (.D(Analog_smtr_ram_R0C0_DOUTB4), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(jvxfmjbzjmc_9_sqmuxa), .Q(
        dvqzjxhqhrh_net_1));
    DFN1C0 \frcskdnwvmx[9]  (.D(\frcskdnwvmx_ns_i[9]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\frcskdnwvmx[9]_net_1 ));
    OR2A \mwzbqqvzwjt_13_iv_0_a2_5[0]  (.A(Analog_smtr_ram_R0C0_DOUTB4)
        , .B(jvxfmjbzjmc_7_sqmuxa), .Y(N_556));
    AO1D un1_cpwfrthtnfr_14_sqmuxa_1_i (.A(cvpkmgjqwzb_1), .B(
        un1_cpwfrthtnfr_14_sqmuxa_1_i_a2_1), .C(
        un1_cpwfrthtnfr_14_sqmuxa_1_i_0_net_1), .Y(N_403));
    NOR2A \jfkkdmfhcdn[3]  (.A(Analog_smtr_ram_R0C0_DOUTB3), .B(
        \frcskdnwvmx[11]_net_1 ), .Y(jfkkdmfhcdn[3]));
    OR3B \tpxkpvnpvvn_m_0[6]  (.A(\frcskdnwvmx[3]_net_1 ), .B(
        Analog_smtr_ram_R0C0_DOUTB6), .C(EV_DONE_net), .Y(
        \tpxkpvnpvvn_m_0[6]_net_1 ));
    DFN1C0 \qgnzcpmbksd[3]  (.D(\qgnzcpmbksd_8[3] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(qgnzcpmbksd[3]));
    NOR2B \frcskdnwvmx_ns_i[9]  (.A(INIT_DONE_net), .B(TR_EV_RD_net), 
        .Y(\frcskdnwvmx_ns_i[9]_net_1 ));
    XOR2 un1_jvxfmjbzjmc_ADD_9x9_medium_I27_Y (.A(qgnzcpmbksd[7]), .B(
        N121), .Y(\un1_jvxfmjbzjmc[7] ));
    AO1 jvxfmjbzjmc_i (.A(N_286), .B(N_298), .C(N_341), .Y(N_279));
    DFN1E1C0 \rjhhzsggrtr[8]  (.D(Analog_smtr_ram_R0C0_DOUTB8), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\frcskdnwvmx[7]_net_1 ), 
        .Q(rjhhzsggrtr[8]));
    NOR3A jvxfmjbzjmc_8_sqmuxa_0_a2 (.A(N_334), .B(N_285_i_0), .C(
        Analog_smtr_ram_R0C0_DOUTB5), .Y(jvxfmjbzjmc_8_sqmuxa));
    OR3B \tpxkpvnpvvn_m[5]  (.A(\frcskdnwvmx[3]_net_1 ), .B(
        Analog_smtr_ram_R0C0_DOUTB5), .C(EV_DONE_net), .Y(
        \tpxkpvnpvvn_m[5]_net_1 ));
    DFN1E1C0 \mwzbqqvzwjt[2]  (.D(\mwzbqqvzwjt_13[2] ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_frcskdnwvmx_2), .Q(
        Temp_over70C_net));
    DFN1C0 \frcskdnwvmx[3]  (.D(\frcskdnwvmx_ns_i[3]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\frcskdnwvmx[3]_net_1 ));
    NOR2B \frcskdnwvmx_ns_a3_2[0]  (.A(\frcskdnwvmx_ns_a3_0[0]_net_1 ), 
        .B(\frcskdnwvmx_ns_a3_1[0]_net_1 ), .Y(
        \frcskdnwvmx_ns_a3_2[0]_net_1 ));
    INV \frcskdnwvmx_i[11]  (.A(\frcskdnwvmx[11]_net_1 ), .Y(
        \frcskdnwvmx_i[11]_net_1 ));
    DFN1E1C0 hnbsspwxkpd (.D(znjtscvsvcs), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(N_403), .Q(hnbsspwxkpd_net_1));
    AO1B \brxxctcvrmh_qgnzcpmbksd_8_0_iv[8]  (.A(N_277_i_0), .B(
        \un1_jvxfmjbzjmc[8] ), .C(\tpxkpvnpvvn_m[8]_net_1 ), .Y(
        \qgnzcpmbksd_8[8] ));
    OA1 mwzbqqvzwjt_0_sqmuxa_0_0_i (.A(\rhjxdmgzftc[0]_net_1 ), .B(
        \rhjxdmgzftc[1]_net_1 ), .C(\frcskdnwvmx[6]_net_1 ), .Y(N_14));
    OR2A dttrrgvsnmg_iv_0_a2_2 (.A(jnfrmfqggmk_net_1), .B(N_472), .Y(
        dttrrgvsnmg_iv_0_a2_2_net_1));
    NOR2B \mwzbqqvzwjt_13_iv_0_a2_0_0[1]  (.A(AV5V_under4p75_net), .B(
        N_407), .Y(\mwzbqqvzwjt_13_iv_0_a2_0_0[1]_net_1 ));
    AO1B \brxxctcvrmh_qgnzcpmbksd_8_0_iv[1]  (.A(N_277_i_0), .B(
        \un1_jvxfmjbzjmc[1] ), .C(\qgnzcpmbksd_8_0_iv_0[1] ), .Y(
        \qgnzcpmbksd_8[1] ));
    AX1C un1_jvxfmjbzjmc_ADD_9x9_medium_I24_Y (.A(N127), .B(
        qgnzcpmbksd[3]), .C(qgnzcpmbksd[4]), .Y(\un1_jvxfmjbzjmc[4] ));
    DFN1E1C0 \rjhhzsggrtr[2]  (.D(Analog_smtr_ram_R0C0_DOUTB2), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\frcskdnwvmx[7]_net_1 ), 
        .Q(rjhhzsggrtr[2]));
    DFN1E1C0 \rhjxdmgzftc[0]  (.D(Analog_smtr_ram_R0C0_DOUTB0), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(jvxfmjbzjmc_8_sqmuxa), .Q(
        \rhjxdmgzftc[0]_net_1 ));
    OR2B \mwzbqqvzwjt_13_iv_0_a2_1[1]  (.A(Analog_smtr_ram_R0C0_DOUTB1)
        , .B(mwzbqqvzwjt_1_sqmuxa_1), .Y(N_439));
    NOR3A znjtscvsvcs_iv_0_a2_0_0_0 (.A(hnbsspwxkpd_net_1), .B(N_284), 
        .C(N_285_i_0), .Y(znjtscvsvcs_iv_0_a2_0_0_net_1));
    DFN1C0 \frcskdnwvmx[2]  (.D(\frcskdnwvmx_ns_i[2]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\frcskdnwvmx[2]_net_1 ));
    OR3A un1_cpwfrthtnfr_14_sqmuxa_2_i_a2 (.A(
        Analog_smtr_ram_R0C0_DOUTB8), .B(\fzffhdchtwx_dec_1[28] ), .C(
        N_468), .Y(N_462));
    OA1B \frcskdnwvmx_ns_i_a3[4]  (.A(N_285_i_0), .B(
        Analog_smtr_ram_R0C0_DOUTB8), .C(\frcskdnwvmx[3]_net_1 ), .Y(
        N_315));
    NOR3C dttrrgvsnmg_iv_0_3 (.A(dttrrgvsnmg_iv_0_0_net_1), .B(
        dttrrgvsnmg_iv_0_a2_2_net_1), .C(N_455_i), .Y(
        dttrrgvsnmg_iv_0_3_net_1));
    OR3B \mwzbqqvzwjt_13_iv_0_a2_2[2]  (.A(N_406), .B(
        \mwzbqqvzwjt_13_iv_0_o2_0[2]_net_1 ), .C(jvxfmjbzjmc_6_sqmuxa), 
        .Y(N_444));
    NOR2A N_288_i_0_a2 (.A(Analog_smtr_ram_R0C0_DOUTB6), .B(
        Analog_smtr_ram_R0C0_DOUTB8), .Y(N_288_i_0));
    NOR2B \frcskdnwvmx_ns_i[8]  (.A(INIT_DONE_net), .B(
        \frcskdnwvmx[7]_net_1 ), .Y(\frcskdnwvmx_ns_i[8]_net_1 ));
    NOR2 \frcskdnwvmx_ns_a3_0[0]  (.A(\frcskdnwvmx[2]_net_1 ), .B(
        TR_EV_RD_net), .Y(\frcskdnwvmx_ns_a3_0[0]_net_1 ));
    OAI1 \mwzbqqvzwjt_13_iv_0_o3_0[0]  (.A(\rhjxdmgzftc[0]_net_1 ), .B(
        \rhjxdmgzftc[1]_net_1 ), .C(\frcskdnwvmx[6]_net_1 ), .Y(
        \mwzbqqvzwjt_13_iv_0_o3_0[0]_net_1 ));
    OR2B \mwzbqqvzwjt_13_iv_0_o2[1]  (.A(cvpkmgjqwzb_1), .B(N_406), .Y(
        N_407));
    OA1 \frcskdnwvmx_ns_i_o2_0[5]  (.A(N_284), .B(
        \frcskdnwvmx_ns_i_a2_0[5] ), .C(\frcskdnwvmx[5]_net_1 ), .Y(
        N_286));
    OR2B jvxfmjbzjmc_13_sqmuxa_0_a2_0_a2_0 (.A(
        Analog_smtr_ram_R0C0_DOUTB7), .B(\frcskdnwvmx[5]_net_1 ), .Y(
        N_467));
    NOR3 \mwzbqqvzwjt_13_iv_0_o2_1[1]  (.A(Analog_smtr_ram_R0C0_DOUTB2)
        , .B(Analog_smtr_ram_R0C0_DOUTB3), .C(
        Analog_smtr_ram_R0C0_DOUTB4), .Y(N_406));
    XOR2 un1_jvxfmjbzjmc_ADD_9x9_medium_I20_Y (.A(qgnzcpmbksd[0]), .B(
        N_279), .Y(\un1_jvxfmjbzjmc[0] ));
    DFN1E1C0 zzzxtvvjqhf (.D(\frcskdnwvmx_ns_i[1]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_hgtrcfcxkrb_2), .Q(
        TR_TRFLAG_net));
    
endmodule


module SMTR_0s_0s_0s_9s_9s_0s(
       mtbjcfqsbqf,
       qgnzcpmbksd,
       un1_Analog_smtr_ram_inst_1_0,
       jfkkdmfhcdn,
       jfkkdmfhcdn_0_a3,
       rjhhzsggrtr,
       SYS_CLK_int,
       SYS_RESET_c,
       EV_DONE_net_0,
       Analog_smtr_ram_R0C0_DOUTB0,
       Analog_smtr_ram_R0C0_DOUTB2,
       Analog_smtr_ram_R0C0_DOUTB4,
       Analog_smtr_ram_R0C0_DOUTB3,
       Analog_smtr_ram_R0C0_DOUTB1,
       AV5V_under4p75_net,
       Temp_over70C_net,
       AV5V_over5p25_net,
       INIT_DONE_net,
       TR_EV_RD_net,
       Analog_smtr_ram_R0C0_DOUTB5,
       Analog_smtr_ram_R0C0_DOUTB7,
       Analog_smtr_ram_R0C0_DOUTB6,
       TR_RAM_CSN_B_net,
       TR_RAM_RW_A_net,
       N_4,
       N_10,
       xgnmbzmtzbb_0,
       EV_DONE_net,
       Analog_smtr_ram_R0C0_DOUTB8,
       Analog_smev_ram_R0C0_DOUTA0,
       TR_DONE_net_i_0,
       TR_TRFLAG_net
    );
input  [4:0] mtbjcfqsbqf;
output [8:0] qgnzcpmbksd;
input  [8:8] un1_Analog_smtr_ram_inst_1_0;
output [4:0] jfkkdmfhcdn;
output [8:5] jfkkdmfhcdn_0_a3;
output [8:0] rjhhzsggrtr;
input  SYS_CLK_int;
input  SYS_RESET_c;
input  EV_DONE_net_0;
input  Analog_smtr_ram_R0C0_DOUTB0;
input  Analog_smtr_ram_R0C0_DOUTB2;
input  Analog_smtr_ram_R0C0_DOUTB4;
input  Analog_smtr_ram_R0C0_DOUTB3;
input  Analog_smtr_ram_R0C0_DOUTB1;
output AV5V_under4p75_net;
output Temp_over70C_net;
output AV5V_over5p25_net;
input  INIT_DONE_net;
output TR_EV_RD_net;
input  Analog_smtr_ram_R0C0_DOUTB5;
input  Analog_smtr_ram_R0C0_DOUTB7;
input  Analog_smtr_ram_R0C0_DOUTB6;
output TR_RAM_CSN_B_net;
output TR_RAM_RW_A_net;
input  N_4;
input  N_10;
output xgnmbzmtzbb_0;
input  EV_DONE_net;
input  Analog_smtr_ram_R0C0_DOUTB8;
input  Analog_smev_ram_R0C0_DOUTA0;
output TR_DONE_net_i_0;
output TR_TRFLAG_net;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    ccfdxrhchsz_Z1 u_ccfdxrhchsz (.rjhhzsggrtr({rjhhzsggrtr[8], 
        rjhhzsggrtr[7], rjhhzsggrtr[6], rjhhzsggrtr[5], rjhhzsggrtr[4], 
        rjhhzsggrtr[3], rjhhzsggrtr[2], rjhhzsggrtr[1], rjhhzsggrtr[0]})
        , .jfkkdmfhcdn_0_a3({jfkkdmfhcdn_0_a3[8], jfkkdmfhcdn_0_a3[7], 
        jfkkdmfhcdn_0_a3[6], jfkkdmfhcdn_0_a3[5]}), .jfkkdmfhcdn({
        jfkkdmfhcdn[4], jfkkdmfhcdn[3], jfkkdmfhcdn[2], jfkkdmfhcdn[1], 
        jfkkdmfhcdn[0]}), .un1_Analog_smtr_ram_inst_1_0({
        un1_Analog_smtr_ram_inst_1_0[8]}), .qgnzcpmbksd({
        qgnzcpmbksd[8], qgnzcpmbksd[7], qgnzcpmbksd[6], qgnzcpmbksd[5], 
        qgnzcpmbksd[4], qgnzcpmbksd[3], qgnzcpmbksd[2], qgnzcpmbksd[1], 
        qgnzcpmbksd[0]}), .mtbjcfqsbqf({mtbjcfqsbqf[4], mtbjcfqsbqf[3], 
        mtbjcfqsbqf[2], mtbjcfqsbqf[1], mtbjcfqsbqf[0]}), 
        .TR_TRFLAG_net(TR_TRFLAG_net), .TR_DONE_net_i_0(
        TR_DONE_net_i_0), .Analog_smev_ram_R0C0_DOUTA0(
        Analog_smev_ram_R0C0_DOUTA0), .Analog_smtr_ram_R0C0_DOUTB8(
        Analog_smtr_ram_R0C0_DOUTB8), .EV_DONE_net(EV_DONE_net), 
        .xgnmbzmtzbb_0(xgnmbzmtzbb_0), .N_10(N_10), .N_4(N_4), 
        .TR_RAM_RW_A_net(TR_RAM_RW_A_net), .TR_RAM_CSN_B_net(
        TR_RAM_CSN_B_net), .Analog_smtr_ram_R0C0_DOUTB6(
        Analog_smtr_ram_R0C0_DOUTB6), .Analog_smtr_ram_R0C0_DOUTB7(
        Analog_smtr_ram_R0C0_DOUTB7), .Analog_smtr_ram_R0C0_DOUTB5(
        Analog_smtr_ram_R0C0_DOUTB5), .TR_EV_RD_net(TR_EV_RD_net), 
        .INIT_DONE_net(INIT_DONE_net), .AV5V_over5p25_net(
        AV5V_over5p25_net), .Temp_over70C_net(Temp_over70C_net), 
        .AV5V_under4p75_net(AV5V_under4p75_net), 
        .Analog_smtr_ram_R0C0_DOUTB1(Analog_smtr_ram_R0C0_DOUTB1), 
        .Analog_smtr_ram_R0C0_DOUTB3(Analog_smtr_ram_R0C0_DOUTB3), 
        .Analog_smtr_ram_R0C0_DOUTB4(Analog_smtr_ram_R0C0_DOUTB4), 
        .Analog_smtr_ram_R0C0_DOUTB2(Analog_smtr_ram_R0C0_DOUTB2), 
        .Analog_smtr_ram_R0C0_DOUTB0(Analog_smtr_ram_R0C0_DOUTB0), 
        .EV_DONE_net_0(EV_DONE_net_0), .SYS_RESET_c(SYS_RESET_c), 
        .SYS_CLK_int(SYS_CLK_int));
    GND GND_i (.Y(GND));
    
endmodule


module Analog_smtr_wrapper(
       rjhhzsggrtr,
       jfkkdmfhcdn_0_a3,
       jfkkdmfhcdn,
       un1_Analog_smtr_ram_inst_1_0,
       qgnzcpmbksd,
       mtbjcfqsbqf,
       TR_TRFLAG_net,
       TR_DONE_net_i_0,
       Analog_smev_ram_R0C0_DOUTA0,
       Analog_smtr_ram_R0C0_DOUTB8,
       EV_DONE_net,
       xgnmbzmtzbb_0,
       N_10,
       N_4,
       TR_RAM_RW_A_net,
       TR_RAM_CSN_B_net,
       Analog_smtr_ram_R0C0_DOUTB6,
       Analog_smtr_ram_R0C0_DOUTB7,
       Analog_smtr_ram_R0C0_DOUTB5,
       TR_EV_RD_net,
       INIT_DONE_net,
       AV5V_over5p25_net,
       Temp_over70C_net,
       AV5V_under4p75_net,
       Analog_smtr_ram_R0C0_DOUTB1,
       Analog_smtr_ram_R0C0_DOUTB3,
       Analog_smtr_ram_R0C0_DOUTB4,
       Analog_smtr_ram_R0C0_DOUTB2,
       Analog_smtr_ram_R0C0_DOUTB0,
       EV_DONE_net_0,
       SYS_RESET_c,
       SYS_CLK_int
    );
output [8:0] rjhhzsggrtr;
output [8:5] jfkkdmfhcdn_0_a3;
output [4:0] jfkkdmfhcdn;
input  [8:8] un1_Analog_smtr_ram_inst_1_0;
output [8:0] qgnzcpmbksd;
input  [4:0] mtbjcfqsbqf;
output TR_TRFLAG_net;
output TR_DONE_net_i_0;
input  Analog_smev_ram_R0C0_DOUTA0;
input  Analog_smtr_ram_R0C0_DOUTB8;
input  EV_DONE_net;
output xgnmbzmtzbb_0;
input  N_10;
input  N_4;
output TR_RAM_RW_A_net;
output TR_RAM_CSN_B_net;
input  Analog_smtr_ram_R0C0_DOUTB6;
input  Analog_smtr_ram_R0C0_DOUTB7;
input  Analog_smtr_ram_R0C0_DOUTB5;
output TR_EV_RD_net;
input  INIT_DONE_net;
output AV5V_over5p25_net;
output Temp_over70C_net;
output AV5V_under4p75_net;
input  Analog_smtr_ram_R0C0_DOUTB1;
input  Analog_smtr_ram_R0C0_DOUTB3;
input  Analog_smtr_ram_R0C0_DOUTB4;
input  Analog_smtr_ram_R0C0_DOUTB2;
input  Analog_smtr_ram_R0C0_DOUTB0;
input  EV_DONE_net_0;
input  SYS_RESET_c;
input  SYS_CLK_int;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    SMTR_0s_0s_0s_9s_9s_0s user_Analog_smtr_wrapper (.mtbjcfqsbqf({
        mtbjcfqsbqf[4], mtbjcfqsbqf[3], mtbjcfqsbqf[2], mtbjcfqsbqf[1], 
        mtbjcfqsbqf[0]}), .qgnzcpmbksd({qgnzcpmbksd[8], qgnzcpmbksd[7], 
        qgnzcpmbksd[6], qgnzcpmbksd[5], qgnzcpmbksd[4], qgnzcpmbksd[3], 
        qgnzcpmbksd[2], qgnzcpmbksd[1], qgnzcpmbksd[0]}), 
        .un1_Analog_smtr_ram_inst_1_0({un1_Analog_smtr_ram_inst_1_0[8]})
        , .jfkkdmfhcdn({jfkkdmfhcdn[4], jfkkdmfhcdn[3], jfkkdmfhcdn[2], 
        jfkkdmfhcdn[1], jfkkdmfhcdn[0]}), .jfkkdmfhcdn_0_a3({
        jfkkdmfhcdn_0_a3[8], jfkkdmfhcdn_0_a3[7], jfkkdmfhcdn_0_a3[6], 
        jfkkdmfhcdn_0_a3[5]}), .rjhhzsggrtr({rjhhzsggrtr[8], 
        rjhhzsggrtr[7], rjhhzsggrtr[6], rjhhzsggrtr[5], rjhhzsggrtr[4], 
        rjhhzsggrtr[3], rjhhzsggrtr[2], rjhhzsggrtr[1], rjhhzsggrtr[0]})
        , .SYS_CLK_int(SYS_CLK_int), .SYS_RESET_c(SYS_RESET_c), 
        .EV_DONE_net_0(EV_DONE_net_0), .Analog_smtr_ram_R0C0_DOUTB0(
        Analog_smtr_ram_R0C0_DOUTB0), .Analog_smtr_ram_R0C0_DOUTB2(
        Analog_smtr_ram_R0C0_DOUTB2), .Analog_smtr_ram_R0C0_DOUTB4(
        Analog_smtr_ram_R0C0_DOUTB4), .Analog_smtr_ram_R0C0_DOUTB3(
        Analog_smtr_ram_R0C0_DOUTB3), .Analog_smtr_ram_R0C0_DOUTB1(
        Analog_smtr_ram_R0C0_DOUTB1), .AV5V_under4p75_net(
        AV5V_under4p75_net), .Temp_over70C_net(Temp_over70C_net), 
        .AV5V_over5p25_net(AV5V_over5p25_net), .INIT_DONE_net(
        INIT_DONE_net), .TR_EV_RD_net(TR_EV_RD_net), 
        .Analog_smtr_ram_R0C0_DOUTB5(Analog_smtr_ram_R0C0_DOUTB5), 
        .Analog_smtr_ram_R0C0_DOUTB7(Analog_smtr_ram_R0C0_DOUTB7), 
        .Analog_smtr_ram_R0C0_DOUTB6(Analog_smtr_ram_R0C0_DOUTB6), 
        .TR_RAM_CSN_B_net(TR_RAM_CSN_B_net), .TR_RAM_RW_A_net(
        TR_RAM_RW_A_net), .N_4(N_4), .N_10(N_10), .xgnmbzmtzbb_0(
        xgnmbzmtzbb_0), .EV_DONE_net(EV_DONE_net), 
        .Analog_smtr_ram_R0C0_DOUTB8(Analog_smtr_ram_R0C0_DOUTB8), 
        .Analog_smev_ram_R0C0_DOUTA0(Analog_smev_ram_R0C0_DOUTA0), 
        .TR_DONE_net_i_0(TR_DONE_net_i_0), .TR_TRFLAG_net(
        TR_TRFLAG_net));
    GND GND_i (.Y(GND));
    
endmodule


module Analog_assc_ram(
       mksbfqnmmgw,
       INIT_DATA_net,
       bnrsdrtmtsg,
       svpqbbcnvqz,
       ksbhwjctscp,
       SYS_RESET_c,
       SYS_CLK_int,
       ASSC_RAM_WR_BUSY_B_net,
       N_257_i_0,
       Analog_assc_ram_VCC,
       ASSC_RAM_RW_A_net,
       ASSC_RAM_CSN_A_net,
       Analog_assc_ram_GND,
       Analog_assc_ram_R0C0_DOUTB8,
       Analog_assc_ram_R0C0_DOUTB7,
       Analog_assc_ram_R0C0_DOUTB6,
       Analog_assc_ram_R0C0_DOUTB5,
       Analog_assc_ram_R0C0_DOUTB4,
       Analog_assc_ram_R0C0_DOUTB3,
       Analog_assc_ram_R0C0_DOUTB2,
       Analog_assc_ram_R0C0_DOUTB1,
       Analog_assc_ram_R0C0_DOUTB0,
       Analog_assc_ram_R0C0_DOUTA8,
       Analog_assc_ram_R0C0_DOUTA7,
       Analog_assc_ram_R0C0_DOUTA6,
       Analog_assc_ram_R0C0_DOUTA5,
       Analog_assc_ram_R0C0_DOUTA4,
       Analog_assc_ram_R0C0_DOUTA3,
       Analog_assc_ram_R0C0_DOUTA2,
       Analog_assc_ram_R0C0_DOUTA1,
       Analog_assc_ram_R0C0_DOUTA0
    );
input  [8:0] mksbfqnmmgw;
input  [8:0] INIT_DATA_net;
input  [5:0] bnrsdrtmtsg;
input  [2:0] svpqbbcnvqz;
input  [8:0] ksbhwjctscp;
input  SYS_RESET_c;
input  SYS_CLK_int;
input  ASSC_RAM_WR_BUSY_B_net;
input  N_257_i_0;
input  Analog_assc_ram_VCC;
input  ASSC_RAM_RW_A_net;
input  ASSC_RAM_CSN_A_net;
input  Analog_assc_ram_GND;
output Analog_assc_ram_R0C0_DOUTB8;
output Analog_assc_ram_R0C0_DOUTB7;
output Analog_assc_ram_R0C0_DOUTB6;
output Analog_assc_ram_R0C0_DOUTB5;
output Analog_assc_ram_R0C0_DOUTB4;
output Analog_assc_ram_R0C0_DOUTB3;
output Analog_assc_ram_R0C0_DOUTB2;
output Analog_assc_ram_R0C0_DOUTB1;
output Analog_assc_ram_R0C0_DOUTB0;
output Analog_assc_ram_R0C0_DOUTA8;
output Analog_assc_ram_R0C0_DOUTA7;
output Analog_assc_ram_R0C0_DOUTA6;
output Analog_assc_ram_R0C0_DOUTA5;
output Analog_assc_ram_R0C0_DOUTA4;
output Analog_assc_ram_R0C0_DOUTA3;
output Analog_assc_ram_R0C0_DOUTA2;
output Analog_assc_ram_R0C0_DOUTA1;
output Analog_assc_ram_R0C0_DOUTA0;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    RAM4K9 Analog_assc_ram_R0C0 (.ADDRA11(Analog_assc_ram_GND), 
        .ADDRA10(Analog_assc_ram_GND), .ADDRA9(Analog_assc_ram_GND), 
        .ADDRA8(ksbhwjctscp[8]), .ADDRA7(ksbhwjctscp[7]), .ADDRA6(
        ksbhwjctscp[6]), .ADDRA5(ksbhwjctscp[5]), .ADDRA4(
        ksbhwjctscp[4]), .ADDRA3(ksbhwjctscp[3]), .ADDRA2(
        ksbhwjctscp[2]), .ADDRA1(ksbhwjctscp[1]), .ADDRA0(
        ksbhwjctscp[0]), .ADDRB11(Analog_assc_ram_GND), .ADDRB10(
        Analog_assc_ram_GND), .ADDRB9(Analog_assc_ram_GND), .ADDRB8(
        bnrsdrtmtsg[5]), .ADDRB7(bnrsdrtmtsg[4]), .ADDRB6(
        bnrsdrtmtsg[3]), .ADDRB5(bnrsdrtmtsg[2]), .ADDRB4(
        bnrsdrtmtsg[1]), .ADDRB3(bnrsdrtmtsg[0]), .ADDRB2(
        svpqbbcnvqz[2]), .ADDRB1(svpqbbcnvqz[1]), .ADDRB0(
        svpqbbcnvqz[0]), .DINA8(INIT_DATA_net[8]), .DINA7(
        INIT_DATA_net[7]), .DINA6(INIT_DATA_net[6]), .DINA5(
        INIT_DATA_net[5]), .DINA4(INIT_DATA_net[4]), .DINA3(
        INIT_DATA_net[3]), .DINA2(INIT_DATA_net[2]), .DINA1(
        INIT_DATA_net[1]), .DINA0(INIT_DATA_net[0]), .DINB8(
        mksbfqnmmgw[8]), .DINB7(mksbfqnmmgw[7]), .DINB6(mksbfqnmmgw[6])
        , .DINB5(mksbfqnmmgw[5]), .DINB4(mksbfqnmmgw[4]), .DINB3(
        mksbfqnmmgw[3]), .DINB2(mksbfqnmmgw[2]), .DINB1(mksbfqnmmgw[1])
        , .DINB0(mksbfqnmmgw[0]), .WIDTHA0(Analog_assc_ram_VCC), 
        .WIDTHA1(Analog_assc_ram_VCC), .WIDTHB0(Analog_assc_ram_VCC), 
        .WIDTHB1(Analog_assc_ram_VCC), .PIPEA(Analog_assc_ram_GND), 
        .PIPEB(Analog_assc_ram_GND), .WMODEA(Analog_assc_ram_VCC), 
        .WMODEB(Analog_assc_ram_VCC), .BLKA(ASSC_RAM_CSN_A_net), .BLKB(
        N_257_i_0), .WENA(ASSC_RAM_RW_A_net), .WENB(
        ASSC_RAM_WR_BUSY_B_net), .CLKA(SYS_CLK_int), .CLKB(SYS_CLK_int)
        , .RESET(SYS_RESET_c), .DOUTA8(Analog_assc_ram_R0C0_DOUTA8), 
        .DOUTA7(Analog_assc_ram_R0C0_DOUTA7), .DOUTA6(
        Analog_assc_ram_R0C0_DOUTA6), .DOUTA5(
        Analog_assc_ram_R0C0_DOUTA5), .DOUTA4(
        Analog_assc_ram_R0C0_DOUTA4), .DOUTA3(
        Analog_assc_ram_R0C0_DOUTA3), .DOUTA2(
        Analog_assc_ram_R0C0_DOUTA2), .DOUTA1(
        Analog_assc_ram_R0C0_DOUTA1), .DOUTA0(
        Analog_assc_ram_R0C0_DOUTA0), .DOUTB8(
        Analog_assc_ram_R0C0_DOUTB8), .DOUTB7(
        Analog_assc_ram_R0C0_DOUTB7), .DOUTB6(
        Analog_assc_ram_R0C0_DOUTB6), .DOUTB5(
        Analog_assc_ram_R0C0_DOUTB5), .DOUTB4(
        Analog_assc_ram_R0C0_DOUTB4), .DOUTB3(
        Analog_assc_ram_R0C0_DOUTB3), .DOUTB2(
        Analog_assc_ram_R0C0_DOUTB2), .DOUTB1(
        Analog_assc_ram_R0C0_DOUTB1), .DOUTB0(
        Analog_assc_ram_R0C0_DOUTB0));
    GND GND_i (.Y(GND));
    
endmodule


module fmvgpwbdcxs_Z3(
       bnrsdrtmtsg,
       ptxbvztnpnf,
       dbcvwwhvvwh,
       pfkhhxxsrzp,
       INIT_ADDR_net_0,
       kkkmkxwwscv,
       INIT_ADDR_net_8,
       INIT_ADDR_net_6,
       INIT_ADDR_net_5,
       INIT_ADDR_net_4,
       INIT_ADDR_net_3,
       INIT_ADDR_net_2,
       INIT_ADDR_net_1,
       INIT_ADDR_net_0_d0,
       ksbhwjctscp,
       AB_INST_RESULT,
       mksbfqnmmgw,
       svpqbbcnvqz,
       tkcbxxqbtfx,
       dspfgfmqhwh,
       ASSC_SAMPFLAG_net,
       TM_STB_net_0,
       ADC_PDOWN_net,
       ADC_RESET_net,
       ADC_CALIBRATE_net,
       ADC_START_net,
       Analog_assc_ram_R0C0_DOUTB5,
       Analog_assc_ram_R0C0_DOUTB4,
       Analog_assc_ram_R0C0_DOUTB3,
       Analog_assc_ram_R0C0_DOUTB2,
       Analog_assc_ram_R0C0_DOUTB1,
       Analog_assc_ram_R0C0_DOUTB0,
       Analog_assc_ram_R0C0_DOUTB8,
       ASSC_RAM_RW_A_net,
       INIT_ASSC_WEN_net,
       ASSC_RAM_CSN_A_net,
       qvkpfznsfjx,
       ktwrhqstzjg,
       ADC_BUSY_net,
       ASSC_RAM_WR_BUSY_B_net,
       N_257_i_0,
       N_301,
       Analog_assc_ram_R0C0_DOUTB7,
       Analog_assc_ram_R0C0_DOUTB6,
       bskrjhjvqpf_1_sqmuxa,
       EV_DONE_net_0,
       EV_EVFLAG_net,
       TR_TRFLAG_net,
       TR_DONE_net_i_0,
       INIT_DONE_net,
       SYS_RESET_c,
       SYS_CLK_int
    );
output [5:0] bnrsdrtmtsg;
output [7:0] ptxbvztnpnf;
output [7:0] dbcvwwhvvwh;
output [3:0] pfkhhxxsrzp;
input  [7:7] INIT_ADDR_net_0;
input  [5:0] kkkmkxwwscv;
input  INIT_ADDR_net_8;
input  INIT_ADDR_net_6;
input  INIT_ADDR_net_5;
input  INIT_ADDR_net_4;
input  INIT_ADDR_net_3;
input  INIT_ADDR_net_2;
input  INIT_ADDR_net_1;
input  INIT_ADDR_net_0_d0;
output [8:0] ksbhwjctscp;
input  [11:0] AB_INST_RESULT;
output [8:0] mksbfqnmmgw;
output [2:0] svpqbbcnvqz;
input  [10:10] tkcbxxqbtfx;
output [4:0] dspfgfmqhwh;
output ASSC_SAMPFLAG_net;
output TM_STB_net_0;
output ADC_PDOWN_net;
output ADC_RESET_net;
input  ADC_CALIBRATE_net;
output ADC_START_net;
input  Analog_assc_ram_R0C0_DOUTB5;
input  Analog_assc_ram_R0C0_DOUTB4;
input  Analog_assc_ram_R0C0_DOUTB3;
input  Analog_assc_ram_R0C0_DOUTB2;
input  Analog_assc_ram_R0C0_DOUTB1;
input  Analog_assc_ram_R0C0_DOUTB0;
input  Analog_assc_ram_R0C0_DOUTB8;
output ASSC_RAM_RW_A_net;
input  INIT_ASSC_WEN_net;
output ASSC_RAM_CSN_A_net;
output qvkpfznsfjx;
output ktwrhqstzjg;
input  ADC_BUSY_net;
output ASSC_RAM_WR_BUSY_B_net;
output N_257_i_0;
output N_301;
input  Analog_assc_ram_R0C0_DOUTB7;
input  Analog_assc_ram_R0C0_DOUTB6;
input  bskrjhjvqpf_1_sqmuxa;
input  EV_DONE_net_0;
input  EV_EVFLAG_net;
input  TR_TRFLAG_net;
input  TR_DONE_net_i_0;
input  INIT_DONE_net;
input  SYS_RESET_c;
input  SYS_CLK_int;

    wire un1_Analog_inst_3_0, \jzzdfrmzwdj_ns_i[3]_net_1 , 
        \jzzdfrmzwdj_0[1]_net_1 , \jzzdfrmzwdj_ns_i[1]_net_1 , N_264_0, 
        zgzrtwwghwq_1_sqmuxa_i_a2_4_net_1, 
        zgzrtwwghwq_1_sqmuxa_i_a2_5_net_1, \jzzdfrmzwdj[7]_net_1 , 
        bksczsjcvgb10_i_net_1, bksczsjcvgb10_net_1, 
        ADD_8x8_medium_I29_Y_0, \hpvbctcvfcp[7]_net_1 , 
        ADD_8x8_medium_I28_Y_0, \hpvbctcvfcp[6]_net_1 , 
        ADD_8x8_medium_I25_Y_0, \hpvbctcvfcp[3]_net_1 , 
        ADD_8x8_medium_I26_Y_0, \hpvbctcvfcp[4]_net_1 , 
        ADD_8x8_medium_I17_Y_1, ADD_8x8_medium_I17_Y_0, N145, 
        \hpvbctcvfcp[5]_net_1 , N132, ddvbdtxtbpx_i_1_net_1, N_291, 
        \jzzdfrmzwdj[2]_net_1 , \jzzdfrmzwdj[4]_net_1 , 
        bksczsjcvgb10_0_net_1, bksczsjcvgb_net_1, wwhrbsjdjpn_net_1, 
        \jzzdfrmzwdj_ns_i_0[14]_net_1 , bksnhfwfshc_1_iv_0_net_1, 
        znbmnfdbzvr_net_1, bksnhfwfshc25_m_net_1, 
        \jzzdfrmzwdj_ns_0[0]_net_1 , \jzzdfrmzwdj[15]_net_1 , 
        znbkwkbspdc_net_1, bwngcbddzsh_0_sqmuxa_2_net_1, 
        bwngcbddzsh_0_sqmuxa_0_net_1, \jzzdfrmzwdj_ns_i_0[15]_net_1 , 
        un1_cfxfrwgjccr_10_0_0_net_1, N_282, N_308_1, 
        ddvbdtxtbpx_i_1_0_net_1, \jzzdfrmzwdj[5]_net_1 , 
        zgzrtwwghwq_1_sqmuxa_i_a2_0_net_1, 
        zgzrtwwghwq_1_sqmuxa_i_a2_2_net_1, \hpvbctcvfcp[0]_net_1 , 
        \hpvbctcvfcp[1]_net_1 , \hpvbctcvfcp[2]_net_1 , 
        bdbpcvshhqt_1_net_1, bdbpcvshhqt_net_1, 
        un1_Analog_assc_wrapper_inst, N_289, N_327, 
        \svpqbbcnvqz_1[2]_net_1 , \jzzdfrmzwdj[11]_net_1 , 
        \jzzdfrmzwdj_i[10] , N_257_1, N_279, N_297, 
        \jzzdfrmzwdj_ns[0]_net_1 , N_280, bksnhfwfshc_6_sqmuxa, N_308, 
        bwngcbddzsh_0_sqmuxa_net_1, bcmkdjqtngz10_net_1, bksnhfwfshc_1, 
        znbkwkbspdc_7_i_net_1, N_290, un1_cfxfrwgjccr_10, 
        \jzzdfrmzwdj_ns_i[15]_net_1 , N_249_i_0, N_337, 
        \jzzdfrmzwdj[14]_net_1 , \jzzdfrmzwdj_ns_i[13]_net_1 , N_377, 
        \jzzdfrmzwdj_ns[10] , \jzzdfrmzwdj[9]_net_1 , 
        un1_cfxfrwgjccr_12_net_1, un1_cfxfrwgjccr_net_1, 
        \un1_zgzrtwwghwq_1_sqmuxa_i[7] , N138, N156, 
        \un1_zgzrtwwghwq_1_sqmuxa[4] , N147, N168, 
        \un1_zgzrtwwghwq_1_sqmuxa[3] , \un1_zgzrtwwghwq_1_sqmuxa[1] , 
        \un1_zgzrtwwghwq_1_sqmuxa[2] , \un1_zgzrtwwghwq_1_sqmuxa[5] , 
        N166, \un1_zgzrtwwghwq_1_sqmuxa_i[6] , N_264, 
        \jzzdfrmzwdj_ns_i[7]_net_1 , \jzzdfrmzwdj[6]_net_1 , 
        \hpvbctcvfcp_6[0] , N_356, \hpvbctcvfcp_6[1] , N_357, 
        \hpvbctcvfcp_6[2] , N_358, \hpvbctcvfcp_6[5] , N_361, 
        \hpvbctcvfcp_6[6] , N_362, \hpvbctcvfcp_6[7] , N_363, 
        \un1_zgzrtwwghwq_1_sqmuxa[0] , \jzzdfrmzwdj_i_0[13] , 
        \jzzdfrmzwdj_i_0[12] , \jzzdfrmzwdj_ns_i[12]_net_1 , 
        un1_bcmkdjqtngz10_1_net_1, crgqqkcrfvm_net_1, 
        un1_bksczsjcvgb10_1_net_1, wkpfnwqwgcb_net_1, 
        bksnhfwfshc_2_sqmuxa, N_323, N_324, N_325, N_326, N_281, 
        \jzzdfrmzwdj[0]_net_1 , \jzzdfrmzwdj_ns_i[2]_net_1 , 
        \jzzdfrmzwdj_ns_i[4]_net_1 , \jzzdfrmzwdj_ns_i[5]_net_1 , 
        \jzzdfrmzwdj_ns_i[6]_net_1 , \jzzdfrmzwdj_ns_i[9]_net_1 , 
        N_303, \jzzdfrmzwdj[8]_net_1 , \jzzdfrmzwdj_ns_i[11]_net_1 , 
        hdxtpkktfvz, \bnrsdrtmtsg_7[5]_net_1 , 
        \hgqdwrxvgzm_4[5]_net_1 , \bnrsdrtmtsg_7[4]_net_1 , 
        \hgqdwrxvgzm_4[4]_net_1 , \bnrsdrtmtsg_7[3]_net_1 , 
        \hgqdwrxvgzm_4[3]_net_1 , \bnrsdrtmtsg_7[2]_net_1 , 
        \hgqdwrxvgzm_4[2]_net_1 , \bnrsdrtmtsg_7[1]_net_1 , 
        \hgqdwrxvgzm_4[1]_net_1 , \bnrsdrtmtsg_7[0]_net_1 , 
        \hgqdwrxvgzm_4[0]_net_1 , \hgqdwrxvgzm[0]_net_1 , 
        \hgqdwrxvgzm[1]_net_1 , \hgqdwrxvgzm[2]_net_1 , 
        \hgqdwrxvgzm[3]_net_1 , \hgqdwrxvgzm[4]_net_1 , 
        \jzzdfrmzwdj[1]_net_1 , \hgqdwrxvgzm[5]_net_1 , 
        znbmnfdbzvr_9_net_1, N_360, \hpvbctcvfcp_6[4] , 
        \hpvbctcvfcp_6[3] , N_359, N126, \jzzdfrmzwdj_ns[8] , 
        gtxqsppgcmn_net_1, zbhmfptrcmn_net_1, \jzzdfrmzwdj[3]_net_1 , 
        GND, VCC, GND_net_1, VCC_net_1;
    
    DFN1E1C0 \dbcvwwhvvwh[2]  (.D(Analog_assc_ram_R0C0_DOUTB2), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[2]_net_1 ), 
        .Q(dbcvwwhvvwh[2]));
    XNOR2 un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I0_S (.A(
        \hpvbctcvfcp[0]_net_1 ), .B(N_264), .Y(
        \un1_zgzrtwwghwq_1_sqmuxa[0] ));
    MX2B \ksbhwjctscp[0]  (.A(INIT_ADDR_net_0_d0), .B(tkcbxxqbtfx[10]), 
        .S(INIT_DONE_net), .Y(ksbhwjctscp[0]));
    NOR2B \zpsvrxkccbh_hpvbctcvfcp_6_r[6]  (.A(INIT_DONE_net), .B(
        N_362), .Y(\hpvbctcvfcp_6[6] ));
    NOR3A zgzrtwwghwq_1_sqmuxa_i_a2_5 (.A(
        zgzrtwwghwq_1_sqmuxa_i_a2_0_net_1), .B(\hpvbctcvfcp[4]_net_1 ), 
        .C(\hpvbctcvfcp[5]_net_1 ), .Y(
        zgzrtwwghwq_1_sqmuxa_i_a2_5_net_1));
    NOR2A \jzzdfrmzwdj_ns_i[1]  (.A(INIT_DONE_net), .B(N_291), .Y(
        \jzzdfrmzwdj_ns_i[1]_net_1 ));
    NOR3B fsrxhtjthgw_i_o4 (.A(znbkwkbspdc_net_1), .B(INIT_DONE_net), 
        .C(N_327), .Y(N_301));
    NOR3A un1_cfxfrwgjccr (.A(INIT_DONE_net), .B(un1_Analog_inst_3_0), 
        .C(qvkpfznsfjx), .Y(un1_cfxfrwgjccr_net_1));
    DFN1E1C0 \dbcvwwhvvwh[0]  (.D(Analog_assc_ram_R0C0_DOUTB0), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[2]_net_1 ), 
        .Q(dbcvwwhvvwh[0]));
    NOR2A \mksbfqnmmgw[6]  (.A(AB_INST_RESULT[6]), .B(
        \jzzdfrmzwdj[11]_net_1 ), .Y(mksbfqnmmgw[6]));
    DFN1E1C0 \ptxbvztnpnf[4]  (.D(Analog_assc_ram_R0C0_DOUTB4), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[4]_net_1 ), 
        .Q(ptxbvztnpnf[4]));
    XOR2 un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I25_Y (.A(
        ADD_8x8_medium_I25_Y_0), .B(N168), .Y(
        \un1_zgzrtwwghwq_1_sqmuxa[3] ));
    NOR3B bwngcbddzsh_0_sqmuxa_2 (.A(dspfgfmqhwh[1]), .B(
        dspfgfmqhwh[0]), .C(dspfgfmqhwh[2]), .Y(
        bwngcbddzsh_0_sqmuxa_2_net_1));
    DFN1C0 \hpvbctcvfcp[3]  (.D(\hpvbctcvfcp_6[3] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(\hpvbctcvfcp[3]_net_1 ));
    DFN1E1C0 \hgqdwrxvgzm[5]  (.D(Analog_assc_ram_R0C0_DOUTB5), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[1]_net_1 ), 
        .Q(\hgqdwrxvgzm[5]_net_1 ));
    DFN1E1C0 \dspfgfmqhwh[1]  (.D(Analog_assc_ram_R0C0_DOUTB1), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_Analog_inst_3_0), .Q(
        dspfgfmqhwh[1]));
    OA1A un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I17_Y_0 (.A(
        \hpvbctcvfcp[5]_net_1 ), .B(N_264_0), .C(N132), .Y(
        ADD_8x8_medium_I17_Y_0));
    DFN1E1C0 \pfkhhxxsrzp[1]  (.D(Analog_assc_ram_R0C0_DOUTB6), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[3]_net_1 ), 
        .Q(pfkhhxxsrzp[1]));
    DFN1E1C0 bksczsjcvgb (.D(bksczsjcvgb10_i_net_1), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(un1_bksczsjcvgb10_1_net_1), .Q(
        bksczsjcvgb_net_1));
    OR2 \jzzdfrmzwdj_ns_i_o2_0[2]  (.A(Analog_assc_ram_R0C0_DOUTB7), 
        .B(Analog_assc_ram_R0C0_DOUTB6), .Y(N_279));
    DFN1E1C0 \dspfgfmqhwh[3]  (.D(Analog_assc_ram_R0C0_DOUTB3), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[3]_net_1 ), 
        .Q(dspfgfmqhwh[3]));
    NOR3A ddvbdtxtbpx_i_1_1 (.A(N_291), .B(\jzzdfrmzwdj[2]_net_1 ), .C(
        \jzzdfrmzwdj[4]_net_1 ), .Y(ddvbdtxtbpx_i_1_net_1));
    DFN1E0C0 \bnrsdrtmtsg[3]  (.D(\bnrsdrtmtsg_7[3]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_cfxfrwgjccr_12_net_1), 
        .Q(bnrsdrtmtsg[3]));
    MX2 \mksbfqnmmgw[2]  (.A(AB_INST_RESULT[2]), .B(AB_INST_RESULT[11])
        , .S(\jzzdfrmzwdj[11]_net_1 ), .Y(mksbfqnmmgw[2]));
    NOR2B \bnrsdrtmtsg_7[3]  (.A(ktwrhqstzjg), .B(
        \hgqdwrxvgzm_4[3]_net_1 ), .Y(\bnrsdrtmtsg_7[3]_net_1 ));
    DFN1P0 \jzzdfrmzwdj[10]  (.D(\jzzdfrmzwdj_ns[10] ), .CLK(
        SYS_CLK_int), .PRE(SYS_RESET_c), .Q(\jzzdfrmzwdj_i[10] ));
    DFN1C0 \hpvbctcvfcp[6]  (.D(\hpvbctcvfcp_6[6] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(\hpvbctcvfcp[6]_net_1 ));
    DFN1C0 wwhrbsjdjpn (.D(ADC_CALIBRATE_net), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(wwhrbsjdjpn_net_1));
    AO1B un1_cfxfrwgjccr_10_0 (.A(N_290), .B(znbkwkbspdc_net_1), .C(
        un1_cfxfrwgjccr_10_0_0_net_1), .Y(un1_cfxfrwgjccr_10));
    DFN1C0 \jzzdfrmzwdj[8]  (.D(\jzzdfrmzwdj_ns[8] ), .CLK(SYS_CLK_int)
        , .CLR(SYS_RESET_c), .Q(\jzzdfrmzwdj[8]_net_1 ));
    NOR2B \bnrsdrtmtsg_7[1]  (.A(ktwrhqstzjg), .B(
        \hgqdwrxvgzm_4[1]_net_1 ), .Y(\bnrsdrtmtsg_7[1]_net_1 ));
    DFN1E1C0 \ptxbvztnpnf[7]  (.D(Analog_assc_ram_R0C0_DOUTB7), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[4]_net_1 ), 
        .Q(ptxbvztnpnf[7]));
    MX2 \ksbhwjctscp[5]  (.A(INIT_ADDR_net_5), .B(kkkmkxwwscv[2]), .S(
        INIT_DONE_net), .Y(ksbhwjctscp[5]));
    DFN1C0 \jzzdfrmzwdj[1]  (.D(\jzzdfrmzwdj_ns_i[1]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\jzzdfrmzwdj[1]_net_1 ));
    DFN1E0C0 \bnrsdrtmtsg[4]  (.D(\bnrsdrtmtsg_7[4]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_cfxfrwgjccr_12_net_1), 
        .Q(bnrsdrtmtsg[4]));
    DFN1E1C0 \dbcvwwhvvwh[5]  (.D(Analog_assc_ram_R0C0_DOUTB5), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[2]_net_1 ), 
        .Q(dbcvwwhvvwh[5]));
    NOR2B un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I17_Y_1 (.A(
        ADD_8x8_medium_I17_Y_0), .B(N145), .Y(ADD_8x8_medium_I17_Y_1));
    DFN1E0C0 \bnrsdrtmtsg[5]  (.D(\bnrsdrtmtsg_7[5]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_cfxfrwgjccr_12_net_1), 
        .Q(bnrsdrtmtsg[5]));
    DFN1C0 wkpfnwqwgcb (.D(wwhrbsjdjpn_net_1), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(wkpfnwqwgcb_net_1));
    DFN1C0 \jzzdfrmzwdj[2]  (.D(\jzzdfrmzwdj_ns_i[2]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\jzzdfrmzwdj[2]_net_1 ));
    MX2 \zpsvrxkccbh_hpvbctcvfcp_6[5]  (.A(
        \un1_zgzrtwwghwq_1_sqmuxa[5] ), .B(Analog_assc_ram_R0C0_DOUTB5)
        , .S(\jzzdfrmzwdj[6]_net_1 ), .Y(N_361));
    NOR2B \bnrsdrtmtsg_7[0]  (.A(ktwrhqstzjg), .B(
        \hgqdwrxvgzm_4[0]_net_1 ), .Y(\bnrsdrtmtsg_7[0]_net_1 ));
    MX2 \hgqdwrxvgzm_4[0]  (.A(\hgqdwrxvgzm[0]_net_1 ), .B(
        Analog_assc_ram_R0C0_DOUTB0), .S(\jzzdfrmzwdj_0[1]_net_1 ), .Y(
        \hgqdwrxvgzm_4[0]_net_1 ));
    OA1 \jzzdfrmzwdj_ns_i[9]  (.A(N_303), .B(\jzzdfrmzwdj[8]_net_1 ), 
        .C(INIT_DONE_net), .Y(\jzzdfrmzwdj_ns_i[9]_net_1 ));
    NOR2A nptwvwnctcg_i_o4 (.A(\jzzdfrmzwdj_i[10] ), .B(
        \jzzdfrmzwdj[11]_net_1 ), .Y(ASSC_RAM_WR_BUSY_B_net));
    DFN1E1C0 \dspfgfmqhwh[4]  (.D(Analog_assc_ram_R0C0_DOUTB4), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[3]_net_1 ), 
        .Q(dspfgfmqhwh[4]));
    OR2A fsrxhtjthgw_i_a2_1 (.A(N_281), .B(N_377), .Y(N_326));
    GND GND_i (.Y(GND));
    DFN1C0 crgqqkcrfvm (.D(gtxqsppgcmn_net_1), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(crgqqkcrfvm_net_1));
    DFN1E1C0 \bwngcbddzsh[0]  (.D(bwngcbddzsh_0_sqmuxa_net_1), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_bcmkdjqtngz10_1_net_1), 
        .Q(TM_STB_net_0));
    OR2A bdbpcvshhqt (.A(bdbpcvshhqt_1_net_1), .B(EV_DONE_net_0), .Y(
        bdbpcvshhqt_net_1));
    NOR2 zgzrtwwghwq_1_sqmuxa_i_a2_2 (.A(\hpvbctcvfcp[3]_net_1 ), .B(
        \hpvbctcvfcp[2]_net_1 ), .Y(zgzrtwwghwq_1_sqmuxa_i_a2_2_net_1));
    AOI1 fsrxhtjthgw_i_a2 (.A(N_325), .B(N_326), .C(
        \jzzdfrmzwdj[15]_net_1 ), .Y(N_327));
    NOR2B \zpsvrxkccbh_hpvbctcvfcp_6_r[4]  (.A(INIT_DONE_net), .B(
        N_360), .Y(\hpvbctcvfcp_6[4] ));
    MX2 \zpsvrxkccbh_hpvbctcvfcp_6[3]  (.A(
        \un1_zgzrtwwghwq_1_sqmuxa[3] ), .B(Analog_assc_ram_R0C0_DOUTB3)
        , .S(\jzzdfrmzwdj[6]_net_1 ), .Y(N_359));
    VCC VCC_i_0 (.Y(VCC_net_1));
    DFN1E1C0 dtcvhtqxgdc (.D(N_308), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(un1_cfxfrwgjccr_10), .Q(ADC_PDOWN_net));
    OR2B un1_cfxfrwgjccr_3_0_o2 (.A(Analog_assc_ram_R0C0_DOUTB8), .B(
        \jzzdfrmzwdj_0[1]_net_1 ), .Y(N_282));
    DFN1C0 \hpvbctcvfcp[0]  (.D(\hpvbctcvfcp_6[0] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(\hpvbctcvfcp[0]_net_1 ));
    NOR3B bksnhfwfshc_2_sqmuxa_0_a4 (.A(Analog_assc_ram_R0C0_DOUTB6), 
        .B(Analog_assc_ram_R0C0_DOUTB7), .C(N_297), .Y(
        bksnhfwfshc_2_sqmuxa));
    DFN1E1C0 \ptxbvztnpnf[0]  (.D(Analog_assc_ram_R0C0_DOUTB0), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[4]_net_1 ), 
        .Q(ptxbvztnpnf[0]));
    XO1A \jzzdfrmzwdj_ns_i_o2[15]  (.A(Analog_assc_ram_R0C0_DOUTB6), 
        .B(Analog_assc_ram_R0C0_DOUTB7), .C(N_282), .Y(N_289));
    MX2 \hgqdwrxvgzm_4[3]  (.A(\hgqdwrxvgzm[3]_net_1 ), .B(
        Analog_assc_ram_R0C0_DOUTB3), .S(\jzzdfrmzwdj_0[1]_net_1 ), .Y(
        \hgqdwrxvgzm_4[3]_net_1 ));
    NOR2B \zpsvrxkccbh_hpvbctcvfcp_6_r[0]  (.A(INIT_DONE_net), .B(
        N_356), .Y(\hpvbctcvfcp_6[0] ));
    MX2 \zpsvrxkccbh_hpvbctcvfcp_6[0]  (.A(
        \un1_zgzrtwwghwq_1_sqmuxa[0] ), .B(Analog_assc_ram_R0C0_DOUTB0)
        , .S(\jzzdfrmzwdj[6]_net_1 ), .Y(N_356));
    OR2A un1_cfxfrwgjccr_3_0_a4_1 (.A(Analog_assc_ram_R0C0_DOUTB6), .B(
        Analog_assc_ram_R0C0_DOUTB7), .Y(N_308_1));
    MX2B \ksbhwjctscp[1]  (.A(INIT_ADDR_net_1), .B(tkcbxxqbtfx[10]), 
        .S(INIT_DONE_net), .Y(ksbhwjctscp[1]));
    NOR2B \jzzdfrmzwdj_ns_i[3]  (.A(INIT_DONE_net), .B(
        \jzzdfrmzwdj[2]_net_1 ), .Y(\jzzdfrmzwdj_ns_i[3]_net_1 ));
    NOR3C gpvwdfsrrwc_0_a2 (.A(zgzrtwwghwq_1_sqmuxa_i_a2_4_net_1), .B(
        zgzrtwwghwq_1_sqmuxa_i_a2_5_net_1), .C(\jzzdfrmzwdj[7]_net_1 ), 
        .Y(ADC_START_net));
    NOR2A \mksbfqnmmgw[3]  (.A(AB_INST_RESULT[3]), .B(
        \jzzdfrmzwdj[11]_net_1 ), .Y(mksbfqnmmgw[3]));
    MX2 \ksbhwjctscp[6]  (.A(INIT_ADDR_net_6), .B(kkkmkxwwscv[3]), .S(
        INIT_DONE_net), .Y(ksbhwjctscp[6]));
    OR2B \jzzdfrmzwdj_ns_i_o2[13]  (.A(\jzzdfrmzwdj_i_0[13] ), .B(
        \jzzdfrmzwdj_i_0[12] ), .Y(N_377));
    AO1C hdxtpkktfvz_0 (.A(bdbpcvshhqt_net_1), .B(N_377), .C(N_289), 
        .Y(hdxtpkktfvz));
    NOR2B \jzzdfrmzwdj_ns_i_o2[9]  (.A(\jzzdfrmzwdj[9]_net_1 ), .B(
        ADC_BUSY_net), .Y(N_303));
    DFN1E1C0 \pfkhhxxsrzp[2]  (.D(Analog_assc_ram_R0C0_DOUTB7), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[3]_net_1 ), 
        .Q(pfkhhxxsrzp[2]));
    NOR2A un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I2_G0N (.A(
        \hpvbctcvfcp[2]_net_1 ), .B(N_264), .Y(N126));
    OR2B \svpqbbcnvqz[0]  (.A(\jzzdfrmzwdj_i[10] ), .B(N_257_1), .Y(
        svpqbbcnvqz[0]));
    OR2A un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I4_G0N (.A(
        \hpvbctcvfcp[4]_net_1 ), .B(N_264), .Y(N132));
    NOR2A \mksbfqnmmgw[5]  (.A(AB_INST_RESULT[5]), .B(
        \jzzdfrmzwdj[11]_net_1 ), .Y(mksbfqnmmgw[5]));
    DFN1E0C0 \bnrsdrtmtsg[1]  (.D(\bnrsdrtmtsg_7[1]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_cfxfrwgjccr_12_net_1), 
        .Q(bnrsdrtmtsg[1]));
    DFN1E1C0 \ptxbvztnpnf[1]  (.D(Analog_assc_ram_R0C0_DOUTB1), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[4]_net_1 ), 
        .Q(ptxbvztnpnf[1]));
    NOR3C ddvbdtxtbpx_i (.A(ASSC_RAM_WR_BUSY_B_net), .B(
        ddvbdtxtbpx_i_1_net_1), .C(N_257_1), .Y(N_257_i_0));
    MX2 \ksbhwjctscp[4]  (.A(INIT_ADDR_net_4), .B(kkkmkxwwscv[1]), .S(
        INIT_DONE_net), .Y(ksbhwjctscp[4]));
    VCC VCC_i (.Y(VCC));
    OA1C bksczsjcvgb10_0 (.A(bksczsjcvgb_net_1), .B(
        \jzzdfrmzwdj_0[1]_net_1 ), .C(wwhrbsjdjpn_net_1), .Y(
        bksczsjcvgb10_0_net_1));
    NOR2 zgzrtwwghwq_1_sqmuxa_i_a2_0 (.A(\hpvbctcvfcp[7]_net_1 ), .B(
        \hpvbctcvfcp[6]_net_1 ), .Y(zgzrtwwghwq_1_sqmuxa_i_a2_0_net_1));
    OR2B \jzzdfrmzwdj_ns_o4_0[0]  (.A(N_324), .B(N_323), .Y(
        bksnhfwfshc_6_sqmuxa));
    INV bksczsjcvgb10_i (.A(bksczsjcvgb10_net_1), .Y(
        bksczsjcvgb10_i_net_1));
    NOR2B \zpsvrxkccbh_hpvbctcvfcp_6_r[2]  (.A(INIT_DONE_net), .B(
        N_358), .Y(\hpvbctcvfcp_6[2] ));
    DFN1E1C0 \ptxbvztnpnf[3]  (.D(Analog_assc_ram_R0C0_DOUTB3), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[4]_net_1 ), 
        .Q(ptxbvztnpnf[3]));
    MX2 \hgqdwrxvgzm_4[4]  (.A(\hgqdwrxvgzm[4]_net_1 ), .B(
        Analog_assc_ram_R0C0_DOUTB4), .S(\jzzdfrmzwdj[1]_net_1 ), .Y(
        \hgqdwrxvgzm_4[4]_net_1 ));
    DFN1E0C0 bcmkdjqtngz (.D(bcmkdjqtngz10_net_1), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(un1_cfxfrwgjccr_net_1), .Q(
        ASSC_SAMPFLAG_net));
    NOR2A \mksbfqnmmgw[7]  (.A(AB_INST_RESULT[7]), .B(
        \jzzdfrmzwdj[11]_net_1 ), .Y(mksbfqnmmgw[7]));
    DFN1E0C0 \bnrsdrtmtsg[0]  (.D(\bnrsdrtmtsg_7[0]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_cfxfrwgjccr_12_net_1), 
        .Q(bnrsdrtmtsg[0]));
    DFN1E1C0 \ptxbvztnpnf[6]  (.D(Analog_assc_ram_R0C0_DOUTB6), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[4]_net_1 ), 
        .Q(ptxbvztnpnf[6]));
    DFN1E1C0 \dbcvwwhvvwh[7]  (.D(Analog_assc_ram_R0C0_DOUTB7), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[2]_net_1 ), 
        .Q(dbcvwwhvvwh[7]));
    NOR2B \jzzdfrmzwdj_ns_i[6]  (.A(INIT_DONE_net), .B(
        \jzzdfrmzwdj[5]_net_1 ), .Y(\jzzdfrmzwdj_ns_i[6]_net_1 ));
    DFN1E1C0 \dspfgfmqhwh[0]  (.D(Analog_assc_ram_R0C0_DOUTB0), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_Analog_inst_3_0), .Q(
        dspfgfmqhwh[0]));
    OA1C \jzzdfrmzwdj_ns_i[15]  (.A(N_289), .B(\jzzdfrmzwdj[15]_net_1 )
        , .C(\jzzdfrmzwdj_ns_i_0[15]_net_1 ), .Y(
        \jzzdfrmzwdj_ns_i[15]_net_1 ));
    DFN1E1C0 \dbcvwwhvvwh[4]  (.D(Analog_assc_ram_R0C0_DOUTB4), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[2]_net_1 ), 
        .Q(dbcvwwhvvwh[4]));
    NOR2A bcmkdjqtngz10 (.A(INIT_DONE_net), .B(qvkpfznsfjx), .Y(
        bcmkdjqtngz10_net_1));
    NOR2A \jzzdfrmzwdj_ns_i[11]  (.A(INIT_DONE_net), .B(
        \jzzdfrmzwdj_i[10] ), .Y(\jzzdfrmzwdj_ns_i[11]_net_1 ));
    AX1D un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I29_Y (.A(N138), .B(
        N156), .C(ADD_8x8_medium_I29_Y_0), .Y(
        \un1_zgzrtwwghwq_1_sqmuxa_i[7] ));
    NOR2B \zpsvrxkccbh_hpvbctcvfcp_6_r[1]  (.A(INIT_DONE_net), .B(
        N_357), .Y(\hpvbctcvfcp_6[1] ));
    DFN1E1C0 \hgqdwrxvgzm[0]  (.D(Analog_assc_ram_R0C0_DOUTB0), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[1]_net_1 ), 
        .Q(\hgqdwrxvgzm[0]_net_1 ));
    OR2B \jzzdfrmzwdj_ns_o2[0]  (.A(\jzzdfrmzwdj[14]_net_1 ), .B(
        bksczsjcvgb_net_1), .Y(N_281));
    MX2 \ksbhwjctscp[3]  (.A(INIT_ADDR_net_3), .B(kkkmkxwwscv[0]), .S(
        INIT_DONE_net), .Y(ksbhwjctscp[3]));
    NOR3C bwngcbddzsh_0_sqmuxa (.A(bwngcbddzsh_0_sqmuxa_2_net_1), .B(
        bwngcbddzsh_0_sqmuxa_0_net_1), .C(bcmkdjqtngz10_net_1), .Y(
        bwngcbddzsh_0_sqmuxa_net_1));
    DFN1E1C0 \ptxbvztnpnf[2]  (.D(Analog_assc_ram_R0C0_DOUTB2), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[4]_net_1 ), 
        .Q(ptxbvztnpnf[2]));
    AO1C \jzzdfrmzwdj_ns_o4[0]  (.A(bdbpcvshhqt_net_1), .B(N_377), .C(
        N_281), .Y(N_280));
    AX1B un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I23_Y (.A(N_264_0), 
        .B(\hpvbctcvfcp[0]_net_1 ), .C(\hpvbctcvfcp[1]_net_1 ), .Y(
        \un1_zgzrtwwghwq_1_sqmuxa[1] ));
    OA1A \jzzdfrmzwdj_ns_i_0[14]  (.A(bksczsjcvgb_net_1), .B(
        \jzzdfrmzwdj_0[1]_net_1 ), .C(INIT_DONE_net), .Y(
        \jzzdfrmzwdj_ns_i_0[14]_net_1 ));
    NOR2A bksnhfwfshc25_m (.A(N_280), .B(znbkwkbspdc_net_1), .Y(
        bksnhfwfshc25_m_net_1));
    NOR3A un1_cfxfrwgjccr_12 (.A(INIT_DONE_net), .B(N_301), .C(
        ktwrhqstzjg), .Y(un1_cfxfrwgjccr_12_net_1));
    NOR2B \jzzdfrmzwdj_ns_i[5]  (.A(INIT_DONE_net), .B(
        \jzzdfrmzwdj[4]_net_1 ), .Y(\jzzdfrmzwdj_ns_i[5]_net_1 ));
    DFN1E1C0 \hgqdwrxvgzm[4]  (.D(Analog_assc_ram_R0C0_DOUTB4), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[1]_net_1 ), 
        .Q(\hgqdwrxvgzm[4]_net_1 ));
    OA1A \jzzdfrmzwdj_ns_i[7]  (.A(N_264), .B(\jzzdfrmzwdj[6]_net_1 ), 
        .C(INIT_DONE_net), .Y(\jzzdfrmzwdj_ns_i[7]_net_1 ));
    NOR2B \zpsvrxkccbh_hpvbctcvfcp_6_r[3]  (.A(INIT_DONE_net), .B(
        N_359), .Y(\hpvbctcvfcp_6[3] ));
    NOR2 un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I22_Y (.A(N147), .B(
        N126), .Y(N168));
    DFN1E0C0 \bnrsdrtmtsg[2]  (.D(\bnrsdrtmtsg_7[2]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_cfxfrwgjccr_12_net_1), 
        .Q(bnrsdrtmtsg[2]));
    NOR2B \zpsvrxkccbh_hpvbctcvfcp_6_r[7]  (.A(INIT_DONE_net), .B(
        N_363), .Y(\hpvbctcvfcp_6[7] ));
    NOR2A \mksbfqnmmgw[4]  (.A(AB_INST_RESULT[4]), .B(
        \jzzdfrmzwdj[11]_net_1 ), .Y(mksbfqnmmgw[4]));
    OR3A \svpqbbcnvqz[2]  (.A(\svpqbbcnvqz_1[2]_net_1 ), .B(
        un1_Analog_inst_3_0), .C(\jzzdfrmzwdj[11]_net_1 ), .Y(
        svpqbbcnvqz[2]));
    OR2A \jzzdfrmzwdj_ns_i_o2[2]  (.A(\jzzdfrmzwdj_0[1]_net_1 ), .B(
        Analog_assc_ram_R0C0_DOUTB8), .Y(N_297));
    NOR2B \jzzdfrmzwdj_ns_i[4]  (.A(un1_Analog_inst_3_0), .B(
        INIT_DONE_net), .Y(\jzzdfrmzwdj_ns_i[4]_net_1 ));
    MX2 \mksbfqnmmgw[1]  (.A(AB_INST_RESULT[1]), .B(AB_INST_RESULT[10])
        , .S(\jzzdfrmzwdj[11]_net_1 ), .Y(mksbfqnmmgw[1]));
    OR3 \jzzdfrmzwdj_ns[0]  (.A(\jzzdfrmzwdj_ns_0[0]_net_1 ), .B(N_280)
        , .C(bksnhfwfshc_6_sqmuxa), .Y(\jzzdfrmzwdj_ns[0]_net_1 ));
    DFN1E1C0 \dbcvwwhvvwh[6]  (.D(Analog_assc_ram_R0C0_DOUTB6), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[2]_net_1 ), 
        .Q(dbcvwwhvvwh[6]));
    DFN1C0 \hpvbctcvfcp[7]  (.D(\hpvbctcvfcp_6[7] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(\hpvbctcvfcp[7]_net_1 ));
    DFN1E1C0 \dspfgfmqhwh[2]  (.D(Analog_assc_ram_R0C0_DOUTB2), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_Analog_inst_3_0), .Q(
        dspfgfmqhwh[2]));
    MX2 \zpsvrxkccbh_hpvbctcvfcp_6[4]  (.A(
        \un1_zgzrtwwghwq_1_sqmuxa[4] ), .B(Analog_assc_ram_R0C0_DOUTB4)
        , .S(\jzzdfrmzwdj[6]_net_1 ), .Y(N_360));
    AO1B \jzzdfrmzwdj_ns_0[0]  (.A(\jzzdfrmzwdj[15]_net_1 ), .B(
        znbkwkbspdc_net_1), .C(INIT_DONE_net), .Y(
        \jzzdfrmzwdj_ns_0[0]_net_1 ));
    DFN1C0 \hpvbctcvfcp[5]  (.D(\hpvbctcvfcp_6[5] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(\hpvbctcvfcp[5]_net_1 ));
    DFN1E1C0 \hgqdwrxvgzm[2]  (.D(Analog_assc_ram_R0C0_DOUTB2), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[1]_net_1 ), 
        .Q(\hgqdwrxvgzm[2]_net_1 ));
    MX2 \hgqdwrxvgzm_4[5]  (.A(\hgqdwrxvgzm[5]_net_1 ), .B(
        Analog_assc_ram_R0C0_DOUTB5), .S(\jzzdfrmzwdj[1]_net_1 ), .Y(
        \hgqdwrxvgzm_4[5]_net_1 ));
    OR3B \svpqbbcnvqz[1]  (.A(\jzzdfrmzwdj_i[10] ), .B(
        \svpqbbcnvqz_1[2]_net_1 ), .C(\jzzdfrmzwdj[2]_net_1 ), .Y(
        svpqbbcnvqz[1]));
    XNOR3 un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I27_Y (.A(N_264_0), 
        .B(\hpvbctcvfcp[5]_net_1 ), .C(N166), .Y(
        \un1_zgzrtwwghwq_1_sqmuxa[5] ));
    OR3C \jzzdfrmzwdj_ns_i[13]  (.A(bdbpcvshhqt_net_1), .B(N_377), .C(
        INIT_DONE_net), .Y(\jzzdfrmzwdj_ns_i[13]_net_1 ));
    NOR2B \zpsvrxkccbh_hpvbctcvfcp_6_r[5]  (.A(INIT_DONE_net), .B(
        N_361), .Y(\hpvbctcvfcp_6[5] ));
    NOR2A un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I6_G0N (.A(
        \hpvbctcvfcp[6]_net_1 ), .B(N_264), .Y(N138));
    DFN1C0 \jzzdfrmzwdj[4]  (.D(\jzzdfrmzwdj_ns_i[4]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\jzzdfrmzwdj[4]_net_1 ));
    AO1D bksnhfwfshc_1_iv_0 (.A(N_291), .B(znbmnfdbzvr_net_1), .C(
        bksnhfwfshc25_m_net_1), .Y(bksnhfwfshc_1_iv_0_net_1));
    MX2 \ksbhwjctscp[7]  (.A(INIT_ADDR_net_0[7]), .B(kkkmkxwwscv[4]), 
        .S(INIT_DONE_net), .Y(ksbhwjctscp[7]));
    NOR2B \bnrsdrtmtsg_7[4]  (.A(ktwrhqstzjg), .B(
        \hgqdwrxvgzm_4[4]_net_1 ), .Y(\bnrsdrtmtsg_7[4]_net_1 ));
    GND GND_i_0 (.Y(GND_net_1));
    OR2 ddvbdtxtbpx_i_1_0 (.A(\jzzdfrmzwdj[5]_net_1 ), .B(
        un1_Analog_inst_3_0), .Y(ddvbdtxtbpx_i_1_0_net_1));
    DFN1C0 \jzzdfrmzwdj[3]  (.D(\jzzdfrmzwdj_ns_i[3]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\jzzdfrmzwdj[3]_net_1 ));
    OA1 un1_cfxfrwgjccr_10_0_0 (.A(N_282), .B(N_308_1), .C(
        INIT_DONE_net), .Y(un1_cfxfrwgjccr_10_0_0_net_1));
    DFN1C0 \hpvbctcvfcp[1]  (.D(\hpvbctcvfcp_6[1] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(\hpvbctcvfcp[1]_net_1 ));
    AO1C \jzzdfrmzwdj_ns_i_0[15]  (.A(\jzzdfrmzwdj_0[1]_net_1 ), .B(
        znbkwkbspdc_net_1), .C(INIT_DONE_net), .Y(
        \jzzdfrmzwdj_ns_i_0[15]_net_1 ));
    OA1A \jzzdfrmzwdj_ns_i[14]  (.A(N_337), .B(\jzzdfrmzwdj[14]_net_1 )
        , .C(\jzzdfrmzwdj_ns_i_0[14]_net_1 ), .Y(N_249_i_0));
    MX2 \ksbhwjctscp[8]  (.A(INIT_ADDR_net_8), .B(kkkmkxwwscv[5]), .S(
        INIT_DONE_net), .Y(ksbhwjctscp[8]));
    DFN1C0 \hpvbctcvfcp[2]  (.D(\hpvbctcvfcp_6[2] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(\hpvbctcvfcp[2]_net_1 ));
    AX1 un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I26_Y (.A(N147), .B(
        N145), .C(ADD_8x8_medium_I26_Y_0), .Y(
        \un1_zgzrtwwghwq_1_sqmuxa[4] ));
    DFN1C0 \jzzdfrmzwdj_0[1]  (.D(\jzzdfrmzwdj_ns_i[1]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\jzzdfrmzwdj_0[1]_net_1 ));
    DFN1E1C0 \hgqdwrxvgzm[3]  (.D(Analog_assc_ram_R0C0_DOUTB3), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[1]_net_1 ), 
        .Q(\hgqdwrxvgzm[3]_net_1 ));
    DFN1C0 \jzzdfrmzwdj[7]  (.D(\jzzdfrmzwdj_ns_i[7]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\jzzdfrmzwdj[7]_net_1 ));
    MX2 \hgqdwrxvgzm_4[1]  (.A(\hgqdwrxvgzm[1]_net_1 ), .B(
        Analog_assc_ram_R0C0_DOUTB1), .S(\jzzdfrmzwdj_0[1]_net_1 ), .Y(
        \hgqdwrxvgzm_4[1]_net_1 ));
    DFN1P0 \jzzdfrmzwdj[0]  (.D(\jzzdfrmzwdj_ns[0]_net_1 ), .CLK(
        SYS_CLK_int), .PRE(SYS_RESET_c), .Q(\jzzdfrmzwdj[0]_net_1 ));
    DFN1E1C0 \dbcvwwhvvwh[3]  (.D(Analog_assc_ram_R0C0_DOUTB3), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[2]_net_1 ), 
        .Q(dbcvwwhvvwh[3]));
    NOR2B \bnrsdrtmtsg_7[2]  (.A(ktwrhqstzjg), .B(
        \hgqdwrxvgzm_4[2]_net_1 ), .Y(\bnrsdrtmtsg_7[2]_net_1 ));
    DFN1P0 \jzzdfrmzwdj[12]  (.D(\jzzdfrmzwdj_ns_i[12]_net_1 ), .CLK(
        SYS_CLK_int), .PRE(SYS_RESET_c), .Q(\jzzdfrmzwdj_i_0[12] ));
    OR2A fsrxhtjthgw_i_a2_0 (.A(bdbpcvshhqt_net_1), .B(
        \jzzdfrmzwdj[14]_net_1 ), .Y(N_325));
    OR3A bsxspqmnrmb (.A(INIT_DONE_net), .B(tkcbxxqbtfx[10]), .C(
        bskrjhjvqpf_1_sqmuxa), .Y(un1_Analog_assc_wrapper_inst));
    NOR3A zgzrtwwghwq_1_sqmuxa_i_a2_4 (.A(
        zgzrtwwghwq_1_sqmuxa_i_a2_2_net_1), .B(\hpvbctcvfcp[0]_net_1 ), 
        .C(\hpvbctcvfcp[1]_net_1 ), .Y(
        zgzrtwwghwq_1_sqmuxa_i_a2_4_net_1));
    NOR2A \mksbfqnmmgw[8]  (.A(AB_INST_RESULT[8]), .B(
        \jzzdfrmzwdj[11]_net_1 ), .Y(mksbfqnmmgw[8]));
    OR2B \jzzdfrmzwdj_ns_i[12]  (.A(INIT_DONE_net), .B(
        \jzzdfrmzwdj[11]_net_1 ), .Y(\jzzdfrmzwdj_ns_i[12]_net_1 ));
    NOR2 bwngcbddzsh_0_sqmuxa_0 (.A(dspfgfmqhwh[4]), .B(dspfgfmqhwh[3])
        , .Y(bwngcbddzsh_0_sqmuxa_0_net_1));
    OA1B un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I12_Y (.A(
        \hpvbctcvfcp[1]_net_1 ), .B(\hpvbctcvfcp[0]_net_1 ), .C(N_264), 
        .Y(N147));
    NOR2B \jzzdfrmzwdj_ns_a4[8]  (.A(INIT_DONE_net), .B(ADC_START_net), 
        .Y(\jzzdfrmzwdj_ns[8] ));
    OR2 znbkwkbspdc_7_i_o4 (.A(\jzzdfrmzwdj[15]_net_1 ), .B(N_280), .Y(
        N_290));
    AO1A un1_bksczsjcvgb10_1 (.A(wwhrbsjdjpn_net_1), .B(
        wkpfnwqwgcb_net_1), .C(bksczsjcvgb10_net_1), .Y(
        un1_bksczsjcvgb10_1_net_1));
    NOR3A bdbpcvshhqt_1 (.A(TR_DONE_net_i_0), .B(TR_TRFLAG_net), .C(
        EV_EVFLAG_net), .Y(bdbpcvshhqt_1_net_1));
    NOR3A un1_cfxfrwgjccr_3_0_a4 (.A(INIT_DONE_net), .B(N_308_1), .C(
        N_282), .Y(N_308));
    OR2B bksnhfwfshc_0_sqmuxa_i_o4 (.A(\jzzdfrmzwdj[0]_net_1 ), .B(
        bksczsjcvgb_net_1), .Y(N_291));
    OR2A un1_bcmkdjqtngz10_1 (.A(bcmkdjqtngz10_net_1), .B(
        crgqqkcrfvm_net_1), .Y(un1_bcmkdjqtngz10_1_net_1));
    DFN1C0 gtxqsppgcmn (.D(zbhmfptrcmn_net_1), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(gtxqsppgcmn_net_1));
    XOR2 un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I26_Y_0 (.A(
        \hpvbctcvfcp[4]_net_1 ), .B(N_264_0), .Y(
        ADD_8x8_medium_I26_Y_0));
    NOR2 \svpqbbcnvqz_1[2]  (.A(\jzzdfrmzwdj[5]_net_1 ), .B(
        \jzzdfrmzwdj[4]_net_1 ), .Y(\svpqbbcnvqz_1[2]_net_1 ));
    OR2B un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I17_Y (.A(
        ADD_8x8_medium_I17_Y_1), .B(N168), .Y(N156));
    XOR2 un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I28_Y_0 (.A(
        \hpvbctcvfcp[6]_net_1 ), .B(N_264_0), .Y(
        ADD_8x8_medium_I28_Y_0));
    DFN1E1C0 \pfkhhxxsrzp[3]  (.D(Analog_assc_ram_R0C0_DOUTB8), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[3]_net_1 ), 
        .Q(pfkhhxxsrzp[3]));
    OR2 \jzzdfrmzwdj_ns_a2[0]  (.A(N_297), .B(N_279), .Y(N_323));
    OA1C un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I10_Y (.A(
        \hpvbctcvfcp[3]_net_1 ), .B(N_264), .C(N126), .Y(N145));
    DFN1C0 \jzzdfrmzwdj[11]  (.D(\jzzdfrmzwdj_ns_i[11]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\jzzdfrmzwdj[11]_net_1 ));
    OR3B un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I21_Y (.A(N145), .B(
        N132), .C(N147), .Y(N166));
    OAI1 hbxwhvjzqbt_iv (.A(INIT_ASSC_WEN_net), .B(INIT_DONE_net), .C(
        un1_Analog_assc_wrapper_inst), .Y(ASSC_RAM_CSN_A_net));
    DFN1C0 \jzzdfrmzwdj[14]  (.D(N_249_i_0), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(\jzzdfrmzwdj[14]_net_1 ));
    NOR3B ktwrhqstzjg_inst_1 (.A(INIT_DONE_net), .B(znbmnfdbzvr_net_1), 
        .C(bksnhfwfshc_1), .Y(ktwrhqstzjg));
    AO1B \jzzdfrmzwdj_ns_i_0_tz[7]  (.A(
        zgzrtwwghwq_1_sqmuxa_i_a2_4_net_1), .B(
        zgzrtwwghwq_1_sqmuxa_i_a2_5_net_1), .C(\jzzdfrmzwdj[7]_net_1 ), 
        .Y(N_264));
    DFN1E1C0 \dbcvwwhvvwh[1]  (.D(Analog_assc_ram_R0C0_DOUTB1), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[2]_net_1 ), 
        .Q(dbcvwwhvvwh[1]));
    DFN1C0 znbmnfdbzvr (.D(znbmnfdbzvr_9_net_1), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(znbmnfdbzvr_net_1));
    DFN1E1C0 \pfkhhxxsrzp[0]  (.D(Analog_assc_ram_R0C0_DOUTB5), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[3]_net_1 ), 
        .Q(pfkhhxxsrzp[0]));
    DFN1P0 jdhgstfqkjm (.D(bksczsjcvgb10_net_1), .CLK(SYS_CLK_int), 
        .PRE(SYS_RESET_c), .Q(ADC_RESET_net));
    DFN1E1C0 \hgqdwrxvgzm[1]  (.D(Analog_assc_ram_R0C0_DOUTB1), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[1]_net_1 ), 
        .Q(\hgqdwrxvgzm[1]_net_1 ));
    OR3B \jzzdfrmzwdj_ns_a2_0[0]  (.A(Analog_assc_ram_R0C0_DOUTB6), .B(
        Analog_assc_ram_R0C0_DOUTB7), .C(N_282), .Y(N_324));
    OA1B un1_bksnhfwfshc_1_sqmuxa_i_a2 (.A(N_279), .B(N_282), .C(
        \jzzdfrmzwdj[0]_net_1 ), .Y(N_337));
    DFN1C0 \jzzdfrmzwdj[6]  (.D(\jzzdfrmzwdj_ns_i[6]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\jzzdfrmzwdj[6]_net_1 ));
    DFN1C0 \jzzdfrmzwdj[5]  (.D(\jzzdfrmzwdj_ns_i[5]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\jzzdfrmzwdj[5]_net_1 ));
    DFN1C0 \jzzdfrmzwdj_0[3]  (.D(\jzzdfrmzwdj_ns_i[3]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(un1_Analog_inst_3_0));
    DFN1C0 \jzzdfrmzwdj[15]  (.D(\jzzdfrmzwdj_ns_i[15]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\jzzdfrmzwdj[15]_net_1 ));
    NOR3B bksczsjcvgb10 (.A(INIT_DONE_net), .B(bksczsjcvgb10_0_net_1), 
        .C(N_337), .Y(bksczsjcvgb10_net_1));
    NOR2 bksnhfwfshc_1_iv (.A(bksnhfwfshc_1_iv_0_net_1), .B(
        bksnhfwfshc_6_sqmuxa), .Y(bksnhfwfshc_1));
    AO1B \jzzdfrmzwdj_ns_i_0_tz_0[7]  (.A(
        zgzrtwwghwq_1_sqmuxa_i_a2_4_net_1), .B(
        zgzrtwwghwq_1_sqmuxa_i_a2_5_net_1), .C(\jzzdfrmzwdj[7]_net_1 ), 
        .Y(N_264_0));
    MX2 \zpsvrxkccbh_hpvbctcvfcp_6[1]  (.A(
        \un1_zgzrtwwghwq_1_sqmuxa[1] ), .B(Analog_assc_ram_R0C0_DOUTB1)
        , .S(\jzzdfrmzwdj[6]_net_1 ), .Y(N_357));
    DFN1C0 zbhmfptrcmn (.D(bksnhfwfshc_2_sqmuxa), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(zbhmfptrcmn_net_1));
    MX2 \mksbfqnmmgw[0]  (.A(AB_INST_RESULT[0]), .B(AB_INST_RESULT[9]), 
        .S(\jzzdfrmzwdj[11]_net_1 ), .Y(mksbfqnmmgw[0]));
    DFN1P0 \jzzdfrmzwdj[13]  (.D(\jzzdfrmzwdj_ns_i[13]_net_1 ), .CLK(
        SYS_CLK_int), .PRE(SYS_RESET_c), .Q(\jzzdfrmzwdj_i_0[13] ));
    AO1A znbmnfdbzvr_9 (.A(bksnhfwfshc_1), .B(INIT_DONE_net), .C(
        znbmnfdbzvr_net_1), .Y(znbmnfdbzvr_9_net_1));
    NOR2B \bnrsdrtmtsg_7[5]  (.A(ktwrhqstzjg), .B(
        \hgqdwrxvgzm_4[5]_net_1 ), .Y(\bnrsdrtmtsg_7[5]_net_1 ));
    NOR3B \jzzdfrmzwdj_ns_i[2]  (.A(N_279), .B(INIT_DONE_net), .C(
        N_297), .Y(\jzzdfrmzwdj_ns_i[2]_net_1 ));
    MX2 \zpsvrxkccbh_hpvbctcvfcp_6[2]  (.A(
        \un1_zgzrtwwghwq_1_sqmuxa[2] ), .B(Analog_assc_ram_R0C0_DOUTB2)
        , .S(\jzzdfrmzwdj[6]_net_1 ), .Y(N_358));
    MX2 \ksbhwjctscp[2]  (.A(INIT_ADDR_net_2), .B(tkcbxxqbtfx[10]), .S(
        INIT_DONE_net), .Y(ksbhwjctscp[2]));
    DFN1C0 \hpvbctcvfcp[4]  (.D(\hpvbctcvfcp_6[4] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(\hpvbctcvfcp[4]_net_1 ));
    NOR3B znbkwkbspdc_7_i (.A(INIT_DONE_net), .B(znbkwkbspdc_net_1), 
        .C(N_290), .Y(znbkwkbspdc_7_i_net_1));
    XNOR3 un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I24_Y (.A(N_264_0), 
        .B(\hpvbctcvfcp[2]_net_1 ), .C(N147), .Y(
        \un1_zgzrtwwghwq_1_sqmuxa[2] ));
    DFN1C0 \jzzdfrmzwdj[9]  (.D(\jzzdfrmzwdj_ns_i[9]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\jzzdfrmzwdj[9]_net_1 ));
    MX2A \zpsvrxkccbh_hpvbctcvfcp_6[6]  (.A(
        \un1_zgzrtwwghwq_1_sqmuxa_i[6] ), .B(
        Analog_assc_ram_R0C0_DOUTB6), .S(\jzzdfrmzwdj[6]_net_1 ), .Y(
        N_362));
    XOR2 un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I28_Y (.A(
        ADD_8x8_medium_I28_Y_0), .B(N156), .Y(
        \un1_zgzrtwwghwq_1_sqmuxa_i[6] ));
    XOR2 un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I25_Y_0 (.A(
        \hpvbctcvfcp[3]_net_1 ), .B(N_264_0), .Y(
        ADD_8x8_medium_I25_Y_0));
    DFN1C0 znbkwkbspdc (.D(znbkwkbspdc_7_i_net_1), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(znbkwkbspdc_net_1));
    MX2A \zpsvrxkccbh_hpvbctcvfcp_6[7]  (.A(
        \un1_zgzrtwwghwq_1_sqmuxa_i[7] ), .B(
        Analog_assc_ram_R0C0_DOUTB7), .S(\jzzdfrmzwdj[6]_net_1 ), .Y(
        N_363));
    OR3B \jzzdfrmzwdj_ns_a4[10]  (.A(\jzzdfrmzwdj[9]_net_1 ), .B(
        INIT_DONE_net), .C(ADC_BUSY_net), .Y(\jzzdfrmzwdj_ns[10] ));
    OR2A jngpzgpmcms (.A(INIT_ASSC_WEN_net), .B(INIT_DONE_net), .Y(
        ASSC_RAM_RW_A_net));
    DFN1C0 qvkpfznsfjx_inst_1 (.D(hdxtpkktfvz), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(qvkpfznsfjx));
    XOR2 un1_zgzrtwwghwq_1_sqmuxa_ADD_8x8_medium_I29_Y_0 (.A(
        \hpvbctcvfcp[7]_net_1 ), .B(N_264_0), .Y(
        ADD_8x8_medium_I29_Y_0));
    DFN1E1C0 \ptxbvztnpnf[5]  (.D(Analog_assc_ram_R0C0_DOUTB5), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\jzzdfrmzwdj[4]_net_1 ), 
        .Q(ptxbvztnpnf[5]));
    MX2 \hgqdwrxvgzm_4[2]  (.A(\hgqdwrxvgzm[2]_net_1 ), .B(
        Analog_assc_ram_R0C0_DOUTB2), .S(\jzzdfrmzwdj_0[1]_net_1 ), .Y(
        \hgqdwrxvgzm_4[2]_net_1 ));
    OA1C ddvbdtxtbpx_i_1 (.A(N_279), .B(N_297), .C(
        ddvbdtxtbpx_i_1_0_net_1), .Y(N_257_1));
    
endmodule


module ASSC_Z4(
       dspfgfmqhwh,
       tkcbxxqbtfx,
       svpqbbcnvqz,
       mksbfqnmmgw,
       AB_INST_RESULT,
       ksbhwjctscp,
       INIT_ADDR_net_0_d0,
       INIT_ADDR_net_1,
       INIT_ADDR_net_2,
       INIT_ADDR_net_3,
       INIT_ADDR_net_4,
       INIT_ADDR_net_5,
       INIT_ADDR_net_6,
       INIT_ADDR_net_8,
       kkkmkxwwscv,
       INIT_ADDR_net_0,
       pfkhhxxsrzp,
       dbcvwwhvvwh,
       ptxbvztnpnf,
       bnrsdrtmtsg,
       SYS_CLK_int,
       SYS_RESET_c,
       INIT_DONE_net,
       TR_DONE_net_i_0,
       TR_TRFLAG_net,
       EV_EVFLAG_net,
       EV_DONE_net_0,
       bskrjhjvqpf_1_sqmuxa,
       Analog_assc_ram_R0C0_DOUTB6,
       Analog_assc_ram_R0C0_DOUTB7,
       N_301,
       N_257_i_0,
       ASSC_RAM_WR_BUSY_B_net,
       ADC_BUSY_net,
       ktwrhqstzjg,
       qvkpfznsfjx,
       ASSC_RAM_CSN_A_net,
       INIT_ASSC_WEN_net,
       ASSC_RAM_RW_A_net,
       Analog_assc_ram_R0C0_DOUTB8,
       Analog_assc_ram_R0C0_DOUTB0,
       Analog_assc_ram_R0C0_DOUTB1,
       Analog_assc_ram_R0C0_DOUTB2,
       Analog_assc_ram_R0C0_DOUTB3,
       Analog_assc_ram_R0C0_DOUTB4,
       Analog_assc_ram_R0C0_DOUTB5,
       ADC_START_net,
       ADC_CALIBRATE_net,
       ADC_RESET_net,
       ADC_PDOWN_net,
       TM_STB_net_0,
       ASSC_SAMPFLAG_net
    );
output [4:0] dspfgfmqhwh;
input  [10:10] tkcbxxqbtfx;
output [2:0] svpqbbcnvqz;
output [8:0] mksbfqnmmgw;
input  [11:0] AB_INST_RESULT;
output [8:0] ksbhwjctscp;
input  INIT_ADDR_net_0_d0;
input  INIT_ADDR_net_1;
input  INIT_ADDR_net_2;
input  INIT_ADDR_net_3;
input  INIT_ADDR_net_4;
input  INIT_ADDR_net_5;
input  INIT_ADDR_net_6;
input  INIT_ADDR_net_8;
input  [5:0] kkkmkxwwscv;
input  [7:7] INIT_ADDR_net_0;
output [3:0] pfkhhxxsrzp;
output [7:0] dbcvwwhvvwh;
output [7:0] ptxbvztnpnf;
output [5:0] bnrsdrtmtsg;
input  SYS_CLK_int;
input  SYS_RESET_c;
input  INIT_DONE_net;
input  TR_DONE_net_i_0;
input  TR_TRFLAG_net;
input  EV_EVFLAG_net;
input  EV_DONE_net_0;
input  bskrjhjvqpf_1_sqmuxa;
input  Analog_assc_ram_R0C0_DOUTB6;
input  Analog_assc_ram_R0C0_DOUTB7;
output N_301;
output N_257_i_0;
output ASSC_RAM_WR_BUSY_B_net;
input  ADC_BUSY_net;
output ktwrhqstzjg;
output qvkpfznsfjx;
output ASSC_RAM_CSN_A_net;
input  INIT_ASSC_WEN_net;
output ASSC_RAM_RW_A_net;
input  Analog_assc_ram_R0C0_DOUTB8;
input  Analog_assc_ram_R0C0_DOUTB0;
input  Analog_assc_ram_R0C0_DOUTB1;
input  Analog_assc_ram_R0C0_DOUTB2;
input  Analog_assc_ram_R0C0_DOUTB3;
input  Analog_assc_ram_R0C0_DOUTB4;
input  Analog_assc_ram_R0C0_DOUTB5;
output ADC_START_net;
input  ADC_CALIBRATE_net;
output ADC_RESET_net;
output ADC_PDOWN_net;
output TM_STB_net_0;
output ASSC_SAMPFLAG_net;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    fmvgpwbdcxs_Z3 u_fmvgpwbdcxs (.bnrsdrtmtsg({bnrsdrtmtsg[5], 
        bnrsdrtmtsg[4], bnrsdrtmtsg[3], bnrsdrtmtsg[2], bnrsdrtmtsg[1], 
        bnrsdrtmtsg[0]}), .ptxbvztnpnf({ptxbvztnpnf[7], ptxbvztnpnf[6], 
        ptxbvztnpnf[5], ptxbvztnpnf[4], ptxbvztnpnf[3], ptxbvztnpnf[2], 
        ptxbvztnpnf[1], ptxbvztnpnf[0]}), .dbcvwwhvvwh({dbcvwwhvvwh[7], 
        dbcvwwhvvwh[6], dbcvwwhvvwh[5], dbcvwwhvvwh[4], dbcvwwhvvwh[3], 
        dbcvwwhvvwh[2], dbcvwwhvvwh[1], dbcvwwhvvwh[0]}), .pfkhhxxsrzp({
        pfkhhxxsrzp[3], pfkhhxxsrzp[2], pfkhhxxsrzp[1], pfkhhxxsrzp[0]})
        , .INIT_ADDR_net_0({INIT_ADDR_net_0[7]}), .kkkmkxwwscv({
        kkkmkxwwscv[5], kkkmkxwwscv[4], kkkmkxwwscv[3], kkkmkxwwscv[2], 
        kkkmkxwwscv[1], kkkmkxwwscv[0]}), .INIT_ADDR_net_8(
        INIT_ADDR_net_8), .INIT_ADDR_net_6(INIT_ADDR_net_6), 
        .INIT_ADDR_net_5(INIT_ADDR_net_5), .INIT_ADDR_net_4(
        INIT_ADDR_net_4), .INIT_ADDR_net_3(INIT_ADDR_net_3), 
        .INIT_ADDR_net_2(INIT_ADDR_net_2), .INIT_ADDR_net_1(
        INIT_ADDR_net_1), .INIT_ADDR_net_0_d0(INIT_ADDR_net_0_d0), 
        .ksbhwjctscp({ksbhwjctscp[8], ksbhwjctscp[7], ksbhwjctscp[6], 
        ksbhwjctscp[5], ksbhwjctscp[4], ksbhwjctscp[3], ksbhwjctscp[2], 
        ksbhwjctscp[1], ksbhwjctscp[0]}), .AB_INST_RESULT({
        AB_INST_RESULT[11], AB_INST_RESULT[10], AB_INST_RESULT[9], 
        AB_INST_RESULT[8], AB_INST_RESULT[7], AB_INST_RESULT[6], 
        AB_INST_RESULT[5], AB_INST_RESULT[4], AB_INST_RESULT[3], 
        AB_INST_RESULT[2], AB_INST_RESULT[1], AB_INST_RESULT[0]}), 
        .mksbfqnmmgw({mksbfqnmmgw[8], mksbfqnmmgw[7], mksbfqnmmgw[6], 
        mksbfqnmmgw[5], mksbfqnmmgw[4], mksbfqnmmgw[3], mksbfqnmmgw[2], 
        mksbfqnmmgw[1], mksbfqnmmgw[0]}), .svpqbbcnvqz({svpqbbcnvqz[2], 
        svpqbbcnvqz[1], svpqbbcnvqz[0]}), .tkcbxxqbtfx({
        tkcbxxqbtfx[10]}), .dspfgfmqhwh({dspfgfmqhwh[4], 
        dspfgfmqhwh[3], dspfgfmqhwh[2], dspfgfmqhwh[1], dspfgfmqhwh[0]})
        , .ASSC_SAMPFLAG_net(ASSC_SAMPFLAG_net), .TM_STB_net_0(
        TM_STB_net_0), .ADC_PDOWN_net(ADC_PDOWN_net), .ADC_RESET_net(
        ADC_RESET_net), .ADC_CALIBRATE_net(ADC_CALIBRATE_net), 
        .ADC_START_net(ADC_START_net), .Analog_assc_ram_R0C0_DOUTB5(
        Analog_assc_ram_R0C0_DOUTB5), .Analog_assc_ram_R0C0_DOUTB4(
        Analog_assc_ram_R0C0_DOUTB4), .Analog_assc_ram_R0C0_DOUTB3(
        Analog_assc_ram_R0C0_DOUTB3), .Analog_assc_ram_R0C0_DOUTB2(
        Analog_assc_ram_R0C0_DOUTB2), .Analog_assc_ram_R0C0_DOUTB1(
        Analog_assc_ram_R0C0_DOUTB1), .Analog_assc_ram_R0C0_DOUTB0(
        Analog_assc_ram_R0C0_DOUTB0), .Analog_assc_ram_R0C0_DOUTB8(
        Analog_assc_ram_R0C0_DOUTB8), .ASSC_RAM_RW_A_net(
        ASSC_RAM_RW_A_net), .INIT_ASSC_WEN_net(INIT_ASSC_WEN_net), 
        .ASSC_RAM_CSN_A_net(ASSC_RAM_CSN_A_net), .qvkpfznsfjx(
        qvkpfznsfjx), .ktwrhqstzjg(ktwrhqstzjg), .ADC_BUSY_net(
        ADC_BUSY_net), .ASSC_RAM_WR_BUSY_B_net(ASSC_RAM_WR_BUSY_B_net), 
        .N_257_i_0(N_257_i_0), .N_301(N_301), 
        .Analog_assc_ram_R0C0_DOUTB7(Analog_assc_ram_R0C0_DOUTB7), 
        .Analog_assc_ram_R0C0_DOUTB6(Analog_assc_ram_R0C0_DOUTB6), 
        .bskrjhjvqpf_1_sqmuxa(bskrjhjvqpf_1_sqmuxa), .EV_DONE_net_0(
        EV_DONE_net_0), .EV_EVFLAG_net(EV_EVFLAG_net), .TR_TRFLAG_net(
        TR_TRFLAG_net), .TR_DONE_net_i_0(TR_DONE_net_i_0), 
        .INIT_DONE_net(INIT_DONE_net), .SYS_RESET_c(SYS_RESET_c), 
        .SYS_CLK_int(SYS_CLK_int));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module Analog_assc_wrapper(
       bnrsdrtmtsg,
       ptxbvztnpnf,
       dbcvwwhvvwh,
       pfkhhxxsrzp,
       INIT_ADDR_net_0,
       kkkmkxwwscv,
       INIT_ADDR_net_8,
       INIT_ADDR_net_6,
       INIT_ADDR_net_5,
       INIT_ADDR_net_4,
       INIT_ADDR_net_3,
       INIT_ADDR_net_2,
       INIT_ADDR_net_1,
       INIT_ADDR_net_0_d0,
       ksbhwjctscp,
       AB_INST_RESULT,
       mksbfqnmmgw,
       svpqbbcnvqz,
       tkcbxxqbtfx,
       dspfgfmqhwh,
       ASSC_SAMPFLAG_net,
       TM_STB_net_0,
       ADC_PDOWN_net,
       ADC_RESET_net,
       ADC_CALIBRATE_net,
       ADC_START_net,
       Analog_assc_ram_R0C0_DOUTB5,
       Analog_assc_ram_R0C0_DOUTB4,
       Analog_assc_ram_R0C0_DOUTB3,
       Analog_assc_ram_R0C0_DOUTB2,
       Analog_assc_ram_R0C0_DOUTB1,
       Analog_assc_ram_R0C0_DOUTB0,
       Analog_assc_ram_R0C0_DOUTB8,
       ASSC_RAM_RW_A_net,
       INIT_ASSC_WEN_net,
       ASSC_RAM_CSN_A_net,
       qvkpfznsfjx,
       ktwrhqstzjg,
       ADC_BUSY_net,
       ASSC_RAM_WR_BUSY_B_net,
       N_257_i_0,
       N_301,
       Analog_assc_ram_R0C0_DOUTB7,
       Analog_assc_ram_R0C0_DOUTB6,
       bskrjhjvqpf_1_sqmuxa,
       EV_DONE_net_0,
       EV_EVFLAG_net,
       TR_TRFLAG_net,
       TR_DONE_net_i_0,
       INIT_DONE_net,
       SYS_RESET_c,
       SYS_CLK_int
    );
output [5:0] bnrsdrtmtsg;
output [7:0] ptxbvztnpnf;
output [7:0] dbcvwwhvvwh;
output [3:0] pfkhhxxsrzp;
input  [7:7] INIT_ADDR_net_0;
input  [5:0] kkkmkxwwscv;
input  INIT_ADDR_net_8;
input  INIT_ADDR_net_6;
input  INIT_ADDR_net_5;
input  INIT_ADDR_net_4;
input  INIT_ADDR_net_3;
input  INIT_ADDR_net_2;
input  INIT_ADDR_net_1;
input  INIT_ADDR_net_0_d0;
output [8:0] ksbhwjctscp;
input  [11:0] AB_INST_RESULT;
output [8:0] mksbfqnmmgw;
output [2:0] svpqbbcnvqz;
input  [10:10] tkcbxxqbtfx;
output [4:0] dspfgfmqhwh;
output ASSC_SAMPFLAG_net;
output TM_STB_net_0;
output ADC_PDOWN_net;
output ADC_RESET_net;
input  ADC_CALIBRATE_net;
output ADC_START_net;
input  Analog_assc_ram_R0C0_DOUTB5;
input  Analog_assc_ram_R0C0_DOUTB4;
input  Analog_assc_ram_R0C0_DOUTB3;
input  Analog_assc_ram_R0C0_DOUTB2;
input  Analog_assc_ram_R0C0_DOUTB1;
input  Analog_assc_ram_R0C0_DOUTB0;
input  Analog_assc_ram_R0C0_DOUTB8;
output ASSC_RAM_RW_A_net;
input  INIT_ASSC_WEN_net;
output ASSC_RAM_CSN_A_net;
output qvkpfznsfjx;
output ktwrhqstzjg;
input  ADC_BUSY_net;
output ASSC_RAM_WR_BUSY_B_net;
output N_257_i_0;
output N_301;
input  Analog_assc_ram_R0C0_DOUTB7;
input  Analog_assc_ram_R0C0_DOUTB6;
input  bskrjhjvqpf_1_sqmuxa;
input  EV_DONE_net_0;
input  EV_EVFLAG_net;
input  TR_TRFLAG_net;
input  TR_DONE_net_i_0;
input  INIT_DONE_net;
input  SYS_RESET_c;
input  SYS_CLK_int;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    ASSC_Z4 user_Analog_assc_wrapper (.dspfgfmqhwh({dspfgfmqhwh[4], 
        dspfgfmqhwh[3], dspfgfmqhwh[2], dspfgfmqhwh[1], dspfgfmqhwh[0]})
        , .tkcbxxqbtfx({tkcbxxqbtfx[10]}), .svpqbbcnvqz({
        svpqbbcnvqz[2], svpqbbcnvqz[1], svpqbbcnvqz[0]}), .mksbfqnmmgw({
        mksbfqnmmgw[8], mksbfqnmmgw[7], mksbfqnmmgw[6], mksbfqnmmgw[5], 
        mksbfqnmmgw[4], mksbfqnmmgw[3], mksbfqnmmgw[2], mksbfqnmmgw[1], 
        mksbfqnmmgw[0]}), .AB_INST_RESULT({AB_INST_RESULT[11], 
        AB_INST_RESULT[10], AB_INST_RESULT[9], AB_INST_RESULT[8], 
        AB_INST_RESULT[7], AB_INST_RESULT[6], AB_INST_RESULT[5], 
        AB_INST_RESULT[4], AB_INST_RESULT[3], AB_INST_RESULT[2], 
        AB_INST_RESULT[1], AB_INST_RESULT[0]}), .ksbhwjctscp({
        ksbhwjctscp[8], ksbhwjctscp[7], ksbhwjctscp[6], ksbhwjctscp[5], 
        ksbhwjctscp[4], ksbhwjctscp[3], ksbhwjctscp[2], ksbhwjctscp[1], 
        ksbhwjctscp[0]}), .INIT_ADDR_net_0_d0(INIT_ADDR_net_0_d0), 
        .INIT_ADDR_net_1(INIT_ADDR_net_1), .INIT_ADDR_net_2(
        INIT_ADDR_net_2), .INIT_ADDR_net_3(INIT_ADDR_net_3), 
        .INIT_ADDR_net_4(INIT_ADDR_net_4), .INIT_ADDR_net_5(
        INIT_ADDR_net_5), .INIT_ADDR_net_6(INIT_ADDR_net_6), 
        .INIT_ADDR_net_8(INIT_ADDR_net_8), .kkkmkxwwscv({
        kkkmkxwwscv[5], kkkmkxwwscv[4], kkkmkxwwscv[3], kkkmkxwwscv[2], 
        kkkmkxwwscv[1], kkkmkxwwscv[0]}), .INIT_ADDR_net_0({
        INIT_ADDR_net_0[7]}), .pfkhhxxsrzp({pfkhhxxsrzp[3], 
        pfkhhxxsrzp[2], pfkhhxxsrzp[1], pfkhhxxsrzp[0]}), .dbcvwwhvvwh({
        dbcvwwhvvwh[7], dbcvwwhvvwh[6], dbcvwwhvvwh[5], dbcvwwhvvwh[4], 
        dbcvwwhvvwh[3], dbcvwwhvvwh[2], dbcvwwhvvwh[1], dbcvwwhvvwh[0]})
        , .ptxbvztnpnf({ptxbvztnpnf[7], ptxbvztnpnf[6], ptxbvztnpnf[5], 
        ptxbvztnpnf[4], ptxbvztnpnf[3], ptxbvztnpnf[2], ptxbvztnpnf[1], 
        ptxbvztnpnf[0]}), .bnrsdrtmtsg({bnrsdrtmtsg[5], bnrsdrtmtsg[4], 
        bnrsdrtmtsg[3], bnrsdrtmtsg[2], bnrsdrtmtsg[1], bnrsdrtmtsg[0]})
        , .SYS_CLK_int(SYS_CLK_int), .SYS_RESET_c(SYS_RESET_c), 
        .INIT_DONE_net(INIT_DONE_net), .TR_DONE_net_i_0(
        TR_DONE_net_i_0), .TR_TRFLAG_net(TR_TRFLAG_net), 
        .EV_EVFLAG_net(EV_EVFLAG_net), .EV_DONE_net_0(EV_DONE_net_0), 
        .bskrjhjvqpf_1_sqmuxa(bskrjhjvqpf_1_sqmuxa), 
        .Analog_assc_ram_R0C0_DOUTB6(Analog_assc_ram_R0C0_DOUTB6), 
        .Analog_assc_ram_R0C0_DOUTB7(Analog_assc_ram_R0C0_DOUTB7), 
        .N_301(N_301), .N_257_i_0(N_257_i_0), .ASSC_RAM_WR_BUSY_B_net(
        ASSC_RAM_WR_BUSY_B_net), .ADC_BUSY_net(ADC_BUSY_net), 
        .ktwrhqstzjg(ktwrhqstzjg), .qvkpfznsfjx(qvkpfznsfjx), 
        .ASSC_RAM_CSN_A_net(ASSC_RAM_CSN_A_net), .INIT_ASSC_WEN_net(
        INIT_ASSC_WEN_net), .ASSC_RAM_RW_A_net(ASSC_RAM_RW_A_net), 
        .Analog_assc_ram_R0C0_DOUTB8(Analog_assc_ram_R0C0_DOUTB8), 
        .Analog_assc_ram_R0C0_DOUTB0(Analog_assc_ram_R0C0_DOUTB0), 
        .Analog_assc_ram_R0C0_DOUTB1(Analog_assc_ram_R0C0_DOUTB1), 
        .Analog_assc_ram_R0C0_DOUTB2(Analog_assc_ram_R0C0_DOUTB2), 
        .Analog_assc_ram_R0C0_DOUTB3(Analog_assc_ram_R0C0_DOUTB3), 
        .Analog_assc_ram_R0C0_DOUTB4(Analog_assc_ram_R0C0_DOUTB4), 
        .Analog_assc_ram_R0C0_DOUTB5(Analog_assc_ram_R0C0_DOUTB5), 
        .ADC_START_net(ADC_START_net), .ADC_CALIBRATE_net(
        ADC_CALIBRATE_net), .ADC_RESET_net(ADC_RESET_net), 
        .ADC_PDOWN_net(ADC_PDOWN_net), .TM_STB_net_0(TM_STB_net_0), 
        .ASSC_SAMPFLAG_net(ASSC_SAMPFLAG_net));
    GND GND_i (.Y(GND));
    
endmodule


module nbnjbfrkqwq_Z2(
       rdgwgtpkbgc_0_3,
       bnrsdrtmtsg,
       kkkmkxwwscv,
       dspfgfmqhwh,
       zbqggxmnpbs_0_iv,
       INIT_ADDR_net_0,
       rjhhzsggrtr,
       INIT_ADDR_net_8,
       INIT_ADDR_net_6,
       INIT_ADDR_net_5,
       INIT_ADDR_net_4,
       INIT_ADDR_net_3,
       INIT_ADDR_net_2,
       INIT_ADDR_net_1,
       INIT_ADDR_net_0_d0,
       mkmkbnghgkd,
       zbqggxmnpbs_iv_0,
       zbqggxmnpbs_iv_4,
       zbqggxmnpbs_iv_2,
       zbqggxmnpbs_iv_5,
       zbqggxmnpbs_iv_3,
       tkcbxxqbtfx_10,
       dhzrwbnrbpw,
       mtbjcfqsbqf,
       un1_Analog_smev_ram_inst_1_0_0,
       un1_Analog_smev_ram_inst_1_0_2,
       zbqggxmnpbs_r,
       rdgwgtpkbgc_3,
       EV_EVFLAG_net,
       EV_DONE_net,
       TR_EV_RD_net,
       EV_RAM_CSN_A_net,
       Analog_assc_ram_R0C0_DOUTA8,
       Analog_assc_ram_R0C0_DOUTA7,
       Analog_assc_ram_R0C0_DOUTA6,
       Analog_assc_ram_R0C0_DOUTA5,
       Analog_assc_ram_R0C0_DOUTA4,
       Analog_assc_ram_R0C0_DOUTA3,
       Analog_assc_ram_R0C0_DOUTA2,
       Analog_assc_ram_R0C0_DOUTA1,
       Analog_assc_ram_R0C0_DOUTA0,
       Analog_smev_ram_R0C0_DOUTB6,
       Analog_smev_ram_R0C0_DOUTB8,
       INIT_EV_WEN_net,
       EV_RAM_RW_A_net,
       ktwrhqstzjg,
       N_301,
       ASSC_SAMPFLAG_net,
       qvkpfznsfjx,
       EV_RAM_WR_BUSY_B_net_i_0,
       INIT_DONE_net,
       EV_RAM_CSN_B_net,
       Analog_smev_ram_R0C0_DOUTB5,
       Analog_smev_ram_R0C0_DOUTB3,
       Analog_smev_ram_R0C0_DOUTB4,
       Analog_smev_ram_R0C0_DOUTB7,
       Analog_smev_ram_R0C0_DOUTB2,
       Analog_smev_ram_R0C0_DOUTB1,
       bskrjhjvqpf_1_sqmuxa,
       Analog_smev_ram_R0C0_DOUTB0,
       SYS_RESET_c,
       SYS_CLK_int,
       EV_DONE_net_0
    );
output rdgwgtpkbgc_0_3;
input  [5:0] bnrsdrtmtsg;
output [5:0] kkkmkxwwscv;
input  [4:0] dspfgfmqhwh;
output [8:6] zbqggxmnpbs_0_iv;
input  [7:7] INIT_ADDR_net_0;
input  [8:0] rjhhzsggrtr;
input  INIT_ADDR_net_8;
input  INIT_ADDR_net_6;
input  INIT_ADDR_net_5;
input  INIT_ADDR_net_4;
input  INIT_ADDR_net_3;
input  INIT_ADDR_net_2;
input  INIT_ADDR_net_1;
input  INIT_ADDR_net_0_d0;
output [8:0] mkmkbnghgkd;
output zbqggxmnpbs_iv_0;
output zbqggxmnpbs_iv_4;
output zbqggxmnpbs_iv_2;
output zbqggxmnpbs_iv_5;
output zbqggxmnpbs_iv_3;
output tkcbxxqbtfx_10;
output [8:0] dhzrwbnrbpw;
output [4:0] mtbjcfqsbqf;
input  un1_Analog_smev_ram_inst_1_0_0;
input  un1_Analog_smev_ram_inst_1_0_2;
output [1:1] zbqggxmnpbs_r;
input  rdgwgtpkbgc_3;
output EV_EVFLAG_net;
output EV_DONE_net;
input  TR_EV_RD_net;
output EV_RAM_CSN_A_net;
input  Analog_assc_ram_R0C0_DOUTA8;
input  Analog_assc_ram_R0C0_DOUTA7;
input  Analog_assc_ram_R0C0_DOUTA6;
input  Analog_assc_ram_R0C0_DOUTA5;
input  Analog_assc_ram_R0C0_DOUTA4;
input  Analog_assc_ram_R0C0_DOUTA3;
input  Analog_assc_ram_R0C0_DOUTA2;
input  Analog_assc_ram_R0C0_DOUTA1;
input  Analog_assc_ram_R0C0_DOUTA0;
input  Analog_smev_ram_R0C0_DOUTB6;
input  Analog_smev_ram_R0C0_DOUTB8;
input  INIT_EV_WEN_net;
output EV_RAM_RW_A_net;
input  ktwrhqstzjg;
input  N_301;
input  ASSC_SAMPFLAG_net;
input  qvkpfznsfjx;
output EV_RAM_WR_BUSY_B_net_i_0;
input  INIT_DONE_net;
output EV_RAM_CSN_B_net;
input  Analog_smev_ram_R0C0_DOUTB5;
input  Analog_smev_ram_R0C0_DOUTB3;
input  Analog_smev_ram_R0C0_DOUTB4;
input  Analog_smev_ram_R0C0_DOUTB7;
input  Analog_smev_ram_R0C0_DOUTB2;
input  Analog_smev_ram_R0C0_DOUTB1;
output bskrjhjvqpf_1_sqmuxa;
input  Analog_smev_ram_R0C0_DOUTB0;
input  SYS_RESET_c;
input  SYS_CLK_int;
output EV_DONE_net_0;

    wire N375, N338, N345, N337, N305, N245, N242, \bnwcvzjbgtc[4] , 
        N_692, \bnwcvzjbgtc_11[4]_net_1 , \rdgwgtpkbgc_1[2]_net_1 , 
        N_730, \bnvtvdkcnpp[8]_net_1 , \bnvtvdkcnpp[9]_net_1 , 
        \rdgwgtpkbgc[0]_net_1 , \bnwcvzjbgtc_7[6]_net_1 , N_626, N_634, 
        N_732, \rdgwgtpkbgc[1]_net_1 , ADD_18x18_fast_I114_un1_Y, N322, 
        N330, N_726, \bnwcvzjbgtc_11_d[4]_net_1 , 
        \bnwcvzjbgtc_11_s[4]_net_1 , N_261, fqkdsnjfpdb_6_net_1, 
        fqkdsnjfpdb_15_0_net_1, \gjkdbmpgrtc[4] , 
        \ftbkrvpxdbp[4]_net_1 , \bnwcvzjbgtc_11_d_d[6]_net_1 , 
        \bnvtvdkcnpp[4]_net_1 , \bnvtvdkcnpp[0]_net_1 , 
        \bnwcvzjbgtc_11_d[6]_net_1 , \bnvtvdkcnpp[5]_net_1 , 
        \bnwcvzjbgtc_11_d_s[6]_net_1 , ADD_18x18_fast_I133_Y_3, 
        ADD_18x18_fast_I133_un1_Y, ADD_18x18_fast_I133_Y_2, 
        ADD_18x18_fast_I133_un1_Y_0_0, ADD_18x18_fast_I6_P0N_0, 
        fqkdsnjfpdb_12, N_265, ADD_18x18_fast_I8_P0N_0, 
        fqkdsnjfpdb_18_net_1, N_269, ADD_18x18_fast_I123_un1_Y_0, 
        ADD_18x18_fast_I133_Y, \gjkdbmpgrtc[8] , 
        \bnvtvdkcnpp[2]_net_1 , \bnwcvzjbgtc[8] , 
        fqkdsnjfpdb_26_0_net_1, \bnwcvzjbgtc[6] , \fqkdsnjfpdb_i[16] , 
        ADD_18x18_fast_I166_Y_0, \zbqggxmnpbs_iv[1]_net_1 , 
        \fqkdsnjfpdb_m[7]_net_1 , \ckghxwbsztp_m[0]_net_1 , 
        \fqkdsnjfpdb_m[16]_net_1 , N254, fqkdsnjfpdb_35_0_net_1, N248, 
        fqkdsnjfpdb_25_0_net_1, \bnwcvzjbgtc_11[6]_net_1 , N_728, 
        \bnwcvzjbgtc_11[8]_net_1 , \bnwcvzjbgtc_11_d[8]_net_1 , 
        \rdgwgtpkbgc_0[1]_net_1 , N297, N257, N301, N251, N293, 
        \bnwcvzjbgtc_7[8]_net_1 , \rdgwgtpkbgc[2]_net_1 , 
        \tkcbxxqbtfx_0[13]_net_1 , N_219, \tkcbxxqbtfx[12]_net_1 , 
        \gjkdbmpgrtc[6] , \rdgwgtpkbgc_0[0]_net_1 , N_426, N_522, 
        N_524, N_430, N_526, N_528, \rdgwgtpkbgc_1[1]_net_1 , 
        \gjkdbmpgrtc_7[6]_net_1 , N_422, \rqrqhcwpqdn[4]_net_1 , 
        \rqrqhcwpqdn[5]_net_1 , \rqrqhcwpqdn[6]_net_1 , 
        \rqrqhcwpqdn[7]_net_1 , \rqrqhcwpqdn[8]_net_1 , 
        \rqrqhcwpqdn[9]_net_1 , \rqrqhcwpqdn[10]_net_1 , 
        \rqrqhcwpqdn[11]_net_1 , \rdgwgtpkbgc_1[0]_net_1 , 
        \gjkdbmpgrtc_11[6]_net_1 , \rqrqhcwpqdn[0]_net_1 , 
        \rdgwgtpkbgc_0[2]_net_1 , N_628, N_636, 
        \bnvtvdkcnpp[10]_net_1 , \bnvtvdkcnpp[11]_net_1 , 
        bskrjhjvqpf_6_sqmuxa, rgmpzqrbghh_0_net_1, hmzcpnxsdwg_net_1, 
        \tkcbxxqbtfx_1[13]_net_1 , \tkcbxxqbtfx_ns_i[13]_net_1 , 
        \tkcbxxqbtfx_0[9]_net_1 , \tkcbxxqbtfx_ns_i[9]_net_1 , N_12, 
        \rqrqhcwpqdn[2]_net_1 , \rqrqhcwpqdn[1]_net_1 , N_4, 
        \DWACT_FINC_E[0] , N_247, \tkcbxxqbtfx[5]_net_1 , N_235_1, 
        N_249, N_235, bskrjhjvqpf_0_sqmuxa, N_216, 
        \zbqggxmnpbs_iv_1[0]_net_1 , pbzxzjhqhwz_m, 
        tddhwjzbsrj_m_net_1, \fqkdsnjfpdb_m[6]_net_1 , 
        ADD_18x18_fast_I167_Y_2, fqkdsnjfpdb_45, 
        fqkdsnjfpdb_80_0_net_1, ADD_18x18_fast_I167_Y_1, 
        un1_gjkdbmpgrtc78_1, ADD_18x18_fast_I165_Y_0, N_283, N_282, 
        N_285, N_284, \zbqggxmnpbs_iv_0[4]_net_1 , \fqkdsnjfpdb[1] , 
        \ckghxwbsztp_m[3]_net_1 , ADD_18x18_fast_I163_Y_0, N_279, 
        N_278_i, ADD_18x18_fast_I162_Y_0, N_277, N_276_i, 
        ADD_18x18_fast_I132_Y_3, N358, ADD_18x18_fast_I132_un1_Y_0, 
        ADD_18x18_fast_I132_Y_2, N320, N327, ADD_18x18_fast_I132_Y_1, 
        N283, N286, ADD_18x18_fast_I132_Y_0, N274, N329, 
        ADD_18x18_fast_I133_Y_1, N285, N288, ADD_18x18_fast_I133_Y_0, 
        N271, N275, ADD_18x18_fast_I116_Y_1, N324, N331, 
        ADD_18x18_fast_I116_Y_0, N287, N290, ADD_18x18_fast_I164_Y_0, 
        N_281, N_280, ADD_18x18_fast_I159_Y_0, N_271, N_270, 
        ADD_18x18_fast_I158_Y_0, N_268, ADD_18x18_fast_I161_Y_0, N_275, 
        N_274, ADD_18x18_fast_I157_Y_0, N_267, N_266, 
        ADD_18x18_fast_I116_un1_Y_0, N332, ADD_18x18_fast_I118_Y_0, 
        N328, N335, ADD_18x18_fast_I119_Y_0, ADD_18x18_fast_I117_Y_1, 
        N326, N333, ADD_18x18_fast_I117_Y_0, N289, N292, 
        ADD_18x18_fast_I160_Y_0, fqkdsnjfpdb_24, 
        fqkdsnjfpdb_45_0_net_1, N_273, ADD_18x18_fast_I155_Y_0, N_263, 
        N_262, ADD_18x18_fast_I154_Y_0, N_260, ADD_18x18_fast_I156_Y_0, 
        N_264, ADD_18x18_fast_I120_Y_0, I120_un1_Y, 
        ADD_18x18_fast_I119_un1_Y_0, N336, N344, N314, 
        ADD_18x18_fast_I121_Y_0, ADD_18x18_fast_I121_un1_Y_0, N341, 
        N334, ADD_18x18_fast_I153_Y_0, N_259, N_258, 
        ADD_18x18_fast_I120_un1_Y_0, N340, N309, N349, 
        ADD_18x18_fast_I152_Y_0, N_257_i, N_256, 
        \dhzrwbnrbpw_8_iv_0[8] , N_202_i_0, \qrbxknbdvjj_m[8]_net_1 , 
        ADD_18x18_fast_I151_Y_0, \gjkdbmpgrtc[1] , 
        fqkdsnjfpdb_1_0_net_1, \bnwcvzjbgtc[1] , 
        \dhzrwbnrbpw_8_iv_1[4] , \dhzrwbnrbpw_8_iv_0[4] , 
        \qrbxknbdvjj_m[4]_net_1 , ADD_18x18_fast_I12_P0N_0, 
        fqkdsnjfpdb_30_net_1, \dhzrwbnrbpw_8_iv_1[3] , 
        \dhzrwbnrbpw_8_iv_0[3] , \qrbxknbdvjj_m[3]_net_1 , 
        \dhzrwbnrbpw_8_iv_1[5] , \dhzrwbnrbpw_8_iv_0[5] , 
        \qrbxknbdvjj_m[5]_net_1 , ADD_18x18_fast_I14_P0N_0, 
        fqkdsnjfpdb_36_net_1, \dhzrwbnrbpw_8_iv_1[2] , 
        \dhzrwbnrbpw_8_iv_0[2] , \qrbxknbdvjj_m[2]_net_1 , 
        ADD_9x9_medium_I8_Y_1, N105, \dhzrwbnrbpw_8_iv_1[1] , 
        \dhzrwbnrbpw_8_iv_0[1] , \qrbxknbdvjj_m[1]_net_1 , 
        fqkdsnjfpdb_11_0_net_1, \ftbkrvpxdbp[3]_net_1 , 
        \gjkdbmpgrtc[3] , fqkdsnjfpdb_21_0_net_1, 
        \ftbkrvpxdbp[5]_net_1 , \gjkdbmpgrtc[5] , 
        ADD_9x9_medium_I9_Y_0, N107, \ftbkrvpxdbp[1]_net_1 , 
        \ftbkrvpxdbp[0]_net_1 , \dhzrwbnrbpw_8_iv_0[0] , 
        \qrbxknbdvjj_m[0]_net_1 , \tkcbxxqbtfx_ns_o2_0[4]_net_1 , 
        N_820, \tkcbxxqbtfx[3]_net_1 , kkjrqmngvjc_0_0_net_1, N_224, 
        kkjrqmngvjc_0_2_1_net_1, \tkcbxxqbtfx[16]_net_1 , 
        zbcrjjxqjgg_i_1_net_1, zbcrjjxqjgg_i_0_net_1, N_218, 
        sphhbprckfk_iv_0_net_1, spbznmtdmpd_net_1, wqpbnjzjqsx_m, 
        bskrjhjvqpf_i_1_net_1, bskrjhjvqpf_i_0_net_1, 
        \tkcbxxqbtfx[2]_net_1 , \tkcbxxqbtfx[8]_net_1 , 
        un1_gjkdbmpgrtc78_1_0_a2_0_1_net_1, 
        un1_gjkdbmpgrtc78_1_0_a2_0_0_net_1, gpjgkmhxbkn_NE_2_net_1, 
        gpjgkmhxbkn_1_i, gpjgkmhxbkn_2_i, gpjgkmhxbkn_0_i, 
        gpjgkmhxbkn_NE_0_net_1, gpjgkmhxbkn_3_i, 
        wqpbnjzjqsx_m_0_2_net_1, wqpbnjzjqsx_0_i_0, 
        wqpbnjzjqsx_m_0_1_net_1, wqpbnjzjqsx_2_i_0, 
        wqpbnjzjqsx_m_0_0_net_1, wqpbnjzjqsx_4_i_0, 
        \tkcbxxqbtfx[11]_net_1 , \tkcbxxqbtfx[0]_net_1 , I117_un1_Y, 
        N472, I116_un1_Y, I104_un1_Y, N339, I118_un1_Y, N475, N347, 
        N457_i, I96_un1_Y, N121, N108, N_226, \dhzrwbnrbpw_8[5] , 
        N_204_i_0, \un1_bskrjhjvqpf[5] , \dhzrwbnrbpw_8[3] , 
        \un1_bskrjhjvqpf[3] , \dhzrwbnrbpw_8[2] , \un1_bskrjhjvqpf[2] , 
        \dhzrwbnrbpw_8[1] , \un1_bskrjhjvqpf[1] , N_244, cmkddgvkrrs, 
        cmkddgvkrrs_1_sqmuxa_net_1, chxjmrqxptz_m_net_1, 
        \dhzrwbnrbpw_8[8] , \un1_bskrjhjvqpf[8] , \dhzrwbnrbpw_8[7] , 
        \jrgzmrqhbkv_m[7]_net_1 , \qrbxknbdvjj_m[7]_net_1 , 
        \un1_bskrjhjvqpf_m[7]_net_1 , \dhzrwbnrbpw_8[6] , 
        \jrgzmrqhbkv_m[6]_net_1 , \qrbxknbdvjj_m[6]_net_1 , 
        \un1_bskrjhjvqpf_m[6]_net_1 , \dhzrwbnrbpw_8[0] , 
        \un1_bskrjhjvqpf[0] , \tkcbxxqbtfx_ns_i[1]_net_1 , 
        \gjkdbmpgrtc[15] , \bnwcvzjbgtc[15] , \gjkdbmpgrtc[14] , 
        \bnwcvzjbgtc[14] , \gjkdbmpgrtc[13] , \bnvtvdkcnpp[7]_net_1 , 
        \bnwcvzjbgtc[13] , \gjkdbmpgrtc[12] , \bnvtvdkcnpp[6]_net_1 , 
        \bnwcvzjbgtc[12] , \gjkdbmpgrtc[11] , \bnwcvzjbgtc[11] , 
        \gjkdbmpgrtc[10] , \bnwcvzjbgtc[10] , \gjkdbmpgrtc[9] , 
        \bnvtvdkcnpp[3]_net_1 , \bnwcvzjbgtc[9] , \gjkdbmpgrtc[7] , 
        \bnvtvdkcnpp[1]_net_1 , \bnwcvzjbgtc[7] , \bnwcvzjbgtc[5] , 
        \bnwcvzjbgtc[3] , \gjkdbmpgrtc[2] , \ftbkrvpxdbp[2]_net_1 , 
        \bnwcvzjbgtc[2] , \fqkdsnjfpdb[15] , \fqkdsnjfpdb[14] , 
        \fqkdsnjfpdb[13] , \fqkdsnjfpdb[11] , \fqkdsnjfpdb[9] , 
        ADD_18x18_fast_I122_un1_Y, N373, \fqkdsnjfpdb_i[7] , 
        \fqkdsnjfpdb[6] , \fqkdsnjfpdb[5] , \fqkdsnjfpdb[4] , 
        I107_un1_Y_i, \fqkdsnjfpdb[3] , \fqkdsnjfpdb[0] , 
        \gjkdbmpgrtc[0] , \bnwcvzjbgtc[0] , \dhzrwbnrbpw_8[4] , 
        \un1_bskrjhjvqpf[4] , \fqkdsnjfpdb[2] , \fqkdsnjfpdb_i[10] , 
        \fqkdsnjfpdb[17] , I112_un1_Y_i, \gjkdbmpgrtc[16] , 
        \bnwcvzjbgtc[16] , \fqkdsnjfpdb[8] , ADD_18x18_fast_I123_un1_Y, 
        \fqkdsnjfpdb[12] , I119_un1_Y, \fqkdsnjfpdb_m[0]_net_1 , 
        \ckghxwbsztp_m[2]_net_1 , \fqkdsnjfpdb_m[9]_net_1 , 
        \fqkdsnjfpdb_m[2]_net_1 , \ckghxwbsztp_m[4]_net_1 , 
        \fqkdsnjfpdb_m[11]_net_1 , \fqkdsnjfpdb_m[8]_net_1 , 
        \ckghxwbsztp_m[1]_net_1 , \fqkdsnjfpdb_m[17]_net_1 , N_248, 
        N_252, N260, N266, fqkdsnjfpdb_55_0_net_1, N272, 
        fqkdsnjfpdb_65_0_net_1, fqkdsnjfpdb_15_net_1, 
        fqkdsnjfpdb_30_0_net_1, N239, fqkdsnjfpdb_3, 
        fqkdsnjfpdb_10_0_net_1, fqkdsnjfpdb_21_net_1, 
        fqkdsnjfpdb_40_0_net_1, N263, fqkdsnjfpdb_27, 
        fqkdsnjfpdb_50_0_net_1, N269, fqkdsnjfpdb_33_net_1, 
        fqkdsnjfpdb_60_0_net_1, fqkdsnjfpdb_39, fqkdsnjfpdb_70_0_net_1, 
        fqkdsnjfpdb_9, fqkdsnjfpdb_20_0_net_1, N346, N_767, N_731, 
        \bnwcvzjbgtc_11_d[11]_net_1 , \bnwcvzjbgtc_11_s[7]_net_1 , 
        N_733, N_766, \bnwcvzjbgtc_11_d[10]_net_1 , N_765, N_729, 
        \bnwcvzjbgtc_11_d[9]_net_1 , N_763, N_727, 
        \bnwcvzjbgtc_11_d[7]_net_1 , N_761, 
        \bnwcvzjbgtc_11_d[5]_net_1 , N_725, N_724, N_704, N229, N230, 
        N235, N236, N241, N259, N265, N268, N262, N296, N253, N256, 
        N300, N247, N250, N304, N294, N295, N298, N299, N291, N302, 
        N303, N306, I100_un1_Y, N343, N232, N233, N238, N_421, N_502, 
        N_519, N_518, N_520, N_423, N_521, N_424, N_425, N_523, N_427, 
        N_525, N_428, N_429, N_527, N_431, N_529, N_487, N_419, N_488, 
        N_420, N_489, N_491, N_492, N_432, N_493, N_476, 
        \rqrqhcwpqdn[3]_net_1 , N_559, N_560, N_561, N_562, N_563, 
        N_564, N_565, N_484, N_552, N_485, N_553, N_486, N_554, N_555, 
        N_556, N_557, N_494, N_495, N_496, N_497, N_498, N_566, N_499, 
        N_567, N_586, N_587, N_603, N_604, N_620, N_621, N_622, N_705, 
        N_623, N_706, N_624, N_722, N_625, N_723, N_627, N_629, N_630, 
        N_631, N_632, N_633, N_635, N_688, N_689, N_690, N_691, N_693, 
        N_695, N_697, N_680, N_756, N_757, N_758, N_759, N_768, N_769, 
        N_698, N_699, N_700, N_701, N_702, N_770, N_703, N_771, N_245, 
        I17_un1_Y, I18_un1_Y, qmmwhjxxxmv_net_1, xkwrgrspmcf_net_1, 
        \rfrdbqfdrhx[0]_net_1 , \rfrdbqfdrhx[1]_net_1 , 
        qvqqfftqsfc_net_1, un3_kkgccghmrzf_net_1, bskrjhjvqpf_5_sqmuxa, 
        \tkcbxxqbtfx_ns[6] , \tkcbxxqbtfx_ns[15] , 
        \tkcbxxqbtfx_ns[16] , N_246, \tkcbxxqbtfx_ns[0]_net_1 , 
        un1_hfzgjxkdrpz_1_net_1, \tkcbxxqbtfx_ns_i[2]_net_1 , 
        \tkcbxxqbtfx[1]_net_1 , \tkcbxxqbtfx_ns_i[3]_net_1 , 
        \tkcbxxqbtfx_ns_i[5]_net_1 , \tkcbxxqbtfx[4]_net_1 , 
        \tkcbxxqbtfx_ns_i[7]_net_1 , \tkcbxxqbtfx[6]_net_1 , 
        \tkcbxxqbtfx_ns_i[8]_net_1 , \tkcbxxqbtfx[7]_net_1 , 
        \tkcbxxqbtfx_ns_i[11]_net_1 , \tkcbxxqbtfx_ns_i[17]_net_1 , 
        \tkcbxxqbtfx[15]_net_1 , \tkcbxxqbtfx[14]_net_1 , 
        \ftbkrvpxdbp_6[0]_net_1 , \ftbkrvpxdbp_6[2]_net_1 , 
        \tkcbxxqbtfx_ns[4]_net_1 , \tkcbxxqbtfx_ns_i[12]_net_1 , 
        \qrbxknbdvjj[0]_net_1 , rgmpzqrbghh_net_1, 
        \qrbxknbdvjj[1]_net_1 , \qrbxknbdvjj[2]_net_1 , 
        \qrbxknbdvjj[3]_net_1 , \qrbxknbdvjj[5]_net_1 , 
        \qrbxknbdvjj[6]_net_1 , \tkcbxxqbtfx[9]_net_1 , 
        \qrbxknbdvjj[7]_net_1 , \qrbxknbdvjj[8]_net_1 , 
        \ftbkrvpxdbp_6[1]_net_1 , \ftbkrvpxdbp_6[3]_net_1 , 
        \ftbkrvpxdbp_6[4]_net_1 , \ftbkrvpxdbp_6[5]_net_1 , 
        cmkddgvkrrs_0_sqmuxa_net_1, \ckghxwbsztp_5[0]_net_1 , 
        gpjgkmhxbkn_m_net_1, \ckghxwbsztp_5[1]_net_1 , I_5, 
        \ckghxwbsztp_5[2]_net_1 , I_9, \ckghxwbsztp_5[3]_net_1 , I_13, 
        \ckghxwbsztp_5[4]_net_1 , I_20, N_354, N_355, N_356, N_357, 
        N_358, N_359, N_360, N_361, N_362, \rqrqhcwpqdn_6[0]_net_1 , 
        N_363_i, mvnkctvqsgp_net_1, kkgccghmrzf_net_1, 
        \tkcbxxqbtfx_ns[10] , un1_hfzgjxkdrpz_net_1, 
        \qrbxknbdvjj[4]_net_1 , N_500, N_568, N_772, N_378, 
        \rqrqhcwpqdn_10[11]_net_1 , N_377, \rqrqhcwpqdn_10[9]_net_1 , 
        N_375, N_376, N_818, N244, I106_un1_Y_i, N311, N310, N307, 
        I76_un1_Y_i, I105_un1_Y_i, I81_un1_Y_i, N312, N313, N308, 
        \bnvtvdkcnpp_6[1]_net_1 , \bnvtvdkcnpp_9[10]_net_1 , 
        \bnvtvdkcnpp_10[10]_net_1 , \bnvtvdkcnpp_10[1]_net_1 , 
        dbdctxjdvkp_1_sqmuxa, \tkcbxxqbtfx[17]_net_1 , 
        \bnvtvdkcnpp_6[8]_net_1 , \bnvtvdkcnpp_6[7]_net_1 , 
        \bnvtvdkcnpp_6[6]_net_1 , \bnvtvdkcnpp_6[4]_net_1 , 
        \bnvtvdkcnpp_6[2]_net_1 , \bnvtvdkcnpp_6[0]_net_1 , 
        \bnvtvdkcnpp_9[11]_net_1 , \bnvtvdkcnpp_9[9]_net_1 , 
        \fqkdsnjfpdb_m[5]_net_1 , \fqkdsnjfpdb_m[4]_net_1 , 
        \fqkdsnjfpdb_m[3]_net_1 , \ckghxwbsztp[3]_net_1 , 
        \ckghxwbsztp[1]_net_1 , tddhwjzbsrj_net_1, pbzxzjhqhwz, 
        \bnvtvdkcnpp_10[11]_net_1 , \bnvtvdkcnpp_10[9]_net_1 , 
        \bnvtvdkcnpp_10[8]_net_1 , \bnvtvdkcnpp_10[7]_net_1 , 
        \bnvtvdkcnpp_10[6]_net_1 , \tkcbxxqbtfx[13]_net_1 , 
        \bnvtvdkcnpp_10[4]_net_1 , \bnvtvdkcnpp_10[2]_net_1 , 
        \bnvtvdkcnpp_10[0]_net_1 , ftbkrvpxdbp_1_sqmuxa_net_1, 
        \bnvtvdkcnpp_6[5]_net_1 , \bnvtvdkcnpp_6[3]_net_1 , 
        \ckghxwbsztp[4]_net_1 , \ckghxwbsztp[2]_net_1 , 
        \bnvtvdkcnpp_10[5]_net_1 , \bnvtvdkcnpp_10[3]_net_1 , 
        \tkcbxxqbtfx_ns[14] , \ckghxwbsztp[0]_net_1 , 
        \DWACT_COMP0_E[1] , \DWACT_COMP0_E[2] , \DWACT_COMP0_E[0] , 
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[1] , 
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[2] , 
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[0] , \ACT_LT4_E[3] , 
        \ACT_LT4_E[6] , \ACT_LT4_E[10] , \ACT_LT4_E[7] , 
        \ACT_LT4_E[8] , \ACT_LT4_E[5] , \ACT_LT4_E[4] , \ACT_LT4_E[0] , 
        \ACT_LT4_E[1] , \ACT_LT4_E[2] , \ACT_LT3_E[3] , \ACT_LT3_E[4] , 
        \ACT_LT3_E[5] , \ACT_LT3_E[0] , \ACT_LT3_E[1] , \ACT_LT3_E[2] , 
        \DWACT_BL_EQUAL_0_E[2] , \DWACT_BL_EQUAL_0_E[1] , 
        \DWACT_BL_EQUAL_0_E[0] , N_37, N_36, N_35, N_32, N_34, N_33, 
        N_31, N_28, N_29, N_30, \DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[1] , 
        \DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[0] , \DWACT_BL_EQUAL_0_E[4] , 
        \DWACT_BL_EQUAL_0_E[3] , \DWACT_BL_EQUAL_0_E_0[0] , 
        \DWACT_BL_EQUAL_0_E_0[1] , \DWACT_BL_EQUAL_0_E_0[2] , N_9, GND, 
        VCC, GND_net_1, VCC_net_1;
    
    DFN1E1C0 \qrbxknbdvjj[4]  (.D(dhzrwbnrbpw[4]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[6]_net_1 ), .Q(
        \qrbxknbdvjj[4]_net_1 ));
    NOR2A \bnwcvzjbgtc_7[10]  (.A(N_630), .B(rdgwgtpkbgc_3), .Y(N_698));
    AX1B fqkdsnjfpdb_0_0_ADD_18x18_fast_I163_Y (.A(I118_un1_Y), .B(
        ADD_18x18_fast_I118_Y_0), .C(ADD_18x18_fast_I163_Y_0), .Y(
        \fqkdsnjfpdb[13] ));
    NOR3A \ckghxwbsztp_5[3]  (.A(I_13), .B(gpjgkmhxbkn_m_net_1), .C(
        sphhbprckfk_iv_0_net_1), .Y(\ckghxwbsztp_5[3]_net_1 ));
    MX2 \ftbkrvpxdbp_6[1]  (.A(Analog_smev_ram_R0C0_DOUTB4), .B(
        \fqkdsnjfpdb[1] ), .S(\tkcbxxqbtfx_0[13]_net_1 ), .Y(
        \ftbkrvpxdbp_6[1]_net_1 ));
    NOR2A fqkdsnjfpdb_33 (.A(\bnvtvdkcnpp[1]_net_1 ), .B(
        \bnwcvzjbgtc[7] ), .Y(fqkdsnjfpdb_18_net_1));
    DFN1E1C0 \rdgwgtpkbgc[2]  (.D(Analog_smev_ram_R0C0_DOUTB2), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(bskrjhjvqpf_1_sqmuxa), .Q(
        \rdgwgtpkbgc[2]_net_1 ));
    AOI1A pvtdpmmqdpp_pbzxzjhqhwz_0_I_48 (.A(\ACT_LT3_E[3] ), .B(
        \ACT_LT3_E[4] ), .C(\ACT_LT3_E[5] ), .Y(
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[0] ));
    OA1A fqkdsnjfpdb_0_0_ADD_18x18_fast_I133_Y_2 (.A(N329), .B(N322), 
        .C(ADD_18x18_fast_I133_Y_1), .Y(ADD_18x18_fast_I133_Y_2));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I104_un1_Y (.A(N347), .B(N340)
        , .Y(I104_un1_Y));
    OR3 fqkdsnjfpdb_0_0_ADD_18x18_fast_I3_P0N (.A(N_259), .B(
        fqkdsnjfpdb_3), .C(fqkdsnjfpdb_10_0_net_1), .Y(N239));
    NOR2A fqkdsnjfpdb_63 (.A(\bnvtvdkcnpp[7]_net_1 ), .B(
        \bnwcvzjbgtc[13] ), .Y(fqkdsnjfpdb_36_net_1));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I4_G0N (.A(N_261), .B(N_260), 
        .Y(N241));
    MX2C \bnwcvzjbgtc_11_d_d[6]  (.A(\bnvtvdkcnpp[4]_net_1 ), .B(
        \bnvtvdkcnpp[0]_net_1 ), .S(rdgwgtpkbgc_3), .Y(
        \bnwcvzjbgtc_11_d_d[6]_net_1 ));
    MX2 \gjkdbmpgrtc_11[12]  (.A(N_432), .B(\rqrqhcwpqdn[6]_net_1 ), 
        .S(rdgwgtpkbgc_3), .Y(N_564));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I23_Y (.A(N272), .B(N269), .Y(
        N287));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I85_Y (.A(N328), .B(N320), .Y(
        N358));
    NOR2A \bnwcvzjbgtc_7[15]  (.A(N_635), .B(rdgwgtpkbgc_3), .Y(N_703));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I8_G0N (.A(N_269), .B(N_268), 
        .Y(N253));
    MX2 \gjkdbmpgrtc_11[13]  (.A(N_476), .B(\rqrqhcwpqdn[7]_net_1 ), 
        .S(rdgwgtpkbgc_3), .Y(N_565));
    OR2A \bnwcvzjbgtc_9[11]  (.A(\bnvtvdkcnpp[11]_net_1 ), .B(
        \rdgwgtpkbgc[0]_net_1 ), .Y(N_733));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I11_G0N (.A(N_275), .B(N_274), 
        .Y(N262));
    OR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I57_Y (.A(N291), .B(N287), .Y(
        N324));
    DFN1E1C0 tddhwjzbsrj (.D(cmkddgvkrrs), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(\tkcbxxqbtfx[16]_net_1 ), .Q(
        tddhwjzbsrj_net_1));
    OR2A \fqkdsnjfpdb_m[7]  (.A(\tkcbxxqbtfx[12]_net_1 ), .B(
        \fqkdsnjfpdb_i[7] ), .Y(\fqkdsnjfpdb_m[7]_net_1 ));
    OR2 fqkdsnjfpdb_50 (.A(fqkdsnjfpdb_50_0_net_1), .B(fqkdsnjfpdb_27), 
        .Y(N_274));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I155_Y_0 (.A(N_263), .B(N_262), 
        .Y(ADD_18x18_fast_I155_Y_0));
    AOI1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv_1[4]  (.A(N_202_i_0), .B(
        Analog_smev_ram_R0C0_DOUTB4), .C(\dhzrwbnrbpw_8_iv_0[4] ), .Y(
        \dhzrwbnrbpw_8_iv_1[4] ));
    DFN1E1C0 \rfrdbqfdrhx[0]  (.D(Analog_smev_ram_R0C0_DOUTB4), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(bskrjhjvqpf_0_sqmuxa), .Q(
        \rfrdbqfdrhx[0]_net_1 ));
    MX2 \bnwcvzjbgtc_7[2]  (.A(N_622), .B(N_630), .S(rdgwgtpkbgc_3), 
        .Y(N_690));
    MX2 \bnwcvzjbgtc_9[3]  (.A(\bnvtvdkcnpp[3]_net_1 ), .B(
        \bnvtvdkcnpp[4]_net_1 ), .S(\rdgwgtpkbgc_1[0]_net_1 ), .Y(
        N_725));
    XAI1 \un1_bskrjhjvqpf_m[7]  (.A(N121), .B(dhzrwbnrbpw[7]), .C(
        N_204_i_0), .Y(\un1_bskrjhjvqpf_m[7]_net_1 ));
    DFN1C0 rgmpzqrbghh (.D(hmzcpnxsdwg_net_1), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(rgmpzqrbghh_net_1));
    MX2 \gjkdbmpgrtc_12[9]  (.A(N_493), .B(N_561), .S(
        \rdgwgtpkbgc_0[2]_net_1 ), .Y(\gjkdbmpgrtc[9] ));
    MX2 \bnwcvzjbgtc_11_d[4]  (.A(N_724), .B(\ftbkrvpxdbp[4]_net_1 ), 
        .S(rdgwgtpkbgc_3), .Y(\bnwcvzjbgtc_11_d[4]_net_1 ));
    AOI1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I64_Y (.A(N295), .B(N298), .C(
        N294), .Y(N331));
    MX2 \bnwcvzjbgtc_11[11]  (.A(N_731), .B(
        \bnwcvzjbgtc_11_d[11]_net_1 ), .S(\bnwcvzjbgtc_11_s[7]_net_1 ), 
        .Y(N_767));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I66_Y (.A(N297), .B(N300), .C(
        N296), .Y(N333));
    DFN1E1C0 \qrbxknbdvjj[2]  (.D(dhzrwbnrbpw[2]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[6]_net_1 ), .Q(
        \qrbxknbdvjj[2]_net_1 ));
    MX2 \rqrqhcwpqdn_6_0[7]  (.A(Analog_assc_ram_R0C0_DOUTA7), .B(
        Analog_smev_ram_R0C0_DOUTB7), .S(xkwrgrspmcf_net_1), .Y(N_361));
    MX2 \gjkdbmpgrtc_7[6]  (.A(N_422), .B(N_430), .S(rdgwgtpkbgc_3), 
        .Y(\gjkdbmpgrtc_7[6]_net_1 ));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I62_Y (.A(N293), .B(N296), .C(
        N292), .Y(N329));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I116_Y_0 (.A(N287), .B(N290), 
        .C(N286), .Y(ADD_18x18_fast_I116_Y_0));
    NOR2B un6_ckghxwbsztp_I_8 (.A(\rqrqhcwpqdn[2]_net_1 ), .B(
        \rqrqhcwpqdn[1]_net_1 ), .Y(N_12));
    OR3 fqkdsnjfpdb_0_0_ADD_18x18_fast_I5_P0N (.A(N_263), .B(
        fqkdsnjfpdb_9), .C(fqkdsnjfpdb_20_0_net_1), .Y(N245));
    MX2 \bnwcvzjbgtc_9[5]  (.A(\bnvtvdkcnpp[5]_net_1 ), .B(
        \bnvtvdkcnpp[6]_net_1 ), .S(\rdgwgtpkbgc[0]_net_1 ), .Y(N_727));
    MX2 \bnwcvzjbgtc_3[8]  (.A(N_724), .B(N_726), .S(
        \rdgwgtpkbgc_1[1]_net_1 ), .Y(N_628));
    MX2 \bnwcvzjbgtc_11[9]  (.A(N_729), .B(\bnwcvzjbgtc_11_d[9]_net_1 )
        , .S(\bnwcvzjbgtc_11_s[7]_net_1 ), .Y(N_765));
    NOR2A zbcrjjxqjgg_i_0 (.A(N_820), .B(\tkcbxxqbtfx[12]_net_1 ), .Y(
        zbcrjjxqjgg_i_0_net_1));
    XOR2 un6_ckghxwbsztp_I_5 (.A(\rqrqhcwpqdn[1]_net_1 ), .B(
        \rqrqhcwpqdn[2]_net_1 ), .Y(I_5));
    MX2 \bnwcvzjbgtc_3[14]  (.A(N_730), .B(N_732), .S(
        \rdgwgtpkbgc[1]_net_1 ), .Y(N_634));
    MX2 \bnwcvzjbgtc_9[1]  (.A(\bnvtvdkcnpp[1]_net_1 ), .B(
        \bnvtvdkcnpp[2]_net_1 ), .S(\rdgwgtpkbgc_1[0]_net_1 ), .Y(
        N_723));
    OR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_43 (.A(\rqrqhcwpqdn[5]_net_1 ), 
        .B(\bnvtvdkcnpp[5]_net_1 ), .Y(\ACT_LT3_E[1] ));
    MX2 \rqrqhcwpqdn_6_0[5]  (.A(Analog_assc_ram_R0C0_DOUTA5), .B(
        Analog_smev_ram_R0C0_DOUTB5), .S(xkwrgrspmcf_net_1), .Y(N_359));
    NOR2A \gjkdbmpgrtc_3[16]  (.A(N_528), .B(\rdgwgtpkbgc[1]_net_1 ), 
        .Y(N_432));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I35_Y (.A(N254), .B(N251), .Y(
        N299));
    AX1D fqkdsnjfpdb_0_0_ADD_18x18_fast_I160_Y_0 (.A(fqkdsnjfpdb_24), 
        .B(fqkdsnjfpdb_45_0_net_1), .C(N_273), .Y(
        ADD_18x18_fast_I160_Y_0));
    MX2 \bnwcvzjbgtc_11[2]  (.A(N_626), .B(\ftbkrvpxdbp[2]_net_1 ), .S(
        rdgwgtpkbgc_3), .Y(N_758));
    XNOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I166_Y (.A(
        ADD_18x18_fast_I166_Y_0), .B(ADD_18x18_fast_I133_Y), .Y(
        \fqkdsnjfpdb_i[16] ));
    NOR2B \bnwcvzjbgtc_11[16]  (.A(rdgwgtpkbgc_3), .B(
        \bnvtvdkcnpp[10]_net_1 ), .Y(N_772));
    OR2B \tkcbxxqbtfx_ns_o2[4]  (.A(\tkcbxxqbtfx_ns_o2_0[4]_net_1 ), 
        .B(N_219), .Y(N_226));
    XNOR2 pvtdpmmqdpp_pbzxzjhqhwz_0_I_35 (.A(\bnvtvdkcnpp[5]_net_1 ), 
        .B(\rqrqhcwpqdn[5]_net_1 ), .Y(\DWACT_BL_EQUAL_0_E[1] ));
    MX2 \gjkdbmpgrtc_9[9]  (.A(\rqrqhcwpqdn[9]_net_1 ), .B(
        \rqrqhcwpqdn[10]_net_1 ), .S(\rdgwgtpkbgc_0[0]_net_1 ), .Y(
        N_527));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I47_Y (.A(N236), .B(N233), .Y(
        N311));
    OA1C bskrjhjvqpf_i_a5 (.A(un1_Analog_smev_ram_inst_1_0_0), .B(
        un1_Analog_smev_ram_inst_1_0_2), .C(N_246), .Y(N_245));
    MX2 \bnwcvzjbgtc_3[4]  (.A(N_705), .B(N_722), .S(
        \rdgwgtpkbgc_1[1]_net_1 ), .Y(N_624));
    MX2 \bnvtvdkcnpp_6[2]  (.A(\bnvtvdkcnpp[2]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB2), .S(qvqqfftqsfc_net_1), .Y(
        \bnvtvdkcnpp_6[2]_net_1 ));
    DFN1C0 \dhzrwbnrbpw[0]  (.D(\dhzrwbnrbpw_8[0] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(dhzrwbnrbpw[0]));
    AOI1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I133_Y_0 (.A(N271), .B(N275), 
        .C(N274), .Y(ADD_18x18_fast_I133_Y_0));
    OR2B \fqkdsnjfpdb_m[3]  (.A(\tkcbxxqbtfx_1[13]_net_1 ), .B(
        \fqkdsnjfpdb[3] ), .Y(\fqkdsnjfpdb_m[3]_net_1 ));
    NOR3A \ckghxwbsztp_5[2]  (.A(I_9), .B(gpjgkmhxbkn_m_net_1), .C(
        sphhbprckfk_iv_0_net_1), .Y(\ckghxwbsztp_5[2]_net_1 ));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I165_Y_0 (.A(N_283), .B(N_282), 
        .Y(ADD_18x18_fast_I165_Y_0));
    AX1C un1_bskrjhjvqpf_ADD_9x9_medium_I25_Y (.A(N108), .B(
        ADD_9x9_medium_I9_Y_0), .C(dhzrwbnrbpw[5]), .Y(
        \un1_bskrjhjvqpf[5] ));
    MX2 \ftbkrvpxdbp_6[0]  (.A(Analog_smev_ram_R0C0_DOUTB3), .B(
        \fqkdsnjfpdb[0] ), .S(\tkcbxxqbtfx_0[13]_net_1 ), .Y(
        \ftbkrvpxdbp_6[0]_net_1 ));
    AOI1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv_0[5]  (.A(rgmpzqrbghh_0_net_1), 
        .B(mtbjcfqsbqf[4]), .C(\qrbxknbdvjj_m[5]_net_1 ), .Y(
        \dhzrwbnrbpw_8_iv_0[5] ));
    XNOR3 fqkdsnjfpdb_76 (.A(\gjkdbmpgrtc[16] ), .B(
        \bnvtvdkcnpp[10]_net_1 ), .C(\bnwcvzjbgtc[16] ), .Y(N_285));
    NOR2A fqkdsnjfpdb_43 (.A(\bnvtvdkcnpp[3]_net_1 ), .B(
        \bnwcvzjbgtc[9] ), .Y(fqkdsnjfpdb_24));
    AOI1B \zbqggxmnpbs_iv_0[4]  (.A(\fqkdsnjfpdb[1] ), .B(
        \tkcbxxqbtfx_0[13]_net_1 ), .C(\ckghxwbsztp_m[3]_net_1 ), .Y(
        \zbqggxmnpbs_iv_0[4]_net_1 ));
    NOR3 ddbbjvkdkcq_0_a5 (.A(Analog_smev_ram_R0C0_DOUTB6), .B(
        Analog_smev_ram_R0C0_DOUTB8), .C(N_246), .Y(
        bskrjhjvqpf_1_sqmuxa));
    MX2 \bnwcvzjbgtc_12[2]  (.A(N_690), .B(N_758), .S(
        \rdgwgtpkbgc_1[2]_net_1 ), .Y(\bnwcvzjbgtc[2] ));
    NOR2A un3_kkgccghmrzf (.A(\rfrdbqfdrhx[0]_net_1 ), .B(
        \rfrdbqfdrhx[1]_net_1 ), .Y(un3_kkgccghmrzf_net_1));
    NOR3C wqpbnjzjqsx_m_0 (.A(wqpbnjzjqsx_m_0_1_net_1), .B(
        wqpbnjzjqsx_m_0_0_net_1), .C(wqpbnjzjqsx_m_0_2_net_1), .Y(
        wqpbnjzjqsx_m));
    NOR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_60 (.A(\rqrqhcwpqdn[3]_net_1 ), 
        .B(\bnvtvdkcnpp[3]_net_1 ), .Y(\ACT_LT4_E[5] ));
    MX2 \gjkdbmpgrtc_12[3]  (.A(N_487), .B(N_555), .S(
        \rdgwgtpkbgc_0[2]_net_1 ), .Y(\gjkdbmpgrtc[3] ));
    DFN1C0 xwhwqsjfmgh_0 (.D(bskrjhjvqpf_6_sqmuxa), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(EV_DONE_net_0));
    DFN1C0 \bnvtvdkcnpp[5]  (.D(\bnvtvdkcnpp_10[5]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\bnvtvdkcnpp[5]_net_1 ));
    OR3B \qrbxknbdvjj_m[2]  (.A(\tkcbxxqbtfx_0[9]_net_1 ), .B(
        \qrbxknbdvjj[2]_net_1 ), .C(rgmpzqrbghh_net_1), .Y(
        \qrbxknbdvjj_m[2]_net_1 ));
    NOR2B \gjkdbmpgrtc_7[2]  (.A(rdgwgtpkbgc_3), .B(N_426), .Y(N_486));
    XNOR3 fqkdsnjfpdb_31 (.A(\gjkdbmpgrtc[7] ), .B(
        \bnvtvdkcnpp[1]_net_1 ), .C(\bnwcvzjbgtc[7] ), .Y(N_267));
    DFN1E1C0 \rdgwgtpkbgc_1[2]  (.D(Analog_smev_ram_R0C0_DOUTB2), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(bskrjhjvqpf_1_sqmuxa), .Q(
        \rdgwgtpkbgc_1[2]_net_1 ));
    NOR2B un1_bskrjhjvqpf_ADD_9x9_medium_I2_Y (.A(dhzrwbnrbpw[2]), .B(
        dhzrwbnrbpw[1]), .Y(N107));
    AOI1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv_1[1]  (.A(N_202_i_0), .B(
        Analog_smev_ram_R0C0_DOUTB1), .C(\dhzrwbnrbpw_8_iv_0[1] ), .Y(
        \dhzrwbnrbpw_8_iv_1[1] ));
    NOR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I119_un1_Y_0 (.A(N338), .B(
        N330), .Y(ADD_18x18_fast_I119_un1_Y_0));
    DFN1E1C0 \ckghxwbsztp[1]  (.D(\ckghxwbsztp_5[1]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[16]_net_1 ), 
        .Q(\ckghxwbsztp[1]_net_1 ));
    OR3B dbdctxjdvkp_1_sqmuxa_0_a2 (.A(\tkcbxxqbtfx[5]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB8), .C(Analog_smev_ram_R0C0_DOUTB7), 
        .Y(N_248));
    OR2 rqrqhcwpqdn_6_sn_m1 (.A(tkcbxxqbtfx_10), .B(xkwrgrspmcf_net_1), 
        .Y(N_363_i));
    XNOR3 fqkdsnjfpdb_61 (.A(\gjkdbmpgrtc[13] ), .B(
        \bnvtvdkcnpp[7]_net_1 ), .C(\bnwcvzjbgtc[13] ), .Y(N_279));
    XNOR2 fqkdsnjfpdb_26 (.A(fqkdsnjfpdb_26_0_net_1), .B(
        \bnwcvzjbgtc[6] ), .Y(N_265));
    MX2 \bnwcvzjbgtc_8[1]  (.A(\ftbkrvpxdbp[5]_net_1 ), .B(
        \bnvtvdkcnpp[0]_net_1 ), .S(\rdgwgtpkbgc_1[0]_net_1 ), .Y(
        N_706));
    OR2 zbcrjjxqjgg_i_o5_0 (.A(\tkcbxxqbtfx[17]_net_1 ), .B(
        \tkcbxxqbtfx_1[13]_net_1 ), .Y(N_218));
    DFN1E1C0 \rdgwgtpkbgc_1[1]  (.D(Analog_smev_ram_R0C0_DOUTB1), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(bskrjhjvqpf_1_sqmuxa), .Q(
        \rdgwgtpkbgc_1[1]_net_1 ));
    DFN1E0C0 \ftbkrvpxdbp[4]  (.D(\ftbkrvpxdbp_6[4]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(ftbkrvpxdbp_1_sqmuxa_net_1)
        , .Q(\ftbkrvpxdbp[4]_net_1 ));
    MX2 \gjkdbmpgrtc_3[9]  (.A(N_521), .B(N_523), .S(
        \rdgwgtpkbgc_0[1]_net_1 ), .Y(N_425));
    NOR2A dbdctxjdvkp_1_sqmuxa_0_a5 (.A(Analog_smev_ram_R0C0_DOUTB6), 
        .B(N_248), .Y(dbdctxjdvkp_1_sqmuxa));
    MX2 \bnwcvzjbgtc_12[7]  (.A(N_695), .B(N_763), .S(
        \rdgwgtpkbgc[2]_net_1 ), .Y(\bnwcvzjbgtc[7] ));
    OR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I6_P0N_0 (.A(fqkdsnjfpdb_12), 
        .B(N_265), .Y(ADD_18x18_fast_I6_P0N_0));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I69_Y (.A(N303), .B(N299), .Y(
        N336));
    OR2A \bnwcvzjbgtc_11_s[4]  (.A(\rdgwgtpkbgc_0[1]_net_1 ), .B(
        rdgwgtpkbgc_3), .Y(\bnwcvzjbgtc_11_s[4]_net_1 ));
    NOR3B bskrjhjvqpf_6_sqmuxa_0_a5 (.A(Analog_smev_ram_R0C0_DOUTB8), 
        .B(un1_Analog_smev_ram_inst_1_0_0), .C(N_246), .Y(
        bskrjhjvqpf_6_sqmuxa));
    MX2 \bnwcvzjbgtc_3[1]  (.A(N_587), .B(N_604), .S(
        \rdgwgtpkbgc_1[1]_net_1 ), .Y(N_621));
    MX2C \bnvtvdkcnpp_6[4]  (.A(\bnvtvdkcnpp[4]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB4), .S(qvqqfftqsfc_net_1), .Y(
        \bnvtvdkcnpp_6[4]_net_1 ));
    MX2 \bnwcvzjbgtc_12[12]  (.A(N_700), .B(N_768), .S(
        \rdgwgtpkbgc[2]_net_1 ), .Y(\bnwcvzjbgtc[12] ));
    AOI1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv_0[8]  (.A(N_202_i_0), .B(
        un1_Analog_smev_ram_inst_1_0_2), .C(\qrbxknbdvjj_m[8]_net_1 ), 
        .Y(\dhzrwbnrbpw_8_iv_0[8] ));
    DFN1E0C0 \kkkmkxwwscv[0]  (.D(bnrsdrtmtsg[0]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(qmmwhjxxxmv_net_1), .Q(kkkmkxwwscv[0]));
    AX1A fqkdsnjfpdb_0_0_ADD_18x18_fast_I154_Y (.A(N345), .B(
        I107_un1_Y_i), .C(ADD_18x18_fast_I154_Y_0), .Y(
        \fqkdsnjfpdb[4] ));
    MX2 \bnwcvzjbgtc_11[7]  (.A(N_727), .B(\bnwcvzjbgtc_11_d[7]_net_1 )
        , .S(\bnwcvzjbgtc_11_s[7]_net_1 ), .Y(N_763));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I41_Y (.A(N245), .B(N242), .Y(
        N305));
    AX1B fqkdsnjfpdb_0_0_ADD_18x18_fast_I162_Y (.A(I119_un1_Y), .B(
        ADD_18x18_fast_I119_Y_0), .C(ADD_18x18_fast_I162_Y_0), .Y(
        \fqkdsnjfpdb[12] ));
    DFN1E1C0 \rqrqhcwpqdn[2]  (.D(N_356), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(N_363_i), .Q(\rqrqhcwpqdn[2]_net_1 ));
    MX2 \gjkdbmpgrtc_3[12]  (.A(N_524), .B(N_526), .S(
        \rdgwgtpkbgc_0[1]_net_1 ), .Y(N_428));
    MX2 \bnwcvzjbgtc_7[5]  (.A(N_625), .B(N_633), .S(rdgwgtpkbgc_3), 
        .Y(N_693));
    OR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I106_Y (.A(I106_un1_Y_i), .B(
        N343), .Y(N475));
    DFN1C0 \tkcbxxqbtfx[2]  (.D(\tkcbxxqbtfx_ns_i[2]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[2]_net_1 ));
    OR3 fqkdsnjfpdb_0_0_ADD_18x18_fast_I4_P0N (.A(N_261), .B(
        fqkdsnjfpdb_6_net_1), .C(fqkdsnjfpdb_15_0_net_1), .Y(N242));
    MX2C \bnvtvdkcnpp_9[10]  (.A(\bnvtvdkcnpp[10]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB1), .S(kkgccghmrzf_net_1), .Y(
        \bnvtvdkcnpp_9[10]_net_1 ));
    DFN1C0 xwhwqsjfmgh (.D(bskrjhjvqpf_6_sqmuxa), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(EV_DONE_net));
    XNOR2 pvtdpmmqdpp_pbzxzjhqhwz_0_I_1 (.A(\bnvtvdkcnpp[11]_net_1 ), 
        .B(\rqrqhcwpqdn[11]_net_1 ), .Y(\DWACT_BL_EQUAL_0_E[4] ));
    AOI1B fqkdsnjfpdb_0_0_ADD_18x18_fast_I117_Y_1 (.A(N326), .B(N333), 
        .C(ADD_18x18_fast_I117_Y_0), .Y(ADD_18x18_fast_I117_Y_1));
    MX2 \gjkdbmpgrtc_7[8]  (.A(N_424), .B(N_432), .S(rdgwgtpkbgc_3), 
        .Y(N_492));
    OR2 fqkdsnjfpdb_10 (.A(fqkdsnjfpdb_10_0_net_1), .B(fqkdsnjfpdb_3), 
        .Y(N_258));
    MX2 \bnvtvdkcnpp_6[3]  (.A(\bnvtvdkcnpp[3]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB3), .S(qvqqfftqsfc_net_1), .Y(
        \bnvtvdkcnpp_6[3]_net_1 ));
    NOR2A \gjkdbmpgrtc_11[2]  (.A(N_422), .B(rdgwgtpkbgc_3), .Y(N_554));
    NOR2 bskrjhjvqpf_0_sqmuxa_0_a2 (.A(N_216), .B(N_247), .Y(
        bskrjhjvqpf_0_sqmuxa));
    OR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_46 (.A(\rqrqhcwpqdn[6]_net_1 ), 
        .B(\bnvtvdkcnpp[6]_net_1 ), .Y(\ACT_LT3_E[4] ));
    MX2 \mkmkbnghgkd[5]  (.A(INIT_ADDR_net_5), .B(rjhhzsggrtr[5]), .S(
        INIT_DONE_net), .Y(mkmkbnghgkd[5]));
    AO1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv[8]  (.A(N_204_i_0), .B(
        \un1_bskrjhjvqpf[8] ), .C(\dhzrwbnrbpw_8_iv_0[8] ), .Y(
        \dhzrwbnrbpw_8[8] ));
    NOR3 \ckghxwbsztp_5[0]  (.A(gpjgkmhxbkn_m_net_1), .B(
        sphhbprckfk_iv_0_net_1), .C(\rqrqhcwpqdn[1]_net_1 ), .Y(
        \ckghxwbsztp_5[0]_net_1 ));
    DFN1C0 \tkcbxxqbtfx[13]  (.D(\tkcbxxqbtfx_ns_i[13]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[13]_net_1 ));
    NOR2B \tkcbxxqbtfx_ns_i[8]  (.A(INIT_DONE_net), .B(
        \tkcbxxqbtfx[7]_net_1 ), .Y(\tkcbxxqbtfx_ns_i[8]_net_1 ));
    OR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_17 (.A(\rqrqhcwpqdn[8]_net_1 ), 
        .B(\bnvtvdkcnpp[8]_net_1 ), .Y(N_28));
    MX2 \rqrqhcwpqdn_6_0[3]  (.A(Analog_assc_ram_R0C0_DOUTA3), .B(
        Analog_smev_ram_R0C0_DOUTB3), .S(xkwrgrspmcf_net_1), .Y(N_357));
    AX1B fqkdsnjfpdb_0_0_ADD_18x18_fast_I167_Y_2 (.A(fqkdsnjfpdb_45), 
        .B(fqkdsnjfpdb_80_0_net_1), .C(ADD_18x18_fast_I167_Y_1), .Y(
        ADD_18x18_fast_I167_Y_2));
    MX2 \bnwcvzjbgtc_3[3]  (.A(N_604), .B(N_706), .S(
        \rdgwgtpkbgc_1[1]_net_1 ), .Y(N_623));
    MX2 \gjkdbmpgrtc_3[5]  (.A(N_502), .B(N_519), .S(
        \rdgwgtpkbgc_0[1]_net_1 ), .Y(N_421));
    AOI1B fqkdsnjfpdb_0_0_ADD_18x18_fast_I132_Y_1 (.A(N283), .B(N286), 
        .C(ADD_18x18_fast_I132_Y_0), .Y(ADD_18x18_fast_I132_Y_1));
    OR2B \tkcbxxqbtfx_ns_a2[10]  (.A(Analog_smev_ram_R0C0_DOUTB7), .B(
        \tkcbxxqbtfx[5]_net_1 ), .Y(N_246));
    NOR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_19 (.A(\rqrqhcwpqdn[7]_net_1 ), 
        .B(\bnvtvdkcnpp[7]_net_1 ), .Y(N_30));
    OR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I81_un1_Y (.A(N313), .B(
        \bnwcvzjbgtc[0] ), .Y(I81_un1_Y_i));
    MX2 \bnwcvzjbgtc_11[4]  (.A(N_726), .B(\bnwcvzjbgtc_11_d[4]_net_1 )
        , .S(\bnwcvzjbgtc_11_s[4]_net_1 ), .Y(
        \bnwcvzjbgtc_11[4]_net_1 ));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I53_Y (.A(N287), .B(N283), .Y(
        N320));
    MX2 \bnwcvzjbgtc_11[13]  (.A(N_680), .B(\bnvtvdkcnpp[7]_net_1 ), 
        .S(rdgwgtpkbgc_3), .Y(N_769));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I7_G0N (.A(N_267), .B(N_266), 
        .Y(N250));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I78_Y (.A(N309), .B(N312), .C(
        N308), .Y(N345));
    DFN1E0C0 \ftbkrvpxdbp[5]  (.D(\ftbkrvpxdbp_6[5]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(ftbkrvpxdbp_1_sqmuxa_net_1)
        , .Q(\ftbkrvpxdbp[5]_net_1 ));
    MX2 \bnwcvzjbgtc_12[8]  (.A(\bnwcvzjbgtc_7[8]_net_1 ), .B(
        \bnwcvzjbgtc_11[8]_net_1 ), .S(\rdgwgtpkbgc[2]_net_1 ), .Y(
        \bnwcvzjbgtc[8] ));
    NOR3A fqkdsnjfpdb_0_0_ADD_18x18_fast_I133_un1_Y_0_0 (.A(N338), .B(
        N322), .C(N330), .Y(ADD_18x18_fast_I133_un1_Y_0_0));
    NOR3A kkjrqmngvjc_0_a5 (.A(\tkcbxxqbtfx[5]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB6), .C(Analog_smev_ram_R0C0_DOUTB8), 
        .Y(N_244));
    OR3B \qrbxknbdvjj_m[4]  (.A(\tkcbxxqbtfx[9]_net_1 ), .B(
        \qrbxknbdvjj[4]_net_1 ), .C(rgmpzqrbghh_net_1), .Y(
        \qrbxknbdvjj_m[4]_net_1 ));
    AO1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv[1]  (.A(N_204_i_0), .B(
        \un1_bskrjhjvqpf[1] ), .C(\dhzrwbnrbpw_8_iv_1[1] ), .Y(
        \dhzrwbnrbpw_8[1] ));
    OR3 kkjrqmngvjc_0_2_1 (.A(\tkcbxxqbtfx[11]_net_1 ), .B(
        \tkcbxxqbtfx[0]_net_1 ), .C(tkcbxxqbtfx_10), .Y(
        kkjrqmngvjc_0_2_1_net_1));
    DFN1E1C0 \ckghxwbsztp[0]  (.D(\ckghxwbsztp_5[0]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[16]_net_1 ), 
        .Q(\ckghxwbsztp[0]_net_1 ));
    XNOR3 fqkdsnjfpdb_41 (.A(\gjkdbmpgrtc[9] ), .B(
        \bnvtvdkcnpp[3]_net_1 ), .C(\bnwcvzjbgtc[9] ), .Y(N_271));
    OR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I12_P0N_0 (.A(
        fqkdsnjfpdb_30_net_1), .B(N_277), .Y(ADD_18x18_fast_I12_P0N_0));
    MX2 \bnwcvzjbgtc_11[10]  (.A(N_730), .B(
        \bnwcvzjbgtc_11_d[10]_net_1 ), .S(\bnwcvzjbgtc_11_s[7]_net_1 ), 
        .Y(N_766));
    OR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_18 (.A(\bnvtvdkcnpp[9]_net_1 ), 
        .B(\rqrqhcwpqdn[9]_net_1 ), .Y(N_29));
    OA1A fqkdsnjfpdb_25_0 (.A(\bnwcvzjbgtc[5] ), .B(
        \ftbkrvpxdbp[5]_net_1 ), .C(\gjkdbmpgrtc[5] ), .Y(
        fqkdsnjfpdb_25_0_net_1));
    AO1D fqkdsnjfpdb_0_0_ADD_18x18_fast_I116_Y_1 (.A(N324), .B(N331), 
        .C(ADD_18x18_fast_I116_Y_0), .Y(ADD_18x18_fast_I116_Y_1));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I154_Y_0 (.A(N_261), .B(N_260), 
        .Y(ADD_18x18_fast_I154_Y_0));
    AO1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv[4]  (.A(N_204_i_0), .B(
        \un1_bskrjhjvqpf[4] ), .C(\dhzrwbnrbpw_8_iv_1[4] ), .Y(
        \dhzrwbnrbpw_8[4] ));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I102_Y (.A(N338), .B(N345), .C(
        N337), .Y(N375));
    XOR2 fqkdsnjfpdb_11_0 (.A(\ftbkrvpxdbp[3]_net_1 ), .B(
        \gjkdbmpgrtc[3] ), .Y(fqkdsnjfpdb_11_0_net_1));
    AOI1B fqkdsnjfpdb_0_0_ADD_18x18_fast_I132_Y_3 (.A(N358), .B(
        ADD_18x18_fast_I132_un1_Y_0), .C(ADD_18x18_fast_I132_Y_2), .Y(
        ADD_18x18_fast_I132_Y_3));
    AOI1A pvtdpmmqdpp_pbzxzjhqhwz_0_I_64 (.A(\ACT_LT4_E[7] ), .B(
        \ACT_LT4_E[8] ), .C(\ACT_LT4_E[5] ), .Y(\ACT_LT4_E[10] ));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I67_Y (.A(N301), .B(N297), .Y(
        N334));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I120_un1_Y_0 (.A(N340), .B(
        N332), .Y(ADD_18x18_fast_I120_un1_Y_0));
    NOR2B \gjkdbmpgrtc_7[0]  (.A(rdgwgtpkbgc_3), .B(N_424), .Y(N_484));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I25_Y (.A(N269), .B(N266), .Y(
        N289));
    OR3 un1_gpwvqcjqzjx_1_i_o5 (.A(\tkcbxxqbtfx[3]_net_1 ), .B(
        \tkcbxxqbtfx[9]_net_1 ), .C(\tkcbxxqbtfx[6]_net_1 ), .Y(N_224));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I70_Y (.A(N301), .B(N304), .C(
        N300), .Y(N337));
    OR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I6_P0N (.A(
        ADD_18x18_fast_I6_P0N_0), .B(fqkdsnjfpdb_25_0_net_1), .Y(N248));
    NOR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I12_G0N (.A(N_277), .B(
        N_276_i), .Y(N265));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I5_G0N (.A(N_263), .B(N_262), 
        .Y(N244));
    MX2 \bnwcvzjbgtc_11[1]  (.A(N_625), .B(\ftbkrvpxdbp[1]_net_1 ), .S(
        rdgwgtpkbgc_3), .Y(N_757));
    XNOR2 wqpbnjzjqsx_4 (.A(\rqrqhcwpqdn[5]_net_1 ), .B(
        \bnvtvdkcnpp[5]_net_1 ), .Y(wqpbnjzjqsx_4_i_0));
    XNOR2 pvtdpmmqdpp_pbzxzjhqhwz_0_I_3 (.A(\bnvtvdkcnpp[9]_net_1 ), 
        .B(\rqrqhcwpqdn[9]_net_1 ), .Y(\DWACT_BL_EQUAL_0_E_0[2] ));
    DFN1C0 \tkcbxxqbtfx[10]  (.D(\tkcbxxqbtfx_ns[10] ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(tkcbxxqbtfx_10));
    DFN1E0C0 \mtbjcfqsbqf[1]  (.D(dspfgfmqhwh[1]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(qmmwhjxxxmv_net_1), .Q(mtbjcfqsbqf[1]));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I43_Y (.A(N242), .B(N239), .Y(
        N307));
    AO1A fqkdsnjfpdb_0_0_ADD_18x18_fast_I119_Y_0 (.A(N330), .B(N337), 
        .C(N329), .Y(ADD_18x18_fast_I119_Y_0));
    DFN1C0 \tkcbxxqbtfx[7]  (.D(\tkcbxxqbtfx_ns_i[7]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[7]_net_1 ));
    AO1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv[2]  (.A(N_204_i_0), .B(
        \un1_bskrjhjvqpf[2] ), .C(\dhzrwbnrbpw_8_iv_1[2] ), .Y(
        \dhzrwbnrbpw_8[2] ));
    MX2 \bnvtvdkcnpp_10[6]  (.A(\bnvtvdkcnpp_6[6]_net_1 ), .B(
        \fqkdsnjfpdb[12] ), .S(\tkcbxxqbtfx[13]_net_1 ), .Y(
        \bnvtvdkcnpp_10[6]_net_1 ));
    AND3 pvtdpmmqdpp_pbzxzjhqhwz_0_I_37 (.A(\DWACT_BL_EQUAL_0_E[2] ), 
        .B(\DWACT_BL_EQUAL_0_E[1] ), .C(\DWACT_BL_EQUAL_0_E[0] ), .Y(
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[1] ));
    NOR3C gpjgkmhxbkn_NE_2 (.A(gpjgkmhxbkn_1_i), .B(gpjgkmhxbkn_2_i), 
        .C(gpjgkmhxbkn_0_i), .Y(gpjgkmhxbkn_NE_2_net_1));
    MX2 \bnvtvdkcnpp_6[8]  (.A(\bnvtvdkcnpp[8]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB8), .S(qvqqfftqsfc_net_1), .Y(
        \bnvtvdkcnpp_6[8]_net_1 ));
    OR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_20 (.A(\rqrqhcwpqdn[11]_net_1 ), 
        .B(\bnvtvdkcnpp[11]_net_1 ), .Y(N_31));
    OR3 fqkdsnjfpdb_0_0_ADD_18x18_fast_I11_P0N (.A(N_275), .B(
        fqkdsnjfpdb_27), .C(fqkdsnjfpdb_50_0_net_1), .Y(N263));
    MX2C zcjzqnkdqwb_iv (.A(INIT_EV_WEN_net), .B(TR_EV_RD_net), .S(
        INIT_DONE_net), .Y(EV_RAM_CSN_A_net));
    XNOR3 fqkdsnjfpdb_36 (.A(\gjkdbmpgrtc[8] ), .B(
        \bnvtvdkcnpp[2]_net_1 ), .C(\bnwcvzjbgtc[8] ), .Y(N_269));
    MX2A \bnwcvzjbgtc_11_d[6]  (.A(\bnwcvzjbgtc_11_d_d[6]_net_1 ), .B(
        \bnvtvdkcnpp[5]_net_1 ), .S(\bnwcvzjbgtc_11_d_s[6]_net_1 ), .Y(
        \bnwcvzjbgtc_11_d[6]_net_1 ));
    NOR2 fqkdsnjfpdb_55 (.A(fqkdsnjfpdb_55_0_net_1), .B(
        fqkdsnjfpdb_30_net_1), .Y(N_276_i));
    DFN1C0 \dhzrwbnrbpw[2]  (.D(\dhzrwbnrbpw_8[2] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(dhzrwbnrbpw[2]));
    OR2B \ckghxwbsztp_m[1]  (.A(\tkcbxxqbtfx[17]_net_1 ), .B(
        \ckghxwbsztp[1]_net_1 ), .Y(\ckghxwbsztp_m[1]_net_1 ));
    DFN1E1C0 \rqrqhcwpqdn[3]  (.D(N_357), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(N_363_i), .Q(\rqrqhcwpqdn[3]_net_1 ));
    DFN1C0 \dhzrwbnrbpw[1]  (.D(\dhzrwbnrbpw_8[1] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(dhzrwbnrbpw[1]));
    MX2 \bnwcvzjbgtc_11_d[5]  (.A(N_725), .B(\ftbkrvpxdbp[5]_net_1 ), 
        .S(rdgwgtpkbgc_3), .Y(\bnwcvzjbgtc_11_d[5]_net_1 ));
    DFN1C0 \bnvtvdkcnpp[8]  (.D(\bnvtvdkcnpp_10[8]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\bnvtvdkcnpp[8]_net_1 ));
    DFN1C0 \tkcbxxqbtfx[15]  (.D(\tkcbxxqbtfx_ns[15] ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[15]_net_1 ));
    XNOR3 fqkdsnjfpdb_66 (.A(\gjkdbmpgrtc[14] ), .B(
        \bnvtvdkcnpp[8]_net_1 ), .C(\bnwcvzjbgtc[14] ), .Y(N_281));
    OA1A fqkdsnjfpdb_45_0 (.A(\bnwcvzjbgtc[9] ), .B(
        \bnvtvdkcnpp[3]_net_1 ), .C(\gjkdbmpgrtc[9] ), .Y(
        fqkdsnjfpdb_45_0_net_1));
    GND GND_i (.Y(GND));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I100_un1_Y (.A(N343), .B(N336)
        , .Y(I100_un1_Y));
    MX2C \bnvtvdkcnpp_10[4]  (.A(\bnvtvdkcnpp_6[4]_net_1 ), .B(
        \fqkdsnjfpdb_i[10] ), .S(\tkcbxxqbtfx[13]_net_1 ), .Y(
        \bnvtvdkcnpp_10[4]_net_1 ));
    NOR2B \tkcbxxqbtfx_ns_i[5]  (.A(INIT_DONE_net), .B(
        \tkcbxxqbtfx[4]_net_1 ), .Y(\tkcbxxqbtfx_ns_i[5]_net_1 ));
    DFN1C0 \bnvtvdkcnpp[2]  (.D(\bnvtvdkcnpp_10[2]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\bnvtvdkcnpp[2]_net_1 ));
    AO1B qvqqfftqsfc (.A(\tkcbxxqbtfx[8]_net_1 ), .B(
        un3_kkgccghmrzf_net_1), .C(bskrjhjvqpf_5_sqmuxa), .Y(
        qvqqfftqsfc_net_1));
    OA1A fqkdsnjfpdb_20_0 (.A(\bnwcvzjbgtc[4] ), .B(
        \ftbkrvpxdbp[4]_net_1 ), .C(\gjkdbmpgrtc[4] ), .Y(
        fqkdsnjfpdb_20_0_net_1));
    XNOR2 gpjgkmhxbkn_3 (.A(Analog_smev_ram_R0C0_DOUTB4), .B(
        \rqrqhcwpqdn[4]_net_1 ), .Y(gpjgkmhxbkn_3_i));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I74_Y (.A(N305), .B(N308), .C(
        N304), .Y(N341));
    NOR2A \bnwcvzjbgtc_7[14]  (.A(N_634), .B(rdgwgtpkbgc_3), .Y(N_702));
    NOR2A \gjkdbmpgrtc_11[1]  (.A(N_421), .B(rdgwgtpkbgc_3), .Y(N_553));
    OR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I76_Y (.A(I76_un1_Y_i), .B(
        N306), .Y(N343));
    DFN1E1C0 \rdgwgtpkbgc_1[0]  (.D(Analog_smev_ram_R0C0_DOUTB0), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(bskrjhjvqpf_1_sqmuxa), .Q(
        \rdgwgtpkbgc_1[0]_net_1 ));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I164_Y_0 (.A(N_281), .B(N_280), 
        .Y(ADD_18x18_fast_I164_Y_0));
    OR3 fqkdsnjfpdb_0_0_ADD_18x18_fast_I13_P0N (.A(N_279), .B(
        fqkdsnjfpdb_33_net_1), .C(fqkdsnjfpdb_60_0_net_1), .Y(N269));
    OR3C \zbqggxmnpbs_iv[3]  (.A(\fqkdsnjfpdb_m[0]_net_1 ), .B(
        \ckghxwbsztp_m[2]_net_1 ), .C(\fqkdsnjfpdb_m[9]_net_1 ), .Y(
        zbqggxmnpbs_iv_3));
    NOR3 \tkcbxxqbtfx_ns_a5[10]  (.A(N_249), .B(
        Analog_smev_ram_R0C0_DOUTB8), .C(N_246), .Y(
        \tkcbxxqbtfx_ns[10] ));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I118_Y_0 (.A(N328), .B(N335), 
        .C(N327), .Y(ADD_18x18_fast_I118_Y_0));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I72_Y (.A(N303), .B(N306), .C(
        N302), .Y(N339));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I61_Y (.A(N295), .B(N291), .Y(
        N328));
    DFN1E1C0 \rqrqhcwpqdn[5]  (.D(N_359), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(N_363_i), .Q(\rqrqhcwpqdn[5]_net_1 ));
    AX1D fqkdsnjfpdb_0_0_ADD_18x18_fast_I159_Y (.A(
        ADD_18x18_fast_I122_un1_Y), .B(N373), .C(
        ADD_18x18_fast_I159_Y_0), .Y(\fqkdsnjfpdb[9] ));
    OR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I107_un1_Y (.A(N346), .B(
        \bnwcvzjbgtc[0] ), .Y(I107_un1_Y_i));
    MX2 \bnwcvzjbgtc_12[11]  (.A(N_699), .B(N_767), .S(
        \rdgwgtpkbgc[2]_net_1 ), .Y(\bnwcvzjbgtc[11] ));
    OR3 bskrjhjvqpf_i_1 (.A(N_224), .B(kkjrqmngvjc_0_2_1_net_1), .C(
        bskrjhjvqpf_i_0_net_1), .Y(bskrjhjvqpf_i_1_net_1));
    MX2A \rqrqhcwpqdn_10[9]  (.A(N_375), .B(\rqrqhcwpqdn[9]_net_1 ), 
        .S(N_378), .Y(\rqrqhcwpqdn_10[9]_net_1 ));
    MIN3 fqkdsnjfpdb_5 (.A(\ftbkrvpxdbp[0]_net_1 ), .B(
        \ftbkrvpxdbp[1]_net_1 ), .C(\gjkdbmpgrtc[1] ), .Y(N_256));
    AO1C \zbqggxmnpbs_iv[4]  (.A(\fqkdsnjfpdb_i[10] ), .B(
        \tkcbxxqbtfx[12]_net_1 ), .C(\zbqggxmnpbs_iv_0[4]_net_1 ), .Y(
        zbqggxmnpbs_iv_4));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I156_Y_0 (.A(N_265), .B(N_264), 
        .Y(ADD_18x18_fast_I156_Y_0));
    OR3C \zbqggxmnpbs_iv[5]  (.A(\fqkdsnjfpdb_m[2]_net_1 ), .B(
        \ckghxwbsztp_m[4]_net_1 ), .C(\fqkdsnjfpdb_m[11]_net_1 ), .Y(
        zbqggxmnpbs_iv_5));
    DFN1P0 \tkcbxxqbtfx[0]  (.D(\tkcbxxqbtfx_ns[0]_net_1 ), .CLK(
        SYS_CLK_int), .PRE(SYS_RESET_c), .Q(\tkcbxxqbtfx[0]_net_1 ));
    MX2 \bnvtvdkcnpp_6[0]  (.A(\bnvtvdkcnpp[0]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB0), .S(qvqqfftqsfc_net_1), .Y(
        \bnvtvdkcnpp_6[0]_net_1 ));
    MX2 \bnvtvdkcnpp_10[0]  (.A(\bnvtvdkcnpp_6[0]_net_1 ), .B(
        \fqkdsnjfpdb[6] ), .S(\tkcbxxqbtfx[13]_net_1 ), .Y(
        \bnvtvdkcnpp_10[0]_net_1 ));
    AOI1A pvtdpmmqdpp_pbzxzjhqhwz_0_I_65 (.A(\ACT_LT4_E[3] ), .B(
        \ACT_LT4_E[6] ), .C(\ACT_LT4_E[10] ), .Y(
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[2] ));
    MX2C \rqrqhcwpqdn_6_0[0]  (.A(Analog_assc_ram_R0C0_DOUTA0), .B(
        Analog_smev_ram_R0C0_DOUTB0), .S(xkwrgrspmcf_net_1), .Y(N_354));
    MX2 \rqrqhcwpqdn_6_0[8]  (.A(Analog_assc_ram_R0C0_DOUTA8), .B(
        Analog_smev_ram_R0C0_DOUTB8), .S(xkwrgrspmcf_net_1), .Y(N_362));
    MX2 \bnwcvzjbgtc_3[13]  (.A(N_729), .B(N_731), .S(
        \rdgwgtpkbgc[1]_net_1 ), .Y(N_633));
    MX2 \ftbkrvpxdbp_6[4]  (.A(Analog_smev_ram_R0C0_DOUTB7), .B(
        \fqkdsnjfpdb[4] ), .S(\tkcbxxqbtfx_0[13]_net_1 ), .Y(
        \ftbkrvpxdbp_6[4]_net_1 ));
    OR3A \tkcbxxqbtfx_ns_a2[14]  (.A(un1_Analog_smev_ram_inst_1_0_0), 
        .B(un1_Analog_smev_ram_inst_1_0_2), .C(N_246), .Y(N_252));
    MX2 \bnwcvzjbgtc_12[16]  (.A(N_704), .B(N_772), .S(
        \rdgwgtpkbgc[2]_net_1 ), .Y(\bnwcvzjbgtc[16] ));
    AX1D fqkdsnjfpdb_0_0_ADD_18x18_fast_I158_Y (.A(
        ADD_18x18_fast_I123_un1_Y), .B(N375), .C(
        ADD_18x18_fast_I158_Y_0), .Y(\fqkdsnjfpdb[8] ));
    MX2 \mkmkbnghgkd[0]  (.A(INIT_ADDR_net_0_d0), .B(rjhhzsggrtr[0]), 
        .S(INIT_DONE_net), .Y(mkmkbnghgkd[0]));
    NOR3A \bnwcvzjbgtc_6[9]  (.A(\bnvtvdkcnpp[11]_net_1 ), .B(
        \rdgwgtpkbgc[0]_net_1 ), .C(\rdgwgtpkbgc[1]_net_1 ), .Y(N_680));
    NOR2A fqkdsnjfpdb_78 (.A(\bnvtvdkcnpp[10]_net_1 ), .B(
        \bnwcvzjbgtc[16] ), .Y(fqkdsnjfpdb_45));
    OR2A \tkcbxxqbtfx_ns_a2_0[4]  (.A(INIT_DONE_net), .B(
        Analog_smev_ram_R0C0_DOUTB6), .Y(N_249));
    OA1A fqkdsnjfpdb_40_0 (.A(\bnwcvzjbgtc[8] ), .B(
        \bnvtvdkcnpp[2]_net_1 ), .C(\gjkdbmpgrtc[8] ), .Y(
        fqkdsnjfpdb_40_0_net_1));
    AX1B fqkdsnjfpdb_0_0_ADD_18x18_fast_I157_Y (.A(I104_un1_Y), .B(
        N339), .C(ADD_18x18_fast_I157_Y_0), .Y(\fqkdsnjfpdb_i[7] ));
    OR2 bskrjhjvqpf_i_0 (.A(\tkcbxxqbtfx[2]_net_1 ), .B(
        \tkcbxxqbtfx[8]_net_1 ), .Y(bskrjhjvqpf_i_0_net_1));
    MX2 \bnwcvzjbgtc_3[2]  (.A(N_603), .B(N_705), .S(
        \rdgwgtpkbgc_1[1]_net_1 ), .Y(N_622));
    AND3 un6_ckghxwbsztp_I_16 (.A(\rqrqhcwpqdn[1]_net_1 ), .B(
        \rqrqhcwpqdn[2]_net_1 ), .C(\rqrqhcwpqdn[3]_net_1 ), .Y(
        \DWACT_FINC_E[0] ));
    NOR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_55 (.A(\rqrqhcwpqdn[0]_net_1 ), 
        .B(\bnvtvdkcnpp[0]_net_1 ), .Y(\ACT_LT4_E[0] ));
    MX2 \gjkdbmpgrtc_11[7]  (.A(N_427), .B(\rqrqhcwpqdn[1]_net_1 ), .S(
        rdgwgtpkbgc_3), .Y(N_559));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I151_Y (.A(
        ADD_18x18_fast_I151_Y_0), .B(N314), .Y(\fqkdsnjfpdb[1] ));
    OA1A fqkdsnjfpdb_65_0 (.A(\bnwcvzjbgtc[13] ), .B(
        \bnvtvdkcnpp[7]_net_1 ), .C(\gjkdbmpgrtc[13] ), .Y(
        fqkdsnjfpdb_65_0_net_1));
    MX2 \gjkdbmpgrtc_7[5]  (.A(N_421), .B(N_429), .S(rdgwgtpkbgc_3), 
        .Y(N_489));
    NOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I2_G0N (.A(N_257_i), .B(N_256), 
        .Y(N235));
    DFN1E1C0 \rqrqhcwpqdn[8]  (.D(N_362), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(N_363_i), .Q(\rqrqhcwpqdn[8]_net_1 ));
    DFN1E1C0 \qrbxknbdvjj[8]  (.D(dhzrwbnrbpw[8]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[6]_net_1 ), .Q(
        \qrbxknbdvjj[8]_net_1 ));
    DFN1C0 \dhzrwbnrbpw[7]  (.D(\dhzrwbnrbpw_8[7] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(dhzrwbnrbpw[7]));
    XOR3 fqkdsnjfpdb_0_0_ADD_18x18_fast_I150_Y (.A(\gjkdbmpgrtc[0] ), 
        .B(\ftbkrvpxdbp[0]_net_1 ), .C(\bnwcvzjbgtc[0] ), .Y(
        \fqkdsnjfpdb[0] ));
    NOR2A fqkdsnjfpdb_28 (.A(\bnvtvdkcnpp[0]_net_1 ), .B(
        \bnwcvzjbgtc[6] ), .Y(fqkdsnjfpdb_15_net_1));
    OR3C un1_bskrjhjvqpf_ADD_9x9_medium_I17_un1_Y (.A(N108), .B(
        ADD_9x9_medium_I9_Y_0), .C(dhzrwbnrbpw[5]), .Y(I17_un1_Y));
    MX2 \bnwcvzjbgtc_11_d[9]  (.A(N_731), .B(\bnvtvdkcnpp[3]_net_1 ), 
        .S(rdgwgtpkbgc_3), .Y(\bnwcvzjbgtc_11_d[9]_net_1 ));
    MX2 \gjkdbmpgrtc_12[16]  (.A(N_500), .B(N_568), .S(
        \rdgwgtpkbgc[2]_net_1 ), .Y(\gjkdbmpgrtc[16] ));
    MX2 \gjkdbmpgrtc_12[15]  (.A(N_499), .B(N_567), .S(
        \rdgwgtpkbgc_1[2]_net_1 ), .Y(\gjkdbmpgrtc[15] ));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I155_Y (.A(
        ADD_18x18_fast_I155_Y_0), .B(N475), .Y(\fqkdsnjfpdb[5] ));
    DFN1E1C0 \rdgwgtpkbgc_0[2]  (.D(Analog_smev_ram_R0C0_DOUTB2), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(bskrjhjvqpf_1_sqmuxa), .Q(
        \rdgwgtpkbgc_0[2]_net_1 ));
    OR2A cmkddgvkrrs_0_sqmuxa (.A(\rqrqhcwpqdn[0]_net_1 ), .B(
        spbznmtdmpd_net_1), .Y(cmkddgvkrrs_0_sqmuxa_net_1));
    MX2 \bnwcvzjbgtc_9[10]  (.A(\bnvtvdkcnpp[10]_net_1 ), .B(
        \bnvtvdkcnpp[11]_net_1 ), .S(\rdgwgtpkbgc[0]_net_1 ), .Y(N_732)
        );
    DFN1C0 \bnvtvdkcnpp[3]  (.D(\bnvtvdkcnpp_10[3]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\bnvtvdkcnpp[3]_net_1 ));
    XNOR3 fqkdsnjfpdb_46 (.A(\gjkdbmpgrtc[10] ), .B(
        \bnvtvdkcnpp[4]_net_1 ), .C(\bnwcvzjbgtc[10] ), .Y(N_273));
    MX2A \rqrqhcwpqdn_10[11]  (.A(N_377), .B(\rqrqhcwpqdn[11]_net_1 ), 
        .S(N_378), .Y(\rqrqhcwpqdn_10[11]_net_1 ));
    AOI1B fqkdsnjfpdb_0_0_ADD_18x18_fast_I117_Y_0 (.A(N289), .B(N292), 
        .C(N288), .Y(ADD_18x18_fast_I117_Y_0));
    MX2 \gjkdbmpgrtc_11[8]  (.A(N_428), .B(\rqrqhcwpqdn[2]_net_1 ), .S(
        rdgwgtpkbgc_3), .Y(N_560));
    NOR2A fqkdsnjfpdb_53 (.A(\bnvtvdkcnpp[5]_net_1 ), .B(
        \bnwcvzjbgtc[11] ), .Y(fqkdsnjfpdb_30_net_1));
    XOR2 un6_ckghxwbsztp_I_13 (.A(N_9), .B(\rqrqhcwpqdn[4]_net_1 ), .Y(
        I_13));
    XNOR3 fqkdsnjfpdb_0_0_ADD_18x18_fast_I151_Y_0 (.A(\gjkdbmpgrtc[1] )
        , .B(fqkdsnjfpdb_1_0_net_1), .C(\bnwcvzjbgtc[1] ), .Y(
        ADD_18x18_fast_I151_Y_0));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I3_G0N (.A(N_259), .B(N_258), 
        .Y(N238));
    MX2 \mkmkbnghgkd[8]  (.A(INIT_ADDR_net_8), .B(rjhhzsggrtr[8]), .S(
        INIT_DONE_net), .Y(mkmkbnghgkd[8]));
    MX2 \gjkdbmpgrtc_3[7]  (.A(N_519), .B(N_521), .S(
        \rdgwgtpkbgc_0[1]_net_1 ), .Y(N_423));
    XNOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I166_Y_0 (.A(N_285), .B(N_284)
        , .Y(ADD_18x18_fast_I166_Y_0));
    MX2 \bnwcvzjbgtc_7[3]  (.A(N_623), .B(N_631), .S(rdgwgtpkbgc_3), 
        .Y(N_691));
    NOR2A \gjkdbmpgrtc_11[5]  (.A(N_425), .B(rdgwgtpkbgc_3), .Y(N_557));
    DFN1E1C0 \qrbxknbdvjj[7]  (.D(dhzrwbnrbpw[7]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[6]_net_1 ), .Q(
        \qrbxknbdvjj[7]_net_1 ));
    OR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_24 (.A(\bnvtvdkcnpp[11]_net_1 ), 
        .B(\rqrqhcwpqdn[11]_net_1 ), .Y(N_35));
    MX2 \bnvtvdkcnpp_10[2]  (.A(\bnvtvdkcnpp_6[2]_net_1 ), .B(
        \fqkdsnjfpdb[8] ), .S(\tkcbxxqbtfx[13]_net_1 ), .Y(
        \bnvtvdkcnpp_10[2]_net_1 ));
    MX2C \rqrqhcwpqdn_10_0[11]  (.A(Analog_assc_ram_R0C0_DOUTA2), .B(
        Analog_smev_ram_R0C0_DOUTB2), .S(mvnkctvqsgp_net_1), .Y(N_377));
    NOR2A \gjkdbmpgrtc_9[11]  (.A(\rqrqhcwpqdn[11]_net_1 ), .B(
        \rdgwgtpkbgc[0]_net_1 ), .Y(N_529));
    OR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I79_Y (.A(N313), .B(N309), .Y(
        N346));
    MX2 \gjkdbmpgrtc_11[9]  (.A(N_429), .B(\rqrqhcwpqdn[3]_net_1 ), .S(
        rdgwgtpkbgc_3), .Y(N_561));
    OR2B \ckghxwbsztp_m[3]  (.A(\tkcbxxqbtfx[17]_net_1 ), .B(
        \ckghxwbsztp[3]_net_1 ), .Y(\ckghxwbsztp_m[3]_net_1 ));
    DFN1C0 \tkcbxxqbtfx[4]  (.D(\tkcbxxqbtfx_ns[4]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[4]_net_1 ));
    MX2 \gjkdbmpgrtc_12[11]  (.A(N_495), .B(N_563), .S(
        \rdgwgtpkbgc_1[2]_net_1 ), .Y(\gjkdbmpgrtc[11] ));
    MX2 \gjkdbmpgrtc_11[6]  (.A(N_426), .B(\rqrqhcwpqdn[0]_net_1 ), .S(
        rdgwgtpkbgc_3), .Y(\gjkdbmpgrtc_11[6]_net_1 ));
    OR2B \fqkdsnjfpdb_m[8]  (.A(\tkcbxxqbtfx[12]_net_1 ), .B(
        \fqkdsnjfpdb[8] ), .Y(\fqkdsnjfpdb_m[8]_net_1 ));
    OR2 fqkdsnjfpdb_15 (.A(fqkdsnjfpdb_15_0_net_1), .B(
        fqkdsnjfpdb_6_net_1), .Y(N_260));
    MX2 \gjkdbmpgrtc_12[10]  (.A(N_494), .B(N_562), .S(
        \rdgwgtpkbgc_0[2]_net_1 ), .Y(\gjkdbmpgrtc[10] ));
    OR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I63_Y (.A(N297), .B(N293), .Y(
        N330));
    DFN1C0 \rqrqhcwpqdn[9]  (.D(\rqrqhcwpqdn_10[9]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\rqrqhcwpqdn[9]_net_1 ));
    AO1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv[3]  (.A(N_204_i_0), .B(
        \un1_bskrjhjvqpf[3] ), .C(\dhzrwbnrbpw_8_iv_1[3] ), .Y(
        \dhzrwbnrbpw_8[3] ));
    DFN1C0 \tkcbxxqbtfx[3]  (.D(\tkcbxxqbtfx_ns_i[3]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[3]_net_1 ));
    MX2 \rqrqhcwpqdn_10_0[10]  (.A(Analog_assc_ram_R0C0_DOUTA1), .B(
        Analog_smev_ram_R0C0_DOUTB1), .S(mvnkctvqsgp_net_1), .Y(N_376));
    OA1A fqkdsnjfpdb_60_0 (.A(\bnwcvzjbgtc[12] ), .B(
        \bnvtvdkcnpp[6]_net_1 ), .C(\gjkdbmpgrtc[12] ), .Y(
        fqkdsnjfpdb_60_0_net_1));
    MX2 \bnwcvzjbgtc_12[0]  (.A(N_688), .B(N_756), .S(
        \rdgwgtpkbgc_1[2]_net_1 ), .Y(\bnwcvzjbgtc[0] ));
    OR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I55_Y (.A(N289), .B(N285), .Y(
        N322));
    NOR2B \gjkdbmpgrtc_11[14]  (.A(\rqrqhcwpqdn[8]_net_1 ), .B(
        rdgwgtpkbgc_3), .Y(N_566));
    MX2 \bnwcvzjbgtc_12[4]  (.A(N_692), .B(\bnwcvzjbgtc_11[4]_net_1 ), 
        .S(\rdgwgtpkbgc_1[2]_net_1 ), .Y(\bnwcvzjbgtc[4] ));
    DFN1E0C0 \kkkmkxwwscv[1]  (.D(bnrsdrtmtsg[1]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(qmmwhjxxxmv_net_1), .Q(kkkmkxwwscv[1]));
    DFN1C0 \tkcbxxqbtfx[6]  (.D(\tkcbxxqbtfx_ns[6] ), .CLK(SYS_CLK_int)
        , .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[6]_net_1 ));
    DFN1C0 \tkcbxxqbtfx[12]  (.D(\tkcbxxqbtfx_ns_i[12]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[12]_net_1 ));
    NOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I14_P0N_0 (.A(
        fqkdsnjfpdb_36_net_1), .B(N_281), .Y(ADD_18x18_fast_I14_P0N_0));
    MX2 \gjkdbmpgrtc_9[4]  (.A(\rqrqhcwpqdn[4]_net_1 ), .B(
        \rqrqhcwpqdn[5]_net_1 ), .S(\rdgwgtpkbgc_0[0]_net_1 ), .Y(
        N_522));
    OR3C un1_bskrjhjvqpf_ADD_9x9_medium_I18_un1_Y (.A(N107), .B(N108), 
        .C(dhzrwbnrbpw[3]), .Y(I18_un1_Y));
    MX2 \gjkdbmpgrtc_7[7]  (.A(N_423), .B(N_431), .S(rdgwgtpkbgc_3), 
        .Y(N_491));
    NOR3C un1_bskrjhjvqpf_ADD_9x9_medium_I8_Y_1 (.A(dhzrwbnrbpw[5]), 
        .B(dhzrwbnrbpw[6]), .C(N105), .Y(ADD_9x9_medium_I8_Y_1));
    DFN1E1C0 \rqrqhcwpqdn[4]  (.D(N_358), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(N_363_i), .Q(\rqrqhcwpqdn[4]_net_1 ));
    OR3C \zbqggxmnpbs_iv[1]  (.A(\fqkdsnjfpdb_m[7]_net_1 ), .B(
        \ckghxwbsztp_m[0]_net_1 ), .C(\fqkdsnjfpdb_m[16]_net_1 ), .Y(
        \zbqggxmnpbs_iv[1]_net_1 ));
    OR3B \qrbxknbdvjj_m[1]  (.A(\tkcbxxqbtfx_0[9]_net_1 ), .B(
        \qrbxknbdvjj[1]_net_1 ), .C(rgmpzqrbghh_net_1), .Y(
        \qrbxknbdvjj_m[1]_net_1 ));
    MX2 \bnwcvzjbgtc_9[0]  (.A(\bnvtvdkcnpp[0]_net_1 ), .B(
        \bnvtvdkcnpp[1]_net_1 ), .S(\rdgwgtpkbgc_1[0]_net_1 ), .Y(
        N_722));
    OR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I106_un1_Y (.A(N344), .B(N314), 
        .Y(I106_un1_Y_i));
    DFN1E1C0 \qrbxknbdvjj[6]  (.D(dhzrwbnrbpw[6]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[6]_net_1 ), .Q(
        \qrbxknbdvjj[6]_net_1 ));
    DFN1C0 \bnvtvdkcnpp[9]  (.D(\bnvtvdkcnpp_10[9]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\bnvtvdkcnpp[9]_net_1 ));
    NOR2A \tkcbxxqbtfx_ns_a5[14]  (.A(INIT_DONE_net), .B(N_252), .Y(
        \tkcbxxqbtfx_ns[14] ));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I161_Y_0 (.A(N_275), .B(N_274), 
        .Y(ADD_18x18_fast_I161_Y_0));
    OR2A bskrjhjvqpf_i_o2 (.A(un1_Analog_smev_ram_inst_1_0_0), .B(
        un1_Analog_smev_ram_inst_1_0_2), .Y(N_216));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I80_Y (.A(N311), .B(N314), .C(
        N310), .Y(N347));
    OA1B dhzrwbnrbpw_0_sqmuxa_i (.A(\tkcbxxqbtfx[3]_net_1 ), .B(
        \tkcbxxqbtfx[6]_net_1 ), .C(rgmpzqrbghh_0_net_1), .Y(N_202_i_0)
        );
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I6_G0N (.A(N_265), .B(N_264), 
        .Y(N247));
    MX2 \bnwcvzjbgtc_12[13]  (.A(N_701), .B(N_769), .S(
        \rdgwgtpkbgc[2]_net_1 ), .Y(\bnwcvzjbgtc[13] ));
    MX2 \bnwcvzjbgtc_2[1]  (.A(\ftbkrvpxdbp[3]_net_1 ), .B(
        \ftbkrvpxdbp[4]_net_1 ), .S(\rdgwgtpkbgc_1[0]_net_1 ), .Y(
        N_604));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I38_Y (.A(N244), .B(N248), .C(
        N247), .Y(N302));
    DFN1C0 \tkcbxxqbtfx[11]  (.D(\tkcbxxqbtfx_ns_i[11]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[11]_net_1 ));
    DFN1E0C0 \kkkmkxwwscv[2]  (.D(bnrsdrtmtsg[2]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(qmmwhjxxxmv_net_1), .Q(kkkmkxwwscv[2]));
    OR2B \fqkdsnjfpdb_m[0]  (.A(\tkcbxxqbtfx[13]_net_1 ), .B(
        \fqkdsnjfpdb[0] ), .Y(\fqkdsnjfpdb_m[0]_net_1 ));
    NOR3C zbcrjjxqjgg_i (.A(N_248), .B(zbcrjjxqjgg_i_1_net_1), .C(
        N_252), .Y(EV_RAM_WR_BUSY_B_net_i_0));
    DFN1C0 \tkcbxxqbtfx_0[13]  (.D(\tkcbxxqbtfx_ns_i[13]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx_0[13]_net_1 ));
    NOR2B \gjkdbmpgrtc_8[1]  (.A(\rqrqhcwpqdn[0]_net_1 ), .B(
        \rdgwgtpkbgc[0]_net_1 ), .Y(N_502));
    MX2 \gjkdbmpgrtc_12[7]  (.A(N_491), .B(N_559), .S(
        \rdgwgtpkbgc_0[2]_net_1 ), .Y(\gjkdbmpgrtc[7] ));
    OR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I120_Y_0 (.A(N331), .B(
        I120_un1_Y), .Y(ADD_18x18_fast_I120_Y_0));
    NOR2B \tkcbxxqbtfx_ns_i[9]  (.A(INIT_DONE_net), .B(
        \tkcbxxqbtfx[8]_net_1 ), .Y(\tkcbxxqbtfx_ns_i[9]_net_1 ));
    MX2 \bnvtvdkcnpp_6[6]  (.A(\bnvtvdkcnpp[6]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB6), .S(qvqqfftqsfc_net_1), .Y(
        \bnvtvdkcnpp_6[6]_net_1 ));
    DFN1C0 \tkcbxxqbtfx[14]  (.D(\tkcbxxqbtfx_ns[14] ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[14]_net_1 ));
    XNOR2 pvtdpmmqdpp_pbzxzjhqhwz_0_I_36 (.A(\bnvtvdkcnpp[6]_net_1 ), 
        .B(\rqrqhcwpqdn[6]_net_1 ), .Y(\DWACT_BL_EQUAL_0_E[2] ));
    AO1C pvtdpmmqdpp_pbzxzjhqhwz_0_I_25 (.A(\bnvtvdkcnpp[10]_net_1 ), 
        .B(\rqrqhcwpqdn[10]_net_1 ), .C(N_31), .Y(N_36));
    XNOR2 gpjgkmhxbkn_1 (.A(Analog_smev_ram_R0C0_DOUTB2), .B(
        \rqrqhcwpqdn[2]_net_1 ), .Y(gpjgkmhxbkn_1_i));
    MX2 \bnwcvzjbgtc_3[5]  (.A(N_706), .B(N_723), .S(
        \rdgwgtpkbgc_1[1]_net_1 ), .Y(N_625));
    MX2 \rqrqhcwpqdn_6_0[6]  (.A(Analog_assc_ram_R0C0_DOUTA6), .B(
        Analog_smev_ram_R0C0_DOUTB6), .S(xkwrgrspmcf_net_1), .Y(N_360));
    AO18 fqkdsnjfpdb_0_0_ADD_18x18_fast_I132_Y_0 (.A(N_285), .B(N_284), 
        .C(N274), .Y(ADD_18x18_fast_I132_Y_0));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I45_Y (.A(N239), .B(N236), .Y(
        N309));
    DFN1E0C0 \ftbkrvpxdbp[2]  (.D(\ftbkrvpxdbp_6[2]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(ftbkrvpxdbp_1_sqmuxa_net_1)
        , .Q(\ftbkrvpxdbp[2]_net_1 ));
    MX2 \mkmkbnghgkd[6]  (.A(INIT_ADDR_net_6), .B(rjhhzsggrtr[6]), .S(
        INIT_DONE_net), .Y(mkmkbnghgkd[6]));
    NOR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_62 (.A(\bnvtvdkcnpp[2]_net_1 ), 
        .B(\rqrqhcwpqdn[2]_net_1 ), .Y(\ACT_LT4_E[7] ));
    MX2 \bnwcvzjbgtc_3[11]  (.A(N_727), .B(N_729), .S(
        \rdgwgtpkbgc[1]_net_1 ), .Y(N_631));
    OR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I14_P0N (.A(
        ADD_18x18_fast_I14_P0N_0), .B(fqkdsnjfpdb_65_0_net_1), .Y(N272)
        );
    MX2 \bnwcvzjbgtc_12[10]  (.A(N_698), .B(N_766), .S(
        \rdgwgtpkbgc[2]_net_1 ), .Y(\bnwcvzjbgtc[10] ));
    OR3 kkjrqmngvjc_0_0 (.A(N_224), .B(kkjrqmngvjc_0_2_1_net_1), .C(
        \tkcbxxqbtfx[16]_net_1 ), .Y(kkjrqmngvjc_0_0_net_1));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I77_Y (.A(N311), .B(N307), .Y(
        N344));
    AND3 pvtdpmmqdpp_pbzxzjhqhwz_0_I_6 (.A(\DWACT_BL_EQUAL_0_E_0[0] ), 
        .B(\DWACT_BL_EQUAL_0_E_0[1] ), .C(\DWACT_BL_EQUAL_0_E_0[2] ), 
        .Y(\DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[0] ));
    XNOR3 fqkdsnjfpdb_51 (.A(\gjkdbmpgrtc[11] ), .B(
        \bnvtvdkcnpp[5]_net_1 ), .C(\bnwcvzjbgtc[11] ), .Y(N_275));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I123_un1_Y (.A(N338), .B(
        ADD_18x18_fast_I123_un1_Y_0), .Y(ADD_18x18_fast_I123_un1_Y));
    MX2 \gjkdbmpgrtc_12[12]  (.A(N_496), .B(N_564), .S(
        \rdgwgtpkbgc_1[2]_net_1 ), .Y(\gjkdbmpgrtc[12] ));
    MX2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I167_Y_1 (.A(
        \bnvtvdkcnpp[11]_net_1 ), .B(\rqrqhcwpqdn[11]_net_1 ), .S(
        un1_gjkdbmpgrtc78_1), .Y(ADD_18x18_fast_I167_Y_1));
    DFN1E1C0 \qrbxknbdvjj[1]  (.D(dhzrwbnrbpw[1]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[6]_net_1 ), .Q(
        \qrbxknbdvjj[1]_net_1 ));
    NOR2A fqkdsnjfpdb_38 (.A(\bnvtvdkcnpp[2]_net_1 ), .B(
        \bnwcvzjbgtc[8] ), .Y(fqkdsnjfpdb_21_net_1));
    MX2 \gjkdbmpgrtc_12[13]  (.A(N_497), .B(N_565), .S(
        \rdgwgtpkbgc_1[2]_net_1 ), .Y(\gjkdbmpgrtc[13] ));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I30_Y (.A(N256), .B(N260), .C(
        N259), .Y(N294));
    NOR2B \bnwcvzjbgtc_11[14]  (.A(rdgwgtpkbgc_3), .B(
        \bnvtvdkcnpp[8]_net_1 ), .Y(N_770));
    NOR2B \tkcbxxqbtfx_ns_i[17]  (.A(INIT_DONE_net), .B(
        \tkcbxxqbtfx[16]_net_1 ), .Y(\tkcbxxqbtfx_ns_i[17]_net_1 ));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I96_un1_Y (.A(N339), .B(N332), 
        .Y(I96_un1_Y));
    DFN1E0C0 \kkkmkxwwscv[3]  (.D(bnrsdrtmtsg[3]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(qmmwhjxxxmv_net_1), .Q(kkkmkxwwscv[3]));
    MX2 \gjkdbmpgrtc_9[3]  (.A(\rqrqhcwpqdn[3]_net_1 ), .B(
        \rqrqhcwpqdn[4]_net_1 ), .S(\rdgwgtpkbgc_0[0]_net_1 ), .Y(
        N_521));
    MX2 \bnwcvzjbgtc_3[0]  (.A(N_586), .B(N_603), .S(
        \rdgwgtpkbgc_1[1]_net_1 ), .Y(N_620));
    NOR2A fqkdsnjfpdb_68 (.A(\bnvtvdkcnpp[8]_net_1 ), .B(
        \bnwcvzjbgtc[14] ), .Y(fqkdsnjfpdb_39));
    NOR3A \tkcbxxqbtfx_ns_a5[16]  (.A(un1_Analog_smev_ram_inst_1_0_2), 
        .B(N_246), .C(N_249), .Y(\tkcbxxqbtfx_ns[16] ));
    DFN1C0 \rqrqhcwpqdn[11]  (.D(\rqrqhcwpqdn_10[11]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\rqrqhcwpqdn[11]_net_1 ));
    MX2 \gjkdbmpgrtc_9[10]  (.A(\rqrqhcwpqdn[10]_net_1 ), .B(
        \rqrqhcwpqdn[11]_net_1 ), .S(\rdgwgtpkbgc_1[0]_net_1 ), .Y(
        N_528));
    OA1A fqkdsnjfpdb_55_0 (.A(\bnwcvzjbgtc[11] ), .B(
        \bnvtvdkcnpp[5]_net_1 ), .C(\gjkdbmpgrtc[11] ), .Y(
        fqkdsnjfpdb_55_0_net_1));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I159_Y_0 (.A(N_271), .B(N_270), 
        .Y(ADD_18x18_fast_I159_Y_0));
    NOR2A fqkdsnjfpdb_13 (.A(\ftbkrvpxdbp[3]_net_1 ), .B(
        \bnwcvzjbgtc[3] ), .Y(fqkdsnjfpdb_6_net_1));
    NOR3C fqkdsnjfpdb_0_0_ADD_18x18_fast_I122_un1_Y (.A(N336), .B(N344)
        , .C(N314), .Y(ADD_18x18_fast_I122_un1_Y));
    MX2 \bnwcvzjbgtc_1_0[1]  (.A(\ftbkrvpxdbp[1]_net_1 ), .B(
        \ftbkrvpxdbp[2]_net_1 ), .S(\rdgwgtpkbgc_1[0]_net_1 ), .Y(
        N_587));
    DFN1C0 \bnvtvdkcnpp[6]  (.D(\bnvtvdkcnpp_10[6]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\bnvtvdkcnpp[6]_net_1 ));
    NOR2A fqkdsnjfpdb_8 (.A(\ftbkrvpxdbp[2]_net_1 ), .B(
        \bnwcvzjbgtc[2] ), .Y(fqkdsnjfpdb_3));
    XNOR2 pvtdpmmqdpp_pbzxzjhqhwz_0_I_5 (.A(\bnvtvdkcnpp[8]_net_1 ), 
        .B(\rqrqhcwpqdn[8]_net_1 ), .Y(\DWACT_BL_EQUAL_0_E_0[1] ));
    OR2 \bnwcvzjbgtc_11_s[7]  (.A(rdgwgtpkbgc_3), .B(
        \rdgwgtpkbgc_0[1]_net_1 ), .Y(\bnwcvzjbgtc_11_s[7]_net_1 ));
    DFN1E1C0 \ckghxwbsztp[4]  (.D(\ckghxwbsztp_5[4]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[16]_net_1 ), 
        .Q(\ckghxwbsztp[4]_net_1 ));
    OA1A fqkdsnjfpdb_70_0 (.A(\bnwcvzjbgtc[14] ), .B(
        \bnvtvdkcnpp[8]_net_1 ), .C(\gjkdbmpgrtc[14] ), .Y(
        fqkdsnjfpdb_70_0_net_1));
    MX2C \bnvtvdkcnpp_6[1]  (.A(\bnvtvdkcnpp[1]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB1), .S(qvqqfftqsfc_net_1), .Y(
        \bnvtvdkcnpp_6[1]_net_1 ));
    NOR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I13_G0N (.A(N_279), .B(
        N_278_i), .Y(N268));
    NOR3C \gjkdbmpgrtc_3[3]  (.A(\rdgwgtpkbgc[0]_net_1 ), .B(
        \rqrqhcwpqdn[0]_net_1 ), .C(\rdgwgtpkbgc[1]_net_1 ), .Y(N_419));
    AOI1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv_0[2]  (.A(rgmpzqrbghh_0_net_1), 
        .B(mtbjcfqsbqf[1]), .C(\qrbxknbdvjj_m[2]_net_1 ), .Y(
        \dhzrwbnrbpw_8_iv_0[2] ));
    MX2 \bnwcvzjbgtc_1_0[0]  (.A(\ftbkrvpxdbp[0]_net_1 ), .B(
        \ftbkrvpxdbp[1]_net_1 ), .S(\rdgwgtpkbgc_1[0]_net_1 ), .Y(
        N_586));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I9_G0N (.A(N_271), .B(N_270), 
        .Y(N256));
    AND2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_57 (.A(\rqrqhcwpqdn[1]_net_1 ), 
        .B(\bnvtvdkcnpp[1]_net_1 ), .Y(\ACT_LT4_E[2] ));
    MX2 \gjkdbmpgrtc_9[6]  (.A(\rqrqhcwpqdn[6]_net_1 ), .B(
        \rqrqhcwpqdn[7]_net_1 ), .S(\rdgwgtpkbgc_0[0]_net_1 ), .Y(
        N_524));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I120_un1_Y (.A(
        ADD_18x18_fast_I120_un1_Y_0), .B(N347), .Y(I120_un1_Y));
    NOR3C \zbqggxmnpbs_iv_1[0]  (.A(pbzxzjhqhwz_m), .B(
        tddhwjzbsrj_m_net_1), .C(\fqkdsnjfpdb_m[6]_net_1 ), .Y(
        \zbqggxmnpbs_iv_1[0]_net_1 ));
    NOR3C un1_bskrjhjvqpf_ADD_9x9_medium_I8_Y (.A(N107), .B(N108), .C(
        ADD_9x9_medium_I8_Y_1), .Y(N121));
    DFN1C0 \bnvtvdkcnpp[4]  (.D(\bnvtvdkcnpp_10[4]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\bnvtvdkcnpp[4]_net_1 ));
    NOR2 ftbkrvpxdbp_1_sqmuxa (.A(\tkcbxxqbtfx[13]_net_1 ), .B(
        kkgccghmrzf_net_1), .Y(ftbkrvpxdbp_1_sqmuxa_net_1));
    OR3B \qrbxknbdvjj_m[7]  (.A(\tkcbxxqbtfx[9]_net_1 ), .B(
        \qrbxknbdvjj[7]_net_1 ), .C(rgmpzqrbghh_net_1), .Y(
        \qrbxknbdvjj_m[7]_net_1 ));
    DFN1C0 \tkcbxxqbtfx[17]  (.D(\tkcbxxqbtfx_ns_i[17]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[17]_net_1 ));
    MX2 \bnwcvzjbgtc_12[6]  (.A(\bnwcvzjbgtc_7[6]_net_1 ), .B(
        \bnwcvzjbgtc_11[6]_net_1 ), .S(\rdgwgtpkbgc_1[2]_net_1 ), .Y(
        \bnwcvzjbgtc[6] ));
    NOR3A xkwrgrspmcf (.A(\tkcbxxqbtfx[8]_net_1 ), .B(
        \rfrdbqfdrhx[0]_net_1 ), .C(\rfrdbqfdrhx[1]_net_1 ), .Y(
        xkwrgrspmcf_net_1));
    NOR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I14_G0N (.A(N_281), .B(N_280), 
        .Y(N271));
    OR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_59 (.A(\rqrqhcwpqdn[2]_net_1 ), 
        .B(\bnvtvdkcnpp[2]_net_1 ), .Y(\ACT_LT4_E[4] ));
    OR3B \qrbxknbdvjj_m[6]  (.A(\tkcbxxqbtfx_0[9]_net_1 ), .B(
        \qrbxknbdvjj[6]_net_1 ), .C(rgmpzqrbghh_net_1), .Y(
        \qrbxknbdvjj_m[6]_net_1 ));
    DFN1E1C0 \rdgwgtpkbgc_0[0]  (.D(Analog_smev_ram_R0C0_DOUTB0), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(bskrjhjvqpf_1_sqmuxa), .Q(
        \rdgwgtpkbgc_0[0]_net_1 ));
    MX2 \bnwcvzjbgtc_11[6]  (.A(N_728), .B(\bnwcvzjbgtc_11_d[6]_net_1 )
        , .S(\bnwcvzjbgtc_11_s[4]_net_1 ), .Y(
        \bnwcvzjbgtc_11[6]_net_1 ));
    OR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I8_P0N_0 (.A(
        fqkdsnjfpdb_18_net_1), .B(N_269), .Y(ADD_18x18_fast_I8_P0N_0));
    MX2 \bnvtvdkcnpp_6[5]  (.A(\bnvtvdkcnpp[5]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB5), .S(qvqqfftqsfc_net_1), .Y(
        \bnvtvdkcnpp_6[5]_net_1 ));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I34_Y (.A(N250), .B(N254), .C(
        N253), .Y(N298));
    OR3 cmkddgvkrrs_iv (.A(wqpbnjzjqsx_m), .B(
        cmkddgvkrrs_1_sqmuxa_net_1), .C(chxjmrqxptz_m_net_1), .Y(
        cmkddgvkrrs));
    OR2B \ckghxwbsztp_m[4]  (.A(\tkcbxxqbtfx[17]_net_1 ), .B(
        \ckghxwbsztp[4]_net_1 ), .Y(\ckghxwbsztp_m[4]_net_1 ));
    DFN1E0C0 njhxtffzjds (.D(un1_hfzgjxkdrpz_1_net_1), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(un1_hfzgjxkdrpz_net_1), .Q(
        EV_EVFLAG_net));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I71_Y (.A(N305), .B(N301), .Y(
        N338));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I36_Y (.A(N247), .B(N251), .C(
        N250), .Y(N300));
    XOR2 un1_bskrjhjvqpf_ADD_9x9_medium_I21_Y (.A(dhzrwbnrbpw[1]), .B(
        N108), .Y(\un1_bskrjhjvqpf[1] ));
    MX2 \gjkdbmpgrtc_9[5]  (.A(\rqrqhcwpqdn[5]_net_1 ), .B(
        \rqrqhcwpqdn[6]_net_1 ), .S(\rdgwgtpkbgc_0[0]_net_1 ), .Y(
        N_523));
    MX2 \mkmkbnghgkd[7]  (.A(INIT_ADDR_net_0[7]), .B(rjhhzsggrtr[7]), 
        .S(INIT_DONE_net), .Y(mkmkbnghgkd[7]));
    DFN1E0C0 \kkkmkxwwscv[4]  (.D(bnrsdrtmtsg[4]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(qmmwhjxxxmv_net_1), .Q(kkkmkxwwscv[4]));
    MX2C \bnvtvdkcnpp_10[10]  (.A(\bnvtvdkcnpp_9[10]_net_1 ), .B(
        \fqkdsnjfpdb_i[16] ), .S(\tkcbxxqbtfx_0[13]_net_1 ), .Y(
        \bnvtvdkcnpp_10[10]_net_1 ));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I32_Y (.A(N253), .B(N257), .C(
        N256), .Y(N296));
    DFN1C0 \bnvtvdkcnpp[11]  (.D(\bnvtvdkcnpp_10[11]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\bnvtvdkcnpp[11]_net_1 ));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I158_Y_0 (.A(N_269), .B(N_268), 
        .Y(ADD_18x18_fast_I158_Y_0));
    AO1B \zbqggxmnpbs_0_iv[8]  (.A(\fqkdsnjfpdb[14] ), .B(
        \tkcbxxqbtfx[12]_net_1 ), .C(\fqkdsnjfpdb_m[5]_net_1 ), .Y(
        zbqggxmnpbs_0_iv[8]));
    NOR3B gpjgkmhxbkn_m (.A(gpjgkmhxbkn_NE_0_net_1), .B(
        gpjgkmhxbkn_NE_2_net_1), .C(cmkddgvkrrs_0_sqmuxa_net_1), .Y(
        gpjgkmhxbkn_m_net_1));
    MX2A \bnwcvzjbgtc_11_d[11]  (.A(N_733), .B(\bnvtvdkcnpp[5]_net_1 ), 
        .S(rdgwgtpkbgc_3), .Y(\bnwcvzjbgtc_11_d[11]_net_1 ));
    NOR3A \ckghxwbsztp_5[4]  (.A(I_20), .B(gpjgkmhxbkn_m_net_1), .C(
        sphhbprckfk_iv_0_net_1), .Y(\ckghxwbsztp_5[4]_net_1 ));
    AND3 un6_ckghxwbsztp_I_12 (.A(\rqrqhcwpqdn[1]_net_1 ), .B(
        \rqrqhcwpqdn[2]_net_1 ), .C(\rqrqhcwpqdn[3]_net_1 ), .Y(N_9));
    DFN1E1C0 \rqrqhcwpqdn[1]  (.D(N_355), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(N_363_i), .Q(\rqrqhcwpqdn[1]_net_1 ));
    DFN1E0C0 \ftbkrvpxdbp[3]  (.D(\ftbkrvpxdbp_6[3]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(ftbkrvpxdbp_1_sqmuxa_net_1)
        , .Q(\ftbkrvpxdbp[3]_net_1 ));
    NOR2A \bnwcvzjbgtc_7[13]  (.A(N_633), .B(rdgwgtpkbgc_3), .Y(N_701));
    NOR2 fqkdsnjfpdb_70 (.A(fqkdsnjfpdb_70_0_net_1), .B(fqkdsnjfpdb_39)
        , .Y(N_282));
    AX1C un1_bskrjhjvqpf_ADD_9x9_medium_I22_Y (.A(N108), .B(
        dhzrwbnrbpw[1]), .C(dhzrwbnrbpw[2]), .Y(\un1_bskrjhjvqpf[2] ));
    NOR2 rqrqhcwpqdn_10_sn_m1 (.A(\tkcbxxqbtfx[11]_net_1 ), .B(
        mvnkctvqsgp_net_1), .Y(N_378));
    OA1A fqkdsnjfpdb_50_0 (.A(\bnwcvzjbgtc[10] ), .B(
        \bnvtvdkcnpp[4]_net_1 ), .C(\gjkdbmpgrtc[10] ), .Y(
        fqkdsnjfpdb_50_0_net_1));
    MX2 \ftbkrvpxdbp_6[3]  (.A(un1_Analog_smev_ram_inst_1_0_0), .B(
        \fqkdsnjfpdb[3] ), .S(\tkcbxxqbtfx_0[13]_net_1 ), .Y(
        \ftbkrvpxdbp_6[3]_net_1 ));
    NOR2A \bnwcvzjbgtc_3[16]  (.A(N_732), .B(\rdgwgtpkbgc[1]_net_1 ), 
        .Y(N_636));
    AO1B \zbqggxmnpbs_0_iv[7]  (.A(\fqkdsnjfpdb[13] ), .B(
        \tkcbxxqbtfx[12]_net_1 ), .C(\fqkdsnjfpdb_m[4]_net_1 ), .Y(
        zbqggxmnpbs_0_iv[7]));
    AOI1A pvtdpmmqdpp_pbzxzjhqhwz_0_I_58 (.A(\ACT_LT4_E[0] ), .B(
        \ACT_LT4_E[1] ), .C(\ACT_LT4_E[2] ), .Y(\ACT_LT4_E[3] ));
    OR3A fqkdsnjfpdb_0_0_ADD_18x18_fast_I114_un1_Y (.A(N375), .B(N322), 
        .C(N330), .Y(ADD_18x18_fast_I114_un1_Y));
    OR2B pvtdpmmqdpp_pbzxzjhqhwz_m (.A(pbzxzjhqhwz), .B(
        dbdctxjdvkp_1_sqmuxa), .Y(pbzxzjhqhwz_m));
    OR3 kkjrqmngvjc_0 (.A(N_244), .B(kkjrqmngvjc_0_0_net_1), .C(
        bskrjhjvqpf_6_sqmuxa), .Y(EV_RAM_CSN_B_net));
    MX2 \bnwcvzjbgtc_7[1]  (.A(N_621), .B(N_629), .S(rdgwgtpkbgc_3), 
        .Y(N_689));
    DFN1E1C0 \qrbxknbdvjj[3]  (.D(dhzrwbnrbpw[3]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[6]_net_1 ), .Q(
        \qrbxknbdvjj[3]_net_1 ));
    MX2 \bnwcvzjbgtc_9[4]  (.A(\bnvtvdkcnpp[4]_net_1 ), .B(
        \bnvtvdkcnpp[5]_net_1 ), .S(\rdgwgtpkbgc_1[0]_net_1 ), .Y(
        N_726));
    MX2 \mkmkbnghgkd[1]  (.A(INIT_ADDR_net_1), .B(rjhhzsggrtr[1]), .S(
        INIT_DONE_net), .Y(mkmkbnghgkd[1]));
    OR2 fqkdsnjfpdb_20 (.A(fqkdsnjfpdb_20_0_net_1), .B(fqkdsnjfpdb_9), 
        .Y(N_262));
    OR3B \qrbxknbdvjj_m[3]  (.A(\tkcbxxqbtfx_0[9]_net_1 ), .B(
        \qrbxknbdvjj[3]_net_1 ), .C(rgmpzqrbghh_net_1), .Y(
        \qrbxknbdvjj_m[3]_net_1 ));
    AX1C fqkdsnjfpdb_0_0_ADD_18x18_fast_I164_Y (.A(I117_un1_Y), .B(
        ADD_18x18_fast_I117_Y_1), .C(ADD_18x18_fast_I164_Y_0), .Y(
        \fqkdsnjfpdb[14] ));
    OR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_63 (.A(\bnvtvdkcnpp[3]_net_1 ), 
        .B(\rqrqhcwpqdn[3]_net_1 ), .Y(\ACT_LT4_E[8] ));
    OR2B \ckghxwbsztp_m[0]  (.A(\tkcbxxqbtfx[17]_net_1 ), .B(
        \ckghxwbsztp[0]_net_1 ), .Y(\ckghxwbsztp_m[0]_net_1 ));
    OR2B \fqkdsnjfpdb_m[6]  (.A(\tkcbxxqbtfx[12]_net_1 ), .B(
        \fqkdsnjfpdb[6] ), .Y(\fqkdsnjfpdb_m[6]_net_1 ));
    DFN1E1C0 \rqrqhcwpqdn[6]  (.D(N_360), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(N_363_i), .Q(\rqrqhcwpqdn[6]_net_1 ));
    NOR2A fqkdsnjfpdb_48 (.A(\bnvtvdkcnpp[4]_net_1 ), .B(
        \bnwcvzjbgtc[10] ), .Y(fqkdsnjfpdb_27));
    AO1 pvtdpmmqdpp_pbzxzjhqhwz_0_I_72 (.A(
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[1] ), .B(
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[2] ), .C(
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[0] ), .Y(\DWACT_COMP0_E[2] ));
    NOR3A mvnkctvqsgp (.A(\tkcbxxqbtfx[9]_net_1 ), .B(
        \rfrdbqfdrhx[0]_net_1 ), .C(\rfrdbqfdrhx[1]_net_1 ), .Y(
        mvnkctvqsgp_net_1));
    XOR2 fqkdsnjfpdb_1_0 (.A(\ftbkrvpxdbp[1]_net_1 ), .B(
        \ftbkrvpxdbp[0]_net_1 ), .Y(fqkdsnjfpdb_1_0_net_1));
    AND2 pvtdpmmqdpp_pbzxzjhqhwz_0_I_7 (.A(\DWACT_BL_EQUAL_0_E[4] ), 
        .B(\DWACT_BL_EQUAL_0_E[3] ), .Y(
        \DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[1] ));
    XO1A sphhbprckfk_iv_0 (.A(\rqrqhcwpqdn[0]_net_1 ), .B(
        spbznmtdmpd_net_1), .C(wqpbnjzjqsx_m), .Y(
        sphhbprckfk_iv_0_net_1));
    DFN1C0 \bnvtvdkcnpp[10]  (.D(\bnvtvdkcnpp_10[10]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\bnvtvdkcnpp[10]_net_1 ));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I153_Y_0 (.A(N_259), .B(N_258), 
        .Y(ADD_18x18_fast_I153_Y_0));
    XNOR2 wqpbnjzjqsx_2 (.A(\rqrqhcwpqdn[3]_net_1 ), .B(
        \bnvtvdkcnpp[3]_net_1 ), .Y(wqpbnjzjqsx_2_i_0));
    DFN1E0C0 \ftbkrvpxdbp[1]  (.D(\ftbkrvpxdbp_6[1]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(ftbkrvpxdbp_1_sqmuxa_net_1)
        , .Q(\ftbkrvpxdbp[1]_net_1 ));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I153_Y (.A(
        ADD_18x18_fast_I153_Y_0), .B(N347), .Y(\fqkdsnjfpdb[3] ));
    AO1 pvtdpmmqdpp_pbzxzjhqhwz_0_I_77 (.A(\DWACT_COMP0_E[1] ), .B(
        \DWACT_COMP0_E[2] ), .C(\DWACT_COMP0_E[0] ), .Y(pbzxzjhqhwz));
    NOR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I0_P0N (.A(
        \ftbkrvpxdbp[0]_net_1 ), .B(\gjkdbmpgrtc[0] ), .Y(N230));
    XNOR2 fqkdsnjfpdb_11 (.A(fqkdsnjfpdb_11_0_net_1), .B(
        \bnwcvzjbgtc[3] ), .Y(N_259));
    OR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I133_Y (.A(
        ADD_18x18_fast_I133_Y_3), .B(ADD_18x18_fast_I114_un1_Y), .Y(
        ADD_18x18_fast_I133_Y));
    OR2A \tkcbxxqbtfx_ns_a2[4]  (.A(\tkcbxxqbtfx[5]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB7), .Y(N_247));
    NOR2B \tkcbxxqbtfx_ns_i[13]  (.A(INIT_DONE_net), .B(
        \tkcbxxqbtfx[12]_net_1 ), .Y(\tkcbxxqbtfx_ns_i[13]_net_1 ));
    DFN1E0C0 \mtbjcfqsbqf[0]  (.D(dspfgfmqhwh[0]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(qmmwhjxxxmv_net_1), .Q(mtbjcfqsbqf[0]));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I65_Y (.A(N299), .B(N295), .Y(
        N332));
    OA1A pvtdpmmqdpp_pbzxzjhqhwz_0_I_22 (.A(\bnvtvdkcnpp[10]_net_1 ), 
        .B(\rqrqhcwpqdn[10]_net_1 ), .C(N_29), .Y(N_33));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I28_Y (.A(N259), .B(N263), .C(
        N262), .Y(N292));
    AO1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv[5]  (.A(N_204_i_0), .B(
        \un1_bskrjhjvqpf[5] ), .C(\dhzrwbnrbpw_8_iv_1[5] ), .Y(
        \dhzrwbnrbpw_8[5] ));
    OR2B \fqkdsnjfpdb_m[5]  (.A(\tkcbxxqbtfx_1[13]_net_1 ), .B(
        \fqkdsnjfpdb[5] ), .Y(\fqkdsnjfpdb_m[5]_net_1 ));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I157_Y_0 (.A(N_267), .B(N_266), 
        .Y(ADD_18x18_fast_I157_Y_0));
    OR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I8_P0N (.A(
        ADD_18x18_fast_I8_P0N_0), .B(fqkdsnjfpdb_35_0_net_1), .Y(N254));
    AO1B un1_gjkdbmpgrtc78_1_0 (.A(un1_gjkdbmpgrtc78_1_0_a2_0_0_net_1), 
        .B(un1_gjkdbmpgrtc78_1_0_a2_0_1_net_1), .C(N_818), .Y(
        un1_gjkdbmpgrtc78_1));
    XNOR3 fqkdsnjfpdb_56 (.A(\gjkdbmpgrtc[12] ), .B(
        \bnvtvdkcnpp[6]_net_1 ), .C(\bnwcvzjbgtc[12] ), .Y(N_277));
    OA1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I10_G0N (.A(fqkdsnjfpdb_24), .B(
        fqkdsnjfpdb_45_0_net_1), .C(N_273), .Y(N259));
    MX2 \bnwcvzjbgtc_9[2]  (.A(\bnvtvdkcnpp[2]_net_1 ), .B(
        \bnvtvdkcnpp[3]_net_1 ), .S(\rdgwgtpkbgc_1[0]_net_1 ), .Y(
        N_724));
    XNOR2 pvtdpmmqdpp_pbzxzjhqhwz_0_I_2 (.A(\bnvtvdkcnpp[7]_net_1 ), 
        .B(\rqrqhcwpqdn[7]_net_1 ), .Y(\DWACT_BL_EQUAL_0_E_0[0] ));
    MX2 \bnvtvdkcnpp_10[3]  (.A(\bnvtvdkcnpp_6[3]_net_1 ), .B(
        \fqkdsnjfpdb[9] ), .S(\tkcbxxqbtfx[13]_net_1 ), .Y(
        \bnvtvdkcnpp_10[3]_net_1 ));
    MX2 \gjkdbmpgrtc_7[3]  (.A(N_419), .B(N_427), .S(rdgwgtpkbgc_3), 
        .Y(N_487));
    MX2 \bnvtvdkcnpp_9[9]  (.A(\bnvtvdkcnpp[9]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB0), .S(kkgccghmrzf_net_1), .Y(
        \bnvtvdkcnpp_9[9]_net_1 ));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I39_Y (.A(N248), .B(N245), .Y(
        N303));
    OR2B \fqkdsnjfpdb_m[17]  (.A(\tkcbxxqbtfx_1[13]_net_1 ), .B(
        \fqkdsnjfpdb[17] ), .Y(\fqkdsnjfpdb_m[17]_net_1 ));
    NOR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I0_G0N (.A(\gjkdbmpgrtc[0] ), 
        .B(\ftbkrvpxdbp[0]_net_1 ), .Y(N229));
    NOR2B \tkcbxxqbtfx_ns_a5[6]  (.A(INIT_DONE_net), .B(
        bskrjhjvqpf_0_sqmuxa), .Y(\tkcbxxqbtfx_ns[6] ));
    NOR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_61 (.A(\ACT_LT4_E[4] ), .B(
        \ACT_LT4_E[5] ), .Y(\ACT_LT4_E[6] ));
    OA1 pvtdpmmqdpp_pbzxzjhqhwz_0_I_27 (.A(N_37), .B(N_36), .C(N_35), 
        .Y(\DWACT_COMP0_E[0] ));
    MX2 \rqrqhcwpqdn_6_0[2]  (.A(Analog_assc_ram_R0C0_DOUTA2), .B(
        Analog_smev_ram_R0C0_DOUTB2), .S(xkwrgrspmcf_net_1), .Y(N_356));
    AOI1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv_1[2]  (.A(N_202_i_0), .B(
        Analog_smev_ram_R0C0_DOUTB2), .C(\dhzrwbnrbpw_8_iv_0[2] ), .Y(
        \dhzrwbnrbpw_8_iv_1[2] ));
    OR2A \fqkdsnjfpdb_m[16]  (.A(\tkcbxxqbtfx_0[13]_net_1 ), .B(
        \fqkdsnjfpdb_i[16] ), .Y(\fqkdsnjfpdb_m[16]_net_1 ));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I73_Y (.A(N307), .B(N303), .Y(
        N340));
    XA1A wqpbnjzjqsx_m_0_1 (.A(\bnvtvdkcnpp[4]_net_1 ), .B(
        \rqrqhcwpqdn[4]_net_1 ), .C(wqpbnjzjqsx_2_i_0), .Y(
        wqpbnjzjqsx_m_0_1_net_1));
    NOR2B un1_hfzgjxkdrpz (.A(un1_hfzgjxkdrpz_1_net_1), .B(
        qmmwhjxxxmv_net_1), .Y(un1_hfzgjxkdrpz_net_1));
    OR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I12_P0N (.A(
        ADD_18x18_fast_I12_P0N_0), .B(fqkdsnjfpdb_55_0_net_1), .Y(N266)
        );
    OR3 fqkdsnjfpdb_0_0_ADD_18x18_fast_I9_P0N (.A(N_271), .B(
        fqkdsnjfpdb_21_net_1), .C(fqkdsnjfpdb_40_0_net_1), .Y(N257));
    NOR3C fqkdsnjfpdb_0_0_ADD_18x18_fast_I132_un1_Y_0 (.A(N336), .B(
        N344), .C(N314), .Y(ADD_18x18_fast_I132_un1_Y_0));
    DFN1C0 \tkcbxxqbtfx[5]  (.D(\tkcbxxqbtfx_ns_i[5]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[5]_net_1 ));
    MX2 \gjkdbmpgrtc_7[4]  (.A(N_420), .B(N_428), .S(rdgwgtpkbgc_3), 
        .Y(N_488));
    AO1C \tkcbxxqbtfx_ns[0]  (.A(rgmpzqrbghh_0_net_1), .B(
        \tkcbxxqbtfx[0]_net_1 ), .C(un1_hfzgjxkdrpz_1_net_1), .Y(
        \tkcbxxqbtfx_ns[0]_net_1 ));
    OR3C fqkdsnjfpdb_0_0_ADD_18x18_fast_I105_un1_Y (.A(N305), .B(N309), 
        .C(N349), .Y(I105_un1_Y_i));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I163_Y_0 (.A(N_279), .B(
        N_278_i), .Y(ADD_18x18_fast_I163_Y_0));
    DFN1C0 \bnvtvdkcnpp[1]  (.D(\bnvtvdkcnpp_10[1]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\bnvtvdkcnpp[1]_net_1 ));
    OAI1 qmmwhjxxxmv (.A(N_301), .B(ktwrhqstzjg), .C(ASSC_SAMPFLAG_net)
        , .Y(qmmwhjxxxmv_net_1));
    OR2B \ckghxwbsztp_m[2]  (.A(\tkcbxxqbtfx[17]_net_1 ), .B(
        \ckghxwbsztp[2]_net_1 ), .Y(\ckghxwbsztp_m[2]_net_1 ));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I156_Y (.A(
        ADD_18x18_fast_I156_Y_0), .B(N472), .Y(\fqkdsnjfpdb[6] ));
    NOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I120_Y (.A(
        ADD_18x18_fast_I120_Y_0), .B(I96_un1_Y), .Y(N457_i));
    MX2 \gjkdbmpgrtc_9[7]  (.A(\rqrqhcwpqdn[7]_net_1 ), .B(
        \rqrqhcwpqdn[8]_net_1 ), .S(\rdgwgtpkbgc_0[0]_net_1 ), .Y(
        N_525));
    DFN1C0 \bnvtvdkcnpp[0]  (.D(\bnvtvdkcnpp_10[0]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\bnvtvdkcnpp[0]_net_1 ));
    DFN1C0 \dhzrwbnrbpw[3]  (.D(\dhzrwbnrbpw_8[3] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(dhzrwbnrbpw[3]));
    MX2 \bnvtvdkcnpp_6[7]  (.A(\bnvtvdkcnpp[7]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB7), .S(qvqqfftqsfc_net_1), .Y(
        \bnvtvdkcnpp_6[7]_net_1 ));
    AOI1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv_0[1]  (.A(rgmpzqrbghh_0_net_1), 
        .B(mtbjcfqsbqf[0]), .C(\qrbxknbdvjj_m[1]_net_1 ), .Y(
        \dhzrwbnrbpw_8_iv_0[1] ));
    OR3 fqkdsnjfpdb_0_0_ADD_18x18_fast_I10_P0N (.A(N_273), .B(
        fqkdsnjfpdb_24), .C(fqkdsnjfpdb_45_0_net_1), .Y(N260));
    OA1A fqkdsnjfpdb_0_0_ADD_18x18_fast_I133_Y_1 (.A(N285), .B(N288), 
        .C(ADD_18x18_fast_I133_Y_0), .Y(ADD_18x18_fast_I133_Y_1));
    XA1A wqpbnjzjqsx_m_0_2 (.A(\bnvtvdkcnpp[2]_net_1 ), .B(
        \rqrqhcwpqdn[2]_net_1 ), .C(wqpbnjzjqsx_0_i_0), .Y(
        wqpbnjzjqsx_m_0_2_net_1));
    OR3B \qrbxknbdvjj_m[8]  (.A(\tkcbxxqbtfx[9]_net_1 ), .B(
        \qrbxknbdvjj[8]_net_1 ), .C(rgmpzqrbghh_net_1), .Y(
        \qrbxknbdvjj_m[8]_net_1 ));
    NOR2A \gjkdbmpgrtc_7[13]  (.A(N_429), .B(rdgwgtpkbgc_3), .Y(N_497));
    NOR2B \bnwcvzjbgtc_11[15]  (.A(rdgwgtpkbgc_3), .B(
        \bnvtvdkcnpp[9]_net_1 ), .Y(N_771));
    OR3 fqkdsnjfpdb_0_0_ADD_18x18_fast_I7_P0N (.A(N_267), .B(
        fqkdsnjfpdb_15_net_1), .C(fqkdsnjfpdb_30_0_net_1), .Y(N251));
    MX2 \ftbkrvpxdbp_6[5]  (.A(un1_Analog_smev_ram_inst_1_0_2), .B(
        \fqkdsnjfpdb[5] ), .S(\tkcbxxqbtfx_0[13]_net_1 ), .Y(
        \ftbkrvpxdbp_6[5]_net_1 ));
    OA1A fqkdsnjfpdb_15_0 (.A(\bnwcvzjbgtc[3] ), .B(
        \ftbkrvpxdbp[3]_net_1 ), .C(\gjkdbmpgrtc[3] ), .Y(
        fqkdsnjfpdb_15_0_net_1));
    XA1B fqkdsnjfpdb_0_0_ADD_18x18_fast_I1_G0N (.A(\gjkdbmpgrtc[1] ), 
        .B(fqkdsnjfpdb_1_0_net_1), .C(\bnwcvzjbgtc[1] ), .Y(N232));
    OA1A fqkdsnjfpdb_0_0_ADD_18x18_fast_I19_Y (.A(N_284), .B(N_285), 
        .C(N275), .Y(N283));
    NOR2A \bnwcvzjbgtc_7[11]  (.A(N_631), .B(rdgwgtpkbgc_3), .Y(N_699));
    MX2 \bnvtvdkcnpp_10[11]  (.A(\bnvtvdkcnpp_9[11]_net_1 ), .B(
        \fqkdsnjfpdb[17] ), .S(\tkcbxxqbtfx_1[13]_net_1 ), .Y(
        \bnvtvdkcnpp_10[11]_net_1 ));
    AOI1B fqkdsnjfpdb_0_0_ADD_18x18_fast_I132_Y_2 (.A(N320), .B(N327), 
        .C(ADD_18x18_fast_I132_Y_1), .Y(ADD_18x18_fast_I132_Y_2));
    NOR2 un1_gjkdbmpgrtc78_1_0_a2_0_0 (.A(\rdgwgtpkbgc_0[0]_net_1 ), 
        .B(\rdgwgtpkbgc_0[2]_net_1 ), .Y(
        un1_gjkdbmpgrtc78_1_0_a2_0_0_net_1));
    MX2 \bnwcvzjbgtc_7[7]  (.A(N_627), .B(N_635), .S(rdgwgtpkbgc_3), 
        .Y(N_695));
    MX2 \mkmkbnghgkd[4]  (.A(INIT_ADDR_net_4), .B(rjhhzsggrtr[4]), .S(
        INIT_DONE_net), .Y(mkmkbnghgkd[4]));
    AOI1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv_0[0]  (.A(N_202_i_0), .B(
        Analog_smev_ram_R0C0_DOUTB0), .C(\qrbxknbdvjj_m[0]_net_1 ), .Y(
        \dhzrwbnrbpw_8_iv_0[0] ));
    AOI1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I24_Y (.A(N265), .B(N269), .C(
        N268), .Y(N288));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I26_Y (.A(N262), .B(N266), .C(
        N265), .Y(N290));
    NOR2A \gjkdbmpgrtc_7[15]  (.A(N_431), .B(rdgwgtpkbgc_3), .Y(N_499));
    MX2 \gjkdbmpgrtc_7[9]  (.A(N_425), .B(N_476), .S(rdgwgtpkbgc_3), 
        .Y(N_493));
    DFN1E1C0 \rdgwgtpkbgc[0]  (.D(Analog_smev_ram_R0C0_DOUTB0), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(bskrjhjvqpf_1_sqmuxa), .Q(
        \rdgwgtpkbgc[0]_net_1 ));
    OR2 fqkdsnjfpdb_30 (.A(fqkdsnjfpdb_30_0_net_1), .B(
        fqkdsnjfpdb_15_net_1), .Y(N_266));
    NOR2B kkgccghmrzf (.A(un3_kkgccghmrzf_net_1), .B(
        \tkcbxxqbtfx[9]_net_1 ), .Y(kkgccghmrzf_net_1));
    OR2B \fqkdsnjfpdb_m[2]  (.A(\tkcbxxqbtfx[13]_net_1 ), .B(
        \fqkdsnjfpdb[2] ), .Y(\fqkdsnjfpdb_m[2]_net_1 ));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I22_Y (.A(N268), .B(N272), .C(
        N271), .Y(N286));
    MX2 \bnwcvzjbgtc_7[8]  (.A(N_628), .B(N_636), .S(rdgwgtpkbgc_3), 
        .Y(\bnwcvzjbgtc_7[8]_net_1 ));
    MX2 \bnwcvzjbgtc_3[12]  (.A(N_728), .B(N_730), .S(
        \rdgwgtpkbgc[1]_net_1 ), .Y(N_632));
    MX2 \bnwcvzjbgtc_9[7]  (.A(\bnvtvdkcnpp[7]_net_1 ), .B(
        \bnvtvdkcnpp[8]_net_1 ), .S(\rdgwgtpkbgc[0]_net_1 ), .Y(N_729));
    MX2 \bnwcvzjbgtc_3[6]  (.A(N_722), .B(N_724), .S(
        \rdgwgtpkbgc_1[1]_net_1 ), .Y(N_626));
    MX2 \bnvtvdkcnpp_10[8]  (.A(\bnvtvdkcnpp_6[8]_net_1 ), .B(
        \fqkdsnjfpdb[14] ), .S(\tkcbxxqbtfx_1[13]_net_1 ), .Y(
        \bnvtvdkcnpp_10[8]_net_1 ));
    OR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_56 (.A(\rqrqhcwpqdn[1]_net_1 ), 
        .B(\bnvtvdkcnpp[1]_net_1 ), .Y(\ACT_LT4_E[1] ));
    AOI1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv_0[3]  (.A(rgmpzqrbghh_0_net_1), 
        .B(mtbjcfqsbqf[2]), .C(\qrbxknbdvjj_m[3]_net_1 ), .Y(
        \dhzrwbnrbpw_8_iv_0[3] ));
    NOR2 fqkdsnjfpdb_60 (.A(fqkdsnjfpdb_60_0_net_1), .B(
        fqkdsnjfpdb_33_net_1), .Y(N_278_i));
    OR2A pfbntnkqtmt (.A(INIT_EV_WEN_net), .B(INIT_DONE_net), .Y(
        EV_RAM_RW_A_net));
    OR3C \pptwzsjcmcz_dhzrwbnrbpw_8_iv[7]  (.A(
        \jrgzmrqhbkv_m[7]_net_1 ), .B(\qrbxknbdvjj_m[7]_net_1 ), .C(
        \un1_bskrjhjvqpf_m[7]_net_1 ), .Y(\dhzrwbnrbpw_8[7] ));
    MX2 \gjkdbmpgrtc_12[6]  (.A(\gjkdbmpgrtc_7[6]_net_1 ), .B(
        \gjkdbmpgrtc_11[6]_net_1 ), .S(\rdgwgtpkbgc_0[2]_net_1 ), .Y(
        \gjkdbmpgrtc[6] ));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I37_Y (.A(N251), .B(N248), .Y(
        N301));
    MX2 \bnwcvzjbgtc_11_d[10]  (.A(N_732), .B(\bnvtvdkcnpp[4]_net_1 ), 
        .S(rdgwgtpkbgc_3), .Y(\bnwcvzjbgtc_11_d[10]_net_1 ));
    MX2 \bnvtvdkcnpp_9[11]  (.A(\bnvtvdkcnpp[11]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB2), .S(kkgccghmrzf_net_1), .Y(
        \bnvtvdkcnpp_9[11]_net_1 ));
    DFN1C0 \tkcbxxqbtfx_1[13]  (.D(\tkcbxxqbtfx_ns_i[13]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx_1[13]_net_1 ));
    MX2 \gjkdbmpgrtc_9[1]  (.A(\rqrqhcwpqdn[1]_net_1 ), .B(
        \rqrqhcwpqdn[2]_net_1 ), .S(\rdgwgtpkbgc_0[0]_net_1 ), .Y(
        N_519));
    AO1C pvtdpmmqdpp_pbzxzjhqhwz_0_I_23 (.A(\bnvtvdkcnpp[9]_net_1 ), 
        .B(\rqrqhcwpqdn[9]_net_1 ), .C(N_28), .Y(N_34));
    NOR2B \gjkdbmpgrtc_7[1]  (.A(rdgwgtpkbgc_3), .B(N_425), .Y(N_485));
    DFN1C0 \dhzrwbnrbpw[8]  (.D(\dhzrwbnrbpw_8[8] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(dhzrwbnrbpw[8]));
    NOR2A \gjkdbmpgrtc_7[11]  (.A(N_427), .B(rdgwgtpkbgc_3), .Y(N_495));
    OR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I81_Y (.A(I81_un1_Y_i), .B(
        N312), .Y(N349));
    MX2 \bnwcvzjbgtc_12[14]  (.A(N_702), .B(N_770), .S(
        \rdgwgtpkbgc[2]_net_1 ), .Y(\bnwcvzjbgtc[14] ));
    MX2 \bnwcvzjbgtc_9[6]  (.A(\bnvtvdkcnpp[6]_net_1 ), .B(
        \bnvtvdkcnpp[7]_net_1 ), .S(\rdgwgtpkbgc[0]_net_1 ), .Y(N_728));
    XAI1A fqkdsnjfpdb_0_0_ADD_18x18_fast_I1_P0N (.A(\gjkdbmpgrtc[1] ), 
        .B(fqkdsnjfpdb_1_0_net_1), .C(\bnwcvzjbgtc[1] ), .Y(N233));
    DFN1E0C0 \mtbjcfqsbqf[4]  (.D(dspfgfmqhwh[4]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(qmmwhjxxxmv_net_1), .Q(mtbjcfqsbqf[4]));
    OR3B \qrbxknbdvjj_m[5]  (.A(\tkcbxxqbtfx_0[9]_net_1 ), .B(
        \qrbxknbdvjj[5]_net_1 ), .C(rgmpzqrbghh_net_1), .Y(
        \qrbxknbdvjj_m[5]_net_1 ));
    NOR2A \gjkdbmpgrtc_11[4]  (.A(N_424), .B(rdgwgtpkbgc_3), .Y(N_556));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I152_Y (.A(
        ADD_18x18_fast_I152_Y_0), .B(N349), .Y(\fqkdsnjfpdb[2] ));
    NOR2B \tkcbxxqbtfx_ns_i[12]  (.A(INIT_DONE_net), .B(
        \tkcbxxqbtfx[11]_net_1 ), .Y(\tkcbxxqbtfx_ns_i[12]_net_1 ));
    OR2B \fqkdsnjfpdb_m[4]  (.A(\tkcbxxqbtfx_1[13]_net_1 ), .B(
        \fqkdsnjfpdb[4] ), .Y(\fqkdsnjfpdb_m[4]_net_1 ));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I133_Y_3 (.A(
        ADD_18x18_fast_I133_un1_Y), .B(ADD_18x18_fast_I133_Y_2), .Y(
        ADD_18x18_fast_I133_Y_3));
    AND2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_44 (.A(\rqrqhcwpqdn[5]_net_1 ), 
        .B(\bnvtvdkcnpp[5]_net_1 ), .Y(\ACT_LT3_E[2] ));
    MX2 \bnwcvzjbgtc_9[9]  (.A(\bnvtvdkcnpp[9]_net_1 ), .B(
        \bnvtvdkcnpp[10]_net_1 ), .S(\rdgwgtpkbgc[0]_net_1 ), .Y(N_731)
        );
    AO1B \zbqggxmnpbs_iv[0]  (.A(\fqkdsnjfpdb[15] ), .B(
        \tkcbxxqbtfx_0[13]_net_1 ), .C(\zbqggxmnpbs_iv_1[0]_net_1 ), 
        .Y(zbqggxmnpbs_iv_0));
    XNOR3 fqkdsnjfpdb_16 (.A(\gjkdbmpgrtc[4] ), .B(
        \ftbkrvpxdbp[4]_net_1 ), .C(\bnwcvzjbgtc[4] ), .Y(N_261));
    DFN1E0C0 \mtbjcfqsbqf[2]  (.D(dspfgfmqhwh[2]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(qmmwhjxxxmv_net_1), .Q(mtbjcfqsbqf[2]));
    OA1A fqkdsnjfpdb_10_0 (.A(\bnwcvzjbgtc[2] ), .B(
        \ftbkrvpxdbp[2]_net_1 ), .C(\gjkdbmpgrtc[2] ), .Y(
        fqkdsnjfpdb_10_0_net_1));
    DFN1E1C0 \ckghxwbsztp[2]  (.D(\ckghxwbsztp_5[2]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[16]_net_1 ), 
        .Q(\ckghxwbsztp[2]_net_1 ));
    MX2B \rqrqhcwpqdn_6[0]  (.A(\rqrqhcwpqdn[0]_net_1 ), .B(N_354), .S(
        N_363_i), .Y(\rqrqhcwpqdn_6[0]_net_1 ));
    DFN1C0 \dhzrwbnrbpw[5]  (.D(\dhzrwbnrbpw_8[5] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(dhzrwbnrbpw[5]));
    DFN1E1C0 \rfrdbqfdrhx[1]  (.D(Analog_smev_ram_R0C0_DOUTB5), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(bskrjhjvqpf_0_sqmuxa), .Q(
        \rfrdbqfdrhx[1]_net_1 ));
    OR2B un1_gjkdbmpgrtc78_1_0_a2 (.A(rdgwgtpkbgc_3), .B(
        \rdgwgtpkbgc[2]_net_1 ), .Y(N_818));
    OR2 \tkcbxxqbtfx_ns_a5_0[4]  (.A(N_235_1), .B(N_247), .Y(N_235));
    DFN1C0 rgmpzqrbghh_0 (.D(hmzcpnxsdwg_net_1), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(rgmpzqrbghh_0_net_1));
    OR2B \jrgzmrqhbkv_m[7]  (.A(Analog_smev_ram_R0C0_DOUTB7), .B(
        N_202_i_0), .Y(\jrgzmrqhbkv_m[7]_net_1 ));
    MX2 \bnwcvzjbgtc_7[4]  (.A(N_624), .B(N_632), .S(rdgwgtpkbgc_3), 
        .Y(N_692));
    AX1E fqkdsnjfpdb_0_0_ADD_18x18_fast_I167_Y (.A(I112_un1_Y_i), .B(
        ADD_18x18_fast_I132_Y_3), .C(ADD_18x18_fast_I167_Y_2), .Y(
        \fqkdsnjfpdb[17] ));
    NOR2 un1_gjkdbmpgrtc78_1_0_a2_0_1 (.A(\rdgwgtpkbgc_0[1]_net_1 ), 
        .B(rdgwgtpkbgc_3), .Y(un1_gjkdbmpgrtc78_1_0_a2_0_1_net_1));
    NOR2B \tkcbxxqbtfx_ns_i[3]  (.A(INIT_DONE_net), .B(
        \tkcbxxqbtfx[2]_net_1 ), .Y(\tkcbxxqbtfx_ns_i[3]_net_1 ));
    DFN1E1C0 \rdgwgtpkbgc[1]  (.D(Analog_smev_ram_R0C0_DOUTB1), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(bskrjhjvqpf_1_sqmuxa), .Q(
        \rdgwgtpkbgc[1]_net_1 ));
    AO1C pvtdpmmqdpp_pbzxzjhqhwz_0_I_21 (.A(\rqrqhcwpqdn[8]_net_1 ), 
        .B(\bnvtvdkcnpp[8]_net_1 ), .C(N_30), .Y(N_32));
    NOR2B cmkddgvkrrs_1_sqmuxa (.A(spbznmtdmpd_net_1), .B(
        \rqrqhcwpqdn[0]_net_1 ), .Y(cmkddgvkrrs_1_sqmuxa_net_1));
    XNOR2 un1_bskrjhjvqpf_ADD_9x9_medium_I24_Y (.A(dhzrwbnrbpw[4]), .B(
        I18_un1_Y), .Y(\un1_bskrjhjvqpf[4] ));
    XNOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I161_Y (.A(
        ADD_18x18_fast_I161_Y_0), .B(N457_i), .Y(\fqkdsnjfpdb[11] ));
    MX2 \bnwcvzjbgtc_9[8]  (.A(\bnvtvdkcnpp[8]_net_1 ), .B(
        \bnvtvdkcnpp[9]_net_1 ), .S(\rdgwgtpkbgc[0]_net_1 ), .Y(N_730));
    AO18 fqkdsnjfpdb_75 (.A(\gjkdbmpgrtc[15] ), .B(\bnwcvzjbgtc[15] ), 
        .C(\bnvtvdkcnpp[9]_net_1 ), .Y(N_284));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I31_Y (.A(N260), .B(N257), .Y(
        N295));
    MX2 \gjkdbmpgrtc_3[6]  (.A(N_518), .B(N_520), .S(
        \rdgwgtpkbgc_0[1]_net_1 ), .Y(N_422));
    NOR2A \bnwcvzjbgtc_7[16]  (.A(N_636), .B(rdgwgtpkbgc_3), .Y(N_704));
    XOR2 un6_ckghxwbsztp_I_9 (.A(N_12), .B(\rqrqhcwpqdn[3]_net_1 ), .Y(
        I_9));
    AX1B fqkdsnjfpdb_0_0_ADD_18x18_fast_I160_Y (.A(N333), .B(
        ADD_18x18_fast_I121_Y_0), .C(ADD_18x18_fast_I160_Y_0), .Y(
        \fqkdsnjfpdb_i[10] ));
    XOR2 fqkdsnjfpdb_21_0 (.A(\ftbkrvpxdbp[5]_net_1 ), .B(
        \gjkdbmpgrtc[5] ), .Y(fqkdsnjfpdb_21_0_net_1));
    NOR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I15_G0N (.A(N_283), .B(N_282), 
        .Y(N274));
    DFN1E0C0 \kkkmkxwwscv[5]  (.D(bnrsdrtmtsg[5]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(qmmwhjxxxmv_net_1), .Q(kkkmkxwwscv[5]));
    MX2 \gjkdbmpgrtc_12[2]  (.A(N_486), .B(N_554), .S(
        \rdgwgtpkbgc_0[2]_net_1 ), .Y(\gjkdbmpgrtc[2] ));
    DFN1C0 \dhzrwbnrbpw[6]  (.D(\dhzrwbnrbpw_8[6] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(dhzrwbnrbpw[6]));
    AX1B fqkdsnjfpdb_0_0_ADD_18x18_fast_I165_Y (.A(I116_un1_Y), .B(
        ADD_18x18_fast_I116_Y_1), .C(ADD_18x18_fast_I165_Y_0), .Y(
        \fqkdsnjfpdb[15] ));
    NOR3C fqkdsnjfpdb_0_0_ADD_18x18_fast_I118_un1_Y (.A(N328), .B(N336)
        , .C(N475), .Y(I118_un1_Y));
    NOR2B \gjkdbmpgrtc_3[4]  (.A(\rdgwgtpkbgc[1]_net_1 ), .B(N_518), 
        .Y(N_420));
    MX2 \gjkdbmpgrtc_12[8]  (.A(N_492), .B(N_560), .S(
        \rdgwgtpkbgc_0[2]_net_1 ), .Y(\gjkdbmpgrtc[8] ));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I29_Y (.A(N263), .B(N260), .Y(
        N293));
    NOR2 un1_gpwvqcjqzjx_1_i (.A(rgmpzqrbghh_0_net_1), .B(N_224), .Y(
        N_204_i_0));
    MX2 \gjkdbmpgrtc_12[0]  (.A(N_484), .B(N_552), .S(
        \rdgwgtpkbgc_0[2]_net_1 ), .Y(\gjkdbmpgrtc[0] ));
    NOR3C fqkdsnjfpdb_0_0_ADD_18x18_fast_I121_un1_Y_0 (.A(N305), .B(
        N309), .C(N349), .Y(ADD_18x18_fast_I121_un1_Y_0));
    AO1B \zbqggxmnpbs_0_iv[6]  (.A(\fqkdsnjfpdb[12] ), .B(
        \tkcbxxqbtfx[12]_net_1 ), .C(\fqkdsnjfpdb_m[3]_net_1 ), .Y(
        zbqggxmnpbs_0_iv[6]));
    MX2 \rqrqhcwpqdn_6_0[4]  (.A(Analog_assc_ram_R0C0_DOUTA4), .B(
        Analog_smev_ram_R0C0_DOUTB4), .S(xkwrgrspmcf_net_1), .Y(N_358));
    OR2 fqkdsnjfpdb_25 (.A(fqkdsnjfpdb_25_0_net_1), .B(fqkdsnjfpdb_12), 
        .Y(N_264));
    MX2 \mkmkbnghgkd[3]  (.A(INIT_ADDR_net_3), .B(rjhhzsggrtr[3]), .S(
        INIT_DONE_net), .Y(mkmkbnghgkd[3]));
    MX2 \bnwcvzjbgtc_3[10]  (.A(N_726), .B(N_728), .S(
        \rdgwgtpkbgc[1]_net_1 ), .Y(N_630));
    NOR3B wqpbnjzjqsx_m_0_0 (.A(spbznmtdmpd_net_1), .B(
        wqpbnjzjqsx_4_i_0), .C(\rqrqhcwpqdn[0]_net_1 ), .Y(
        wqpbnjzjqsx_m_0_0_net_1));
    OR3 fqkdsnjfpdb_0_0_ADD_18x18_fast_I15_P0N (.A(N_283), .B(
        fqkdsnjfpdb_39), .C(fqkdsnjfpdb_70_0_net_1), .Y(N275));
    OR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I112_un1_Y (.A(N373), .B(N358), 
        .Y(I112_un1_Y_i));
    OR2 fqkdsnjfpdb_40 (.A(fqkdsnjfpdb_40_0_net_1), .B(
        fqkdsnjfpdb_21_net_1), .Y(N_270));
    NOR2 \tkcbxxqbtfx_ns_a5[15]  (.A(N_249), .B(N_248), .Y(
        \tkcbxxqbtfx_ns[15] ));
    OR3C \pptwzsjcmcz_dhzrwbnrbpw_8_iv[6]  (.A(
        \jrgzmrqhbkv_m[6]_net_1 ), .B(\qrbxknbdvjj_m[6]_net_1 ), .C(
        \un1_bskrjhjvqpf_m[6]_net_1 ), .Y(\dhzrwbnrbpw_8[6] ));
    DFN1C0 \tkcbxxqbtfx_0[9]  (.D(\tkcbxxqbtfx_ns_i[9]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx_0[9]_net_1 ));
    MX2 \gjkdbmpgrtc_12[1]  (.A(N_485), .B(N_553), .S(
        \rdgwgtpkbgc_0[2]_net_1 ), .Y(\gjkdbmpgrtc[1] ));
    OR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I2_P0N (.A(N_257_i), .B(N_256), 
        .Y(N236));
    MX2 \bnwcvzjbgtc_2[0]  (.A(\ftbkrvpxdbp[2]_net_1 ), .B(
        \ftbkrvpxdbp[3]_net_1 ), .S(\rdgwgtpkbgc_1[0]_net_1 ), .Y(
        N_603));
    GND GND_i_0 (.Y(GND_net_1));
    OA1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I121_Y_0 (.A(
        ADD_18x18_fast_I121_un1_Y_0), .B(N341), .C(N334), .Y(
        ADD_18x18_fast_I121_Y_0));
    AO18 fqkdsnjfpdb_0_0_ADD_18x18_fast_I50_Y (.A(
        \ftbkrvpxdbp[0]_net_1 ), .B(\gjkdbmpgrtc[0] ), .C(
        \bnwcvzjbgtc[0] ), .Y(N314));
    AO1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv[0]  (.A(N_204_i_0), .B(
        \un1_bskrjhjvqpf[0] ), .C(\dhzrwbnrbpw_8_iv_0[0] ), .Y(
        \dhzrwbnrbpw_8[0] ));
    XNOR2 gpjgkmhxbkn_0 (.A(Analog_smev_ram_R0C0_DOUTB1), .B(
        \rqrqhcwpqdn[1]_net_1 ), .Y(gpjgkmhxbkn_0_i));
    MX2B \bnwcvzjbgtc_3[15]  (.A(N_731), .B(N_733), .S(
        \rdgwgtpkbgc[1]_net_1 ), .Y(N_635));
    XOR2 fqkdsnjfpdb_26_0 (.A(\bnvtvdkcnpp[0]_net_1 ), .B(
        \gjkdbmpgrtc[6] ), .Y(fqkdsnjfpdb_26_0_net_1));
    AX1C un1_bskrjhjvqpf_ADD_9x9_medium_I28_Y (.A(N121), .B(
        dhzrwbnrbpw[7]), .C(dhzrwbnrbpw[8]), .Y(\un1_bskrjhjvqpf[8] ));
    AOI1A pvtdpmmqdpp_pbzxzjhqhwz_0_I_45 (.A(\ACT_LT3_E[0] ), .B(
        \ACT_LT3_E[1] ), .C(\ACT_LT3_E[2] ), .Y(\ACT_LT3_E[3] ));
    DFN1E0C0 \ftbkrvpxdbp[0]  (.D(\ftbkrvpxdbp_6[0]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(ftbkrvpxdbp_1_sqmuxa_net_1)
        , .Q(\ftbkrvpxdbp[0]_net_1 ));
    DFN1E1C0 spbznmtdmpd (.D(pbzxzjhqhwz), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(dbdctxjdvkp_1_sqmuxa), .Q(spbznmtdmpd_net_1));
    OA1A pvtdpmmqdpp_pbzxzjhqhwz_0_I_26 (.A(N_32), .B(N_34), .C(N_33), 
        .Y(N_37));
    MX2 \gjkdbmpgrtc_9[0]  (.A(\rqrqhcwpqdn[0]_net_1 ), .B(
        \rqrqhcwpqdn[1]_net_1 ), .S(\rdgwgtpkbgc_0[0]_net_1 ), .Y(
        N_518));
    OR3A bskrjhjvqpf_5_sqmuxa_0_a5 (.A(un1_Analog_smev_ram_inst_1_0_2), 
        .B(N_246), .C(un1_Analog_smev_ram_inst_1_0_0), .Y(
        bskrjhjvqpf_5_sqmuxa));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I48_Y (.A(N229), .B(N233), .C(
        N232), .Y(N312));
    NOR2A fqkdsnjfpdb_58 (.A(\bnvtvdkcnpp[6]_net_1 ), .B(
        \bnwcvzjbgtc[12] ), .Y(fqkdsnjfpdb_33_net_1));
    MX2 \bnwcvzjbgtc_11[8]  (.A(N_730), .B(\bnwcvzjbgtc_11_d[8]_net_1 )
        , .S(\bnwcvzjbgtc_11_s[4]_net_1 ), .Y(
        \bnwcvzjbgtc_11[8]_net_1 ));
    OR3C fqkdsnjfpdb_0_0_ADD_18x18_fast_I117_un1_Y (.A(N334), .B(N326), 
        .C(N472), .Y(I117_un1_Y));
    DFN1E1C0 \rdgwgtpkbgc_0[1]  (.D(Analog_smev_ram_R0C0_DOUTB1), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(bskrjhjvqpf_1_sqmuxa), .Q(
        \rdgwgtpkbgc_0[1]_net_1 ));
    NOR2A \gjkdbmpgrtc_7[14]  (.A(N_430), .B(rdgwgtpkbgc_3), .Y(N_498));
    MX2 \bnwcvzjbgtc_12[1]  (.A(N_689), .B(N_757), .S(
        \rdgwgtpkbgc_1[2]_net_1 ), .Y(\bnwcvzjbgtc[1] ));
    XA1A gpjgkmhxbkn_NE_0 (.A(\rqrqhcwpqdn[5]_net_1 ), .B(
        Analog_smev_ram_R0C0_DOUTB5), .C(gpjgkmhxbkn_3_i), .Y(
        gpjgkmhxbkn_NE_0_net_1));
    NOR3A \ckghxwbsztp_5[1]  (.A(I_5), .B(gpjgkmhxbkn_m_net_1), .C(
        sphhbprckfk_iv_0_net_1), .Y(\ckghxwbsztp_5[1]_net_1 ));
    AX1B un1_bskrjhjvqpf_ADD_9x9_medium_I20_Y (.A(N_245), .B(
        bskrjhjvqpf_i_1_net_1), .C(dhzrwbnrbpw[0]), .Y(
        \un1_bskrjhjvqpf[0] ));
    MX2 \bnwcvzjbgtc_3[7]  (.A(N_723), .B(N_725), .S(
        \rdgwgtpkbgc_1[1]_net_1 ), .Y(N_627));
    MX2C \bnvtvdkcnpp_10[1]  (.A(\bnvtvdkcnpp_6[1]_net_1 ), .B(
        \fqkdsnjfpdb_i[7] ), .S(\tkcbxxqbtfx_1[13]_net_1 ), .Y(
        \bnvtvdkcnpp_10[1]_net_1 ));
    NOR2A \gjkdbmpgrtc_7[10]  (.A(N_426), .B(rdgwgtpkbgc_3), .Y(N_494));
    NOR2A \gjkdbmpgrtc_11[0]  (.A(N_420), .B(rdgwgtpkbgc_3), .Y(N_552));
    OR2B \fqkdsnjfpdb_m[11]  (.A(\tkcbxxqbtfx[12]_net_1 ), .B(
        \fqkdsnjfpdb[11] ), .Y(\fqkdsnjfpdb_m[11]_net_1 ));
    XNOR2 gpjgkmhxbkn_2 (.A(Analog_smev_ram_R0C0_DOUTB3), .B(
        \rqrqhcwpqdn[3]_net_1 ), .Y(gpjgkmhxbkn_2_i));
    MX2 \bnwcvzjbgtc_11_d[8]  (.A(N_728), .B(\bnvtvdkcnpp[2]_net_1 ), 
        .S(rdgwgtpkbgc_3), .Y(\bnwcvzjbgtc_11_d[8]_net_1 ));
    DFN1C0 \tkcbxxqbtfx[16]  (.D(\tkcbxxqbtfx_ns[16] ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[16]_net_1 ));
    AOI1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv_1[3]  (.A(N_202_i_0), .B(
        Analog_smev_ram_R0C0_DOUTB3), .C(\dhzrwbnrbpw_8_iv_0[3] ), .Y(
        \dhzrwbnrbpw_8_iv_1[3] ));
    OR3C \zbqggxmnpbs_iv[2]  (.A(\fqkdsnjfpdb_m[8]_net_1 ), .B(
        \ckghxwbsztp_m[1]_net_1 ), .C(\fqkdsnjfpdb_m[17]_net_1 ), .Y(
        zbqggxmnpbs_iv_2));
    MX2 \rqrqhcwpqdn_6_0[1]  (.A(Analog_assc_ram_R0C0_DOUTA1), .B(
        Analog_smev_ram_R0C0_DOUTB1), .S(xkwrgrspmcf_net_1), .Y(N_355));
    MX2 \gjkdbmpgrtc_3[13]  (.A(N_525), .B(N_527), .S(
        \rdgwgtpkbgc_0[1]_net_1 ), .Y(N_429));
    MX2 \bnwcvzjbgtc_3[9]  (.A(N_725), .B(N_727), .S(
        \rdgwgtpkbgc_1[1]_net_1 ), .Y(N_629));
    MX2 \bnvtvdkcnpp_10[9]  (.A(\bnvtvdkcnpp_9[9]_net_1 ), .B(
        \fqkdsnjfpdb[15] ), .S(\tkcbxxqbtfx_1[13]_net_1 ), .Y(
        \bnvtvdkcnpp_10[9]_net_1 ));
    OR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I100_Y (.A(N335), .B(I100_un1_Y)
        , .Y(N373));
    MX2 \gjkdbmpgrtc_12[14]  (.A(N_498), .B(N_566), .S(
        \rdgwgtpkbgc_1[2]_net_1 ), .Y(\gjkdbmpgrtc[14] ));
    OR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I105_Y (.A(I105_un1_Y_i), .B(
        N341), .Y(N472));
    MX2 \ftbkrvpxdbp_6[2]  (.A(Analog_smev_ram_R0C0_DOUTB5), .B(
        \fqkdsnjfpdb[2] ), .S(\tkcbxxqbtfx_0[13]_net_1 ), .Y(
        \ftbkrvpxdbp_6[2]_net_1 ));
    OA1A fqkdsnjfpdb_0_0_ADD_18x18_fast_I119_un1_Y (.A(I107_un1_Y_i), 
        .B(N345), .C(ADD_18x18_fast_I119_un1_Y_0), .Y(I119_un1_Y));
    MX2 \mkmkbnghgkd[2]  (.A(INIT_ADDR_net_2), .B(rjhhzsggrtr[2]), .S(
        INIT_DONE_net), .Y(mkmkbnghgkd[2]));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I40_Y (.A(N241), .B(N245), .C(
        N244), .Y(N304));
    OR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I76_un1_Y (.A(N310), .B(N307), 
        .Y(I76_un1_Y_i));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I33_Y (.A(N257), .B(N254), .Y(
        N297));
    MX2 \gjkdbmpgrtc_3[15]  (.A(N_527), .B(N_529), .S(
        \rdgwgtpkbgc_1[1]_net_1 ), .Y(N_431));
    MX2 \gjkdbmpgrtc_12[5]  (.A(N_489), .B(N_557), .S(
        \rdgwgtpkbgc_0[2]_net_1 ), .Y(\gjkdbmpgrtc[5] ));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I27_Y (.A(N266), .B(N263), .Y(
        N291));
    MX2 \bnwcvzjbgtc_11[3]  (.A(N_627), .B(\ftbkrvpxdbp[3]_net_1 ), .S(
        rdgwgtpkbgc_3), .Y(N_759));
    DFN1E0C0 \mtbjcfqsbqf[3]  (.D(dspfgfmqhwh[3]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(qmmwhjxxxmv_net_1), .Q(mtbjcfqsbqf[3]));
    DFN1C0 \tkcbxxqbtfx[1]  (.D(\tkcbxxqbtfx_ns_i[1]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[1]_net_1 ));
    DFN1C0 \rqrqhcwpqdn[0]  (.D(\rqrqhcwpqdn_6[0]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\rqrqhcwpqdn[0]_net_1 ));
    OA1A \zbqggxmnpbs_r[1]  (.A(N_219), .B(\tkcbxxqbtfx[12]_net_1 ), 
        .C(\zbqggxmnpbs_iv[1]_net_1 ), .Y(zbqggxmnpbs_r[1]));
    OR2B tddhwjzbsrj_m (.A(\tkcbxxqbtfx[17]_net_1 ), .B(
        tddhwjzbsrj_net_1), .Y(tddhwjzbsrj_m_net_1));
    DFN1E1C0 \ckghxwbsztp[3]  (.D(\ckghxwbsztp_5[3]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[16]_net_1 ), 
        .Q(\ckghxwbsztp[3]_net_1 ));
    MX2 \bnwcvzjbgtc_7[9]  (.A(N_629), .B(N_680), .S(rdgwgtpkbgc_3), 
        .Y(N_697));
    NOR2A \bnwcvzjbgtc_11_d_s[6]  (.A(\rdgwgtpkbgc_0[0]_net_1 ), .B(
        rdgwgtpkbgc_3), .Y(\bnwcvzjbgtc_11_d_s[6]_net_1 ));
    OR2 \tkcbxxqbtfx_ns_a5_0_1[4]  (.A(N_249), .B(
        un1_Analog_smev_ram_inst_1_0_2), .Y(N_235_1));
    MX2 \bnwcvzjbgtc_7[6]  (.A(N_626), .B(N_634), .S(rdgwgtpkbgc_3), 
        .Y(\bnwcvzjbgtc_7[6]_net_1 ));
    AX1C un1_bskrjhjvqpf_ADD_9x9_medium_I23_Y (.A(N107), .B(N108), .C(
        dhzrwbnrbpw[3]), .Y(\un1_bskrjhjvqpf[3] ));
    DFN1E1C0 \rdgwgtpkbgc[3]  (.D(Analog_smev_ram_R0C0_DOUTB3), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .E(bskrjhjvqpf_1_sqmuxa), .Q(
        rdgwgtpkbgc_0_3));
    NOR2A fqkdsnjfpdb_23 (.A(\ftbkrvpxdbp[5]_net_1 ), .B(
        \bnwcvzjbgtc[5] ), .Y(fqkdsnjfpdb_12));
    DFN1E1C0 \qrbxknbdvjj[5]  (.D(dhzrwbnrbpw[5]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[6]_net_1 ), .Q(
        \qrbxknbdvjj[5]_net_1 ));
    MX2 \bnwcvzjbgtc_12[5]  (.A(N_693), .B(N_761), .S(
        \rdgwgtpkbgc_1[2]_net_1 ), .Y(\bnwcvzjbgtc[5] ));
    MX2 \gjkdbmpgrtc_3[11]  (.A(N_523), .B(N_525), .S(
        \rdgwgtpkbgc_0[1]_net_1 ), .Y(N_427));
    NOR2A \gjkdbmpgrtc_7[16]  (.A(N_432), .B(rdgwgtpkbgc_3), .Y(N_500));
    MX2 \bnwcvzjbgtc_11[12]  (.A(N_636), .B(\bnvtvdkcnpp[6]_net_1 ), 
        .S(rdgwgtpkbgc_3), .Y(N_768));
    OR2B \jrgzmrqhbkv_m[6]  (.A(un1_Analog_smev_ram_inst_1_0_0), .B(
        N_202_i_0), .Y(\jrgzmrqhbkv_m[6]_net_1 ));
    NOR2B \gjkdbmpgrtc_11[16]  (.A(\rqrqhcwpqdn[10]_net_1 ), .B(
        rdgwgtpkbgc_3), .Y(N_568));
    NOR2B \gjkdbmpgrtc_11[15]  (.A(\rqrqhcwpqdn[9]_net_1 ), .B(
        rdgwgtpkbgc_3), .Y(N_567));
    MX2 \bnwcvzjbgtc_8[0]  (.A(\ftbkrvpxdbp[4]_net_1 ), .B(
        \ftbkrvpxdbp[5]_net_1 ), .S(\rdgwgtpkbgc_1[0]_net_1 ), .Y(
        N_705));
    NOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I133_un1_Y_0 (.A(N346), .B(
        \bnwcvzjbgtc[0] ), .Y(ADD_18x18_fast_I123_un1_Y_0));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I44_Y (.A(N235), .B(N239), .C(
        N238), .Y(N308));
    VCC VCC_i_0 (.Y(VCC_net_1));
    AO18 fqkdsnjfpdb_0_0_ADD_18x18_fast_I46_Y (.A(N_256), .B(N232), .C(
        N_257_i), .Y(N310));
    NOR2B \tkcbxxqbtfx_ns_i[11]  (.A(INIT_DONE_net), .B(tkcbxxqbtfx_10)
        , .Y(\tkcbxxqbtfx_ns_i[11]_net_1 ));
    OR2 fqkdsnjfpdb_35 (.A(fqkdsnjfpdb_35_0_net_1), .B(
        fqkdsnjfpdb_18_net_1), .Y(N_268));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I42_Y (.A(N238), .B(N242), .C(
        N241), .Y(N306));
    MX2 \bnwcvzjbgtc_11[5]  (.A(N_727), .B(\bnwcvzjbgtc_11_d[5]_net_1 )
        , .S(\bnwcvzjbgtc_11_s[4]_net_1 ), .Y(N_761));
    MX2 \gjkdbmpgrtc_12[4]  (.A(N_488), .B(N_556), .S(
        \rdgwgtpkbgc_0[2]_net_1 ), .Y(\gjkdbmpgrtc[4] ));
    NOR2A \bnwcvzjbgtc_7[12]  (.A(N_632), .B(rdgwgtpkbgc_3), .Y(N_700));
    MX2 \bnwcvzjbgtc_12[15]  (.A(N_703), .B(N_771), .S(
        \rdgwgtpkbgc[2]_net_1 ), .Y(\bnwcvzjbgtc[15] ));
    NOR2B hmzcpnxsdwg (.A(qvkpfznsfjx), .B(ASSC_SAMPFLAG_net), .Y(
        hmzcpnxsdwg_net_1));
    NOR2 fqkdsnjfpdb_65 (.A(fqkdsnjfpdb_65_0_net_1), .B(
        fqkdsnjfpdb_36_net_1), .Y(N_280));
    XNOR2 wqpbnjzjqsx_0 (.A(\rqrqhcwpqdn[1]_net_1 ), .B(
        \bnvtvdkcnpp[1]_net_1 ), .Y(wqpbnjzjqsx_0_i_0));
    DFN1C0 \tkcbxxqbtfx[9]  (.D(\tkcbxxqbtfx_ns_i[9]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[9]_net_1 ));
    XOR2 un6_ckghxwbsztp_I_20 (.A(N_4), .B(\rqrqhcwpqdn[5]_net_1 ), .Y(
        I_20));
    OA1A fqkdsnjfpdb_35_0 (.A(\bnwcvzjbgtc[7] ), .B(
        \bnvtvdkcnpp[1]_net_1 ), .C(\gjkdbmpgrtc[7] ), .Y(
        fqkdsnjfpdb_35_0_net_1));
    NOR2 un1_tkcbxxqbtfx_3_i_o5 (.A(dbdctxjdvkp_1_sqmuxa), .B(N_218), 
        .Y(N_219));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I21_Y (.A(N275), .B(N272), .Y(
        N285));
    OR2B \fqkdsnjfpdb_m[9]  (.A(\tkcbxxqbtfx[12]_net_1 ), .B(
        \fqkdsnjfpdb[9] ), .Y(\fqkdsnjfpdb_m[9]_net_1 ));
    MX2C \rqrqhcwpqdn_10_0[9]  (.A(Analog_assc_ram_R0C0_DOUTA0), .B(
        Analog_smev_ram_R0C0_DOUTB0), .S(mvnkctvqsgp_net_1), .Y(N_375));
    AO1B \tkcbxxqbtfx_ns[4]  (.A(N_226), .B(INIT_DONE_net), .C(N_235), 
        .Y(\tkcbxxqbtfx_ns[4]_net_1 ));
    DFN1C0 \tkcbxxqbtfx[8]  (.D(\tkcbxxqbtfx_ns_i[8]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\tkcbxxqbtfx[8]_net_1 ));
    MX2 \gjkdbmpgrtc_11[11]  (.A(N_431), .B(\rqrqhcwpqdn[5]_net_1 ), 
        .S(rdgwgtpkbgc_3), .Y(N_563));
    MX2 \bnwcvzjbgtc_11[0]  (.A(N_624), .B(\ftbkrvpxdbp[0]_net_1 ), .S(
        rdgwgtpkbgc_3), .Y(N_756));
    NOR2B \tkcbxxqbtfx_ns_i[2]  (.A(INIT_DONE_net), .B(
        \tkcbxxqbtfx[1]_net_1 ), .Y(\tkcbxxqbtfx_ns_i[2]_net_1 ));
    NOR2A zbcrjjxqjgg_i_1 (.A(zbcrjjxqjgg_i_0_net_1), .B(N_218), .Y(
        zbcrjjxqjgg_i_1_net_1));
    XAI1A \un1_bskrjhjvqpf_m[6]  (.A(I17_un1_Y), .B(dhzrwbnrbpw[6]), 
        .C(N_204_i_0), .Y(\un1_bskrjhjvqpf_m[6]_net_1 ));
    NOR2B un1_bskrjhjvqpf_ADD_9x9_medium_I1_Y (.A(dhzrwbnrbpw[4]), .B(
        dhzrwbnrbpw[3]), .Y(N105));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I152_Y_0 (.A(N_257_i), .B(
        N_256), .Y(ADD_18x18_fast_I152_Y_0));
    AOI1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv_1[5]  (.A(N_202_i_0), .B(
        Analog_smev_ram_R0C0_DOUTB5), .C(\dhzrwbnrbpw_8_iv_0[5] ), .Y(
        \dhzrwbnrbpw_8_iv_1[5] ));
    MX2 \bnvtvdkcnpp_10[5]  (.A(\bnvtvdkcnpp_6[5]_net_1 ), .B(
        \fqkdsnjfpdb[11] ), .S(\tkcbxxqbtfx[13]_net_1 ), .Y(
        \bnvtvdkcnpp_10[5]_net_1 ));
    NOR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I59_Y (.A(N293), .B(N289), .Y(
        N326));
    AOI1 chxjmrqxptz_m (.A(gpjgkmhxbkn_NE_0_net_1), .B(
        gpjgkmhxbkn_NE_2_net_1), .C(cmkddgvkrrs_0_sqmuxa_net_1), .Y(
        chxjmrqxptz_m_net_1));
    MX2 \gjkdbmpgrtc_11[10]  (.A(N_430), .B(\rqrqhcwpqdn[4]_net_1 ), 
        .S(rdgwgtpkbgc_3), .Y(N_562));
    NOR2A un1_hfzgjxkdrpz_1 (.A(INIT_DONE_net), .B(
        bskrjhjvqpf_6_sqmuxa), .Y(un1_hfzgjxkdrpz_1_net_1));
    AOI1B \pptwzsjcmcz_dhzrwbnrbpw_8_iv_0[4]  (.A(rgmpzqrbghh_0_net_1), 
        .B(mtbjcfqsbqf[3]), .C(\qrbxknbdvjj_m[4]_net_1 ), .Y(
        \dhzrwbnrbpw_8_iv_0[4] ));
    VCC VCC_i (.Y(VCC));
    OR3B \qrbxknbdvjj_m[0]  (.A(\tkcbxxqbtfx_0[9]_net_1 ), .B(
        \qrbxknbdvjj[0]_net_1 ), .C(rgmpzqrbghh_net_1), .Y(
        \qrbxknbdvjj_m[0]_net_1 ));
    NOR2A fqkdsnjfpdb_18 (.A(\ftbkrvpxdbp[4]_net_1 ), .B(
        \bnwcvzjbgtc[4] ), .Y(fqkdsnjfpdb_9));
    OA1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I116_un1_Y (.A(I104_un1_Y), .B(
        N339), .C(ADD_18x18_fast_I116_un1_Y_0), .Y(I116_un1_Y));
    MX2 \bnvtvdkcnpp_10[7]  (.A(\bnvtvdkcnpp_6[7]_net_1 ), .B(
        \fqkdsnjfpdb[13] ), .S(\tkcbxxqbtfx_1[13]_net_1 ), .Y(
        \bnvtvdkcnpp_10[7]_net_1 ));
    NOR3A \tkcbxxqbtfx_ns_o2_0[4]  (.A(N_820), .B(
        \tkcbxxqbtfx[3]_net_1 ), .C(\tkcbxxqbtfx_0[9]_net_1 ), .Y(
        \tkcbxxqbtfx_ns_o2_0[4]_net_1 ));
    NOR2B \tkcbxxqbtfx_ns_i[7]  (.A(INIT_DONE_net), .B(
        \tkcbxxqbtfx[6]_net_1 ), .Y(\tkcbxxqbtfx_ns_i[7]_net_1 ));
    OR2B fqkdsnjfpdb_0_0_ADD_18x18_fast_I133_un1_Y (.A(
        ADD_18x18_fast_I133_un1_Y_0_0), .B(ADD_18x18_fast_I123_un1_Y_0)
        , .Y(ADD_18x18_fast_I133_un1_Y));
    NOR2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_42 (.A(\rqrqhcwpqdn[4]_net_1 ), 
        .B(\bnvtvdkcnpp[4]_net_1 ), .Y(\ACT_LT3_E[0] ));
    DFN1E1C0 \qrbxknbdvjj[0]  (.D(dhzrwbnrbpw[0]), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(\tkcbxxqbtfx[6]_net_1 ), .Q(
        \qrbxknbdvjj[0]_net_1 ));
    MX2 \bnwcvzjbgtc_7[0]  (.A(N_620), .B(N_628), .S(rdgwgtpkbgc_3), 
        .Y(N_688));
    XOR3 fqkdsnjfpdb_6 (.A(\gjkdbmpgrtc[2] ), .B(
        \ftbkrvpxdbp[2]_net_1 ), .C(\bnwcvzjbgtc[2] ), .Y(N_257_i));
    XNOR2 pvtdpmmqdpp_pbzxzjhqhwz_0_I_4 (.A(\bnvtvdkcnpp[10]_net_1 ), 
        .B(\rqrqhcwpqdn[10]_net_1 ), .Y(\DWACT_BL_EQUAL_0_E[3] ));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I68_Y (.A(N299), .B(N302), .C(
        N298), .Y(N335));
    AND2 pvtdpmmqdpp_pbzxzjhqhwz_0_I_8 (.A(
        \DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[1] ), .B(
        \DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[0] ), .Y(\DWACT_COMP0_E[1] ));
    MX2 \gjkdbmpgrtc_9[8]  (.A(\rqrqhcwpqdn[8]_net_1 ), .B(
        \rqrqhcwpqdn[9]_net_1 ), .S(\rdgwgtpkbgc_0[0]_net_1 ), .Y(
        N_526));
    MX2 \gjkdbmpgrtc_3[8]  (.A(N_520), .B(N_522), .S(
        \rdgwgtpkbgc_0[1]_net_1 ), .Y(N_424));
    DFN1E1C0 \rqrqhcwpqdn[7]  (.D(N_361), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(N_363_i), .Q(\rqrqhcwpqdn[7]_net_1 ));
    NOR3A un1_bskrjhjvqpf_ADD_9x9_medium_I3_Y (.A(dhzrwbnrbpw[0]), .B(
        N_245), .C(bskrjhjvqpf_i_1_net_1), .Y(N108));
    XNOR3 fqkdsnjfpdb_71 (.A(\gjkdbmpgrtc[15] ), .B(
        \bnvtvdkcnpp[9]_net_1 ), .C(\bnwcvzjbgtc[15] ), .Y(N_283));
    OA1A fqkdsnjfpdb_80_0 (.A(N_704), .B(\bnvtvdkcnpp[10]_net_1 ), .C(
        \gjkdbmpgrtc[16] ), .Y(fqkdsnjfpdb_80_0_net_1));
    NOR3C \tkcbxxqbtfx_ns_i[1]  (.A(rgmpzqrbghh_0_net_1), .B(
        \tkcbxxqbtfx[0]_net_1 ), .C(INIT_DONE_net), .Y(
        \tkcbxxqbtfx_ns_i[1]_net_1 ));
    AND2A pvtdpmmqdpp_pbzxzjhqhwz_0_I_47 (.A(\rqrqhcwpqdn[6]_net_1 ), 
        .B(\bnvtvdkcnpp[6]_net_1 ), .Y(\ACT_LT3_E[5] ));
    NOR2A \gjkdbmpgrtc_7[12]  (.A(N_428), .B(rdgwgtpkbgc_3), .Y(N_496));
    MX2 \bnwcvzjbgtc_12[3]  (.A(N_691), .B(N_759), .S(
        \rdgwgtpkbgc_1[2]_net_1 ), .Y(\bnwcvzjbgtc[3] ));
    DFN1C0 \dhzrwbnrbpw[4]  (.D(\dhzrwbnrbpw_8[4] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(dhzrwbnrbpw[4]));
    DFN1E0C0 \rqrqhcwpqdn[10]  (.D(N_376), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .E(N_378), .Q(\rqrqhcwpqdn[10]_net_1 ));
    OA1A fqkdsnjfpdb_30_0 (.A(\bnwcvzjbgtc[6] ), .B(
        \bnvtvdkcnpp[0]_net_1 ), .C(\gjkdbmpgrtc[6] ), .Y(
        fqkdsnjfpdb_30_0_net_1));
    MX2 \gjkdbmpgrtc_9[2]  (.A(\rqrqhcwpqdn[2]_net_1 ), .B(
        \rqrqhcwpqdn[3]_net_1 ), .S(\rdgwgtpkbgc_0[0]_net_1 ), .Y(
        N_520));
    MX2 \bnwcvzjbgtc_11_d[7]  (.A(N_729), .B(\bnvtvdkcnpp[1]_net_1 ), 
        .S(rdgwgtpkbgc_3), .Y(\bnwcvzjbgtc_11_d[7]_net_1 ));
    DFN1C0 \bnvtvdkcnpp[7]  (.D(\bnvtvdkcnpp_10[7]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\bnvtvdkcnpp[7]_net_1 ));
    NOR2B un6_ckghxwbsztp_I_19 (.A(\rqrqhcwpqdn[4]_net_1 ), .B(
        \DWACT_FINC_E[0] ), .Y(N_4));
    NOR2 zbcrjjxqjgg_i_o5_1 (.A(\tkcbxxqbtfx[15]_net_1 ), .B(
        \tkcbxxqbtfx[14]_net_1 ), .Y(N_820));
    NOR2B un1_bskrjhjvqpf_ADD_9x9_medium_I9_Y_0 (.A(N107), .B(N105), 
        .Y(ADD_9x9_medium_I9_Y_0));
    XNOR2 fqkdsnjfpdb_21 (.A(fqkdsnjfpdb_21_0_net_1), .B(
        \bnwcvzjbgtc[5] ), .Y(N_263));
    NOR2A \gjkdbmpgrtc_11[3]  (.A(N_423), .B(rdgwgtpkbgc_3), .Y(N_555));
    NOR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I49_Y (.A(N233), .B(N230), .Y(
        N313));
    MX2 \gjkdbmpgrtc_3[14]  (.A(N_526), .B(N_528), .S(
        \rdgwgtpkbgc_1[1]_net_1 ), .Y(N_430));
    NOR2A fqkdsnjfpdb_0_0_ADD_18x18_fast_I116_un1_Y_0 (.A(N332), .B(
        N324), .Y(ADD_18x18_fast_I116_un1_Y_0));
    XOR2 fqkdsnjfpdb_0_0_ADD_18x18_fast_I162_Y_0 (.A(N_277), .B(
        N_276_i), .Y(ADD_18x18_fast_I162_Y_0));
    AO1 fqkdsnjfpdb_0_0_ADD_18x18_fast_I60_Y (.A(N291), .B(N294), .C(
        N290), .Y(N327));
    MX2 \bnwcvzjbgtc_12[9]  (.A(N_697), .B(N_765), .S(
        \rdgwgtpkbgc[2]_net_1 ), .Y(\bnwcvzjbgtc[9] ));
    XNOR2 pvtdpmmqdpp_pbzxzjhqhwz_0_I_34 (.A(\bnvtvdkcnpp[4]_net_1 ), 
        .B(\rqrqhcwpqdn[4]_net_1 ), .Y(\DWACT_BL_EQUAL_0_E[0] ));
    MX2 \gjkdbmpgrtc_3[10]  (.A(N_522), .B(N_524), .S(
        \rdgwgtpkbgc_0[1]_net_1 ), .Y(N_426));
    NOR3A \gjkdbmpgrtc_6[9]  (.A(\rqrqhcwpqdn[11]_net_1 ), .B(
        \rdgwgtpkbgc[0]_net_1 ), .C(\rdgwgtpkbgc[1]_net_1 ), .Y(N_476));
    
endmodule


module SMEV_6s_0s_1s_0s_0s_1s_9s_5s_0s(
       rdgwgtpkbgc_0,
       zbqggxmnpbs_r,
       un1_Analog_smev_ram_inst_1_0_2,
       un1_Analog_smev_ram_inst_1_0_0,
       mtbjcfqsbqf,
       dhzrwbnrbpw,
       tkcbxxqbtfx,
       zbqggxmnpbs_iv_3,
       zbqggxmnpbs_iv_5,
       zbqggxmnpbs_iv_2,
       zbqggxmnpbs_iv_4,
       zbqggxmnpbs_iv_0,
       mkmkbnghgkd,
       INIT_ADDR_net_0_d0,
       INIT_ADDR_net_1,
       INIT_ADDR_net_2,
       INIT_ADDR_net_3,
       INIT_ADDR_net_4,
       INIT_ADDR_net_5,
       INIT_ADDR_net_6,
       INIT_ADDR_net_8,
       rjhhzsggrtr,
       INIT_ADDR_net_0,
       zbqggxmnpbs_0_iv,
       dspfgfmqhwh,
       kkkmkxwwscv,
       bnrsdrtmtsg,
       rdgwgtpkbgc,
       EV_DONE_net_0,
       SYS_CLK_int,
       SYS_RESET_c,
       Analog_smev_ram_R0C0_DOUTB0,
       bskrjhjvqpf_1_sqmuxa,
       Analog_smev_ram_R0C0_DOUTB1,
       Analog_smev_ram_R0C0_DOUTB2,
       Analog_smev_ram_R0C0_DOUTB7,
       Analog_smev_ram_R0C0_DOUTB4,
       Analog_smev_ram_R0C0_DOUTB3,
       Analog_smev_ram_R0C0_DOUTB5,
       EV_RAM_CSN_B_net,
       INIT_DONE_net,
       EV_RAM_WR_BUSY_B_net_i_0,
       qvkpfznsfjx,
       ASSC_SAMPFLAG_net,
       N_301,
       ktwrhqstzjg,
       EV_RAM_RW_A_net,
       INIT_EV_WEN_net,
       Analog_smev_ram_R0C0_DOUTB8,
       Analog_smev_ram_R0C0_DOUTB6,
       Analog_assc_ram_R0C0_DOUTA0,
       Analog_assc_ram_R0C0_DOUTA1,
       Analog_assc_ram_R0C0_DOUTA2,
       Analog_assc_ram_R0C0_DOUTA3,
       Analog_assc_ram_R0C0_DOUTA4,
       Analog_assc_ram_R0C0_DOUTA5,
       Analog_assc_ram_R0C0_DOUTA6,
       Analog_assc_ram_R0C0_DOUTA7,
       Analog_assc_ram_R0C0_DOUTA8,
       EV_RAM_CSN_A_net,
       TR_EV_RD_net,
       EV_DONE_net,
       EV_EVFLAG_net
    );
input  [3:3] rdgwgtpkbgc_0;
output [1:1] zbqggxmnpbs_r;
input  un1_Analog_smev_ram_inst_1_0_2;
input  un1_Analog_smev_ram_inst_1_0_0;
output [4:0] mtbjcfqsbqf;
output [8:0] dhzrwbnrbpw;
output [10:10] tkcbxxqbtfx;
output zbqggxmnpbs_iv_3;
output zbqggxmnpbs_iv_5;
output zbqggxmnpbs_iv_2;
output zbqggxmnpbs_iv_4;
output zbqggxmnpbs_iv_0;
output [8:0] mkmkbnghgkd;
input  INIT_ADDR_net_0_d0;
input  INIT_ADDR_net_1;
input  INIT_ADDR_net_2;
input  INIT_ADDR_net_3;
input  INIT_ADDR_net_4;
input  INIT_ADDR_net_5;
input  INIT_ADDR_net_6;
input  INIT_ADDR_net_8;
input  [8:0] rjhhzsggrtr;
input  [7:7] INIT_ADDR_net_0;
output [8:6] zbqggxmnpbs_0_iv;
input  [4:0] dspfgfmqhwh;
output [5:0] kkkmkxwwscv;
input  [5:0] bnrsdrtmtsg;
output [3:3] rdgwgtpkbgc;
output EV_DONE_net_0;
input  SYS_CLK_int;
input  SYS_RESET_c;
input  Analog_smev_ram_R0C0_DOUTB0;
output bskrjhjvqpf_1_sqmuxa;
input  Analog_smev_ram_R0C0_DOUTB1;
input  Analog_smev_ram_R0C0_DOUTB2;
input  Analog_smev_ram_R0C0_DOUTB7;
input  Analog_smev_ram_R0C0_DOUTB4;
input  Analog_smev_ram_R0C0_DOUTB3;
input  Analog_smev_ram_R0C0_DOUTB5;
output EV_RAM_CSN_B_net;
input  INIT_DONE_net;
output EV_RAM_WR_BUSY_B_net_i_0;
input  qvkpfznsfjx;
input  ASSC_SAMPFLAG_net;
input  N_301;
input  ktwrhqstzjg;
output EV_RAM_RW_A_net;
input  INIT_EV_WEN_net;
input  Analog_smev_ram_R0C0_DOUTB8;
input  Analog_smev_ram_R0C0_DOUTB6;
input  Analog_assc_ram_R0C0_DOUTA0;
input  Analog_assc_ram_R0C0_DOUTA1;
input  Analog_assc_ram_R0C0_DOUTA2;
input  Analog_assc_ram_R0C0_DOUTA3;
input  Analog_assc_ram_R0C0_DOUTA4;
input  Analog_assc_ram_R0C0_DOUTA5;
input  Analog_assc_ram_R0C0_DOUTA6;
input  Analog_assc_ram_R0C0_DOUTA7;
input  Analog_assc_ram_R0C0_DOUTA8;
output EV_RAM_CSN_A_net;
input  TR_EV_RD_net;
output EV_DONE_net;
output EV_EVFLAG_net;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    nbnjbfrkqwq_Z2 u_nbnjbfrkqwq (.rdgwgtpkbgc_0_3(rdgwgtpkbgc[3]), 
        .bnrsdrtmtsg({bnrsdrtmtsg[5], bnrsdrtmtsg[4], bnrsdrtmtsg[3], 
        bnrsdrtmtsg[2], bnrsdrtmtsg[1], bnrsdrtmtsg[0]}), .kkkmkxwwscv({
        kkkmkxwwscv[5], kkkmkxwwscv[4], kkkmkxwwscv[3], kkkmkxwwscv[2], 
        kkkmkxwwscv[1], kkkmkxwwscv[0]}), .dspfgfmqhwh({dspfgfmqhwh[4], 
        dspfgfmqhwh[3], dspfgfmqhwh[2], dspfgfmqhwh[1], dspfgfmqhwh[0]})
        , .zbqggxmnpbs_0_iv({zbqggxmnpbs_0_iv[8], zbqggxmnpbs_0_iv[7], 
        zbqggxmnpbs_0_iv[6]}), .INIT_ADDR_net_0({INIT_ADDR_net_0[7]}), 
        .rjhhzsggrtr({rjhhzsggrtr[8], rjhhzsggrtr[7], rjhhzsggrtr[6], 
        rjhhzsggrtr[5], rjhhzsggrtr[4], rjhhzsggrtr[3], rjhhzsggrtr[2], 
        rjhhzsggrtr[1], rjhhzsggrtr[0]}), .INIT_ADDR_net_8(
        INIT_ADDR_net_8), .INIT_ADDR_net_6(INIT_ADDR_net_6), 
        .INIT_ADDR_net_5(INIT_ADDR_net_5), .INIT_ADDR_net_4(
        INIT_ADDR_net_4), .INIT_ADDR_net_3(INIT_ADDR_net_3), 
        .INIT_ADDR_net_2(INIT_ADDR_net_2), .INIT_ADDR_net_1(
        INIT_ADDR_net_1), .INIT_ADDR_net_0_d0(INIT_ADDR_net_0_d0), 
        .mkmkbnghgkd({mkmkbnghgkd[8], mkmkbnghgkd[7], mkmkbnghgkd[6], 
        mkmkbnghgkd[5], mkmkbnghgkd[4], mkmkbnghgkd[3], mkmkbnghgkd[2], 
        mkmkbnghgkd[1], mkmkbnghgkd[0]}), .zbqggxmnpbs_iv_0(
        zbqggxmnpbs_iv_0), .zbqggxmnpbs_iv_4(zbqggxmnpbs_iv_4), 
        .zbqggxmnpbs_iv_2(zbqggxmnpbs_iv_2), .zbqggxmnpbs_iv_5(
        zbqggxmnpbs_iv_5), .zbqggxmnpbs_iv_3(zbqggxmnpbs_iv_3), 
        .tkcbxxqbtfx_10(tkcbxxqbtfx[10]), .dhzrwbnrbpw({dhzrwbnrbpw[8], 
        dhzrwbnrbpw[7], dhzrwbnrbpw[6], dhzrwbnrbpw[5], dhzrwbnrbpw[4], 
        dhzrwbnrbpw[3], dhzrwbnrbpw[2], dhzrwbnrbpw[1], dhzrwbnrbpw[0]})
        , .mtbjcfqsbqf({mtbjcfqsbqf[4], mtbjcfqsbqf[3], mtbjcfqsbqf[2], 
        mtbjcfqsbqf[1], mtbjcfqsbqf[0]}), 
        .un1_Analog_smev_ram_inst_1_0_0(un1_Analog_smev_ram_inst_1_0_0)
        , .un1_Analog_smev_ram_inst_1_0_2(
        un1_Analog_smev_ram_inst_1_0_2), .zbqggxmnpbs_r({
        zbqggxmnpbs_r[1]}), .rdgwgtpkbgc_3(rdgwgtpkbgc_0[3]), 
        .EV_EVFLAG_net(EV_EVFLAG_net), .EV_DONE_net(EV_DONE_net), 
        .TR_EV_RD_net(TR_EV_RD_net), .EV_RAM_CSN_A_net(
        EV_RAM_CSN_A_net), .Analog_assc_ram_R0C0_DOUTA8(
        Analog_assc_ram_R0C0_DOUTA8), .Analog_assc_ram_R0C0_DOUTA7(
        Analog_assc_ram_R0C0_DOUTA7), .Analog_assc_ram_R0C0_DOUTA6(
        Analog_assc_ram_R0C0_DOUTA6), .Analog_assc_ram_R0C0_DOUTA5(
        Analog_assc_ram_R0C0_DOUTA5), .Analog_assc_ram_R0C0_DOUTA4(
        Analog_assc_ram_R0C0_DOUTA4), .Analog_assc_ram_R0C0_DOUTA3(
        Analog_assc_ram_R0C0_DOUTA3), .Analog_assc_ram_R0C0_DOUTA2(
        Analog_assc_ram_R0C0_DOUTA2), .Analog_assc_ram_R0C0_DOUTA1(
        Analog_assc_ram_R0C0_DOUTA1), .Analog_assc_ram_R0C0_DOUTA0(
        Analog_assc_ram_R0C0_DOUTA0), .Analog_smev_ram_R0C0_DOUTB6(
        Analog_smev_ram_R0C0_DOUTB6), .Analog_smev_ram_R0C0_DOUTB8(
        Analog_smev_ram_R0C0_DOUTB8), .INIT_EV_WEN_net(INIT_EV_WEN_net)
        , .EV_RAM_RW_A_net(EV_RAM_RW_A_net), .ktwrhqstzjg(ktwrhqstzjg), 
        .N_301(N_301), .ASSC_SAMPFLAG_net(ASSC_SAMPFLAG_net), 
        .qvkpfznsfjx(qvkpfznsfjx), .EV_RAM_WR_BUSY_B_net_i_0(
        EV_RAM_WR_BUSY_B_net_i_0), .INIT_DONE_net(INIT_DONE_net), 
        .EV_RAM_CSN_B_net(EV_RAM_CSN_B_net), 
        .Analog_smev_ram_R0C0_DOUTB5(Analog_smev_ram_R0C0_DOUTB5), 
        .Analog_smev_ram_R0C0_DOUTB3(Analog_smev_ram_R0C0_DOUTB3), 
        .Analog_smev_ram_R0C0_DOUTB4(Analog_smev_ram_R0C0_DOUTB4), 
        .Analog_smev_ram_R0C0_DOUTB7(Analog_smev_ram_R0C0_DOUTB7), 
        .Analog_smev_ram_R0C0_DOUTB2(Analog_smev_ram_R0C0_DOUTB2), 
        .Analog_smev_ram_R0C0_DOUTB1(Analog_smev_ram_R0C0_DOUTB1), 
        .bskrjhjvqpf_1_sqmuxa(bskrjhjvqpf_1_sqmuxa), 
        .Analog_smev_ram_R0C0_DOUTB0(Analog_smev_ram_R0C0_DOUTB0), 
        .SYS_RESET_c(SYS_RESET_c), .SYS_CLK_int(SYS_CLK_int), 
        .EV_DONE_net_0(EV_DONE_net_0));
    GND GND_i (.Y(GND));
    
endmodule


module Analog_smev_wrapper(
       rdgwgtpkbgc_0,
       bnrsdrtmtsg,
       kkkmkxwwscv,
       dspfgfmqhwh,
       zbqggxmnpbs_0_iv,
       INIT_ADDR_net_0,
       rjhhzsggrtr,
       INIT_ADDR_net_8,
       INIT_ADDR_net_6,
       INIT_ADDR_net_5,
       INIT_ADDR_net_4,
       INIT_ADDR_net_3,
       INIT_ADDR_net_2,
       INIT_ADDR_net_1,
       INIT_ADDR_net_0_d0,
       mkmkbnghgkd,
       zbqggxmnpbs_iv_0,
       zbqggxmnpbs_iv_4,
       zbqggxmnpbs_iv_2,
       zbqggxmnpbs_iv_5,
       zbqggxmnpbs_iv_3,
       tkcbxxqbtfx,
       dhzrwbnrbpw,
       mtbjcfqsbqf,
       un1_Analog_smev_ram_inst_1_0_0,
       un1_Analog_smev_ram_inst_1_0_2,
       zbqggxmnpbs_r,
       rdgwgtpkbgc,
       EV_EVFLAG_net,
       EV_DONE_net,
       TR_EV_RD_net,
       EV_RAM_CSN_A_net,
       Analog_assc_ram_R0C0_DOUTA8,
       Analog_assc_ram_R0C0_DOUTA7,
       Analog_assc_ram_R0C0_DOUTA6,
       Analog_assc_ram_R0C0_DOUTA5,
       Analog_assc_ram_R0C0_DOUTA4,
       Analog_assc_ram_R0C0_DOUTA3,
       Analog_assc_ram_R0C0_DOUTA2,
       Analog_assc_ram_R0C0_DOUTA1,
       Analog_assc_ram_R0C0_DOUTA0,
       Analog_smev_ram_R0C0_DOUTB6,
       Analog_smev_ram_R0C0_DOUTB8,
       INIT_EV_WEN_net,
       EV_RAM_RW_A_net,
       ktwrhqstzjg,
       N_301,
       ASSC_SAMPFLAG_net,
       qvkpfznsfjx,
       EV_RAM_WR_BUSY_B_net_i_0,
       INIT_DONE_net,
       EV_RAM_CSN_B_net,
       Analog_smev_ram_R0C0_DOUTB5,
       Analog_smev_ram_R0C0_DOUTB3,
       Analog_smev_ram_R0C0_DOUTB4,
       Analog_smev_ram_R0C0_DOUTB7,
       Analog_smev_ram_R0C0_DOUTB2,
       Analog_smev_ram_R0C0_DOUTB1,
       bskrjhjvqpf_1_sqmuxa,
       Analog_smev_ram_R0C0_DOUTB0,
       SYS_RESET_c,
       SYS_CLK_int,
       EV_DONE_net_0
    );
output [3:3] rdgwgtpkbgc_0;
input  [5:0] bnrsdrtmtsg;
output [5:0] kkkmkxwwscv;
input  [4:0] dspfgfmqhwh;
output [8:6] zbqggxmnpbs_0_iv;
input  [7:7] INIT_ADDR_net_0;
input  [8:0] rjhhzsggrtr;
input  INIT_ADDR_net_8;
input  INIT_ADDR_net_6;
input  INIT_ADDR_net_5;
input  INIT_ADDR_net_4;
input  INIT_ADDR_net_3;
input  INIT_ADDR_net_2;
input  INIT_ADDR_net_1;
input  INIT_ADDR_net_0_d0;
output [8:0] mkmkbnghgkd;
output zbqggxmnpbs_iv_0;
output zbqggxmnpbs_iv_4;
output zbqggxmnpbs_iv_2;
output zbqggxmnpbs_iv_5;
output zbqggxmnpbs_iv_3;
output [10:10] tkcbxxqbtfx;
output [8:0] dhzrwbnrbpw;
output [4:0] mtbjcfqsbqf;
input  un1_Analog_smev_ram_inst_1_0_0;
input  un1_Analog_smev_ram_inst_1_0_2;
output [1:1] zbqggxmnpbs_r;
input  [3:3] rdgwgtpkbgc;
output EV_EVFLAG_net;
output EV_DONE_net;
input  TR_EV_RD_net;
output EV_RAM_CSN_A_net;
input  Analog_assc_ram_R0C0_DOUTA8;
input  Analog_assc_ram_R0C0_DOUTA7;
input  Analog_assc_ram_R0C0_DOUTA6;
input  Analog_assc_ram_R0C0_DOUTA5;
input  Analog_assc_ram_R0C0_DOUTA4;
input  Analog_assc_ram_R0C0_DOUTA3;
input  Analog_assc_ram_R0C0_DOUTA2;
input  Analog_assc_ram_R0C0_DOUTA1;
input  Analog_assc_ram_R0C0_DOUTA0;
input  Analog_smev_ram_R0C0_DOUTB6;
input  Analog_smev_ram_R0C0_DOUTB8;
input  INIT_EV_WEN_net;
output EV_RAM_RW_A_net;
input  ktwrhqstzjg;
input  N_301;
input  ASSC_SAMPFLAG_net;
input  qvkpfznsfjx;
output EV_RAM_WR_BUSY_B_net_i_0;
input  INIT_DONE_net;
output EV_RAM_CSN_B_net;
input  Analog_smev_ram_R0C0_DOUTB5;
input  Analog_smev_ram_R0C0_DOUTB3;
input  Analog_smev_ram_R0C0_DOUTB4;
input  Analog_smev_ram_R0C0_DOUTB7;
input  Analog_smev_ram_R0C0_DOUTB2;
input  Analog_smev_ram_R0C0_DOUTB1;
output bskrjhjvqpf_1_sqmuxa;
input  Analog_smev_ram_R0C0_DOUTB0;
input  SYS_RESET_c;
input  SYS_CLK_int;
output EV_DONE_net_0;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    SMEV_6s_0s_1s_0s_0s_1s_9s_5s_0s user_Analog_smev_wrapper (
        .rdgwgtpkbgc_0({rdgwgtpkbgc[3]}), .zbqggxmnpbs_r({
        zbqggxmnpbs_r[1]}), .un1_Analog_smev_ram_inst_1_0_2(
        un1_Analog_smev_ram_inst_1_0_2), 
        .un1_Analog_smev_ram_inst_1_0_0(un1_Analog_smev_ram_inst_1_0_0)
        , .mtbjcfqsbqf({mtbjcfqsbqf[4], mtbjcfqsbqf[3], mtbjcfqsbqf[2], 
        mtbjcfqsbqf[1], mtbjcfqsbqf[0]}), .dhzrwbnrbpw({dhzrwbnrbpw[8], 
        dhzrwbnrbpw[7], dhzrwbnrbpw[6], dhzrwbnrbpw[5], dhzrwbnrbpw[4], 
        dhzrwbnrbpw[3], dhzrwbnrbpw[2], dhzrwbnrbpw[1], dhzrwbnrbpw[0]})
        , .tkcbxxqbtfx({tkcbxxqbtfx[10]}), .zbqggxmnpbs_iv_3(
        zbqggxmnpbs_iv_3), .zbqggxmnpbs_iv_5(zbqggxmnpbs_iv_5), 
        .zbqggxmnpbs_iv_2(zbqggxmnpbs_iv_2), .zbqggxmnpbs_iv_4(
        zbqggxmnpbs_iv_4), .zbqggxmnpbs_iv_0(zbqggxmnpbs_iv_0), 
        .mkmkbnghgkd({mkmkbnghgkd[8], mkmkbnghgkd[7], mkmkbnghgkd[6], 
        mkmkbnghgkd[5], mkmkbnghgkd[4], mkmkbnghgkd[3], mkmkbnghgkd[2], 
        mkmkbnghgkd[1], mkmkbnghgkd[0]}), .INIT_ADDR_net_0_d0(
        INIT_ADDR_net_0_d0), .INIT_ADDR_net_1(INIT_ADDR_net_1), 
        .INIT_ADDR_net_2(INIT_ADDR_net_2), .INIT_ADDR_net_3(
        INIT_ADDR_net_3), .INIT_ADDR_net_4(INIT_ADDR_net_4), 
        .INIT_ADDR_net_5(INIT_ADDR_net_5), .INIT_ADDR_net_6(
        INIT_ADDR_net_6), .INIT_ADDR_net_8(INIT_ADDR_net_8), 
        .rjhhzsggrtr({rjhhzsggrtr[8], rjhhzsggrtr[7], rjhhzsggrtr[6], 
        rjhhzsggrtr[5], rjhhzsggrtr[4], rjhhzsggrtr[3], rjhhzsggrtr[2], 
        rjhhzsggrtr[1], rjhhzsggrtr[0]}), .INIT_ADDR_net_0({
        INIT_ADDR_net_0[7]}), .zbqggxmnpbs_0_iv({zbqggxmnpbs_0_iv[8], 
        zbqggxmnpbs_0_iv[7], zbqggxmnpbs_0_iv[6]}), .dspfgfmqhwh({
        dspfgfmqhwh[4], dspfgfmqhwh[3], dspfgfmqhwh[2], dspfgfmqhwh[1], 
        dspfgfmqhwh[0]}), .kkkmkxwwscv({kkkmkxwwscv[5], kkkmkxwwscv[4], 
        kkkmkxwwscv[3], kkkmkxwwscv[2], kkkmkxwwscv[1], kkkmkxwwscv[0]})
        , .bnrsdrtmtsg({bnrsdrtmtsg[5], bnrsdrtmtsg[4], bnrsdrtmtsg[3], 
        bnrsdrtmtsg[2], bnrsdrtmtsg[1], bnrsdrtmtsg[0]}), .rdgwgtpkbgc({
        rdgwgtpkbgc_0[3]}), .EV_DONE_net_0(EV_DONE_net_0), 
        .SYS_CLK_int(SYS_CLK_int), .SYS_RESET_c(SYS_RESET_c), 
        .Analog_smev_ram_R0C0_DOUTB0(Analog_smev_ram_R0C0_DOUTB0), 
        .bskrjhjvqpf_1_sqmuxa(bskrjhjvqpf_1_sqmuxa), 
        .Analog_smev_ram_R0C0_DOUTB1(Analog_smev_ram_R0C0_DOUTB1), 
        .Analog_smev_ram_R0C0_DOUTB2(Analog_smev_ram_R0C0_DOUTB2), 
        .Analog_smev_ram_R0C0_DOUTB7(Analog_smev_ram_R0C0_DOUTB7), 
        .Analog_smev_ram_R0C0_DOUTB4(Analog_smev_ram_R0C0_DOUTB4), 
        .Analog_smev_ram_R0C0_DOUTB3(Analog_smev_ram_R0C0_DOUTB3), 
        .Analog_smev_ram_R0C0_DOUTB5(Analog_smev_ram_R0C0_DOUTB5), 
        .EV_RAM_CSN_B_net(EV_RAM_CSN_B_net), .INIT_DONE_net(
        INIT_DONE_net), .EV_RAM_WR_BUSY_B_net_i_0(
        EV_RAM_WR_BUSY_B_net_i_0), .qvkpfznsfjx(qvkpfznsfjx), 
        .ASSC_SAMPFLAG_net(ASSC_SAMPFLAG_net), .N_301(N_301), 
        .ktwrhqstzjg(ktwrhqstzjg), .EV_RAM_RW_A_net(EV_RAM_RW_A_net), 
        .INIT_EV_WEN_net(INIT_EV_WEN_net), 
        .Analog_smev_ram_R0C0_DOUTB8(Analog_smev_ram_R0C0_DOUTB8), 
        .Analog_smev_ram_R0C0_DOUTB6(Analog_smev_ram_R0C0_DOUTB6), 
        .Analog_assc_ram_R0C0_DOUTA0(Analog_assc_ram_R0C0_DOUTA0), 
        .Analog_assc_ram_R0C0_DOUTA1(Analog_assc_ram_R0C0_DOUTA1), 
        .Analog_assc_ram_R0C0_DOUTA2(Analog_assc_ram_R0C0_DOUTA2), 
        .Analog_assc_ram_R0C0_DOUTA3(Analog_assc_ram_R0C0_DOUTA3), 
        .Analog_assc_ram_R0C0_DOUTA4(Analog_assc_ram_R0C0_DOUTA4), 
        .Analog_assc_ram_R0C0_DOUTA5(Analog_assc_ram_R0C0_DOUTA5), 
        .Analog_assc_ram_R0C0_DOUTA6(Analog_assc_ram_R0C0_DOUTA6), 
        .Analog_assc_ram_R0C0_DOUTA7(Analog_assc_ram_R0C0_DOUTA7), 
        .Analog_assc_ram_R0C0_DOUTA8(Analog_assc_ram_R0C0_DOUTA8), 
        .EV_RAM_CSN_A_net(EV_RAM_CSN_A_net), .TR_EV_RD_net(
        TR_EV_RD_net), .EV_DONE_net(EV_DONE_net), .EV_EVFLAG_net(
        EV_EVFLAG_net));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module Analog(
       rdgwgtpkbgc_0,
       INIT_ADDR_net_0,
       rdgwgtpkbgc,
       INIT_DATA_net,
       INIT_ADDR_net,
       INIT_ASSC_WEN_net,
       INIT_EV_WEN_net,
       AV5V_under4p75_net,
       AV5V_over5p25_net,
       INIT_DONE_net,
       N_4,
       N_10,
       Analog_VCC,
       SYS_CLK_int,
       Supply_good_en_net,
       SYS_RESET_c,
       CLK10M,
       VAREF,
       AV5V,
       Analog_GND,
       INIT_ACM_WEN_net,
       Over_temp,
       Supply_good,
       ATRETURN01,
       Temp
    );
input  [3:3] rdgwgtpkbgc_0;
input  [7:7] INIT_ADDR_net_0;
output [3:3] rdgwgtpkbgc;
input  [8:0] INIT_DATA_net;
input  [8:0] INIT_ADDR_net;
input  INIT_ASSC_WEN_net;
input  INIT_EV_WEN_net;
output AV5V_under4p75_net;
output AV5V_over5p25_net;
input  INIT_DONE_net;
input  N_4;
input  N_10;
input  Analog_VCC;
input  SYS_CLK_int;
input  Supply_good_en_net;
input  SYS_RESET_c;
input  CLK10M;
inout  VAREF;
input  AV5V;
input  Analog_GND;
input  INIT_ACM_WEN_net;
output Over_temp;
output Supply_good;
input  ATRETURN01;
input  Temp;

    wire AT0_net, ATRETURN01_net, AG0_net, AG1_net, 
        INIT_ACM_WEN_OR_net, AV0_net, \AB_INST_ACMRDATA[0] , 
        \AB_INST_ACMRDATA[1] , \AB_INST_ACMRDATA[2] , 
        \AB_INST_ACMRDATA[3] , \AB_INST_ACMRDATA[4] , 
        \AB_INST_ACMRDATA[5] , \AB_INST_ACMRDATA[6] , 
        \AB_INST_ACMRDATA[7] , AB_INST_AG2, AB_INST_AG3, AB_INST_AG4, 
        AB_INST_AG5, AB_INST_AG6, AB_INST_AG7, AB_INST_AG8, 
        AB_INST_AG9, ADC_BUSY_net, ADC_CALIBRATE_net, AB_INST_DACOUT0, 
        AB_INST_DACOUT1, AB_INST_DACOUT2, AB_INST_DACOUT3, 
        AB_INST_DACOUT4, AB_INST_DACOUT5, AB_INST_DACOUT6, 
        AB_INST_DACOUT7, AB_INST_DACOUT8, AB_INST_DACOUT9, 
        AB_INST_DATAVALID, AB_INST_DATOUT0, AB_INST_DATOUT1, 
        AB_INST_DATOUT2, AB_INST_DATOUT3, AB_INST_DATOUT4, 
        AB_INST_DATOUT5, AB_INST_DATOUT6, AB_INST_DATOUT7, 
        AB_INST_DATOUT8, AB_INST_DATOUT9, AB_INST_DAVOUT0, 
        AB_INST_DAVOUT1, AB_INST_DAVOUT2, AB_INST_DAVOUT3, 
        AB_INST_DAVOUT4, AB_INST_DAVOUT5, AB_INST_DAVOUT6, 
        AB_INST_DAVOUT7, AB_INST_DAVOUT8, AB_INST_DAVOUT9, 
        \AB_INST_RESULT[0] , \AB_INST_RESULT[1] , \AB_INST_RESULT[2] , 
        \AB_INST_RESULT[3] , \AB_INST_RESULT[4] , \AB_INST_RESULT[5] , 
        \AB_INST_RESULT[6] , \AB_INST_RESULT[7] , \AB_INST_RESULT[8] , 
        \AB_INST_RESULT[9] , \AB_INST_RESULT[10] , 
        \AB_INST_RESULT[11] , AB_INST_RTCMATCH, AB_INST_RTCPSMMATCH, 
        \AB_INST_RTCXTLMODE[0] , \AB_INST_RTCXTLMODE[1] , 
        AB_INST_RTCXTLSEL, AB_INST_SAMPLE, ADC_RESET_net, 
        ADC_START_net, \dspfgfmqhwh[0] , \dspfgfmqhwh[1] , 
        \dspfgfmqhwh[2] , \dspfgfmqhwh[3] , \dspfgfmqhwh[4] , 
        Temp_over70C_net, \pfkhhxxsrzp[0] , \pfkhhxxsrzp[1] , 
        \pfkhhxxsrzp[2] , \pfkhhxxsrzp[3] , ADC_PDOWN_net, 
        \ptxbvztnpnf[0] , \ptxbvztnpnf[1] , \ptxbvztnpnf[2] , 
        \ptxbvztnpnf[3] , \ptxbvztnpnf[4] , \ptxbvztnpnf[5] , 
        \ptxbvztnpnf[6] , \ptxbvztnpnf[7] , TM_STB_net_0, 
        \dbcvwwhvvwh[0] , \dbcvwwhvvwh[1] , \dbcvwwhvvwh[2] , 
        \dbcvwwhvvwh[3] , \dbcvwwhvvwh[4] , \dbcvwwhvvwh[5] , 
        \dbcvwwhvvwh[6] , \dbcvwwhvvwh[7] , \jfkkdmfhcdn_0_a3[5] , 
        \jfkkdmfhcdn_0_a3[6] , \jfkkdmfhcdn_0_a3[7] , 
        \jfkkdmfhcdn_0_a3[8] , \jfkkdmfhcdn[0] , \jfkkdmfhcdn[1] , 
        \jfkkdmfhcdn[2] , \jfkkdmfhcdn[3] , \jfkkdmfhcdn[4] , 
        \qgnzcpmbksd[0] , \qgnzcpmbksd[1] , \qgnzcpmbksd[2] , 
        \qgnzcpmbksd[3] , \qgnzcpmbksd[4] , \qgnzcpmbksd[5] , 
        \qgnzcpmbksd[6] , \qgnzcpmbksd[7] , \qgnzcpmbksd[8] , 
        \un1_Analog_smtr_ram_inst_1_0[8] , xgnmbzmtzbb_0, 
        TR_RAM_CSN_B_net, TR_RAM_RW_A_net, Analog_smtr_ram_R0C0_DOUTB7, 
        Analog_smtr_ram_R0C0_DOUTB6, Analog_smtr_ram_R0C0_DOUTB5, 
        Analog_smtr_ram_R0C0_DOUTB4, Analog_smtr_ram_R0C0_DOUTB3, 
        Analog_smtr_ram_R0C0_DOUTB2, Analog_smtr_ram_R0C0_DOUTB1, 
        Analog_smtr_ram_R0C0_DOUTB0, Analog_smtr_ram_R0C0_DOUTB8, 
        \rjhhzsggrtr[0] , \rjhhzsggrtr[1] , \rjhhzsggrtr[2] , 
        \rjhhzsggrtr[3] , \rjhhzsggrtr[4] , \rjhhzsggrtr[5] , 
        \rjhhzsggrtr[6] , \rjhhzsggrtr[7] , \rjhhzsggrtr[8] , 
        \mtbjcfqsbqf[0] , \mtbjcfqsbqf[1] , \mtbjcfqsbqf[2] , 
        \mtbjcfqsbqf[3] , \mtbjcfqsbqf[4] , TR_TRFLAG_net, 
        TR_DONE_net_i_0, Analog_smev_ram_R0C0_DOUTA0, EV_DONE_net, 
        TR_EV_RD_net, EV_DONE_net_0, \mksbfqnmmgw[0] , 
        \mksbfqnmmgw[1] , \mksbfqnmmgw[2] , \mksbfqnmmgw[3] , 
        \mksbfqnmmgw[4] , \mksbfqnmmgw[5] , \mksbfqnmmgw[6] , 
        \mksbfqnmmgw[7] , \mksbfqnmmgw[8] , \bnrsdrtmtsg[0] , 
        \bnrsdrtmtsg[1] , \bnrsdrtmtsg[2] , \bnrsdrtmtsg[3] , 
        \bnrsdrtmtsg[4] , \bnrsdrtmtsg[5] , \svpqbbcnvqz[0] , 
        \svpqbbcnvqz[1] , \svpqbbcnvqz[2] , \ksbhwjctscp[0] , 
        \ksbhwjctscp[1] , \ksbhwjctscp[2] , \ksbhwjctscp[3] , 
        \ksbhwjctscp[4] , \ksbhwjctscp[5] , \ksbhwjctscp[6] , 
        \ksbhwjctscp[7] , \ksbhwjctscp[8] , ASSC_RAM_WR_BUSY_B_net, 
        N_257_i_0, ASSC_RAM_RW_A_net, ASSC_RAM_CSN_A_net, 
        Analog_assc_ram_R0C0_DOUTB8, Analog_assc_ram_R0C0_DOUTB7, 
        Analog_assc_ram_R0C0_DOUTB6, Analog_assc_ram_R0C0_DOUTB5, 
        Analog_assc_ram_R0C0_DOUTB4, Analog_assc_ram_R0C0_DOUTB3, 
        Analog_assc_ram_R0C0_DOUTB2, Analog_assc_ram_R0C0_DOUTB1, 
        Analog_assc_ram_R0C0_DOUTB0, Analog_assc_ram_R0C0_DOUTA8, 
        Analog_assc_ram_R0C0_DOUTA7, Analog_assc_ram_R0C0_DOUTA6, 
        Analog_assc_ram_R0C0_DOUTA5, Analog_assc_ram_R0C0_DOUTA4, 
        Analog_assc_ram_R0C0_DOUTA3, Analog_assc_ram_R0C0_DOUTA2, 
        Analog_assc_ram_R0C0_DOUTA1, Analog_assc_ram_R0C0_DOUTA0, 
        \kkkmkxwwscv[0] , \kkkmkxwwscv[1] , \kkkmkxwwscv[2] , 
        \kkkmkxwwscv[3] , \kkkmkxwwscv[4] , \kkkmkxwwscv[5] , 
        \zbqggxmnpbs_0_iv[6] , \zbqggxmnpbs_0_iv[7] , 
        \zbqggxmnpbs_0_iv[8] , \mkmkbnghgkd[0] , \mkmkbnghgkd[1] , 
        \mkmkbnghgkd[2] , \mkmkbnghgkd[3] , \mkmkbnghgkd[4] , 
        \mkmkbnghgkd[5] , \mkmkbnghgkd[6] , \mkmkbnghgkd[7] , 
        \mkmkbnghgkd[8] , \zbqggxmnpbs_iv[0] , \zbqggxmnpbs_iv[4] , 
        \zbqggxmnpbs_iv[2] , \zbqggxmnpbs_iv[5] , \zbqggxmnpbs_iv[3] , 
        \tkcbxxqbtfx[10] , \dhzrwbnrbpw[0] , \dhzrwbnrbpw[1] , 
        \dhzrwbnrbpw[2] , \dhzrwbnrbpw[3] , \dhzrwbnrbpw[4] , 
        \dhzrwbnrbpw[5] , \dhzrwbnrbpw[6] , \dhzrwbnrbpw[7] , 
        \dhzrwbnrbpw[8] , \un1_Analog_smev_ram_inst_1_0[6] , 
        \un1_Analog_smev_ram_inst_1_0[8] , \zbqggxmnpbs_r[1] , 
        EV_EVFLAG_net, EV_RAM_CSN_A_net, Analog_smev_ram_R0C0_DOUTB6, 
        Analog_smev_ram_R0C0_DOUTB8, EV_RAM_RW_A_net, ktwrhqstzjg, 
        N_301, ASSC_SAMPFLAG_net, qvkpfznsfjx, 
        EV_RAM_WR_BUSY_B_net_i_0, EV_RAM_CSN_B_net, 
        Analog_smev_ram_R0C0_DOUTB5, Analog_smev_ram_R0C0_DOUTB3, 
        Analog_smev_ram_R0C0_DOUTB4, Analog_smev_ram_R0C0_DOUTB7, 
        Analog_smev_ram_R0C0_DOUTB2, Analog_smev_ram_R0C0_DOUTB1, 
        bskrjhjvqpf_1_sqmuxa, Analog_smev_ram_R0C0_DOUTB0, GND, VCC, 
        GND_net_1, VCC_net_1;
    
    Analog_smev_ram Analog_smev_ram_inst (.zbqggxmnpbs_0_iv({
        \zbqggxmnpbs_0_iv[8] , \zbqggxmnpbs_0_iv[7] , 
        \zbqggxmnpbs_0_iv[6] }), .zbqggxmnpbs_r({\zbqggxmnpbs_r[1] }), 
        .zbqggxmnpbs_iv_5(\zbqggxmnpbs_iv[5] ), .zbqggxmnpbs_iv_4(
        \zbqggxmnpbs_iv[4] ), .zbqggxmnpbs_iv_3(\zbqggxmnpbs_iv[3] ), 
        .zbqggxmnpbs_iv_2(\zbqggxmnpbs_iv[2] ), .zbqggxmnpbs_iv_0(
        \zbqggxmnpbs_iv[0] ), .INIT_DATA_net({INIT_DATA_net[8], 
        INIT_DATA_net[7], INIT_DATA_net[6], INIT_DATA_net[5], 
        INIT_DATA_net[4], INIT_DATA_net[3], INIT_DATA_net[2], 
        INIT_DATA_net[1], INIT_DATA_net[0]}), .dhzrwbnrbpw({
        \dhzrwbnrbpw[8] , \dhzrwbnrbpw[7] , \dhzrwbnrbpw[6] , 
        \dhzrwbnrbpw[5] , \dhzrwbnrbpw[4] , \dhzrwbnrbpw[3] , 
        \dhzrwbnrbpw[2] , \dhzrwbnrbpw[1] , \dhzrwbnrbpw[0] }), 
        .mkmkbnghgkd({\mkmkbnghgkd[8] , \mkmkbnghgkd[7] , 
        \mkmkbnghgkd[6] , \mkmkbnghgkd[5] , \mkmkbnghgkd[4] , 
        \mkmkbnghgkd[3] , \mkmkbnghgkd[2] , \mkmkbnghgkd[1] , 
        \mkmkbnghgkd[0] }), .un1_Analog_smev_ram_inst_1_0_2(
        \un1_Analog_smev_ram_inst_1_0[8] ), 
        .un1_Analog_smev_ram_inst_1_0_0(
        \un1_Analog_smev_ram_inst_1_0[6] ), .SYS_RESET_c(SYS_RESET_c), 
        .SYS_CLK_int(SYS_CLK_int), .EV_RAM_WR_BUSY_B_net_i_0(
        EV_RAM_WR_BUSY_B_net_i_0), .EV_RAM_CSN_B_net(EV_RAM_CSN_B_net), 
        .Analog_smev_ram_VCC(Analog_VCC), .EV_RAM_RW_A_net(
        EV_RAM_RW_A_net), .EV_RAM_CSN_A_net(EV_RAM_CSN_A_net), 
        .Analog_smev_ram_GND(Analog_GND), .Analog_smev_ram_R0C0_DOUTB7(
        Analog_smev_ram_R0C0_DOUTB7), .Analog_smev_ram_R0C0_DOUTB5(
        Analog_smev_ram_R0C0_DOUTB5), .Analog_smev_ram_R0C0_DOUTB4(
        Analog_smev_ram_R0C0_DOUTB4), .Analog_smev_ram_R0C0_DOUTB3(
        Analog_smev_ram_R0C0_DOUTB3), .Analog_smev_ram_R0C0_DOUTB2(
        Analog_smev_ram_R0C0_DOUTB2), .Analog_smev_ram_R0C0_DOUTB1(
        Analog_smev_ram_R0C0_DOUTB1), .Analog_smev_ram_R0C0_DOUTB0(
        Analog_smev_ram_R0C0_DOUTB0), .Analog_smev_ram_R0C0_DOUTA0(
        Analog_smev_ram_R0C0_DOUTA0), .Analog_smev_ram_R0C0_DOUTB8(
        Analog_smev_ram_R0C0_DOUTB8), .Analog_smev_ram_R0C0_DOUTB6(
        Analog_smev_ram_R0C0_DOUTB6));
    Analog_smtr_ram Analog_smtr_ram_inst (.jfkkdmfhcdn_0_a3({
        \jfkkdmfhcdn_0_a3[8] , \jfkkdmfhcdn_0_a3[7] , 
        \jfkkdmfhcdn_0_a3[6] , \jfkkdmfhcdn_0_a3[5] }), .jfkkdmfhcdn({
        \jfkkdmfhcdn[4] , \jfkkdmfhcdn[3] , \jfkkdmfhcdn[2] , 
        \jfkkdmfhcdn[1] , \jfkkdmfhcdn[0] }), .INIT_DATA_net({
        INIT_DATA_net[8], INIT_DATA_net[7], INIT_DATA_net[6], 
        INIT_DATA_net[5], INIT_DATA_net[4], INIT_DATA_net[3], 
        INIT_DATA_net[2], INIT_DATA_net[1], INIT_DATA_net[0]}), 
        .qgnzcpmbksd({\qgnzcpmbksd[8] , \qgnzcpmbksd[7] , 
        \qgnzcpmbksd[6] , \qgnzcpmbksd[5] , \qgnzcpmbksd[4] , 
        \qgnzcpmbksd[3] , \qgnzcpmbksd[2] , \qgnzcpmbksd[1] , 
        \qgnzcpmbksd[0] }), .INIT_ADDR_net({INIT_ADDR_net[8], 
        INIT_ADDR_net[7], INIT_ADDR_net[6], INIT_ADDR_net[5], 
        INIT_ADDR_net[4], INIT_ADDR_net[3], INIT_ADDR_net[2], 
        INIT_ADDR_net[1], INIT_ADDR_net[0]}), 
        .un1_Analog_smtr_ram_inst_1_0({
        \un1_Analog_smtr_ram_inst_1_0[8] }), .SYS_RESET_c(SYS_RESET_c), 
        .SYS_CLK_int(SYS_CLK_int), .xgnmbzmtzbb_0(xgnmbzmtzbb_0), 
        .TR_RAM_CSN_B_net(TR_RAM_CSN_B_net), .Analog_smtr_ram_VCC(
        Analog_VCC), .TR_RAM_RW_A_net(TR_RAM_RW_A_net), 
        .Analog_smtr_ram_GND(Analog_GND), .Analog_smtr_ram_R0C0_DOUTB7(
        Analog_smtr_ram_R0C0_DOUTB7), .Analog_smtr_ram_R0C0_DOUTB6(
        Analog_smtr_ram_R0C0_DOUTB6), .Analog_smtr_ram_R0C0_DOUTB5(
        Analog_smtr_ram_R0C0_DOUTB5), .Analog_smtr_ram_R0C0_DOUTB4(
        Analog_smtr_ram_R0C0_DOUTB4), .Analog_smtr_ram_R0C0_DOUTB3(
        Analog_smtr_ram_R0C0_DOUTB3), .Analog_smtr_ram_R0C0_DOUTB2(
        Analog_smtr_ram_R0C0_DOUTB2), .Analog_smtr_ram_R0C0_DOUTB1(
        Analog_smtr_ram_R0C0_DOUTB1), .Analog_smtr_ram_R0C0_DOUTB0(
        Analog_smtr_ram_R0C0_DOUTB0), .Analog_smtr_ram_R0C0_DOUTB8(
        Analog_smtr_ram_R0C0_DOUTB8));
    OUTBUF_A AG1_PAD (.D(AG1_net), .PAD(Over_temp));
    GND GND_i_0 (.Y(GND_net_1));
    INBUF_A ATRETURN01_PAD (.PAD(ATRETURN01), .Y(ATRETURN01_net));
    VCC VCC_i (.Y(VCC));
    Analog_smtr_wrapper Analog_smtr_wrapper_inst (.rjhhzsggrtr({
        \rjhhzsggrtr[8] , \rjhhzsggrtr[7] , \rjhhzsggrtr[6] , 
        \rjhhzsggrtr[5] , \rjhhzsggrtr[4] , \rjhhzsggrtr[3] , 
        \rjhhzsggrtr[2] , \rjhhzsggrtr[1] , \rjhhzsggrtr[0] }), 
        .jfkkdmfhcdn_0_a3({\jfkkdmfhcdn_0_a3[8] , 
        \jfkkdmfhcdn_0_a3[7] , \jfkkdmfhcdn_0_a3[6] , 
        \jfkkdmfhcdn_0_a3[5] }), .jfkkdmfhcdn({\jfkkdmfhcdn[4] , 
        \jfkkdmfhcdn[3] , \jfkkdmfhcdn[2] , \jfkkdmfhcdn[1] , 
        \jfkkdmfhcdn[0] }), .un1_Analog_smtr_ram_inst_1_0({
        \un1_Analog_smtr_ram_inst_1_0[8] }), .qgnzcpmbksd({
        \qgnzcpmbksd[8] , \qgnzcpmbksd[7] , \qgnzcpmbksd[6] , 
        \qgnzcpmbksd[5] , \qgnzcpmbksd[4] , \qgnzcpmbksd[3] , 
        \qgnzcpmbksd[2] , \qgnzcpmbksd[1] , \qgnzcpmbksd[0] }), 
        .mtbjcfqsbqf({\mtbjcfqsbqf[4] , \mtbjcfqsbqf[3] , 
        \mtbjcfqsbqf[2] , \mtbjcfqsbqf[1] , \mtbjcfqsbqf[0] }), 
        .TR_TRFLAG_net(TR_TRFLAG_net), .TR_DONE_net_i_0(
        TR_DONE_net_i_0), .Analog_smev_ram_R0C0_DOUTA0(
        Analog_smev_ram_R0C0_DOUTA0), .Analog_smtr_ram_R0C0_DOUTB8(
        Analog_smtr_ram_R0C0_DOUTB8), .EV_DONE_net(EV_DONE_net), 
        .xgnmbzmtzbb_0(xgnmbzmtzbb_0), .N_10(N_10), .N_4(N_4), 
        .TR_RAM_RW_A_net(TR_RAM_RW_A_net), .TR_RAM_CSN_B_net(
        TR_RAM_CSN_B_net), .Analog_smtr_ram_R0C0_DOUTB6(
        Analog_smtr_ram_R0C0_DOUTB6), .Analog_smtr_ram_R0C0_DOUTB7(
        Analog_smtr_ram_R0C0_DOUTB7), .Analog_smtr_ram_R0C0_DOUTB5(
        Analog_smtr_ram_R0C0_DOUTB5), .TR_EV_RD_net(TR_EV_RD_net), 
        .INIT_DONE_net(INIT_DONE_net), .AV5V_over5p25_net(
        AV5V_over5p25_net), .Temp_over70C_net(Temp_over70C_net), 
        .AV5V_under4p75_net(AV5V_under4p75_net), 
        .Analog_smtr_ram_R0C0_DOUTB1(Analog_smtr_ram_R0C0_DOUTB1), 
        .Analog_smtr_ram_R0C0_DOUTB3(Analog_smtr_ram_R0C0_DOUTB3), 
        .Analog_smtr_ram_R0C0_DOUTB4(Analog_smtr_ram_R0C0_DOUTB4), 
        .Analog_smtr_ram_R0C0_DOUTB2(Analog_smtr_ram_R0C0_DOUTB2), 
        .Analog_smtr_ram_R0C0_DOUTB0(Analog_smtr_ram_R0C0_DOUTB0), 
        .EV_DONE_net_0(EV_DONE_net_0), .SYS_RESET_c(SYS_RESET_c), 
        .SYS_CLK_int(SYS_CLK_int));
    Analog_assc_ram Analog_assc_ram_inst (.mksbfqnmmgw({
        \mksbfqnmmgw[8] , \mksbfqnmmgw[7] , \mksbfqnmmgw[6] , 
        \mksbfqnmmgw[5] , \mksbfqnmmgw[4] , \mksbfqnmmgw[3] , 
        \mksbfqnmmgw[2] , \mksbfqnmmgw[1] , \mksbfqnmmgw[0] }), 
        .INIT_DATA_net({INIT_DATA_net[8], INIT_DATA_net[7], 
        INIT_DATA_net[6], INIT_DATA_net[5], INIT_DATA_net[4], 
        INIT_DATA_net[3], INIT_DATA_net[2], INIT_DATA_net[1], 
        INIT_DATA_net[0]}), .bnrsdrtmtsg({\bnrsdrtmtsg[5] , 
        \bnrsdrtmtsg[4] , \bnrsdrtmtsg[3] , \bnrsdrtmtsg[2] , 
        \bnrsdrtmtsg[1] , \bnrsdrtmtsg[0] }), .svpqbbcnvqz({
        \svpqbbcnvqz[2] , \svpqbbcnvqz[1] , \svpqbbcnvqz[0] }), 
        .ksbhwjctscp({\ksbhwjctscp[8] , \ksbhwjctscp[7] , 
        \ksbhwjctscp[6] , \ksbhwjctscp[5] , \ksbhwjctscp[4] , 
        \ksbhwjctscp[3] , \ksbhwjctscp[2] , \ksbhwjctscp[1] , 
        \ksbhwjctscp[0] }), .SYS_RESET_c(SYS_RESET_c), .SYS_CLK_int(
        SYS_CLK_int), .ASSC_RAM_WR_BUSY_B_net(ASSC_RAM_WR_BUSY_B_net), 
        .N_257_i_0(N_257_i_0), .Analog_assc_ram_VCC(Analog_VCC), 
        .ASSC_RAM_RW_A_net(ASSC_RAM_RW_A_net), .ASSC_RAM_CSN_A_net(
        ASSC_RAM_CSN_A_net), .Analog_assc_ram_GND(Analog_GND), 
        .Analog_assc_ram_R0C0_DOUTB8(Analog_assc_ram_R0C0_DOUTB8), 
        .Analog_assc_ram_R0C0_DOUTB7(Analog_assc_ram_R0C0_DOUTB7), 
        .Analog_assc_ram_R0C0_DOUTB6(Analog_assc_ram_R0C0_DOUTB6), 
        .Analog_assc_ram_R0C0_DOUTB5(Analog_assc_ram_R0C0_DOUTB5), 
        .Analog_assc_ram_R0C0_DOUTB4(Analog_assc_ram_R0C0_DOUTB4), 
        .Analog_assc_ram_R0C0_DOUTB3(Analog_assc_ram_R0C0_DOUTB3), 
        .Analog_assc_ram_R0C0_DOUTB2(Analog_assc_ram_R0C0_DOUTB2), 
        .Analog_assc_ram_R0C0_DOUTB1(Analog_assc_ram_R0C0_DOUTB1), 
        .Analog_assc_ram_R0C0_DOUTB0(Analog_assc_ram_R0C0_DOUTB0), 
        .Analog_assc_ram_R0C0_DOUTA8(Analog_assc_ram_R0C0_DOUTA8), 
        .Analog_assc_ram_R0C0_DOUTA7(Analog_assc_ram_R0C0_DOUTA7), 
        .Analog_assc_ram_R0C0_DOUTA6(Analog_assc_ram_R0C0_DOUTA6), 
        .Analog_assc_ram_R0C0_DOUTA5(Analog_assc_ram_R0C0_DOUTA5), 
        .Analog_assc_ram_R0C0_DOUTA4(Analog_assc_ram_R0C0_DOUTA4), 
        .Analog_assc_ram_R0C0_DOUTA3(Analog_assc_ram_R0C0_DOUTA3), 
        .Analog_assc_ram_R0C0_DOUTA2(Analog_assc_ram_R0C0_DOUTA2), 
        .Analog_assc_ram_R0C0_DOUTA1(Analog_assc_ram_R0C0_DOUTA1), 
        .Analog_assc_ram_R0C0_DOUTA0(Analog_assc_ram_R0C0_DOUTA0));
    AB AB_INST (.DAVOUT0(AB_INST_DAVOUT0), .DACOUT0(AB_INST_DACOUT0), 
        .DATOUT0(AB_INST_DATOUT0), .DAVOUT1(AB_INST_DAVOUT1), .DACOUT1(
        AB_INST_DACOUT1), .DATOUT1(AB_INST_DATOUT1), .DAVOUT2(
        AB_INST_DAVOUT2), .DACOUT2(AB_INST_DACOUT2), .DATOUT2(
        AB_INST_DATOUT2), .DAVOUT3(AB_INST_DAVOUT3), .DACOUT3(
        AB_INST_DACOUT3), .DATOUT3(AB_INST_DATOUT3), .DAVOUT4(
        AB_INST_DAVOUT4), .DACOUT4(AB_INST_DACOUT4), .DATOUT4(
        AB_INST_DATOUT4), .DAVOUT5(AB_INST_DAVOUT5), .DACOUT5(
        AB_INST_DACOUT5), .DATOUT5(AB_INST_DATOUT5), .DAVOUT6(
        AB_INST_DAVOUT6), .DACOUT6(AB_INST_DACOUT6), .DATOUT6(
        AB_INST_DATOUT6), .DAVOUT7(AB_INST_DAVOUT7), .DACOUT7(
        AB_INST_DACOUT7), .DATOUT7(AB_INST_DATOUT7), .DAVOUT8(
        AB_INST_DAVOUT8), .DACOUT8(AB_INST_DACOUT8), .DATOUT8(
        AB_INST_DATOUT8), .DAVOUT9(AB_INST_DAVOUT9), .DACOUT9(
        AB_INST_DACOUT9), .DATOUT9(AB_INST_DATOUT9), .DENAV0(
        Analog_GND), .DENAC0(Analog_GND), .DENAT0(Analog_GND), .DENAV1(
        Analog_GND), .DENAC1(Analog_GND), .DENAT1(Analog_GND), .DENAV2(
        Analog_GND), .DENAC2(Analog_GND), .DENAT2(Analog_GND), .DENAV3(
        Analog_GND), .DENAC3(Analog_GND), .DENAT3(Analog_GND), .DENAV4(
        Analog_GND), .DENAC4(Analog_GND), .DENAT4(Analog_GND), .DENAV5(
        Analog_GND), .DENAC5(Analog_GND), .DENAT5(Analog_GND), .DENAV6(
        Analog_GND), .DENAC6(Analog_GND), .DENAT6(Analog_GND), .DENAV7(
        Analog_GND), .DENAC7(Analog_GND), .DENAT7(Analog_GND), .DENAV8(
        Analog_GND), .DENAC8(Analog_GND), .DENAT8(Analog_GND), .DENAV9(
        Analog_GND), .DENAC9(Analog_GND), .DENAT9(Analog_GND), .AV0(
        AV0_net), .AC0(Analog_GND), .AT0(AT0_net), .AG0(AG0_net), .AV1(
        Analog_GND), .AC1(Analog_GND), .AT1(Analog_GND), .AG1(AG1_net), 
        .AV2(Analog_GND), .AC2(Analog_GND), .AT2(Analog_GND), .AG2(
        AB_INST_AG2), .AV3(Analog_GND), .AC3(Analog_GND), .AT3(
        Analog_GND), .AG3(AB_INST_AG3), .AV4(Analog_GND), .AC4(
        Analog_GND), .AT4(Analog_GND), .AG4(AB_INST_AG4), .AV5(
        Analog_GND), .AC5(Analog_GND), .AT5(Analog_GND), .AG5(
        AB_INST_AG5), .AV6(Analog_GND), .AC6(Analog_GND), .AT6(
        Analog_GND), .AG6(AB_INST_AG6), .AV7(Analog_GND), .AC7(
        Analog_GND), .AT7(Analog_GND), .AG7(AB_INST_AG7), .AV8(
        Analog_GND), .AC8(Analog_GND), .AT8(Analog_GND), .AG8(
        AB_INST_AG8), .AV9(Analog_GND), .AC9(Analog_GND), .AT9(
        Analog_GND), .AG9(AB_INST_AG9), .ATRETURN01(ATRETURN01_net), 
        .ATRETURN23(Analog_GND), .ATRETURN45(Analog_GND), .ATRETURN67(
        Analog_GND), .ATRETURN89(Analog_GND), .VAREF(VAREF), .GNDREF(
        Analog_GND), .GDON0(Supply_good_en_net), .GDON1(
        Temp_over70C_net), .GDON2(Analog_GND), .GDON3(Analog_GND), 
        .GDON4(Analog_GND), .GDON5(Analog_GND), .GDON6(Analog_GND), 
        .GDON7(Analog_GND), .GDON8(Analog_GND), .GDON9(Analog_GND), 
        .CMSTB0(Analog_GND), .CMSTB1(Analog_GND), .CMSTB2(Analog_GND), 
        .CMSTB3(Analog_GND), .CMSTB4(Analog_GND), .CMSTB5(Analog_GND), 
        .CMSTB6(Analog_GND), .CMSTB7(Analog_GND), .CMSTB8(Analog_GND), 
        .CMSTB9(Analog_GND), .TMSTB0(TM_STB_net_0), .TMSTB1(Analog_GND)
        , .TMSTB2(Analog_GND), .TMSTB3(Analog_GND), .TMSTB4(Analog_GND)
        , .TMSTB5(Analog_GND), .TMSTB6(Analog_GND), .TMSTB7(Analog_GND)
        , .TMSTB8(Analog_GND), .TMSTB9(Analog_GND), .TMSTBINT(
        Analog_GND), .RESULT({\AB_INST_RESULT[11] , 
        \AB_INST_RESULT[10] , \AB_INST_RESULT[9] , \AB_INST_RESULT[8] , 
        \AB_INST_RESULT[7] , \AB_INST_RESULT[6] , \AB_INST_RESULT[5] , 
        \AB_INST_RESULT[4] , \AB_INST_RESULT[3] , \AB_INST_RESULT[2] , 
        \AB_INST_RESULT[1] , \AB_INST_RESULT[0] }), .ACMRDATA({
        \AB_INST_ACMRDATA[7] , \AB_INST_ACMRDATA[6] , 
        \AB_INST_ACMRDATA[5] , \AB_INST_ACMRDATA[4] , 
        \AB_INST_ACMRDATA[3] , \AB_INST_ACMRDATA[2] , 
        \AB_INST_ACMRDATA[1] , \AB_INST_ACMRDATA[0] }), .ACMWDATA({
        INIT_DATA_net[7], INIT_DATA_net[6], INIT_DATA_net[5], 
        INIT_DATA_net[4], INIT_DATA_net[3], INIT_DATA_net[2], 
        INIT_DATA_net[1], INIT_DATA_net[0]}), .ACMADDR({
        INIT_ADDR_net[7], INIT_ADDR_net[6], INIT_ADDR_net[5], 
        INIT_ADDR_net[4], INIT_ADDR_net[3], INIT_ADDR_net[2], 
        INIT_ADDR_net[1], INIT_ADDR_net[0]}), .STC({\ptxbvztnpnf[7] , 
        \ptxbvztnpnf[6] , \ptxbvztnpnf[5] , \ptxbvztnpnf[4] , 
        \ptxbvztnpnf[3] , \ptxbvztnpnf[2] , \ptxbvztnpnf[1] , 
        \ptxbvztnpnf[0] }), .TVC({\dbcvwwhvvwh[7] , \dbcvwwhvvwh[6] , 
        \dbcvwwhvvwh[5] , \dbcvwwhvvwh[4] , \dbcvwwhvvwh[3] , 
        \dbcvwwhvvwh[2] , \dbcvwwhvvwh[1] , \dbcvwwhvvwh[0] }), 
        .CHNUMBER({\dspfgfmqhwh[4] , \dspfgfmqhwh[3] , 
        \dspfgfmqhwh[2] , \dspfgfmqhwh[1] , \dspfgfmqhwh[0] }), .MODE({
        \pfkhhxxsrzp[3] , \pfkhhxxsrzp[2] , \pfkhhxxsrzp[1] , 
        \pfkhhxxsrzp[0] }), .RTCXTLMODE({\AB_INST_RTCXTLMODE[1] , 
        \AB_INST_RTCXTLMODE[0] }), .ACMRESET(SYS_RESET_c), .ACMCLK(
        CLK10M), .ACMWEN(INIT_ACM_WEN_OR_net), .VAREFSEL(Analog_GND), 
        .DATAVALID(AB_INST_DATAVALID), .CALIBRATE(ADC_CALIBRATE_net), 
        .SAMPLE(AB_INST_SAMPLE), .BUSY(ADC_BUSY_net), .PWRDWN(
        ADC_PDOWN_net), .SYSCLK(SYS_CLK_int), .ADCRESET(ADC_RESET_net), 
        .ADCSTART(ADC_START_net), .RTCMATCH(AB_INST_RTCMATCH), 
        .RTCPSMMATCH(AB_INST_RTCPSMMATCH), .RTCXTLSEL(
        AB_INST_RTCXTLSEL), .RTCCLK(Analog_GND));
    GND GND_i (.Y(GND));
    OUTBUF_A AG0_PAD (.D(AG0_net), .PAD(Supply_good));
    VCC VCC_i_0 (.Y(VCC_net_1));
    OR2 INIT_ACMWEN_OR (.A(INIT_ACM_WEN_net), .B(Analog_GND), .Y(
        INIT_ACM_WEN_OR_net));
    INBUF_A AT0_PAD (.PAD(Temp), .Y(AT0_net));
    Analog_assc_wrapper Analog_assc_wrapper_inst (.bnrsdrtmtsg({
        \bnrsdrtmtsg[5] , \bnrsdrtmtsg[4] , \bnrsdrtmtsg[3] , 
        \bnrsdrtmtsg[2] , \bnrsdrtmtsg[1] , \bnrsdrtmtsg[0] }), 
        .ptxbvztnpnf({\ptxbvztnpnf[7] , \ptxbvztnpnf[6] , 
        \ptxbvztnpnf[5] , \ptxbvztnpnf[4] , \ptxbvztnpnf[3] , 
        \ptxbvztnpnf[2] , \ptxbvztnpnf[1] , \ptxbvztnpnf[0] }), 
        .dbcvwwhvvwh({\dbcvwwhvvwh[7] , \dbcvwwhvvwh[6] , 
        \dbcvwwhvvwh[5] , \dbcvwwhvvwh[4] , \dbcvwwhvvwh[3] , 
        \dbcvwwhvvwh[2] , \dbcvwwhvvwh[1] , \dbcvwwhvvwh[0] }), 
        .pfkhhxxsrzp({\pfkhhxxsrzp[3] , \pfkhhxxsrzp[2] , 
        \pfkhhxxsrzp[1] , \pfkhhxxsrzp[0] }), .INIT_ADDR_net_0({
        INIT_ADDR_net_0[7]}), .kkkmkxwwscv({\kkkmkxwwscv[5] , 
        \kkkmkxwwscv[4] , \kkkmkxwwscv[3] , \kkkmkxwwscv[2] , 
        \kkkmkxwwscv[1] , \kkkmkxwwscv[0] }), .INIT_ADDR_net_8(
        INIT_ADDR_net[8]), .INIT_ADDR_net_6(INIT_ADDR_net[6]), 
        .INIT_ADDR_net_5(INIT_ADDR_net[5]), .INIT_ADDR_net_4(
        INIT_ADDR_net[4]), .INIT_ADDR_net_3(INIT_ADDR_net[3]), 
        .INIT_ADDR_net_2(INIT_ADDR_net[2]), .INIT_ADDR_net_1(
        INIT_ADDR_net[1]), .INIT_ADDR_net_0_d0(INIT_ADDR_net[0]), 
        .ksbhwjctscp({\ksbhwjctscp[8] , \ksbhwjctscp[7] , 
        \ksbhwjctscp[6] , \ksbhwjctscp[5] , \ksbhwjctscp[4] , 
        \ksbhwjctscp[3] , \ksbhwjctscp[2] , \ksbhwjctscp[1] , 
        \ksbhwjctscp[0] }), .AB_INST_RESULT({\AB_INST_RESULT[11] , 
        \AB_INST_RESULT[10] , \AB_INST_RESULT[9] , \AB_INST_RESULT[8] , 
        \AB_INST_RESULT[7] , \AB_INST_RESULT[6] , \AB_INST_RESULT[5] , 
        \AB_INST_RESULT[4] , \AB_INST_RESULT[3] , \AB_INST_RESULT[2] , 
        \AB_INST_RESULT[1] , \AB_INST_RESULT[0] }), .mksbfqnmmgw({
        \mksbfqnmmgw[8] , \mksbfqnmmgw[7] , \mksbfqnmmgw[6] , 
        \mksbfqnmmgw[5] , \mksbfqnmmgw[4] , \mksbfqnmmgw[3] , 
        \mksbfqnmmgw[2] , \mksbfqnmmgw[1] , \mksbfqnmmgw[0] }), 
        .svpqbbcnvqz({\svpqbbcnvqz[2] , \svpqbbcnvqz[1] , 
        \svpqbbcnvqz[0] }), .tkcbxxqbtfx({\tkcbxxqbtfx[10] }), 
        .dspfgfmqhwh({\dspfgfmqhwh[4] , \dspfgfmqhwh[3] , 
        \dspfgfmqhwh[2] , \dspfgfmqhwh[1] , \dspfgfmqhwh[0] }), 
        .ASSC_SAMPFLAG_net(ASSC_SAMPFLAG_net), .TM_STB_net_0(
        TM_STB_net_0), .ADC_PDOWN_net(ADC_PDOWN_net), .ADC_RESET_net(
        ADC_RESET_net), .ADC_CALIBRATE_net(ADC_CALIBRATE_net), 
        .ADC_START_net(ADC_START_net), .Analog_assc_ram_R0C0_DOUTB5(
        Analog_assc_ram_R0C0_DOUTB5), .Analog_assc_ram_R0C0_DOUTB4(
        Analog_assc_ram_R0C0_DOUTB4), .Analog_assc_ram_R0C0_DOUTB3(
        Analog_assc_ram_R0C0_DOUTB3), .Analog_assc_ram_R0C0_DOUTB2(
        Analog_assc_ram_R0C0_DOUTB2), .Analog_assc_ram_R0C0_DOUTB1(
        Analog_assc_ram_R0C0_DOUTB1), .Analog_assc_ram_R0C0_DOUTB0(
        Analog_assc_ram_R0C0_DOUTB0), .Analog_assc_ram_R0C0_DOUTB8(
        Analog_assc_ram_R0C0_DOUTB8), .ASSC_RAM_RW_A_net(
        ASSC_RAM_RW_A_net), .INIT_ASSC_WEN_net(INIT_ASSC_WEN_net), 
        .ASSC_RAM_CSN_A_net(ASSC_RAM_CSN_A_net), .qvkpfznsfjx(
        qvkpfznsfjx), .ktwrhqstzjg(ktwrhqstzjg), .ADC_BUSY_net(
        ADC_BUSY_net), .ASSC_RAM_WR_BUSY_B_net(ASSC_RAM_WR_BUSY_B_net), 
        .N_257_i_0(N_257_i_0), .N_301(N_301), 
        .Analog_assc_ram_R0C0_DOUTB7(Analog_assc_ram_R0C0_DOUTB7), 
        .Analog_assc_ram_R0C0_DOUTB6(Analog_assc_ram_R0C0_DOUTB6), 
        .bskrjhjvqpf_1_sqmuxa(bskrjhjvqpf_1_sqmuxa), .EV_DONE_net_0(
        EV_DONE_net_0), .EV_EVFLAG_net(EV_EVFLAG_net), .TR_TRFLAG_net(
        TR_TRFLAG_net), .TR_DONE_net_i_0(TR_DONE_net_i_0), 
        .INIT_DONE_net(INIT_DONE_net), .SYS_RESET_c(SYS_RESET_c), 
        .SYS_CLK_int(SYS_CLK_int));
    INBUF_A AV0_PAD (.PAD(AV5V), .Y(AV0_net));
    Analog_smev_wrapper Analog_smev_wrapper_inst (.rdgwgtpkbgc_0({
        rdgwgtpkbgc[3]}), .bnrsdrtmtsg({\bnrsdrtmtsg[5] , 
        \bnrsdrtmtsg[4] , \bnrsdrtmtsg[3] , \bnrsdrtmtsg[2] , 
        \bnrsdrtmtsg[1] , \bnrsdrtmtsg[0] }), .kkkmkxwwscv({
        \kkkmkxwwscv[5] , \kkkmkxwwscv[4] , \kkkmkxwwscv[3] , 
        \kkkmkxwwscv[2] , \kkkmkxwwscv[1] , \kkkmkxwwscv[0] }), 
        .dspfgfmqhwh({\dspfgfmqhwh[4] , \dspfgfmqhwh[3] , 
        \dspfgfmqhwh[2] , \dspfgfmqhwh[1] , \dspfgfmqhwh[0] }), 
        .zbqggxmnpbs_0_iv({\zbqggxmnpbs_0_iv[8] , 
        \zbqggxmnpbs_0_iv[7] , \zbqggxmnpbs_0_iv[6] }), 
        .INIT_ADDR_net_0({INIT_ADDR_net_0[7]}), .rjhhzsggrtr({
        \rjhhzsggrtr[8] , \rjhhzsggrtr[7] , \rjhhzsggrtr[6] , 
        \rjhhzsggrtr[5] , \rjhhzsggrtr[4] , \rjhhzsggrtr[3] , 
        \rjhhzsggrtr[2] , \rjhhzsggrtr[1] , \rjhhzsggrtr[0] }), 
        .INIT_ADDR_net_8(INIT_ADDR_net[8]), .INIT_ADDR_net_6(
        INIT_ADDR_net[6]), .INIT_ADDR_net_5(INIT_ADDR_net[5]), 
        .INIT_ADDR_net_4(INIT_ADDR_net[4]), .INIT_ADDR_net_3(
        INIT_ADDR_net[3]), .INIT_ADDR_net_2(INIT_ADDR_net[2]), 
        .INIT_ADDR_net_1(INIT_ADDR_net[1]), .INIT_ADDR_net_0_d0(
        INIT_ADDR_net[0]), .mkmkbnghgkd({\mkmkbnghgkd[8] , 
        \mkmkbnghgkd[7] , \mkmkbnghgkd[6] , \mkmkbnghgkd[5] , 
        \mkmkbnghgkd[4] , \mkmkbnghgkd[3] , \mkmkbnghgkd[2] , 
        \mkmkbnghgkd[1] , \mkmkbnghgkd[0] }), .zbqggxmnpbs_iv_0(
        \zbqggxmnpbs_iv[0] ), .zbqggxmnpbs_iv_4(\zbqggxmnpbs_iv[4] ), 
        .zbqggxmnpbs_iv_2(\zbqggxmnpbs_iv[2] ), .zbqggxmnpbs_iv_5(
        \zbqggxmnpbs_iv[5] ), .zbqggxmnpbs_iv_3(\zbqggxmnpbs_iv[3] ), 
        .tkcbxxqbtfx({\tkcbxxqbtfx[10] }), .dhzrwbnrbpw({
        \dhzrwbnrbpw[8] , \dhzrwbnrbpw[7] , \dhzrwbnrbpw[6] , 
        \dhzrwbnrbpw[5] , \dhzrwbnrbpw[4] , \dhzrwbnrbpw[3] , 
        \dhzrwbnrbpw[2] , \dhzrwbnrbpw[1] , \dhzrwbnrbpw[0] }), 
        .mtbjcfqsbqf({\mtbjcfqsbqf[4] , \mtbjcfqsbqf[3] , 
        \mtbjcfqsbqf[2] , \mtbjcfqsbqf[1] , \mtbjcfqsbqf[0] }), 
        .un1_Analog_smev_ram_inst_1_0_0(
        \un1_Analog_smev_ram_inst_1_0[6] ), 
        .un1_Analog_smev_ram_inst_1_0_2(
        \un1_Analog_smev_ram_inst_1_0[8] ), .zbqggxmnpbs_r({
        \zbqggxmnpbs_r[1] }), .rdgwgtpkbgc({rdgwgtpkbgc_0[3]}), 
        .EV_EVFLAG_net(EV_EVFLAG_net), .EV_DONE_net(EV_DONE_net), 
        .TR_EV_RD_net(TR_EV_RD_net), .EV_RAM_CSN_A_net(
        EV_RAM_CSN_A_net), .Analog_assc_ram_R0C0_DOUTA8(
        Analog_assc_ram_R0C0_DOUTA8), .Analog_assc_ram_R0C0_DOUTA7(
        Analog_assc_ram_R0C0_DOUTA7), .Analog_assc_ram_R0C0_DOUTA6(
        Analog_assc_ram_R0C0_DOUTA6), .Analog_assc_ram_R0C0_DOUTA5(
        Analog_assc_ram_R0C0_DOUTA5), .Analog_assc_ram_R0C0_DOUTA4(
        Analog_assc_ram_R0C0_DOUTA4), .Analog_assc_ram_R0C0_DOUTA3(
        Analog_assc_ram_R0C0_DOUTA3), .Analog_assc_ram_R0C0_DOUTA2(
        Analog_assc_ram_R0C0_DOUTA2), .Analog_assc_ram_R0C0_DOUTA1(
        Analog_assc_ram_R0C0_DOUTA1), .Analog_assc_ram_R0C0_DOUTA0(
        Analog_assc_ram_R0C0_DOUTA0), .Analog_smev_ram_R0C0_DOUTB6(
        Analog_smev_ram_R0C0_DOUTB6), .Analog_smev_ram_R0C0_DOUTB8(
        Analog_smev_ram_R0C0_DOUTB8), .INIT_EV_WEN_net(INIT_EV_WEN_net)
        , .EV_RAM_RW_A_net(EV_RAM_RW_A_net), .ktwrhqstzjg(ktwrhqstzjg), 
        .N_301(N_301), .ASSC_SAMPFLAG_net(ASSC_SAMPFLAG_net), 
        .qvkpfznsfjx(qvkpfznsfjx), .EV_RAM_WR_BUSY_B_net_i_0(
        EV_RAM_WR_BUSY_B_net_i_0), .INIT_DONE_net(INIT_DONE_net), 
        .EV_RAM_CSN_B_net(EV_RAM_CSN_B_net), 
        .Analog_smev_ram_R0C0_DOUTB5(Analog_smev_ram_R0C0_DOUTB5), 
        .Analog_smev_ram_R0C0_DOUTB3(Analog_smev_ram_R0C0_DOUTB3), 
        .Analog_smev_ram_R0C0_DOUTB4(Analog_smev_ram_R0C0_DOUTB4), 
        .Analog_smev_ram_R0C0_DOUTB7(Analog_smev_ram_R0C0_DOUTB7), 
        .Analog_smev_ram_R0C0_DOUTB2(Analog_smev_ram_R0C0_DOUTB2), 
        .Analog_smev_ram_R0C0_DOUTB1(Analog_smev_ram_R0C0_DOUTB1), 
        .bskrjhjvqpf_1_sqmuxa(bskrjhjvqpf_1_sqmuxa), 
        .Analog_smev_ram_R0C0_DOUTB0(Analog_smev_ram_R0C0_DOUTB0), 
        .SYS_RESET_c(SYS_RESET_c), .SYS_CLK_int(SYS_CLK_int), 
        .EV_DONE_net_0(EV_DONE_net_0));
    
endmodule


module jhmkpjjmdkx(
       hrgmtcpsdzr,
       qdvwjxmzbpf,
       INIT_POWER_UP_c,
       SYS_RESET_c,
       SYS_CLK_int,
       bfcqzvtnrcn,
       INIT_DONE_net,
       INIT_DONE_net_i
    );
output hrgmtcpsdzr;
input  qdvwjxmzbpf;
input  INIT_POWER_UP_c;
input  SYS_RESET_c;
input  SYS_CLK_int;
output bfcqzvtnrcn;
input  INIT_DONE_net;
output INIT_DONE_net_i;

    wire crmctgwbctb_net_1, GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    DFN1C0 crmctgwbctb (.D(qdvwjxmzbpf), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(crmctgwbctb_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    DFN1C0 hrgmtcpsdzr_inst_1 (.D(crmctgwbctb_net_1), .CLK(SYS_CLK_int)
        , .CLR(SYS_RESET_c), .Q(hrgmtcpsdzr));
    VCC VCC_i (.Y(VCC));
    DFN1C0 qqqjcnjzntg (.D(INIT_POWER_UP_c), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(bfcqzvtnrcn));
    INV INIT_DONE_net_i_inst_1 (.A(INIT_DONE_net), .Y(INIT_DONE_net_i));
    GND GND_i (.Y(GND));
    
endmodule


module INITCFG_XF(
       INIT_DONE_net_i,
       INIT_DONE_net,
       bfcqzvtnrcn,
       SYS_CLK_int,
       SYS_RESET_c,
       INIT_POWER_UP_c,
       qdvwjxmzbpf,
       hrgmtcpsdzr
    );
output INIT_DONE_net_i;
input  INIT_DONE_net;
output bfcqzvtnrcn;
input  SYS_CLK_int;
input  SYS_RESET_c;
input  INIT_POWER_UP_c;
input  qdvwjxmzbpf;
output hrgmtcpsdzr;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    jhmkpjjmdkx u_jhmkpjjmdkx (.hrgmtcpsdzr(hrgmtcpsdzr), .qdvwjxmzbpf(
        qdvwjxmzbpf), .INIT_POWER_UP_c(INIT_POWER_UP_c), .SYS_RESET_c(
        SYS_RESET_c), .SYS_CLK_int(SYS_CLK_int), .bfcqzvtnrcn(
        bfcqzvtnrcn), .INIT_DONE_net(INIT_DONE_net), .INIT_DONE_net_i(
        INIT_DONE_net_i));
    GND GND_i (.Y(GND));
    
endmodule


module stnpfdkggvx_4s_2s_0_1_2_3_4_5_6_7(
       gpbbjwsprsj,
       mwtvnzdkmwm_3,
       mwtvnzdkmwm_1,
       mwtvnzdkmwm_2,
       SYS_RESET_c,
       SYS_CLK_int,
       N_39,
       bfcqzvtnrcn,
       qdvwjxmzbpf,
       dxpbcqjpxtw,
       NVM_BUSY_net,
       mhxwcfnvbgt,
       xbkjkgdsbfh
    );
output [1:0] gpbbjwsprsj;
output mwtvnzdkmwm_3;
output mwtvnzdkmwm_1;
output mwtvnzdkmwm_2;
input  SYS_RESET_c;
input  SYS_CLK_int;
output N_39;
input  bfcqzvtnrcn;
output qdvwjxmzbpf;
output dxpbcqjpxtw;
input  NVM_BUSY_net;
input  mhxwcfnvbgt;
output xbkjkgdsbfh;

    wire \mwtvnzdkmwm_ns[5] , \mwtvnzdkmwm_ns[2]_net_1 , 
        \mwtvnzdkmwm_ns[3]_net_1 , \mwtvnzdkmwm_ns[4]_net_1 , 
        \mwtvnzdkmwm_ns_i_a2[7]_net_1 , \mwtvnzdkmwm[6]_net_1 , SUM0, 
        \mwtvnzdkmwm[5]_net_1 , \mwtvnzdkmwm_ns[0] , 
        \mwtvnzdkmwm[0]_net_1 , N_45, \mwtvnzdkmwm_ns[6] , 
        \mwtvnzdkmwm_ns[1]_net_1 , SUM1, GND, VCC, GND_net_1, 
        VCC_net_1;
    
    AO1B \mwtvnzdkmwm_ns[1]  (.A(bfcqzvtnrcn), .B(
        \mwtvnzdkmwm[0]_net_1 ), .C(N_45), .Y(
        \mwtvnzdkmwm_ns[1]_net_1 ));
    DFN1C0 \rhjctqnqzsn[0]  (.D(SUM0), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(gpbbjwsprsj[0]));
    DFN1C0 \mwtvnzdkmwm[7]  (.D(\mwtvnzdkmwm_ns_i_a2[7]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(qdvwjxmzbpf));
    AO1 \mwtvnzdkmwm_ns[4]  (.A(NVM_BUSY_net), .B(xbkjkgdsbfh), .C(
        mwtvnzdkmwm_3), .Y(\mwtvnzdkmwm_ns[4]_net_1 ));
    DFN1C0 \mwtvnzdkmwm[3]  (.D(\mwtvnzdkmwm_ns[3]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(mwtvnzdkmwm_3));
    GND GND_i_0 (.Y(GND_net_1));
    OR2 \mwtvnzdkmwm_ns_i_a2[7]  (.A(qdvwjxmzbpf), .B(
        \mwtvnzdkmwm[6]_net_1 ), .Y(\mwtvnzdkmwm_ns_i_a2[7]_net_1 ));
    DFN1C0 \mwtvnzdkmwm[5]  (.D(\mwtvnzdkmwm_ns[5] ), .CLK(SYS_CLK_int)
        , .CLR(SYS_RESET_c), .Q(\mwtvnzdkmwm[5]_net_1 ));
    NOR3B \mwtvnzdkmwm_ns_a2[5]  (.A(xbkjkgdsbfh), .B(mhxwcfnvbgt), .C(
        NVM_BUSY_net), .Y(\mwtvnzdkmwm_ns[5] ));
    VCC VCC_i (.Y(VCC));
    NOR2A \mwtvnzdkmwm_ns_a2[0]  (.A(\mwtvnzdkmwm[0]_net_1 ), .B(
        bfcqzvtnrcn), .Y(\mwtvnzdkmwm_ns[0] ));
    GND GND_i (.Y(GND));
    NOR3A dkzmhvbwwdx_0_a2 (.A(xbkjkgdsbfh), .B(mhxwcfnvbgt), .C(
        NVM_BUSY_net), .Y(dxpbcqjpxtw));
    AX1C un1_mwtvnzdkmwm_1_SUM1 (.A(gpbbjwsprsj[0]), .B(
        \mwtvnzdkmwm[5]_net_1 ), .C(gpbbjwsprsj[1]), .Y(SUM1));
    DFN1P0 \mwtvnzdkmwm[0]  (.D(\mwtvnzdkmwm_ns[0] ), .CLK(SYS_CLK_int)
        , .PRE(SYS_RESET_c), .Q(\mwtvnzdkmwm[0]_net_1 ));
    VCC VCC_i_0 (.Y(VCC_net_1));
    AO1A \mwtvnzdkmwm_ns[3]  (.A(NVM_BUSY_net), .B(mwtvnzdkmwm_2), .C(
        dxpbcqjpxtw), .Y(\mwtvnzdkmwm_ns[3]_net_1 ));
    OR2B \mwtvnzdkmwm_ns_a2[1]  (.A(\mwtvnzdkmwm[5]_net_1 ), .B(N_39), 
        .Y(N_45));
    DFN1C0 \mwtvnzdkmwm[4]  (.D(\mwtvnzdkmwm_ns[4]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(xbkjkgdsbfh));
    DFN1C0 \mwtvnzdkmwm[1]  (.D(\mwtvnzdkmwm_ns[1]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(mwtvnzdkmwm_1));
    AO1 \mwtvnzdkmwm_ns[2]  (.A(NVM_BUSY_net), .B(mwtvnzdkmwm_2), .C(
        mwtvnzdkmwm_1), .Y(\mwtvnzdkmwm_ns[2]_net_1 ));
    XOR2 un1_mwtvnzdkmwm_1_SUM0 (.A(\mwtvnzdkmwm[5]_net_1 ), .B(
        gpbbjwsprsj[0]), .Y(SUM0));
    DFN1C0 \mwtvnzdkmwm[6]  (.D(\mwtvnzdkmwm_ns[6] ), .CLK(SYS_CLK_int)
        , .CLR(SYS_RESET_c), .Q(\mwtvnzdkmwm[6]_net_1 ));
    DFN1C0 \mwtvnzdkmwm[2]  (.D(\mwtvnzdkmwm_ns[2]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(mwtvnzdkmwm_2));
    DFN1C0 \rhjctqnqzsn[1]  (.D(SUM1), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(gpbbjwsprsj[1]));
    OR2B \mwtvnzdkmwm_ns_o2[1]  (.A(gpbbjwsprsj[1]), .B(gpbbjwsprsj[0])
        , .Y(N_39));
    NOR2A \mwtvnzdkmwm_ns_a2[6]  (.A(\mwtvnzdkmwm[5]_net_1 ), .B(N_39), 
        .Y(\mwtvnzdkmwm_ns[6] ));
    
endmodule


module INITCFG_XA_4s_2s(
       mwtvnzdkmwm,
       gpbbjwsprsj,
       xbkjkgdsbfh,
       mhxwcfnvbgt,
       NVM_BUSY_net,
       dxpbcqjpxtw,
       qdvwjxmzbpf,
       bfcqzvtnrcn,
       N_39,
       SYS_CLK_int,
       SYS_RESET_c
    );
output [3:1] mwtvnzdkmwm;
output [1:0] gpbbjwsprsj;
output xbkjkgdsbfh;
input  mhxwcfnvbgt;
input  NVM_BUSY_net;
output dxpbcqjpxtw;
output qdvwjxmzbpf;
input  bfcqzvtnrcn;
output N_39;
input  SYS_CLK_int;
input  SYS_RESET_c;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    stnpfdkggvx_4s_2s_0_1_2_3_4_5_6_7 u_stnpfdkggvx (.gpbbjwsprsj({
        gpbbjwsprsj[1], gpbbjwsprsj[0]}), .mwtvnzdkmwm_3(
        mwtvnzdkmwm[3]), .mwtvnzdkmwm_1(mwtvnzdkmwm[1]), 
        .mwtvnzdkmwm_2(mwtvnzdkmwm[2]), .SYS_RESET_c(SYS_RESET_c), 
        .SYS_CLK_int(SYS_CLK_int), .N_39(N_39), .bfcqzvtnrcn(
        bfcqzvtnrcn), .qdvwjxmzbpf(qdvwjxmzbpf), .dxpbcqjpxtw(
        dxpbcqjpxtw), .NVM_BUSY_net(NVM_BUSY_net), .mhxwcfnvbgt(
        mhxwcfnvbgt), .xbkjkgdsbfh(xbkjkgdsbfh));
    GND GND_i (.Y(GND));
    
endmodule


module dxwqxgdccxc_9s(
       gpbbjwsprsj,
       mmsccbknsvn_0,
       bqhrfdzctjc_13,
       bqhrfdzctjc_14,
       bqhrfdzctjc_11,
       bqhrfdzctjc_2,
       bqhrfdzctjc_0,
       bqhrfdzctjc_1,
       bqhrfdzctjc_3,
       bqhrfdzctjc_4,
       bqhrfdzctjc_5,
       bqhrfdzctjc_12,
       mmsccbknsvn_3,
       mmsccbknsvn_0_d0,
       mmsccbknsvn_1,
       bdhvhfjwtxd,
       INIT_ADDR_net,
       INIT_ADDR_net_0,
       N_8,
       mhxwcfnvbgt,
       N_66,
       N_65,
       N150,
       N_19,
       N_6,
       I6_un1_Y,
       N_70,
       N_39,
       SYS_RESET_c,
       SYS_CLK_int
    );
input  [1:1] gpbbjwsprsj;
input  [12:12] mmsccbknsvn_0;
output bqhrfdzctjc_13;
output bqhrfdzctjc_14;
output bqhrfdzctjc_11;
output bqhrfdzctjc_2;
output bqhrfdzctjc_0;
output bqhrfdzctjc_1;
output bqhrfdzctjc_3;
output bqhrfdzctjc_4;
output bqhrfdzctjc_5;
output bqhrfdzctjc_12;
input  mmsccbknsvn_3;
input  mmsccbknsvn_0_d0;
input  mmsccbknsvn_1;
input  [2:2] bdhvhfjwtxd;
output [8:0] INIT_ADDR_net;
output [7:7] INIT_ADDR_net_0;
input  N_8;
output mhxwcfnvbgt;
input  N_66;
input  N_65;
output N150;
input  N_19;
input  N_6;
output I6_un1_Y;
input  N_70;
input  N_39;
input  SYS_RESET_c;
input  SYS_CLK_int;

    wire \gnmdxrqrdgs_5[7] , \DWACT_ADD_CI_0_g_array_2[0] , 
        \DWACT_ADD_CI_0_g_array_1[0] , \DWACT_ADD_CI_0_pog_array_1[0] , 
        \DWACT_ADD_CI_0_g_array_3[0] , \DWACT_ADD_CI_0_pog_array_2[0] , 
        \DWACT_ADD_CI_0_TMP[0] , \DWACT_ADD_CI_0_g_array_11[0] , 
        \DWACT_ADD_CI_0_pog_array_1_1[0] , 
        \DWACT_ADD_CI_0_g_array_12_1[0] , 
        \DWACT_ADD_CI_0_g_array_12[0] , 
        \DWACT_ADD_CI_0_g_array_12_2[0] , ADD_13x13_medium_I6_un1_Y_0, 
        kftxkfpnstb10_NE_5, kftxkfpnstb10_NE_2, kftxkfpnstb10_3, 
        kftxkfpnstb10_NE_3, kftxkfpnstb10_NE_1, kftxkfpnstb10_NE_0, 
        \dkjzqmrkvwb_s0[8]_net_1 , N144, \dkjzqmrkvwb_s1[8] , N143, 
        N166, kftxkfpnstb10_NE, kftxkfpnstb10_7, kftxkfpnstb10_6, 
        un1_xkvhpkkjhmx, \gnmdxrqrdgs_5[0] , 
        \DWACT_ADD_CI_0_partial_sum[0] , \gnmdxrqrdgs_5[1] , I_32, 
        \gnmdxrqrdgs_5[2] , I_35, \gnmdxrqrdgs_5[3] , I_37, 
        \gnmdxrqrdgs_5[4] , I_30, \gnmdxrqrdgs_5[5] , I_33, 
        \gnmdxrqrdgs_5[6] , I_36, I_38, \gnmdxrqrdgs_5[8] , I_34, 
        \dkjzqmrkvwb_s0[10]_net_1 , N173_i, \dkjzqmrkvwb_s0[9]_net_1 , 
        I3_un1_Y, \DWACT_ADD_CI_0_pog_array_1_2[0] , GND, VCC, 
        GND_net_1, VCC_net_1;
    
    XOR2 un1_gnmdxrqrdgs_I_32 (.A(INIT_ADDR_net[1]), .B(
        \DWACT_ADD_CI_0_TMP[0] ), .Y(I_32));
    OR2B dkjzqmrkvwb_d1_ADD_13x13_medium_I0_CO1 (.A(mmsccbknsvn_0_d0), 
        .B(INIT_ADDR_net[7]), .Y(N143));
    DFN1C0 \gnmdxrqrdgs[2]  (.D(\gnmdxrqrdgs_5[2] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(INIT_ADDR_net[2]));
    XOR2 un1_gnmdxrqrdgs_I_34 (.A(INIT_ADDR_net[8]), .B(
        \DWACT_ADD_CI_0_g_array_3[0] ), .Y(I_34));
    NOR2B \jvbvzqvvxpc_gnmdxrqrdgs_5[1]  (.A(N_6), .B(I_32), .Y(
        \gnmdxrqrdgs_5[1] ));
    ZOR3 jvbvzqvvxpc_kftxkfpnstb10_NE_1 (.A(INIT_ADDR_net[0]), .B(
        INIT_ADDR_net[1]), .C(INIT_ADDR_net[6]), .Y(kftxkfpnstb10_NE_1)
        );
    NOR2B un1_gnmdxrqrdgs_I_43 (.A(\DWACT_ADD_CI_0_g_array_2[0] ), .B(
        \DWACT_ADD_CI_0_pog_array_1_1[0] ), .Y(
        \DWACT_ADD_CI_0_g_array_11[0] ));
    DFN1C0 \gnmdxrqrdgs[0]  (.D(\gnmdxrqrdgs_5[0] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(INIT_ADDR_net[0]));
    MX2C \dkjzqmrkvwb_s0[10]  (.A(\dkjzqmrkvwb_s0[10]_net_1 ), .B(
        gpbbjwsprsj[1]), .S(mmsccbknsvn_0_d0), .Y(bqhrfdzctjc_14));
    NOR2B \jvbvzqvvxpc_gnmdxrqrdgs_5[2]  (.A(N_6), .B(I_35), .Y(
        \gnmdxrqrdgs_5[2] ));
    MX2C \dkjzqmrkvwb_s0[5]  (.A(INIT_ADDR_net[4]), .B(
        INIT_ADDR_net[5]), .S(mmsccbknsvn_0[12]), .Y(bqhrfdzctjc_4));
    DFN1C0 \gnmdxrqrdgs[5]  (.D(\gnmdxrqrdgs_5[5] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(INIT_ADDR_net[5]));
    MX2C \dkjzqmrkvwb_s0[1]  (.A(INIT_ADDR_net[0]), .B(
        INIT_ADDR_net[1]), .S(mmsccbknsvn_0[12]), .Y(bqhrfdzctjc_0));
    NOR2B \jvbvzqvvxpc_gnmdxrqrdgs_5[0]  (.A(N_6), .B(
        \DWACT_ADD_CI_0_partial_sum[0] ), .Y(\gnmdxrqrdgs_5[0] ));
    OR2A jvbvzqvvxpc_un1_xkvhpkkjhmx (.A(N_6), .B(kftxkfpnstb10_NE), 
        .Y(un1_xkvhpkkjhmx));
    NOR2B \jvbvzqvvxpc_gnmdxrqrdgs_5[8]  (.A(N_6), .B(I_34), .Y(
        \gnmdxrqrdgs_5[8] ));
    NOR2B \jvbvzqvvxpc_gnmdxrqrdgs_5[3]  (.A(N_6), .B(I_37), .Y(
        \gnmdxrqrdgs_5[3] ));
    VCC VCC_i (.Y(VCC));
    NOR3C jvbvzqvvxpc_kftxkfpnstb10_NE (.A(kftxkfpnstb10_NE_5), .B(
        kftxkfpnstb10_7), .C(kftxkfpnstb10_6), .Y(kftxkfpnstb10_NE));
    XA1A jvbvzqvvxpc_kftxkfpnstb10_NE_2 (.A(INIT_ADDR_net[4]), .B(
        INIT_ADDR_net_0[7]), .C(kftxkfpnstb10_NE_0), .Y(
        kftxkfpnstb10_NE_2));
    XNOR3 dkjzqmrkvwb_d1_ADD_13x13_medium_I7_Y (.A(mmsccbknsvn_1), .B(
        INIT_ADDR_net[8]), .C(N143), .Y(\dkjzqmrkvwb_s1[8] ));
    NOR2B un1_gnmdxrqrdgs_I_44 (.A(\DWACT_ADD_CI_0_g_array_1[0] ), .B(
        \DWACT_ADD_CI_0_pog_array_1[0] ), .Y(
        \DWACT_ADD_CI_0_g_array_2[0] ));
    XOR2 jvbvzqvvxpc_kftxkfpnstb10_6 (.A(mmsccbknsvn_0_d0), .B(
        INIT_ADDR_net[6]), .Y(kftxkfpnstb10_6));
    AND2 un1_gnmdxrqrdgs_I_53 (.A(INIT_ADDR_net[4]), .B(
        INIT_ADDR_net[5]), .Y(\DWACT_ADD_CI_0_pog_array_1_1[0] ));
    NOR2B un1_gnmdxrqrdgs_I_49 (.A(\DWACT_ADD_CI_0_g_array_1[0] ), .B(
        INIT_ADDR_net[2]), .Y(\DWACT_ADD_CI_0_g_array_12[0] ));
    XA1A jvbvzqvvxpc_kftxkfpnstb10_NE_0 (.A(INIT_ADDR_net[4]), .B(
        INIT_ADDR_net[8]), .C(INIT_ADDR_net[5]), .Y(kftxkfpnstb10_NE_0)
        );
    DFN1C0 \gnmdxrqrdgs[1]  (.D(\gnmdxrqrdgs_5[1] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(INIT_ADDR_net[1]));
    AND2 un1_gnmdxrqrdgs_I_52 (.A(INIT_ADDR_net[2]), .B(
        INIT_ADDR_net[3]), .Y(\DWACT_ADD_CI_0_pog_array_1[0] ));
    XOR2 un1_gnmdxrqrdgs_I_38 (.A(INIT_ADDR_net_0[7]), .B(
        \DWACT_ADD_CI_0_g_array_12_2[0] ), .Y(I_38));
    XOR2 un1_gnmdxrqrdgs_I_30 (.A(INIT_ADDR_net[4]), .B(
        \DWACT_ADD_CI_0_g_array_2[0] ), .Y(I_30));
    AND2 un1_gnmdxrqrdgs_I_1 (.A(INIT_ADDR_net[0]), .B(N_8), .Y(
        \DWACT_ADD_CI_0_TMP[0] ));
    DFN1C0 \gnmdxrqrdgs_0[7]  (.D(\gnmdxrqrdgs_5[7] ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(INIT_ADDR_net_0[7]));
    AND2 un1_gnmdxrqrdgs_I_54 (.A(INIT_ADDR_net[6]), .B(
        INIT_ADDR_net_0[7]), .Y(\DWACT_ADD_CI_0_pog_array_1_2[0] ));
    NOR3C jvbvzqvvxpc_kftxkfpnstb10_NE_5 (.A(kftxkfpnstb10_NE_2), .B(
        kftxkfpnstb10_3), .C(kftxkfpnstb10_NE_3), .Y(
        kftxkfpnstb10_NE_5));
    DFN1C0 \gnmdxrqrdgs[6]  (.D(\gnmdxrqrdgs_5[6] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(INIT_ADDR_net[6]));
    MX2C \dkjzqmrkvwb_s0[4]  (.A(INIT_ADDR_net[3]), .B(
        INIT_ADDR_net[4]), .S(mmsccbknsvn_0[12]), .Y(bqhrfdzctjc_3));
    XA1A dkjzqmrkvwb_d1_ADD_13x13_medium_I3_un1_Y (.A(INIT_ADDR_net[8])
        , .B(N_39), .C(INIT_ADDR_net[7]), .Y(I3_un1_Y));
    AO18 dkjzqmrkvwb_d0_ADD_13x13_medium_I8_Y (.A(INIT_ADDR_net[8]), 
        .B(N_39), .C(N166), .Y(N173_i));
    OR2B dkjzqmrkvwb_d0_ADD_13x13_medium_I0_CO1 (.A(mmsccbknsvn_0_d0), 
        .B(INIT_ADDR_net[6]), .Y(N144));
    XA1C dkjzqmrkvwb_d0_ADD_13x13_medium_I6_un1_Y_0 (.A(
        INIT_ADDR_net[8]), .B(N_39), .C(N_70), .Y(
        ADD_13x13_medium_I6_un1_Y_0));
    AO13 dkjzqmrkvwb_d0_ADD_13x13_medium_I5_Y (.A(INIT_ADDR_net_0[7]), 
        .B(mmsccbknsvn_1), .C(N144), .Y(N166));
    XOR2 un1_gnmdxrqrdgs_I_36 (.A(INIT_ADDR_net[6]), .B(
        \DWACT_ADD_CI_0_g_array_11[0] ), .Y(I_36));
    XOR2 jvbvzqvvxpc_kftxkfpnstb10_3 (.A(mmsccbknsvn_3), .B(
        INIT_ADDR_net[3]), .Y(kftxkfpnstb10_3));
    NOR2B \jvbvzqvvxpc_gnmdxrqrdgs_5[6]  (.A(N_6), .B(I_36), .Y(
        \gnmdxrqrdgs_5[6] ));
    DFN1C0 \gnmdxrqrdgs[4]  (.D(\gnmdxrqrdgs_5[4] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(INIT_ADDR_net[4]));
    GND GND_i (.Y(GND));
    NOR2B \jvbvzqvvxpc_gnmdxrqrdgs_5[7]  (.A(N_6), .B(I_38), .Y(
        \gnmdxrqrdgs_5[7] ));
    XNOR3 dkjzqmrkvwb_d0_ADD_13x13_medium_I10_Y (.A(INIT_ADDR_net[8]), 
        .B(N_39), .C(N166), .Y(\dkjzqmrkvwb_s0[9]_net_1 ));
    NOR2B un1_gnmdxrqrdgs_I_40 (.A(\DWACT_ADD_CI_0_TMP[0] ), .B(
        INIT_ADDR_net[1]), .Y(\DWACT_ADD_CI_0_g_array_1[0] ));
    NOR2B \jvbvzqvvxpc_gnmdxrqrdgs_5[5]  (.A(N_6), .B(I_33), .Y(
        \gnmdxrqrdgs_5[5] ));
    DFN1C0 \gnmdxrqrdgs[3]  (.D(\gnmdxrqrdgs_5[3] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(INIT_ADDR_net[3]));
    XOR2 un1_gnmdxrqrdgs_I_37 (.A(INIT_ADDR_net[3]), .B(
        \DWACT_ADD_CI_0_g_array_12[0] ), .Y(I_37));
    MX2C \dkjzqmrkvwb_s0[3]  (.A(INIT_ADDR_net[3]), .B(
        INIT_ADDR_net[2]), .S(N_19), .Y(bqhrfdzctjc_2));
    XA1A jvbvzqvvxpc_kftxkfpnstb10_NE_3 (.A(INIT_ADDR_net[2]), .B(
        bdhvhfjwtxd[2]), .C(kftxkfpnstb10_NE_1), .Y(kftxkfpnstb10_NE_3)
        );
    XOR2 dkjzqmrkvwb_d0_ADD_13x13_medium_I11_Y (.A(N_70), .B(N173_i), 
        .Y(\dkjzqmrkvwb_s0[10]_net_1 ));
    XOR2 un1_gnmdxrqrdgs_I_21 (.A(INIT_ADDR_net[0]), .B(N_8), .Y(
        \DWACT_ADD_CI_0_partial_sum[0] ));
    NOR2B un1_gnmdxrqrdgs_I_46 (.A(\DWACT_ADD_CI_0_g_array_2[0] ), .B(
        \DWACT_ADD_CI_0_pog_array_2[0] ), .Y(
        \DWACT_ADD_CI_0_g_array_3[0] ));
    XOR2 un1_gnmdxrqrdgs_I_35 (.A(INIT_ADDR_net[2]), .B(
        \DWACT_ADD_CI_0_g_array_1[0] ), .Y(I_35));
    XNOR3 dkjzqmrkvwb_d0_ADD_13x13_medium_I9_Y (.A(mmsccbknsvn_1), .B(
        INIT_ADDR_net_0[7]), .C(N144), .Y(\dkjzqmrkvwb_s0[8]_net_1 ));
    MX2C \dkjzqmrkvwb_s0[9]  (.A(\dkjzqmrkvwb_s0[9]_net_1 ), .B(
        I3_un1_Y), .S(mmsccbknsvn_0_d0), .Y(bqhrfdzctjc_13));
    NOR2B un1_gnmdxrqrdgs_I_50 (.A(\DWACT_ADD_CI_0_g_array_11[0] ), .B(
        INIT_ADDR_net[6]), .Y(\DWACT_ADD_CI_0_g_array_12_2[0] ));
    AND2 un1_gnmdxrqrdgs_I_51 (.A(\DWACT_ADD_CI_0_pog_array_1_1[0] ), 
        .B(\DWACT_ADD_CI_0_pog_array_1_2[0] ), .Y(
        \DWACT_ADD_CI_0_pog_array_2[0] ));
    NOR2B un1_gnmdxrqrdgs_I_47 (.A(\DWACT_ADD_CI_0_g_array_2[0] ), .B(
        INIT_ADDR_net[4]), .Y(\DWACT_ADD_CI_0_g_array_12_1[0] ));
    DFN1C0 \gnmdxrqrdgs[8]  (.D(\gnmdxrqrdgs_5[8] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(INIT_ADDR_net[8]));
    MX2A \dkjzqmrkvwb_s0[7]  (.A(INIT_ADDR_net[6]), .B(
        INIT_ADDR_net[7]), .S(mmsccbknsvn_0_d0), .Y(bqhrfdzctjc_11));
    MX2C \dkjzqmrkvwb_s0[2]  (.A(INIT_ADDR_net[1]), .B(
        INIT_ADDR_net[2]), .S(mmsccbknsvn_0[12]), .Y(bqhrfdzctjc_1));
    AX1B jvbvzqvvxpc_kftxkfpnstb10_7 (.A(N_65), .B(N_66), .C(
        INIT_ADDR_net[7]), .Y(kftxkfpnstb10_7));
    DFN1C0 \gnmdxrqrdgs[7]  (.D(\gnmdxrqrdgs_5[7] ), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(INIT_ADDR_net[7]));
    NOR2A dkjzqmrkvwb_d0_ADD_13x13_medium_I2_G0N (.A(INIT_ADDR_net[8]), 
        .B(N_39), .Y(N150));
    DFN1E1C0 kftxkfpnstb (.D(kftxkfpnstb10_NE), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .E(un1_xkvhpkkjhmx), .Q(mhxwcfnvbgt));
    NOR2B \jvbvzqvvxpc_gnmdxrqrdgs_5[4]  (.A(N_6), .B(I_30), .Y(
        \gnmdxrqrdgs_5[4] ));
    XOR2 un1_gnmdxrqrdgs_I_33 (.A(INIT_ADDR_net[5]), .B(
        \DWACT_ADD_CI_0_g_array_12_1[0] ), .Y(I_33));
    MX2C \dkjzqmrkvwb_s0[6]  (.A(INIT_ADDR_net[5]), .B(
        INIT_ADDR_net[6]), .S(mmsccbknsvn_0[12]), .Y(bqhrfdzctjc_5));
    NOR2B dkjzqmrkvwb_d0_ADD_13x13_medium_I6_un1_Y (.A(
        ADD_13x13_medium_I6_un1_Y_0), .B(N166), .Y(I6_un1_Y));
    MX2C \dkjzqmrkvwb_s0[8]  (.A(\dkjzqmrkvwb_s0[8]_net_1 ), .B(
        \dkjzqmrkvwb_s1[8] ), .S(mmsccbknsvn_0[12]), .Y(bqhrfdzctjc_12)
        );
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    
endmodule


module INITCFG_XD_9s(
       INIT_ADDR_net_0,
       INIT_ADDR_net,
       bdhvhfjwtxd,
       mmsccbknsvn_1,
       mmsccbknsvn_0_d0,
       mmsccbknsvn_3,
       bqhrfdzctjc_12,
       bqhrfdzctjc_5,
       bqhrfdzctjc_4,
       bqhrfdzctjc_3,
       bqhrfdzctjc_1,
       bqhrfdzctjc_0,
       bqhrfdzctjc_2,
       bqhrfdzctjc_11,
       bqhrfdzctjc_14,
       bqhrfdzctjc_13,
       mmsccbknsvn_0,
       gpbbjwsprsj,
       SYS_CLK_int,
       SYS_RESET_c,
       N_39,
       N_70,
       I6_un1_Y,
       N_6,
       N_19,
       N150,
       N_65,
       N_66,
       mhxwcfnvbgt,
       N_8
    );
output [7:7] INIT_ADDR_net_0;
output [8:0] INIT_ADDR_net;
input  [2:2] bdhvhfjwtxd;
input  mmsccbknsvn_1;
input  mmsccbknsvn_0_d0;
input  mmsccbknsvn_3;
output bqhrfdzctjc_12;
output bqhrfdzctjc_5;
output bqhrfdzctjc_4;
output bqhrfdzctjc_3;
output bqhrfdzctjc_1;
output bqhrfdzctjc_0;
output bqhrfdzctjc_2;
output bqhrfdzctjc_11;
output bqhrfdzctjc_14;
output bqhrfdzctjc_13;
input  [12:12] mmsccbknsvn_0;
input  [1:1] gpbbjwsprsj;
input  SYS_CLK_int;
input  SYS_RESET_c;
input  N_39;
input  N_70;
output I6_un1_Y;
input  N_6;
input  N_19;
output N150;
input  N_65;
input  N_66;
output mhxwcfnvbgt;
input  N_8;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    dxwqxgdccxc_9s u_dxwqxgdccxc (.gpbbjwsprsj({gpbbjwsprsj[1]}), 
        .mmsccbknsvn_0({mmsccbknsvn_0[12]}), .bqhrfdzctjc_13(
        bqhrfdzctjc_13), .bqhrfdzctjc_14(bqhrfdzctjc_14), 
        .bqhrfdzctjc_11(bqhrfdzctjc_11), .bqhrfdzctjc_2(bqhrfdzctjc_2), 
        .bqhrfdzctjc_0(bqhrfdzctjc_0), .bqhrfdzctjc_1(bqhrfdzctjc_1), 
        .bqhrfdzctjc_3(bqhrfdzctjc_3), .bqhrfdzctjc_4(bqhrfdzctjc_4), 
        .bqhrfdzctjc_5(bqhrfdzctjc_5), .bqhrfdzctjc_12(bqhrfdzctjc_12), 
        .mmsccbknsvn_3(mmsccbknsvn_3), .mmsccbknsvn_0_d0(
        mmsccbknsvn_0_d0), .mmsccbknsvn_1(mmsccbknsvn_1), .bdhvhfjwtxd({
        bdhvhfjwtxd[2]}), .INIT_ADDR_net({INIT_ADDR_net[8], 
        INIT_ADDR_net[7], INIT_ADDR_net[6], INIT_ADDR_net[5], 
        INIT_ADDR_net[4], INIT_ADDR_net[3], INIT_ADDR_net[2], 
        INIT_ADDR_net[1], INIT_ADDR_net[0]}), .INIT_ADDR_net_0({
        INIT_ADDR_net_0[7]}), .N_8(N_8), .mhxwcfnvbgt(mhxwcfnvbgt), 
        .N_66(N_66), .N_65(N_65), .N150(N150), .N_19(N_19), .N_6(N_6), 
        .I6_un1_Y(I6_un1_Y), .N_70(N_70), .N_39(N_39), .SYS_RESET_c(
        SYS_RESET_c), .SYS_CLK_int(SYS_CLK_int));
    GND GND_i (.Y(GND));
    
endmodule


module gpbdjfttbjd_4s_2s(
       vvpkfmmpprk,
       gpbbjwsprsj,
       N_10,
       NVM_BUSY_net,
       xbkjkgdsbfh,
       INIT_EV_WEN_net,
       INIT_ASSC_WEN_net,
       N_4,
       INIT_ACM_WEN_net,
       npgnwznthhx
    );
input  [1:0] vvpkfmmpprk;
input  [1:0] gpbbjwsprsj;
output N_10;
input  NVM_BUSY_net;
input  xbkjkgdsbfh;
output INIT_EV_WEN_net;
output INIT_ASSC_WEN_net;
output N_4;
output INIT_ACM_WEN_net;
input  npgnwznthhx;

    wire N_19, N_16, N_14, N_15, N_17, N_18, N_21_1, N_20, GND, VCC, 
        GND_net_1, VCC_net_1;
    
    OR3C \fpppnnsbksx_0_a3[3]  (.A(vvpkfmmpprk[0]), .B(vvpkfmmpprk[1]), 
        .C(npgnwznthhx), .Y(N_20));
    OA1B tdckqkwvkfk_un1_hvwtzkgfwtj_1_i (.A(npgnwznthhx), .B(
        xbkjkgdsbfh), .C(NVM_BUSY_net), .Y(N_4));
    GND GND_i_0 (.Y(GND_net_1));
    OR3B \fpppnnsbksx_0_a3[1]  (.A(npgnwznthhx), .B(vvpkfmmpprk[0]), 
        .C(vvpkfmmpprk[1]), .Y(N_16));
    AOI1B \fpppnnsbksx_r[0]  (.A(N_14), .B(N_15), .C(N_4), .Y(
        INIT_ACM_WEN_net));
    OR3B \fpppnnsbksx_0_a3[2]  (.A(npgnwznthhx), .B(vvpkfmmpprk[1]), 
        .C(vvpkfmmpprk[0]), .Y(N_18));
    AOI1B \fpppnnsbksx_r[2]  (.A(N_18), .B(N_19), .C(N_4), .Y(
        INIT_EV_WEN_net));
    VCC VCC_i (.Y(VCC));
    AOI1B \fpppnnsbksx_r[1]  (.A(N_16), .B(N_17), .C(N_4), .Y(
        INIT_ASSC_WEN_net));
    NOR2A \fpppnnsbksx_0_a3_0_1[3]  (.A(gpbbjwsprsj[0]), .B(
        npgnwznthhx), .Y(N_21_1));
    OR3A \fpppnnsbksx_0_a3[0]  (.A(npgnwznthhx), .B(vvpkfmmpprk[0]), 
        .C(vvpkfmmpprk[1]), .Y(N_14));
    GND GND_i (.Y(GND));
    OR2A \fpppnnsbksx_0_a3_0[1]  (.A(N_21_1), .B(gpbbjwsprsj[1]), .Y(
        N_17));
    VCC VCC_i_0 (.Y(VCC_net_1));
    OR3A \fpppnnsbksx_0_a3_0[2]  (.A(gpbbjwsprsj[1]), .B(
        gpbbjwsprsj[0]), .C(npgnwznthhx), .Y(N_19));
    AO1B \fpppnnsbksx_0[3]  (.A(gpbbjwsprsj[1]), .B(N_21_1), .C(N_20), 
        .Y(N_10));
    OR3 \fpppnnsbksx_0_a3_0[0]  (.A(gpbbjwsprsj[0]), .B(gpbbjwsprsj[1])
        , .C(npgnwznthhx), .Y(N_15));
    
endmodule


module INITCFG_XE_4s_2s(
       gpbbjwsprsj,
       vvpkfmmpprk,
       npgnwznthhx,
       INIT_ACM_WEN_net,
       N_4,
       INIT_ASSC_WEN_net,
       INIT_EV_WEN_net,
       xbkjkgdsbfh,
       NVM_BUSY_net,
       N_10
    );
input  [1:0] gpbbjwsprsj;
input  [1:0] vvpkfmmpprk;
input  npgnwznthhx;
output INIT_ACM_WEN_net;
output N_4;
output INIT_ASSC_WEN_net;
output INIT_EV_WEN_net;
input  xbkjkgdsbfh;
input  NVM_BUSY_net;
output N_10;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    gpbdjfttbjd_4s_2s u_gpbdjfttbjd (.vvpkfmmpprk({vvpkfmmpprk[1], 
        vvpkfmmpprk[0]}), .gpbbjwsprsj({gpbbjwsprsj[1], gpbbjwsprsj[0]})
        , .N_10(N_10), .NVM_BUSY_net(NVM_BUSY_net), .xbkjkgdsbfh(
        xbkjkgdsbfh), .INIT_EV_WEN_net(INIT_EV_WEN_net), 
        .INIT_ASSC_WEN_net(INIT_ASSC_WEN_net), .N_4(N_4), 
        .INIT_ACM_WEN_net(INIT_ACM_WEN_net), .npgnwznthhx(npgnwznthhx));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module ffppvfwnggt_4s_2s_9s(
       bdhvhfjwtxd,
       bqhrfdzctjc_14,
       bqhrfdzctjc_13,
       bqhrfdzctjc_11,
       bqhrfdzctjc_2,
       bqhrfdzctjc_0,
       bqhrfdzctjc_1,
       bqhrfdzctjc_3,
       bqhrfdzctjc_4,
       bqhrfdzctjc_5,
       bqhrfdzctjc_12,
       vvpkfmmpprk,
       mmsccbknsvn_0_d0,
       mmsccbknsvn_3,
       mmsccbknsvn_1,
       srdtcqsfmmm_0_a2_16,
       srdtcqsfmmm_0_a2_15,
       srdtcqsfmmm_0_a2_14,
       srdtcqsfmmm_0_a2_12,
       srdtcqsfmmm_0_a2_3,
       srdtcqsfmmm_0_a2_1,
       srdtcqsfmmm_0_a2_2,
       srdtcqsfmmm_0_a2_4,
       srdtcqsfmmm_0_a2_5,
       srdtcqsfmmm_0_a2_6,
       srdtcqsfmmm_0_a2_13,
       srdtcqsfmmm_0_a2_0,
       crpwsdfhcqq_4,
       crpwsdfhcqq_0,
       gpbbjwsprsj,
       mwtvnzdkmwm,
       INIT_ADDR_net,
       mmsccbknsvn_0,
       N_19,
       N150,
       I6_un1_Y,
       N_36,
       xbkjkgdsbfh,
       NVM_REN_net,
       N_6,
       dxpbcqjpxtw,
       fhpsqkqvwpw,
       N_8,
       N_66,
       N_65,
       N_70,
       qdvwjxmzbpf,
       bfcqzvtnrcn
    );
output [2:2] bdhvhfjwtxd;
input  bqhrfdzctjc_14;
input  bqhrfdzctjc_13;
input  bqhrfdzctjc_11;
input  bqhrfdzctjc_2;
input  bqhrfdzctjc_0;
input  bqhrfdzctjc_1;
input  bqhrfdzctjc_3;
input  bqhrfdzctjc_4;
input  bqhrfdzctjc_5;
input  bqhrfdzctjc_12;
input  [1:0] vvpkfmmpprk;
output mmsccbknsvn_0_d0;
output mmsccbknsvn_3;
output mmsccbknsvn_1;
output srdtcqsfmmm_0_a2_16;
output srdtcqsfmmm_0_a2_15;
output srdtcqsfmmm_0_a2_14;
output srdtcqsfmmm_0_a2_12;
output srdtcqsfmmm_0_a2_3;
output srdtcqsfmmm_0_a2_1;
output srdtcqsfmmm_0_a2_2;
output srdtcqsfmmm_0_a2_4;
output srdtcqsfmmm_0_a2_5;
output srdtcqsfmmm_0_a2_6;
output srdtcqsfmmm_0_a2_13;
output srdtcqsfmmm_0_a2_0;
input  crpwsdfhcqq_4;
input  crpwsdfhcqq_0;
input  [1:0] gpbbjwsprsj;
input  [3:1] mwtvnzdkmwm;
input  [0:0] INIT_ADDR_net;
output [12:12] mmsccbknsvn_0;
output N_19;
input  N150;
input  I6_un1_Y;
output N_36;
input  xbkjkgdsbfh;
output NVM_REN_net;
output N_6;
input  dxpbcqjpxtw;
input  fhpsqkqvwpw;
output N_8;
output N_66;
output N_65;
output N_70;
input  qdvwjxmzbpf;
input  bfcqzvtnrcn;

    wire N_36_0, N_68, N_67, \srdtcqsfmmm_0_a2_0[0]_net_1 , 
        ttkcwbrgmjd_i_a2_0_0_net_1, \hrdbnmzftpn_0_0[13]_net_1 , N_51, 
        ttkcwbrgmjd_i_a2_0, GND, VCC, GND_net_1, VCC_net_1;
    
    OA1 \hrdbnmzftpn_0_0[13]  (.A(gpbbjwsprsj[0]), .B(N_70), .C(N_51), 
        .Y(\hrdbnmzftpn_0_0[13]_net_1 ));
    OR2B \srdtcqsfmmm_0_a2_0[0]  (.A(INIT_ADDR_net[0]), .B(N_36_0), .Y(
        \srdtcqsfmmm_0_a2_0[0]_net_1 ));
    OR3 \hrdbnmzftpn_0_a2[12]  (.A(vvpkfmmpprk[1]), .B(bfcqzvtnrcn), 
        .C(vvpkfmmpprk[0]), .Y(N_67));
    NOR2A \srdtcqsfmmm_0_a2[3]  (.A(N_36), .B(bqhrfdzctjc_2), .Y(
        srdtcqsfmmm_0_a2_3));
    OR2B \hrdbnmzftpn_0_o2_0[12]  (.A(N_68), .B(N_67), .Y(
        mmsccbknsvn_0[12]));
    OA1 \hbqjhzzrbnr_i[0]  (.A(gpbbjwsprsj[0]), .B(gpbbjwsprsj[1]), .C(
        N_36), .Y(N_19));
    MX2 \cpqqthwwhvc_i_o2[2]  (.A(vvpkfmmpprk[0]), .B(gpbbjwsprsj[0]), 
        .S(bfcqzvtnrcn), .Y(bdhvhfjwtxd[2]));
    NOR2A \srdtcqsfmmm_0_a2[14]  (.A(N_36), .B(bqhrfdzctjc_13), .Y(
        srdtcqsfmmm_0_a2_14));
    NOR3B \cpqqthwwhvc_0_a2_0[4]  (.A(bfcqzvtnrcn), .B(gpbbjwsprsj[0]), 
        .C(gpbbjwsprsj[1]), .Y(N_66));
    VCC VCC_i (.Y(VCC));
    OR3A \hrdbnmzftpn_0_a2_0[12]  (.A(bfcqzvtnrcn), .B(gpbbjwsprsj[0]), 
        .C(gpbbjwsprsj[1]), .Y(N_68));
    OR2 ttkcwbrgmjd_i_a2_0_0_0 (.A(mwtvnzdkmwm[1]), .B(mwtvnzdkmwm[2]), 
        .Y(ttkcwbrgmjd_i_a2_0_0_net_1));
    NOR2A \srdtcqsfmmm_0_a2[5]  (.A(N_36_0), .B(bqhrfdzctjc_4), .Y(
        srdtcqsfmmm_0_a2_5));
    NOR2A \srdtcqsfmmm_0_a2[1]  (.A(N_36), .B(bqhrfdzctjc_0), .Y(
        srdtcqsfmmm_0_a2_1));
    NOR2A \srdtcqsfmmm_0_a2[12]  (.A(N_36), .B(bqhrfdzctjc_11), .Y(
        srdtcqsfmmm_0_a2_12));
    NOR2A jsnhqgkgbcr_un1_sdcfzkxtrzd_1_i_o2_0 (.A(bfcqzvtnrcn), .B(
        qdvwjxmzbpf), .Y(N_36_0));
    AO1C \hrdbnmzftpn_i_o2[14]  (.A(bfcqzvtnrcn), .B(vvpkfmmpprk[1]), 
        .C(N_70), .Y(mmsccbknsvn_3));
    NOR2A \srdtcqsfmmm_0_a2[2]  (.A(N_36_0), .B(bqhrfdzctjc_1), .Y(
        srdtcqsfmmm_0_a2_2));
    OA1 \srdtcqsfmmm_0_a2[16]  (.A(I6_un1_Y), .B(N150), .C(N_36), .Y(
        srdtcqsfmmm_0_a2_16));
    NOR2A \srdtcqsfmmm_0_a2[15]  (.A(N_36), .B(bqhrfdzctjc_14), .Y(
        srdtcqsfmmm_0_a2_15));
    GND GND_i (.Y(GND));
    MX2C ttkcwbrgmjd_i (.A(ttkcwbrgmjd_i_a2_0), .B(
        ttkcwbrgmjd_i_a2_0_0_net_1), .S(N_36_0), .Y(N_6));
    OR2B \hrdbnmzftpn_0_a2_1[13]  (.A(gpbbjwsprsj[1]), .B(bfcqzvtnrcn), 
        .Y(N_70));
    NOR2A \srdtcqsfmmm_0_a2[13]  (.A(N_36_0), .B(bqhrfdzctjc_12), .Y(
        srdtcqsfmmm_0_a2_13));
    OR2B \hrdbnmzftpn_0_o2[12]  (.A(N_68), .B(N_67), .Y(
        mmsccbknsvn_0_d0));
    NOR2A \srdtcqsfmmm_0_a2[6]  (.A(N_36_0), .B(bqhrfdzctjc_5), .Y(
        srdtcqsfmmm_0_a2_6));
    NOR2A jsnhqgkgbcr_un1_sdcfzkxtrzd_1_i_o2 (.A(bfcqzvtnrcn), .B(
        qdvwjxmzbpf), .Y(N_36));
    OR2 ttkcwbrgmjd_i_a2_0_0 (.A(crpwsdfhcqq_0), .B(crpwsdfhcqq_4), .Y(
        ttkcwbrgmjd_i_a2_0));
    OA1 ttgsznzrpgx_m_0_a2 (.A(mwtvnzdkmwm[3]), .B(xbkjkgdsbfh), .C(
        N_36_0), .Y(NVM_REN_net));
    NOR2A \srdtcqsfmmm_0_a2[4]  (.A(N_36_0), .B(bqhrfdzctjc_3), .Y(
        srdtcqsfmmm_0_a2_4));
    OR3A \hrdbnmzftpn_0_a2_0[13]  (.A(vvpkfmmpprk[1]), .B(bfcqzvtnrcn), 
        .C(vvpkfmmpprk[0]), .Y(N_51));
    MX2 cbfkvdxnxdp_i (.A(fhpsqkqvwpw), .B(dxpbcqjpxtw), .S(N_36_0), 
        .Y(N_8));
    NOR3A \cpqqthwwhvc_0_a2[4]  (.A(vvpkfmmpprk[0]), .B(bfcqzvtnrcn), 
        .C(vvpkfmmpprk[1]), .Y(N_65));
    NOR2A \srdtcqsfmmm_0_a2[0]  (.A(mmsccbknsvn_0[12]), .B(
        \srdtcqsfmmm_0_a2_0[0]_net_1 ), .Y(srdtcqsfmmm_0_a2_0));
    VCC VCC_i_0 (.Y(VCC_net_1));
    OR3A \hrdbnmzftpn_0[13]  (.A(\hrdbnmzftpn_0_0[13]_net_1 ), .B(N_65)
        , .C(N_66), .Y(mmsccbknsvn_1));
    GND GND_i_0 (.Y(GND_net_1));
    
endmodule


module INITCFG_XC_4s_2s_9s(
       mmsccbknsvn_0,
       INIT_ADDR_net,
       mwtvnzdkmwm,
       gpbbjwsprsj,
       crpwsdfhcqq_0,
       crpwsdfhcqq_4,
       srdtcqsfmmm_0_a2_0,
       srdtcqsfmmm_0_a2_13,
       srdtcqsfmmm_0_a2_6,
       srdtcqsfmmm_0_a2_5,
       srdtcqsfmmm_0_a2_4,
       srdtcqsfmmm_0_a2_2,
       srdtcqsfmmm_0_a2_1,
       srdtcqsfmmm_0_a2_3,
       srdtcqsfmmm_0_a2_12,
       srdtcqsfmmm_0_a2_14,
       srdtcqsfmmm_0_a2_15,
       srdtcqsfmmm_0_a2_16,
       mmsccbknsvn_1,
       mmsccbknsvn_3,
       mmsccbknsvn_0_d0,
       vvpkfmmpprk,
       bqhrfdzctjc_12,
       bqhrfdzctjc_5,
       bqhrfdzctjc_4,
       bqhrfdzctjc_3,
       bqhrfdzctjc_1,
       bqhrfdzctjc_0,
       bqhrfdzctjc_2,
       bqhrfdzctjc_11,
       bqhrfdzctjc_13,
       bqhrfdzctjc_14,
       bdhvhfjwtxd,
       bfcqzvtnrcn,
       qdvwjxmzbpf,
       N_70,
       N_65,
       N_66,
       N_8,
       fhpsqkqvwpw,
       dxpbcqjpxtw,
       N_6,
       NVM_REN_net,
       xbkjkgdsbfh,
       N_36,
       I6_un1_Y,
       N150,
       N_19
    );
output [12:12] mmsccbknsvn_0;
input  [0:0] INIT_ADDR_net;
input  [3:1] mwtvnzdkmwm;
input  [1:0] gpbbjwsprsj;
input  crpwsdfhcqq_0;
input  crpwsdfhcqq_4;
output srdtcqsfmmm_0_a2_0;
output srdtcqsfmmm_0_a2_13;
output srdtcqsfmmm_0_a2_6;
output srdtcqsfmmm_0_a2_5;
output srdtcqsfmmm_0_a2_4;
output srdtcqsfmmm_0_a2_2;
output srdtcqsfmmm_0_a2_1;
output srdtcqsfmmm_0_a2_3;
output srdtcqsfmmm_0_a2_12;
output srdtcqsfmmm_0_a2_14;
output srdtcqsfmmm_0_a2_15;
output srdtcqsfmmm_0_a2_16;
output mmsccbknsvn_1;
output mmsccbknsvn_3;
output mmsccbknsvn_0_d0;
input  [1:0] vvpkfmmpprk;
input  bqhrfdzctjc_12;
input  bqhrfdzctjc_5;
input  bqhrfdzctjc_4;
input  bqhrfdzctjc_3;
input  bqhrfdzctjc_1;
input  bqhrfdzctjc_0;
input  bqhrfdzctjc_2;
input  bqhrfdzctjc_11;
input  bqhrfdzctjc_13;
input  bqhrfdzctjc_14;
output [2:2] bdhvhfjwtxd;
input  bfcqzvtnrcn;
input  qdvwjxmzbpf;
output N_70;
output N_65;
output N_66;
output N_8;
input  fhpsqkqvwpw;
input  dxpbcqjpxtw;
output N_6;
output NVM_REN_net;
input  xbkjkgdsbfh;
output N_36;
input  I6_un1_Y;
input  N150;
output N_19;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    ffppvfwnggt_4s_2s_9s u_ffppvfwnggt (.bdhvhfjwtxd({bdhvhfjwtxd[2]}), 
        .bqhrfdzctjc_14(bqhrfdzctjc_14), .bqhrfdzctjc_13(
        bqhrfdzctjc_13), .bqhrfdzctjc_11(bqhrfdzctjc_11), 
        .bqhrfdzctjc_2(bqhrfdzctjc_2), .bqhrfdzctjc_0(bqhrfdzctjc_0), 
        .bqhrfdzctjc_1(bqhrfdzctjc_1), .bqhrfdzctjc_3(bqhrfdzctjc_3), 
        .bqhrfdzctjc_4(bqhrfdzctjc_4), .bqhrfdzctjc_5(bqhrfdzctjc_5), 
        .bqhrfdzctjc_12(bqhrfdzctjc_12), .vvpkfmmpprk({vvpkfmmpprk[1], 
        vvpkfmmpprk[0]}), .mmsccbknsvn_0_d0(mmsccbknsvn_0_d0), 
        .mmsccbknsvn_3(mmsccbknsvn_3), .mmsccbknsvn_1(mmsccbknsvn_1), 
        .srdtcqsfmmm_0_a2_16(srdtcqsfmmm_0_a2_16), 
        .srdtcqsfmmm_0_a2_15(srdtcqsfmmm_0_a2_15), 
        .srdtcqsfmmm_0_a2_14(srdtcqsfmmm_0_a2_14), 
        .srdtcqsfmmm_0_a2_12(srdtcqsfmmm_0_a2_12), .srdtcqsfmmm_0_a2_3(
        srdtcqsfmmm_0_a2_3), .srdtcqsfmmm_0_a2_1(srdtcqsfmmm_0_a2_1), 
        .srdtcqsfmmm_0_a2_2(srdtcqsfmmm_0_a2_2), .srdtcqsfmmm_0_a2_4(
        srdtcqsfmmm_0_a2_4), .srdtcqsfmmm_0_a2_5(srdtcqsfmmm_0_a2_5), 
        .srdtcqsfmmm_0_a2_6(srdtcqsfmmm_0_a2_6), .srdtcqsfmmm_0_a2_13(
        srdtcqsfmmm_0_a2_13), .srdtcqsfmmm_0_a2_0(srdtcqsfmmm_0_a2_0), 
        .crpwsdfhcqq_4(crpwsdfhcqq_4), .crpwsdfhcqq_0(crpwsdfhcqq_0), 
        .gpbbjwsprsj({gpbbjwsprsj[1], gpbbjwsprsj[0]}), .mwtvnzdkmwm({
        mwtvnzdkmwm[3], mwtvnzdkmwm[2], mwtvnzdkmwm[1]}), 
        .INIT_ADDR_net({INIT_ADDR_net[0]}), .mmsccbknsvn_0({
        mmsccbknsvn_0[12]}), .N_19(N_19), .N150(N150), .I6_un1_Y(
        I6_un1_Y), .N_36(N_36), .xbkjkgdsbfh(xbkjkgdsbfh), 
        .NVM_REN_net(NVM_REN_net), .N_6(N_6), .dxpbcqjpxtw(dxpbcqjpxtw)
        , .fhpsqkqvwpw(fhpsqkqvwpw), .N_8(N_8), .N_66(N_66), .N_65(
        N_65), .N_70(N_70), .qdvwjxmzbpf(qdvwjxmzbpf), .bfcqzvtnrcn(
        bfcqzvtnrcn));
    GND GND_i (.Y(GND));
    
endmodule


module wbsfnwwctpn_Z5(
       crpwsdfhcqq_0,
       crpwsdfhcqq_4,
       vvpkfmmpprk,
       npgnwznthhx,
       SYS_RESET_c,
       SYS_CLK_int,
       NVM_BUSY_net,
       fhpsqkqvwpw
    );
output crpwsdfhcqq_0;
output crpwsdfhcqq_4;
output [1:0] vvpkfmmpprk;
output npgnwznthhx;
input  SYS_RESET_c;
input  SYS_CLK_int;
input  NVM_BUSY_net;
output fhpsqkqvwpw;

    wire SUM0_0, SUM1_0, \crpwsdfhcqq[8]_net_1 , jspcghhzwmg, 
        \crpwsdfhcqq_ns_i[6]_net_1 , mfwjfgrqchd, 
        \crpwsdfhcqq_ns_i[7]_net_1 , \crpwsdfhcqq[7]_net_1 , 
        \crpwsdfhcqq_ns_i[1]_net_1 , GND, VCC, GND_net_1, VCC_net_1;
    
    DFN1C0 \crpwsdfhcqq[3]  (.D(fhpsqkqvwpw), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(npgnwznthhx));
    DFN1C0 \crpwsdfhcqq[8]  (.D(\crpwsdfhcqq[7]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\crpwsdfhcqq[8]_net_1 ));
    GND GND_i_0 (.Y(GND_net_1));
    OR2 dzzgmgmtbvx_0 (.A(\crpwsdfhcqq[8]_net_1 ), .B(jspcghhzwmg), .Y(
        fhpsqkqvwpw));
    VCC VCC_i (.Y(VCC));
    XOR2 un1_crpwsdfhcqq_1_SUM0 (.A(vvpkfmmpprk[0]), .B(crpwsdfhcqq_4), 
        .Y(SUM0_0));
    DFN1C0 \bzcdnkppzhj[0]  (.D(SUM0_0), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(vvpkfmmpprk[0]));
    DFN1C0 \crpwsdfhcqq[6]  (.D(\crpwsdfhcqq_ns_i[6]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(mfwjfgrqchd));
    GND GND_i (.Y(GND));
    DFN1C0 \crpwsdfhcqq[1]  (.D(\crpwsdfhcqq_ns_i[1]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(crpwsdfhcqq_0));
    OA1A \crpwsdfhcqq_ns_i[7]  (.A(NVM_BUSY_net), .B(
        \crpwsdfhcqq[7]_net_1 ), .C(mfwjfgrqchd), .Y(
        \crpwsdfhcqq_ns_i[7]_net_1 ));
    DFN1C0 \crpwsdfhcqq[4]  (.D(npgnwznthhx), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(jspcghhzwmg));
    VCC VCC_i_0 (.Y(VCC_net_1));
    AX1C un1_crpwsdfhcqq_1_SUM1 (.A(crpwsdfhcqq_4), .B(vvpkfmmpprk[0]), 
        .C(vvpkfmmpprk[1]), .Y(SUM1_0));
    NOR2B \crpwsdfhcqq_ns_i[6]  (.A(mfwjfgrqchd), .B(NVM_BUSY_net), .Y(
        \crpwsdfhcqq_ns_i[6]_net_1 ));
    DFN1C0 \crpwsdfhcqq[7]  (.D(\crpwsdfhcqq_ns_i[7]_net_1 ), .CLK(
        SYS_CLK_int), .CLR(SYS_RESET_c), .Q(\crpwsdfhcqq[7]_net_1 ));
    AOI1B \crpwsdfhcqq_ns_i[1]  (.A(vvpkfmmpprk[0]), .B(vvpkfmmpprk[1])
        , .C(crpwsdfhcqq_4), .Y(\crpwsdfhcqq_ns_i[1]_net_1 ));
    DFN1C0 \bzcdnkppzhj[1]  (.D(SUM1_0), .CLK(SYS_CLK_int), .CLR(
        SYS_RESET_c), .Q(vvpkfmmpprk[1]));
    DFN1C0 \crpwsdfhcqq[5]  (.D(crpwsdfhcqq_0), .CLK(SYS_CLK_int), 
        .CLR(SYS_RESET_c), .Q(crpwsdfhcqq_4));
    
endmodule


module INITCFG_XB_4s_2s(
       vvpkfmmpprk,
       crpwsdfhcqq_4,
       crpwsdfhcqq_0,
       fhpsqkqvwpw,
       NVM_BUSY_net,
       SYS_CLK_int,
       SYS_RESET_c,
       npgnwznthhx
    );
output [1:0] vvpkfmmpprk;
output crpwsdfhcqq_4;
output crpwsdfhcqq_0;
output fhpsqkqvwpw;
input  NVM_BUSY_net;
input  SYS_CLK_int;
input  SYS_RESET_c;
output npgnwznthhx;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    wbsfnwwctpn_Z5 u_wbsfnwwctpn (.crpwsdfhcqq_0(crpwsdfhcqq_0), 
        .crpwsdfhcqq_4(crpwsdfhcqq_4), .vvpkfmmpprk({vvpkfmmpprk[1], 
        vvpkfmmpprk[0]}), .npgnwznthhx(npgnwznthhx), .SYS_RESET_c(
        SYS_RESET_c), .SYS_CLK_int(SYS_CLK_int), .NVM_BUSY_net(
        NVM_BUSY_net), .fhpsqkqvwpw(fhpsqkqvwpw));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module grwzcnqmqzm_Z6(
       INIT_ADDR_net_0,
       srdtcqsfmmm_0_a2_16,
       srdtcqsfmmm_0_a2_15,
       srdtcqsfmmm_0_a2_14,
       srdtcqsfmmm_0_a2_12,
       srdtcqsfmmm_0_a2_3,
       srdtcqsfmmm_0_a2_1,
       srdtcqsfmmm_0_a2_2,
       srdtcqsfmmm_0_a2_4,
       srdtcqsfmmm_0_a2_5,
       srdtcqsfmmm_0_a2_6,
       srdtcqsfmmm_0_a2_13,
       srdtcqsfmmm_0_a2_0,
       INIT_ADDR_net,
       hrgmtcpsdzr,
       INIT_POWER_UP_c,
       INIT_DONE_net,
       INIT_DONE_net_i,
       N_10,
       INIT_EV_WEN_net,
       INIT_ASSC_WEN_net,
       N_4,
       INIT_ACM_WEN_net,
       N_19,
       N_36,
       NVM_REN_net,
       SYS_RESET_c,
       SYS_CLK_int,
       NVM_BUSY_net
    );
output [7:7] INIT_ADDR_net_0;
output srdtcqsfmmm_0_a2_16;
output srdtcqsfmmm_0_a2_15;
output srdtcqsfmmm_0_a2_14;
output srdtcqsfmmm_0_a2_12;
output srdtcqsfmmm_0_a2_3;
output srdtcqsfmmm_0_a2_1;
output srdtcqsfmmm_0_a2_2;
output srdtcqsfmmm_0_a2_4;
output srdtcqsfmmm_0_a2_5;
output srdtcqsfmmm_0_a2_6;
output srdtcqsfmmm_0_a2_13;
output srdtcqsfmmm_0_a2_0;
output [8:0] INIT_ADDR_net;
output hrgmtcpsdzr;
input  INIT_POWER_UP_c;
input  INIT_DONE_net;
output INIT_DONE_net_i;
output N_10;
output INIT_EV_WEN_net;
output INIT_ASSC_WEN_net;
output N_4;
output INIT_ACM_WEN_net;
output N_19;
output N_36;
output NVM_REN_net;
input  SYS_RESET_c;
input  SYS_CLK_int;
input  NVM_BUSY_net;

    wire \mwtvnzdkmwm[1] , \mwtvnzdkmwm[2] , \mwtvnzdkmwm[3] , 
        \gpbbjwsprsj[0] , \gpbbjwsprsj[1] , xbkjkgdsbfh, mhxwcfnvbgt, 
        dxpbcqjpxtw, qdvwjxmzbpf, bfcqzvtnrcn, N_39, \vvpkfmmpprk[0] , 
        \vvpkfmmpprk[1] , \crpwsdfhcqq[5] , \crpwsdfhcqq[1] , 
        fhpsqkqvwpw, npgnwznthhx, \mmsccbknsvn_0[12] , 
        \mmsccbknsvn[13] , \mmsccbknsvn[15] , \mmsccbknsvn[12] , 
        \bqhrfdzctjc[13] , \bqhrfdzctjc[6] , \bqhrfdzctjc[5] , 
        \bqhrfdzctjc[4] , \bqhrfdzctjc[2] , \bqhrfdzctjc[1] , 
        \bqhrfdzctjc[3] , \bqhrfdzctjc[12] , \bqhrfdzctjc[14] , 
        \bqhrfdzctjc[15] , \bdhvhfjwtxd[2] , N_70, N_65, N_66, N_8, 
        N_6, I6_un1_Y, N150, GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    INITCFG_XF user_clk_sel (.INIT_DONE_net_i(INIT_DONE_net_i), 
        .INIT_DONE_net(INIT_DONE_net), .bfcqzvtnrcn(bfcqzvtnrcn), 
        .SYS_CLK_int(SYS_CLK_int), .SYS_RESET_c(SYS_RESET_c), 
        .INIT_POWER_UP_c(INIT_POWER_UP_c), .qdvwjxmzbpf(qdvwjxmzbpf), 
        .hrgmtcpsdzr(hrgmtcpsdzr));
    GND GND_i_0 (.Y(GND_net_1));
    INITCFG_XA_4s_2s init_fsm (.mwtvnzdkmwm({\mwtvnzdkmwm[3] , 
        \mwtvnzdkmwm[2] , \mwtvnzdkmwm[1] }), .gpbbjwsprsj({
        \gpbbjwsprsj[1] , \gpbbjwsprsj[0] }), .xbkjkgdsbfh(xbkjkgdsbfh)
        , .mhxwcfnvbgt(mhxwcfnvbgt), .NVM_BUSY_net(NVM_BUSY_net), 
        .dxpbcqjpxtw(dxpbcqjpxtw), .qdvwjxmzbpf(qdvwjxmzbpf), 
        .bfcqzvtnrcn(bfcqzvtnrcn), .N_39(N_39), .SYS_CLK_int(
        SYS_CLK_int), .SYS_RESET_c(SYS_RESET_c));
    INITCFG_XD_9s address_gen (.INIT_ADDR_net_0({INIT_ADDR_net_0[7]}), 
        .INIT_ADDR_net({INIT_ADDR_net[8], INIT_ADDR_net[7], 
        INIT_ADDR_net[6], INIT_ADDR_net[5], INIT_ADDR_net[4], 
        INIT_ADDR_net[3], INIT_ADDR_net[2], INIT_ADDR_net[1], 
        INIT_ADDR_net[0]}), .bdhvhfjwtxd({\bdhvhfjwtxd[2] }), 
        .mmsccbknsvn_1(\mmsccbknsvn[13] ), .mmsccbknsvn_0_d0(
        \mmsccbknsvn[12] ), .mmsccbknsvn_3(\mmsccbknsvn[15] ), 
        .bqhrfdzctjc_12(\bqhrfdzctjc[13] ), .bqhrfdzctjc_5(
        \bqhrfdzctjc[6] ), .bqhrfdzctjc_4(\bqhrfdzctjc[5] ), 
        .bqhrfdzctjc_3(\bqhrfdzctjc[4] ), .bqhrfdzctjc_1(
        \bqhrfdzctjc[2] ), .bqhrfdzctjc_0(\bqhrfdzctjc[1] ), 
        .bqhrfdzctjc_2(\bqhrfdzctjc[3] ), .bqhrfdzctjc_11(
        \bqhrfdzctjc[12] ), .bqhrfdzctjc_14(\bqhrfdzctjc[15] ), 
        .bqhrfdzctjc_13(\bqhrfdzctjc[14] ), .mmsccbknsvn_0({
        \mmsccbknsvn_0[12] }), .gpbbjwsprsj({\gpbbjwsprsj[1] }), 
        .SYS_CLK_int(SYS_CLK_int), .SYS_RESET_c(SYS_RESET_c), .N_39(
        N_39), .N_70(N_70), .I6_un1_Y(I6_un1_Y), .N_6(N_6), .N_19(N_19)
        , .N150(N150), .N_65(N_65), .N_66(N_66), .mhxwcfnvbgt(
        mhxwcfnvbgt), .N_8(N_8));
    VCC VCC_i (.Y(VCC));
    INITCFG_XE_4s_2s valid_client (.gpbbjwsprsj({\gpbbjwsprsj[1] , 
        \gpbbjwsprsj[0] }), .vvpkfmmpprk({\vvpkfmmpprk[1] , 
        \vvpkfmmpprk[0] }), .npgnwznthhx(npgnwznthhx), 
        .INIT_ACM_WEN_net(INIT_ACM_WEN_net), .N_4(N_4), 
        .INIT_ASSC_WEN_net(INIT_ASSC_WEN_net), .INIT_EV_WEN_net(
        INIT_EV_WEN_net), .xbkjkgdsbfh(xbkjkgdsbfh), .NVM_BUSY_net(
        NVM_BUSY_net), .N_10(N_10));
    INITCFG_XC_4s_2s_9s user_control (.mmsccbknsvn_0({
        \mmsccbknsvn_0[12] }), .INIT_ADDR_net({INIT_ADDR_net[0]}), 
        .mwtvnzdkmwm({\mwtvnzdkmwm[3] , \mwtvnzdkmwm[2] , 
        \mwtvnzdkmwm[1] }), .gpbbjwsprsj({\gpbbjwsprsj[1] , 
        \gpbbjwsprsj[0] }), .crpwsdfhcqq_0(\crpwsdfhcqq[1] ), 
        .crpwsdfhcqq_4(\crpwsdfhcqq[5] ), .srdtcqsfmmm_0_a2_0(
        srdtcqsfmmm_0_a2_0), .srdtcqsfmmm_0_a2_13(srdtcqsfmmm_0_a2_13), 
        .srdtcqsfmmm_0_a2_6(srdtcqsfmmm_0_a2_6), .srdtcqsfmmm_0_a2_5(
        srdtcqsfmmm_0_a2_5), .srdtcqsfmmm_0_a2_4(srdtcqsfmmm_0_a2_4), 
        .srdtcqsfmmm_0_a2_2(srdtcqsfmmm_0_a2_2), .srdtcqsfmmm_0_a2_1(
        srdtcqsfmmm_0_a2_1), .srdtcqsfmmm_0_a2_3(srdtcqsfmmm_0_a2_3), 
        .srdtcqsfmmm_0_a2_12(srdtcqsfmmm_0_a2_12), 
        .srdtcqsfmmm_0_a2_14(srdtcqsfmmm_0_a2_14), 
        .srdtcqsfmmm_0_a2_15(srdtcqsfmmm_0_a2_15), 
        .srdtcqsfmmm_0_a2_16(srdtcqsfmmm_0_a2_16), .mmsccbknsvn_1(
        \mmsccbknsvn[13] ), .mmsccbknsvn_3(\mmsccbknsvn[15] ), 
        .mmsccbknsvn_0_d0(\mmsccbknsvn[12] ), .vvpkfmmpprk({
        \vvpkfmmpprk[1] , \vvpkfmmpprk[0] }), .bqhrfdzctjc_12(
        \bqhrfdzctjc[13] ), .bqhrfdzctjc_5(\bqhrfdzctjc[6] ), 
        .bqhrfdzctjc_4(\bqhrfdzctjc[5] ), .bqhrfdzctjc_3(
        \bqhrfdzctjc[4] ), .bqhrfdzctjc_1(\bqhrfdzctjc[2] ), 
        .bqhrfdzctjc_0(\bqhrfdzctjc[1] ), .bqhrfdzctjc_2(
        \bqhrfdzctjc[3] ), .bqhrfdzctjc_11(\bqhrfdzctjc[12] ), 
        .bqhrfdzctjc_13(\bqhrfdzctjc[14] ), .bqhrfdzctjc_14(
        \bqhrfdzctjc[15] ), .bdhvhfjwtxd({\bdhvhfjwtxd[2] }), 
        .bfcqzvtnrcn(bfcqzvtnrcn), .qdvwjxmzbpf(qdvwjxmzbpf), .N_70(
        N_70), .N_65(N_65), .N_66(N_66), .N_8(N_8), .fhpsqkqvwpw(
        fhpsqkqvwpw), .dxpbcqjpxtw(dxpbcqjpxtw), .N_6(N_6), 
        .NVM_REN_net(NVM_REN_net), .xbkjkgdsbfh(xbkjkgdsbfh), .N_36(
        N_36), .I6_un1_Y(I6_un1_Y), .N150(N150), .N_19(N_19));
    INITCFG_XB_4s_2s save_fsm (.vvpkfmmpprk({\vvpkfmmpprk[1] , 
        \vvpkfmmpprk[0] }), .crpwsdfhcqq_4(\crpwsdfhcqq[5] ), 
        .crpwsdfhcqq_0(\crpwsdfhcqq[1] ), .fhpsqkqvwpw(fhpsqkqvwpw), 
        .NVM_BUSY_net(NVM_BUSY_net), .SYS_CLK_int(SYS_CLK_int), 
        .SYS_RESET_c(SYS_RESET_c), .npgnwznthhx(npgnwznthhx));
    GND GND_i (.Y(GND));
    
endmodule


module INITCFG_Z7(
       INIT_ADDR_net,
       srdtcqsfmmm_0_a2_0,
       srdtcqsfmmm_0_a2_13,
       srdtcqsfmmm_0_a2_6,
       srdtcqsfmmm_0_a2_5,
       srdtcqsfmmm_0_a2_4,
       srdtcqsfmmm_0_a2_2,
       srdtcqsfmmm_0_a2_1,
       srdtcqsfmmm_0_a2_3,
       srdtcqsfmmm_0_a2_12,
       srdtcqsfmmm_0_a2_14,
       srdtcqsfmmm_0_a2_15,
       srdtcqsfmmm_0_a2_16,
       INIT_ADDR_net_0,
       NVM_BUSY_net,
       SYS_CLK_int,
       SYS_RESET_c,
       NVM_REN_net,
       N_36,
       N_19,
       INIT_ACM_WEN_net,
       N_4,
       INIT_ASSC_WEN_net,
       INIT_EV_WEN_net,
       N_10,
       INIT_DONE_net_i,
       INIT_DONE_net,
       INIT_POWER_UP_c,
       hrgmtcpsdzr
    );
output [8:0] INIT_ADDR_net;
output srdtcqsfmmm_0_a2_0;
output srdtcqsfmmm_0_a2_13;
output srdtcqsfmmm_0_a2_6;
output srdtcqsfmmm_0_a2_5;
output srdtcqsfmmm_0_a2_4;
output srdtcqsfmmm_0_a2_2;
output srdtcqsfmmm_0_a2_1;
output srdtcqsfmmm_0_a2_3;
output srdtcqsfmmm_0_a2_12;
output srdtcqsfmmm_0_a2_14;
output srdtcqsfmmm_0_a2_15;
output srdtcqsfmmm_0_a2_16;
output [7:7] INIT_ADDR_net_0;
input  NVM_BUSY_net;
input  SYS_CLK_int;
input  SYS_RESET_c;
output NVM_REN_net;
output N_36;
output N_19;
output INIT_ACM_WEN_net;
output N_4;
output INIT_ASSC_WEN_net;
output INIT_EV_WEN_net;
output N_10;
output INIT_DONE_net_i;
input  INIT_DONE_net;
input  INIT_POWER_UP_c;
output hrgmtcpsdzr;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    grwzcnqmqzm_Z6 u_grwzcnqmqzm (.INIT_ADDR_net_0({INIT_ADDR_net_0[7]})
        , .srdtcqsfmmm_0_a2_16(srdtcqsfmmm_0_a2_16), 
        .srdtcqsfmmm_0_a2_15(srdtcqsfmmm_0_a2_15), 
        .srdtcqsfmmm_0_a2_14(srdtcqsfmmm_0_a2_14), 
        .srdtcqsfmmm_0_a2_12(srdtcqsfmmm_0_a2_12), .srdtcqsfmmm_0_a2_3(
        srdtcqsfmmm_0_a2_3), .srdtcqsfmmm_0_a2_1(srdtcqsfmmm_0_a2_1), 
        .srdtcqsfmmm_0_a2_2(srdtcqsfmmm_0_a2_2), .srdtcqsfmmm_0_a2_4(
        srdtcqsfmmm_0_a2_4), .srdtcqsfmmm_0_a2_5(srdtcqsfmmm_0_a2_5), 
        .srdtcqsfmmm_0_a2_6(srdtcqsfmmm_0_a2_6), .srdtcqsfmmm_0_a2_13(
        srdtcqsfmmm_0_a2_13), .srdtcqsfmmm_0_a2_0(srdtcqsfmmm_0_a2_0), 
        .INIT_ADDR_net({INIT_ADDR_net[8], INIT_ADDR_net[7], 
        INIT_ADDR_net[6], INIT_ADDR_net[5], INIT_ADDR_net[4], 
        INIT_ADDR_net[3], INIT_ADDR_net[2], INIT_ADDR_net[1], 
        INIT_ADDR_net[0]}), .hrgmtcpsdzr(hrgmtcpsdzr), 
        .INIT_POWER_UP_c(INIT_POWER_UP_c), .INIT_DONE_net(
        INIT_DONE_net), .INIT_DONE_net_i(INIT_DONE_net_i), .N_10(N_10), 
        .INIT_EV_WEN_net(INIT_EV_WEN_net), .INIT_ASSC_WEN_net(
        INIT_ASSC_WEN_net), .N_4(N_4), .INIT_ACM_WEN_net(
        INIT_ACM_WEN_net), .N_19(N_19), .N_36(N_36), .NVM_REN_net(
        NVM_REN_net), .SYS_RESET_c(SYS_RESET_c), .SYS_CLK_int(
        SYS_CLK_int), .NVM_BUSY_net(NVM_BUSY_net));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module NVM_sys_init_wrapper(
       INIT_ADDR_net_0,
       srdtcqsfmmm_0_a2_16,
       srdtcqsfmmm_0_a2_15,
       srdtcqsfmmm_0_a2_14,
       srdtcqsfmmm_0_a2_12,
       srdtcqsfmmm_0_a2_3,
       srdtcqsfmmm_0_a2_1,
       srdtcqsfmmm_0_a2_2,
       srdtcqsfmmm_0_a2_4,
       srdtcqsfmmm_0_a2_5,
       srdtcqsfmmm_0_a2_6,
       srdtcqsfmmm_0_a2_13,
       srdtcqsfmmm_0_a2_0,
       INIT_ADDR_net,
       hrgmtcpsdzr,
       INIT_POWER_UP_c,
       INIT_DONE_net,
       INIT_DONE_net_i,
       N_10,
       INIT_EV_WEN_net,
       INIT_ASSC_WEN_net,
       N_4,
       INIT_ACM_WEN_net,
       N_19,
       N_36,
       NVM_REN_net,
       SYS_RESET_c,
       SYS_CLK_int,
       NVM_BUSY_net
    );
output [7:7] INIT_ADDR_net_0;
output srdtcqsfmmm_0_a2_16;
output srdtcqsfmmm_0_a2_15;
output srdtcqsfmmm_0_a2_14;
output srdtcqsfmmm_0_a2_12;
output srdtcqsfmmm_0_a2_3;
output srdtcqsfmmm_0_a2_1;
output srdtcqsfmmm_0_a2_2;
output srdtcqsfmmm_0_a2_4;
output srdtcqsfmmm_0_a2_5;
output srdtcqsfmmm_0_a2_6;
output srdtcqsfmmm_0_a2_13;
output srdtcqsfmmm_0_a2_0;
output [8:0] INIT_ADDR_net;
output hrgmtcpsdzr;
input  INIT_POWER_UP_c;
input  INIT_DONE_net;
output INIT_DONE_net_i;
output N_10;
output INIT_EV_WEN_net;
output INIT_ASSC_WEN_net;
output N_4;
output INIT_ACM_WEN_net;
output N_19;
output N_36;
output NVM_REN_net;
input  SYS_RESET_c;
input  SYS_CLK_int;
input  NVM_BUSY_net;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    INITCFG_Z7 user_NVM_sys_init_wrapper (.INIT_ADDR_net({
        INIT_ADDR_net[8], INIT_ADDR_net[7], INIT_ADDR_net[6], 
        INIT_ADDR_net[5], INIT_ADDR_net[4], INIT_ADDR_net[3], 
        INIT_ADDR_net[2], INIT_ADDR_net[1], INIT_ADDR_net[0]}), 
        .srdtcqsfmmm_0_a2_0(srdtcqsfmmm_0_a2_0), .srdtcqsfmmm_0_a2_13(
        srdtcqsfmmm_0_a2_13), .srdtcqsfmmm_0_a2_6(srdtcqsfmmm_0_a2_6), 
        .srdtcqsfmmm_0_a2_5(srdtcqsfmmm_0_a2_5), .srdtcqsfmmm_0_a2_4(
        srdtcqsfmmm_0_a2_4), .srdtcqsfmmm_0_a2_2(srdtcqsfmmm_0_a2_2), 
        .srdtcqsfmmm_0_a2_1(srdtcqsfmmm_0_a2_1), .srdtcqsfmmm_0_a2_3(
        srdtcqsfmmm_0_a2_3), .srdtcqsfmmm_0_a2_12(srdtcqsfmmm_0_a2_12), 
        .srdtcqsfmmm_0_a2_14(srdtcqsfmmm_0_a2_14), 
        .srdtcqsfmmm_0_a2_15(srdtcqsfmmm_0_a2_15), 
        .srdtcqsfmmm_0_a2_16(srdtcqsfmmm_0_a2_16), .INIT_ADDR_net_0({
        INIT_ADDR_net_0[7]}), .NVM_BUSY_net(NVM_BUSY_net), 
        .SYS_CLK_int(SYS_CLK_int), .SYS_RESET_c(SYS_RESET_c), 
        .NVM_REN_net(NVM_REN_net), .N_36(N_36), .N_19(N_19), 
        .INIT_ACM_WEN_net(INIT_ACM_WEN_net), .N_4(N_4), 
        .INIT_ASSC_WEN_net(INIT_ASSC_WEN_net), .INIT_EV_WEN_net(
        INIT_EV_WEN_net), .N_10(N_10), .INIT_DONE_net_i(
        INIT_DONE_net_i), .INIT_DONE_net(INIT_DONE_net), 
        .INIT_POWER_UP_c(INIT_POWER_UP_c), .hrgmtcpsdzr(hrgmtcpsdzr));
    GND GND_i (.Y(GND));
    
endmodule


module NVM_sys(
       INIT_ADDR_net,
       INIT_ADDR_net_0,
       INIT_DATA_net,
       INIT_ACM_WEN_net,
       N_4,
       INIT_ASSC_WEN_net,
       INIT_EV_WEN_net,
       N_10,
       INIT_DONE_net_i,
       INIT_DONE_net,
       INIT_POWER_UP_c,
       hrgmtcpsdzr,
       SYS_RESET_c,
       SYS_CLK_int,
       NVM_sys_GND
    );
output [8:0] INIT_ADDR_net;
output [7:7] INIT_ADDR_net_0;
output [8:0] INIT_DATA_net;
output INIT_ACM_WEN_net;
output N_4;
output INIT_ASSC_WEN_net;
output INIT_EV_WEN_net;
output N_10;
output INIT_DONE_net_i;
input  INIT_DONE_net;
input  INIT_POWER_UP_c;
output hrgmtcpsdzr;
input  SYS_RESET_c;
input  SYS_CLK_int;
input  NVM_sys_GND;

    wire NVM_BUSY_net, \NVM_INST_RD[9] , \NVM_INST_RD[10] , 
        \NVM_INST_RD[11] , \NVM_INST_RD[12] , \NVM_INST_RD[13] , 
        \NVM_INST_RD[14] , \NVM_INST_RD[15] , \NVM_INST_RD[16] , 
        \NVM_INST_RD[17] , \NVM_INST_RD[18] , \NVM_INST_RD[19] , 
        \NVM_INST_RD[20] , \NVM_INST_RD[21] , \NVM_INST_RD[22] , 
        \NVM_INST_RD[23] , \NVM_INST_RD[24] , \NVM_INST_RD[25] , 
        \NVM_INST_RD[26] , \NVM_INST_RD[27] , \NVM_INST_RD[28] , 
        \NVM_INST_RD[29] , \NVM_INST_RD[30] , \NVM_INST_RD[31] , 
        \NVM_INST_STATUS[0] , \NVM_INST_STATUS[1] , 
        \srdtcqsfmmm_0_a2[0] , \srdtcqsfmmm_0_a2[1] , 
        \srdtcqsfmmm_0_a2[2] , \srdtcqsfmmm_0_a2[3] , 
        \srdtcqsfmmm_0_a2[4] , \srdtcqsfmmm_0_a2[5] , 
        \srdtcqsfmmm_0_a2[6] , \srdtcqsfmmm_0_a2[12] , 
        \srdtcqsfmmm_0_a2[13] , \srdtcqsfmmm_0_a2[14] , 
        \srdtcqsfmmm_0_a2[15] , \srdtcqsfmmm_0_a2[16] , N_19, N_36, 
        NVM_REN_net, GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    NVM #( .MEMORYFILE("NVM_sys.mem") )  NVM_INST (.RD({
        \NVM_INST_RD[31] , \NVM_INST_RD[30] , \NVM_INST_RD[29] , 
        \NVM_INST_RD[28] , \NVM_INST_RD[27] , \NVM_INST_RD[26] , 
        \NVM_INST_RD[25] , \NVM_INST_RD[24] , \NVM_INST_RD[23] , 
        \NVM_INST_RD[22] , \NVM_INST_RD[21] , \NVM_INST_RD[20] , 
        \NVM_INST_RD[19] , \NVM_INST_RD[18] , \NVM_INST_RD[17] , 
        \NVM_INST_RD[16] , \NVM_INST_RD[15] , \NVM_INST_RD[14] , 
        \NVM_INST_RD[13] , \NVM_INST_RD[12] , \NVM_INST_RD[11] , 
        \NVM_INST_RD[10] , \NVM_INST_RD[9] , INIT_DATA_net[8], 
        INIT_DATA_net[7], INIT_DATA_net[6], INIT_DATA_net[5], 
        INIT_DATA_net[4], INIT_DATA_net[3], INIT_DATA_net[2], 
        INIT_DATA_net[1], INIT_DATA_net[0]}), .BUSY(NVM_BUSY_net), 
        .STATUS({\NVM_INST_STATUS[1] , \NVM_INST_STATUS[0] }), .ADDR({
        NVM_sys_GND, \srdtcqsfmmm_0_a2[16] , \srdtcqsfmmm_0_a2[15] , 
        \srdtcqsfmmm_0_a2[14] , \srdtcqsfmmm_0_a2[13] , 
        \srdtcqsfmmm_0_a2[12] , NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, 
        NVM_sys_GND, NVM_sys_GND, \srdtcqsfmmm_0_a2[6] , 
        \srdtcqsfmmm_0_a2[5] , \srdtcqsfmmm_0_a2[4] , 
        \srdtcqsfmmm_0_a2[3] , \srdtcqsfmmm_0_a2[2] , 
        \srdtcqsfmmm_0_a2[1] , \srdtcqsfmmm_0_a2[0] }), .WD({
        NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, 
        NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, 
        NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, 
        NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, 
        NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, 
        NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, 
        NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, 
        NVM_sys_GND, NVM_sys_GND, NVM_sys_GND, NVM_sys_GND}), 
        .DATAWIDTH({NVM_sys_GND, N_19}), .REN(NVM_REN_net), .WEN(
        NVM_sys_GND), .PROGRAM(NVM_sys_GND), .SPAREPAGE(N_36), 
        .AUXBLOCK(NVM_sys_GND), .READNEXT(NVM_REN_net), .ERASEPAGE(
        NVM_sys_GND), .UNPROTECTPAGE(NVM_sys_GND), .DISCARDPAGE(
        NVM_sys_GND), .OVERWRITEPROTECT(NVM_sys_GND), .PAGELOSSPROTECT(
        NVM_sys_GND), .CLK(SYS_CLK_int), .RESET(SYS_RESET_c), 
        .PAGESTATUS(NVM_sys_GND), .OVERWRITEPAGE(NVM_sys_GND), .PIPE(
        NVM_sys_GND), .LOCKREQUEST(N_36));
    VCC VCC_i (.Y(VCC));
    NVM_sys_init_wrapper NVM_sys_init_wrapper_inst (.INIT_ADDR_net_0({
        INIT_ADDR_net_0[7]}), .srdtcqsfmmm_0_a2_16(
        \srdtcqsfmmm_0_a2[16] ), .srdtcqsfmmm_0_a2_15(
        \srdtcqsfmmm_0_a2[15] ), .srdtcqsfmmm_0_a2_14(
        \srdtcqsfmmm_0_a2[14] ), .srdtcqsfmmm_0_a2_12(
        \srdtcqsfmmm_0_a2[12] ), .srdtcqsfmmm_0_a2_3(
        \srdtcqsfmmm_0_a2[3] ), .srdtcqsfmmm_0_a2_1(
        \srdtcqsfmmm_0_a2[1] ), .srdtcqsfmmm_0_a2_2(
        \srdtcqsfmmm_0_a2[2] ), .srdtcqsfmmm_0_a2_4(
        \srdtcqsfmmm_0_a2[4] ), .srdtcqsfmmm_0_a2_5(
        \srdtcqsfmmm_0_a2[5] ), .srdtcqsfmmm_0_a2_6(
        \srdtcqsfmmm_0_a2[6] ), .srdtcqsfmmm_0_a2_13(
        \srdtcqsfmmm_0_a2[13] ), .srdtcqsfmmm_0_a2_0(
        \srdtcqsfmmm_0_a2[0] ), .INIT_ADDR_net({INIT_ADDR_net[8], 
        INIT_ADDR_net[7], INIT_ADDR_net[6], INIT_ADDR_net[5], 
        INIT_ADDR_net[4], INIT_ADDR_net[3], INIT_ADDR_net[2], 
        INIT_ADDR_net[1], INIT_ADDR_net[0]}), .hrgmtcpsdzr(hrgmtcpsdzr)
        , .INIT_POWER_UP_c(INIT_POWER_UP_c), .INIT_DONE_net(
        INIT_DONE_net), .INIT_DONE_net_i(INIT_DONE_net_i), .N_10(N_10), 
        .INIT_EV_WEN_net(INIT_EV_WEN_net), .INIT_ASSC_WEN_net(
        INIT_ASSC_WEN_net), .N_4(N_4), .INIT_ACM_WEN_net(
        INIT_ACM_WEN_net), .N_19(N_19), .N_36(N_36), .NVM_REN_net(
        NVM_REN_net), .SYS_RESET_c(SYS_RESET_c), .SYS_CLK_int(
        SYS_CLK_int), .NVM_BUSY_net(NVM_BUSY_net));
    GND GND_i (.Y(GND));
    
endmodule


module VT_Mon(
       CLK40M,
       SYS_RESET,
       INIT_POWER_UP,
       VAREF,
       Supply_good,
       Over_temp,
       ATRETURN01,
       AV5V,
       Temp
    );
input  CLK40M;
input  SYS_RESET;
input  INIT_POWER_UP;
input  VAREF;
output Supply_good;
output Over_temp;
input  ATRETURN01;
input  AV5V;
input  Temp;

    wire VCC, PLL_CLK40M, CLK10M, SYS_CLK_int, AV5V_over5p25_net, 
        AV5V_under4p75_net, \INIT_ADDR_net[0] , \INIT_ADDR_net[1] , 
        \INIT_ADDR_net[2] , \INIT_ADDR_net[3] , \INIT_ADDR_net[4] , 
        \INIT_ADDR_net[5] , \INIT_ADDR_net[6] , \INIT_ADDR_net[7] , 
        \INIT_ADDR_net[8] , INIT_ACM_WEN_net, INIT_DONE_net, GND, 
        Supply_good_en_net_net_1, \INIT_DATA_net[0] , 
        \INIT_DATA_net[1] , \INIT_DATA_net[2] , \INIT_DATA_net[3] , 
        \INIT_DATA_net[4] , \INIT_DATA_net[5] , \INIT_DATA_net[6] , 
        \INIT_DATA_net[7] , \INIT_DATA_net[8] , 
        \Analog_inst.Analog_smev_wrapper_inst.user_Analog_smev_wrapper.u_nbnjbfrkqwq.rdgwgtpkbgc[3] , 
        CLK40M_c, SYS_RESET_c, INIT_POWER_UP_c, INIT_EV_WEN_net, 
        \NVM_inst.NVM_sys_init_wrapper_inst.user_NVM_sys_init_wrapper.u_grwzcnqmqzm.valid_client.u_gpbdjfttbjd.N_10 , 
        \NVM_inst.NVM_sys_init_wrapper_inst.user_NVM_sys_init_wrapper.u_grwzcnqmqzm.valid_client.u_gpbdjfttbjd.N_4 , 
        INIT_ASSC_WEN_net, INIT_DONE_net_i, hrgmtcpsdzr, 
        \rdgwgtpkbgc[3] , \INIT_ADDR_net_0[7] , GND_net_1, VCC_net_1;
    
    CLKINT I_105 (.A(hrgmtcpsdzr), .Y(INIT_DONE_net));
    VCC VCC_i_0 (.Y(VCC_net_1));
    NOR2 Supply_good_en_net (.A(AV5V_under4p75_net), .B(
        AV5V_over5p25_net), .Y(Supply_good_en_net_net_1));
    CLKINT I_106 (.A(\rdgwgtpkbgc[3] ), .Y(
        \Analog_inst.Analog_smev_wrapper_inst.user_Analog_smev_wrapper.u_nbnjbfrkqwq.rdgwgtpkbgc[3] )
        );
    VCC VCC_i (.Y(VCC));
    NGM NGMUX_inst (.INIT_DONE_net_i(INIT_DONE_net_i), .CLK10M(CLK10M), 
        .PLL_CLK40M(PLL_CLK40M), .SYS_CLK_int(SYS_CLK_int));
    INBUF INIT_POWER_UP_pad (.PAD(INIT_POWER_UP), .Y(INIT_POWER_UP_c));
    PLL_40_10 PLL_inst (.PLL_40_10_VCC(VCC), .PLL_40_10_GND(GND), 
        .CLK40M_c(CLK40M_c), .PLL_CLK40M(PLL_CLK40M), .CLK10M(CLK10M));
    GND GND_i_0 (.Y(GND_net_1));
    GND GND_i (.Y(GND));
    INBUF CLK40M_pad (.PAD(CLK40M), .Y(CLK40M_c));
    Analog Analog_inst (.rdgwgtpkbgc_0({
        \Analog_inst.Analog_smev_wrapper_inst.user_Analog_smev_wrapper.u_nbnjbfrkqwq.rdgwgtpkbgc[3] })
        , .INIT_ADDR_net_0({\INIT_ADDR_net_0[7] }), .rdgwgtpkbgc({
        \rdgwgtpkbgc[3] }), .INIT_DATA_net({\INIT_DATA_net[8] , 
        \INIT_DATA_net[7] , \INIT_DATA_net[6] , \INIT_DATA_net[5] , 
        \INIT_DATA_net[4] , \INIT_DATA_net[3] , \INIT_DATA_net[2] , 
        \INIT_DATA_net[1] , \INIT_DATA_net[0] }), .INIT_ADDR_net({
        \INIT_ADDR_net[8] , \INIT_ADDR_net[7] , \INIT_ADDR_net[6] , 
        \INIT_ADDR_net[5] , \INIT_ADDR_net[4] , \INIT_ADDR_net[3] , 
        \INIT_ADDR_net[2] , \INIT_ADDR_net[1] , \INIT_ADDR_net[0] }), 
        .INIT_ASSC_WEN_net(INIT_ASSC_WEN_net), .INIT_EV_WEN_net(
        INIT_EV_WEN_net), .AV5V_under4p75_net(AV5V_under4p75_net), 
        .AV5V_over5p25_net(AV5V_over5p25_net), .INIT_DONE_net(
        INIT_DONE_net), .N_4(
        \NVM_inst.NVM_sys_init_wrapper_inst.user_NVM_sys_init_wrapper.u_grwzcnqmqzm.valid_client.u_gpbdjfttbjd.N_4 )
        , .N_10(
        \NVM_inst.NVM_sys_init_wrapper_inst.user_NVM_sys_init_wrapper.u_grwzcnqmqzm.valid_client.u_gpbdjfttbjd.N_10 )
        , .Analog_VCC(VCC), .SYS_CLK_int(SYS_CLK_int), 
        .Supply_good_en_net(Supply_good_en_net_net_1), .SYS_RESET_c(
        SYS_RESET_c), .CLK10M(CLK10M), .VAREF(VAREF), .AV5V(AV5V), 
        .Analog_GND(GND), .INIT_ACM_WEN_net(INIT_ACM_WEN_net), 
        .Over_temp(Over_temp), .Supply_good(Supply_good), .ATRETURN01(
        ATRETURN01), .Temp(Temp));
    CLKBUF SYS_RESET_pad (.PAD(SYS_RESET), .Y(SYS_RESET_c));
    NVM_sys NVM_inst (.INIT_ADDR_net({\INIT_ADDR_net[8] , 
        \INIT_ADDR_net[7] , \INIT_ADDR_net[6] , \INIT_ADDR_net[5] , 
        \INIT_ADDR_net[4] , \INIT_ADDR_net[3] , \INIT_ADDR_net[2] , 
        \INIT_ADDR_net[1] , \INIT_ADDR_net[0] }), .INIT_ADDR_net_0({
        \INIT_ADDR_net_0[7] }), .INIT_DATA_net({\INIT_DATA_net[8] , 
        \INIT_DATA_net[7] , \INIT_DATA_net[6] , \INIT_DATA_net[5] , 
        \INIT_DATA_net[4] , \INIT_DATA_net[3] , \INIT_DATA_net[2] , 
        \INIT_DATA_net[1] , \INIT_DATA_net[0] }), .INIT_ACM_WEN_net(
        INIT_ACM_WEN_net), .N_4(
        \NVM_inst.NVM_sys_init_wrapper_inst.user_NVM_sys_init_wrapper.u_grwzcnqmqzm.valid_client.u_gpbdjfttbjd.N_4 )
        , .INIT_ASSC_WEN_net(INIT_ASSC_WEN_net), .INIT_EV_WEN_net(
        INIT_EV_WEN_net), .N_10(
        \NVM_inst.NVM_sys_init_wrapper_inst.user_NVM_sys_init_wrapper.u_grwzcnqmqzm.valid_client.u_gpbdjfttbjd.N_10 )
        , .INIT_DONE_net_i(INIT_DONE_net_i), .INIT_DONE_net(
        INIT_DONE_net), .INIT_POWER_UP_c(INIT_POWER_UP_c), 
        .hrgmtcpsdzr(hrgmtcpsdzr), .SYS_RESET_c(SYS_RESET_c), 
        .SYS_CLK_int(SYS_CLK_int), .NVM_sys_GND(GND));
    
endmodule
